#include "array-1-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	"IDL:PROG:1.0",
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:VERS:1.0",
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t prog_1234(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t58_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t58_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t58_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t59_principal_len;
            int *_return;
            int *_local_arg;
            int _t60_storage[16];
            flick_unsigned32_t _t61_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort402);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t59_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t59_principal_len, _flick_abort402);
            flick_iiop_decode_new_glob(_t59_principal_len);
            flick_iiop_decode_new_chunk(_t59_principal_len);
            flick_iiop_decode_end_chunk(_t59_principal_len);
            flick_iiop_decode_end_glob(_t59_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(112);
            _local_arg = (int *)_t60_storage;
            for (_t61_array_iter = 0; _t61_array_iter < 16; _t61_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort406);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t61_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort406:
                  goto _flick_abort402;
                }
              }
            flick_iiop_decode_end_glob(112);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort402);
              flick_iiop_encode_new_glob(8, _flick_abort402);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort413);
                    break;
                    {
                    _flick_abort413:
                      goto _flick_abort402;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort414);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort414:
                      goto _flick_abort402;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort402:
              goto _flick_abort401;
            }
          }
          break;
          {
          _flick_abort401:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t62_principal_len;
            int *_return;
            int *_local_arg;
            int _t63_storage[32];
            flick_unsigned32_t _t64_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort416);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t62_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t62_principal_len, _flick_abort416);
            flick_iiop_decode_new_glob(_t62_principal_len);
            flick_iiop_decode_new_chunk(_t62_principal_len);
            flick_iiop_decode_end_chunk(_t62_principal_len);
            flick_iiop_decode_end_glob(_t62_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(224);
            _local_arg = (int *)_t63_storage;
            for (_t64_array_iter = 0; _t64_array_iter < 32; _t64_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort420);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t64_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort420:
                  goto _flick_abort416;
                }
              }
            flick_iiop_decode_end_glob(224);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op128_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort416);
              flick_iiop_encode_new_glob(8, _flick_abort416);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort427);
                    break;
                    {
                    _flick_abort427:
                      goto _flick_abort416;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort428);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort428:
                      goto _flick_abort416;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort416:
              goto _flick_abort415;
            }
          }
          break;
          {
          _flick_abort415:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t65_principal_len;
            int *_return;
            int *_local_arg;
            int _t66_storage[64];
            flick_unsigned32_t _t67_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort430);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t65_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t65_principal_len, _flick_abort430);
            flick_iiop_decode_new_glob(_t65_principal_len);
            flick_iiop_decode_new_chunk(_t65_principal_len);
            flick_iiop_decode_end_chunk(_t65_principal_len);
            flick_iiop_decode_end_glob(_t65_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(448);
            _local_arg = (int *)_t66_storage;
            for (_t67_array_iter = 0; _t67_array_iter < 64; _t67_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort434);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t67_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort434:
                  goto _flick_abort430;
                }
              }
            flick_iiop_decode_end_glob(448);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op256_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort430);
              flick_iiop_encode_new_glob(8, _flick_abort430);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort441);
                    break;
                    {
                    _flick_abort441:
                      goto _flick_abort430;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort442);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort442:
                      goto _flick_abort430;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort430:
              goto _flick_abort429;
            }
          }
          break;
          {
          _flick_abort429:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t68_principal_len;
            int *_return;
            int *_local_arg;
            int _t69_storage[128];
            flick_unsigned32_t _t70_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort444);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t68_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t68_principal_len, _flick_abort444);
            flick_iiop_decode_new_glob(_t68_principal_len);
            flick_iiop_decode_new_chunk(_t68_principal_len);
            flick_iiop_decode_end_chunk(_t68_principal_len);
            flick_iiop_decode_end_glob(_t68_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(896);
            _local_arg = (int *)_t69_storage;
            for (_t70_array_iter = 0; _t70_array_iter < 128; _t70_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort448);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t70_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort448:
                  goto _flick_abort444;
                }
              }
            flick_iiop_decode_end_glob(896);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op512_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort444);
              flick_iiop_encode_new_glob(8, _flick_abort444);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort455);
                    break;
                    {
                    _flick_abort455:
                      goto _flick_abort444;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort456);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort456:
                      goto _flick_abort444;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort444:
              goto _flick_abort443;
            }
          }
          break;
          {
          _flick_abort443:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t71_principal_len;
            int *_return;
            int *_local_arg;
            int _t72_storage[256];
            flick_unsigned32_t _t73_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort458);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t71_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t71_principal_len, _flick_abort458);
            flick_iiop_decode_new_glob(_t71_principal_len);
            flick_iiop_decode_new_chunk(_t71_principal_len);
            flick_iiop_decode_end_chunk(_t71_principal_len);
            flick_iiop_decode_end_glob(_t71_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(1792);
            _local_arg = (int *)_t72_storage;
            for (_t73_array_iter = 0; _t73_array_iter < 256; _t73_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort462);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t73_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort462:
                  goto _flick_abort458;
                }
              }
            flick_iiop_decode_end_glob(1792);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op1k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort458);
              flick_iiop_encode_new_glob(8, _flick_abort458);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort469);
                    break;
                    {
                    _flick_abort469:
                      goto _flick_abort458;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort470);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort470:
                      goto _flick_abort458;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort458:
              goto _flick_abort457;
            }
          }
          break;
          {
          _flick_abort457:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t74_principal_len;
            int *_return;
            int *_local_arg;
            int _t75_storage[512];
            flick_unsigned32_t _t76_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort472);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t74_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t74_principal_len, _flick_abort472);
            flick_iiop_decode_new_glob(_t74_principal_len);
            flick_iiop_decode_new_chunk(_t74_principal_len);
            flick_iiop_decode_end_chunk(_t74_principal_len);
            flick_iiop_decode_end_glob(_t74_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(3584);
            _local_arg = (int *)_t75_storage;
            for (_t76_array_iter = 0; _t76_array_iter < 512; _t76_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort476);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t76_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort476:
                  goto _flick_abort472;
                }
              }
            flick_iiop_decode_end_glob(3584);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op2k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort472);
              flick_iiop_encode_new_glob(8, _flick_abort472);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort483);
                    break;
                    {
                    _flick_abort483:
                      goto _flick_abort472;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort484);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort484:
                      goto _flick_abort472;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort472:
              goto _flick_abort471;
            }
          }
          break;
          {
          _flick_abort471:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t77_principal_len;
            int *_return;
            int *_local_arg;
            int _t78_storage[1024];
            flick_unsigned32_t _t79_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort486);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t77_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t77_principal_len, _flick_abort486);
            flick_iiop_decode_new_glob(_t77_principal_len);
            flick_iiop_decode_new_chunk(_t77_principal_len);
            flick_iiop_decode_end_chunk(_t77_principal_len);
            flick_iiop_decode_end_glob(_t77_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(7168);
            _local_arg = (int *)_t78_storage;
            for (_t79_array_iter = 0; _t79_array_iter < 1024; _t79_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort490);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t79_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort490:
                  goto _flick_abort486;
                }
              }
            flick_iiop_decode_end_glob(7168);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op4k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort486);
              flick_iiop_encode_new_glob(8, _flick_abort486);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort497);
                    break;
                    {
                    _flick_abort497:
                      goto _flick_abort486;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort498);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort498:
                      goto _flick_abort486;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort486:
              goto _flick_abort485;
            }
          }
          break;
          {
          _flick_abort485:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t80_principal_len;
            int *_return;
            int *_local_arg;
            int _t81_storage[2048];
            flick_unsigned32_t _t82_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort500);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t80_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t80_principal_len, _flick_abort500);
            flick_iiop_decode_new_glob(_t80_principal_len);
            flick_iiop_decode_new_chunk(_t80_principal_len);
            flick_iiop_decode_end_chunk(_t80_principal_len);
            flick_iiop_decode_end_glob(_t80_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(14336);
            _local_arg = (int *)_t81_storage;
            for (_t82_array_iter = 0; _t82_array_iter < 2048; _t82_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort504);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t82_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort504:
                  goto _flick_abort500;
                }
              }
            flick_iiop_decode_end_glob(14336);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op8k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort500);
              flick_iiop_encode_new_glob(8, _flick_abort500);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort511);
                    break;
                    {
                    _flick_abort511:
                      goto _flick_abort500;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort512);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort512:
                      goto _flick_abort500;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort500:
              goto _flick_abort499;
            }
          }
          break;
          {
          _flick_abort499:
            goto _flick_abort2;
          }
        }
      case (signed int) 9:
        {
          {
            struct svc_req *_obj;
            unsigned int _t83_principal_len;
            int *_return;
            int *_local_arg;
            int _t84_storage[4096];
            flick_unsigned32_t _t85_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort514);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t83_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t83_principal_len, _flick_abort514);
            flick_iiop_decode_new_glob(_t83_principal_len);
            flick_iiop_decode_new_chunk(_t83_principal_len);
            flick_iiop_decode_end_chunk(_t83_principal_len);
            flick_iiop_decode_end_glob(_t83_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(28672);
            _local_arg = (int *)_t84_storage;
            for (_t85_array_iter = 0; _t85_array_iter < 4096; _t85_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort518);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t85_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort518:
                  goto _flick_abort514;
                }
              }
            flick_iiop_decode_end_glob(28672);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op16k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort514);
              flick_iiop_encode_new_glob(8, _flick_abort514);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort525);
                    break;
                    {
                    _flick_abort525:
                      goto _flick_abort514;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort526);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort526:
                      goto _flick_abort514;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort514:
              goto _flick_abort513;
            }
          }
          break;
          {
          _flick_abort513:
            goto _flick_abort2;
          }
        }
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t86_principal_len;
            int *_return;
            int *_local_arg;
            int _t87_storage[8192];
            flick_unsigned32_t _t88_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort528);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t86_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t86_principal_len, _flick_abort528);
            flick_iiop_decode_new_glob(_t86_principal_len);
            flick_iiop_decode_new_chunk(_t86_principal_len);
            flick_iiop_decode_end_chunk(_t86_principal_len);
            flick_iiop_decode_end_glob(_t86_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(57344);
            _local_arg = (int *)_t87_storage;
            for (_t88_array_iter = 0; _t88_array_iter < 8192; _t88_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort532);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t88_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort532:
                  goto _flick_abort528;
                }
              }
            flick_iiop_decode_end_glob(57344);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op32k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort528);
              flick_iiop_encode_new_glob(8, _flick_abort528);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort539);
                    break;
                    {
                    _flick_abort539:
                      goto _flick_abort528;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort540);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort540:
                      goto _flick_abort528;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort528:
              goto _flick_abort527;
            }
          }
          break;
          {
          _flick_abort527:
            goto _flick_abort2;
          }
        }
      case (signed int) 11:
        {
          {
            struct svc_req *_obj;
            unsigned int _t89_principal_len;
            int *_return;
            int *_local_arg;
            int _t90_storage[16384];
            flick_unsigned32_t _t91_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort542);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t89_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t89_principal_len, _flick_abort542);
            flick_iiop_decode_new_glob(_t89_principal_len);
            flick_iiop_decode_new_chunk(_t89_principal_len);
            flick_iiop_decode_end_chunk(_t89_principal_len);
            flick_iiop_decode_end_glob(_t89_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(114688);
            _local_arg = (int *)_t90_storage;
            for (_t91_array_iter = 0; _t91_array_iter < 16384; _t91_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort546);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t91_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort546:
                  goto _flick_abort542;
                }
              }
            flick_iiop_decode_end_glob(114688);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort542);
              flick_iiop_encode_new_glob(8, _flick_abort542);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort553);
                    break;
                    {
                    _flick_abort553:
                      goto _flick_abort542;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort554);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort554:
                      goto _flick_abort542;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort542:
              goto _flick_abort541;
            }
          }
          break;
          {
          _flick_abort541:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t12_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t12_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t12_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t13_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort126);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t13_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t13_principal_len, _flick_abort126);
            flick_iiop_decode_new_glob(_t13_principal_len);
            flick_iiop_decode_new_chunk(_t13_principal_len);
            flick_iiop_decode_end_chunk(_t13_principal_len);
            flick_iiop_decode_end_glob(_t13_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(67);
            flick_iiop_decode_new_chunk_align(64, 2, 0, 0);
            flick_iiop_check_span(64, _flick_abort126);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(64);
            flick_iiop_decode_end_glob(67);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort126);
              flick_iiop_encode_new_glob(8, _flick_abort126);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort134);
                    break;
                    {
                    _flick_abort134:
                      goto _flick_abort126;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort135:
                      goto _flick_abort126;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort126:
              goto _flick_abort125;
            }
          }
          break;
          {
          _flick_abort125:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t14_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort137);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t14_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t14_principal_len, _flick_abort137);
            flick_iiop_decode_new_glob(_t14_principal_len);
            flick_iiop_decode_new_chunk(_t14_principal_len);
            flick_iiop_decode_end_chunk(_t14_principal_len);
            flick_iiop_decode_end_glob(_t14_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(131);
            flick_iiop_decode_new_chunk_align(128, 2, 0, 0);
            flick_iiop_check_span(128, _flick_abort137);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(128);
            flick_iiop_decode_end_glob(131);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op128_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort137);
              flick_iiop_encode_new_glob(8, _flick_abort137);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort145);
                    break;
                    {
                    _flick_abort145:
                      goto _flick_abort137;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort146);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort146:
                      goto _flick_abort137;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort137:
              goto _flick_abort136;
            }
          }
          break;
          {
          _flick_abort136:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t15_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort148);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t15_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t15_principal_len, _flick_abort148);
            flick_iiop_decode_new_glob(_t15_principal_len);
            flick_iiop_decode_new_chunk(_t15_principal_len);
            flick_iiop_decode_end_chunk(_t15_principal_len);
            flick_iiop_decode_end_glob(_t15_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(259);
            flick_iiop_decode_new_chunk_align(256, 2, 0, 0);
            flick_iiop_check_span(256, _flick_abort148);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(256);
            flick_iiop_decode_end_glob(259);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op256_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort148);
              flick_iiop_encode_new_glob(8, _flick_abort148);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort156);
                    break;
                    {
                    _flick_abort156:
                      goto _flick_abort148;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort157);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort157:
                      goto _flick_abort148;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort148:
              goto _flick_abort147;
            }
          }
          break;
          {
          _flick_abort147:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t16_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort159);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t16_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t16_principal_len, _flick_abort159);
            flick_iiop_decode_new_glob(_t16_principal_len);
            flick_iiop_decode_new_chunk(_t16_principal_len);
            flick_iiop_decode_end_chunk(_t16_principal_len);
            flick_iiop_decode_end_glob(_t16_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(515);
            flick_iiop_decode_new_chunk_align(512, 2, 0, 0);
            flick_iiop_check_span(512, _flick_abort159);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(512);
            flick_iiop_decode_end_glob(515);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op512_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort159);
              flick_iiop_encode_new_glob(8, _flick_abort159);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort167);
                    break;
                    {
                    _flick_abort167:
                      goto _flick_abort159;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort168);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort168:
                      goto _flick_abort159;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort159:
              goto _flick_abort158;
            }
          }
          break;
          {
          _flick_abort158:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t17_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort170);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t17_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t17_principal_len, _flick_abort170);
            flick_iiop_decode_new_glob(_t17_principal_len);
            flick_iiop_decode_new_chunk(_t17_principal_len);
            flick_iiop_decode_end_chunk(_t17_principal_len);
            flick_iiop_decode_end_glob(_t17_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(1027);
            flick_iiop_decode_new_chunk_align(1024, 2, 0, 0);
            flick_iiop_check_span(1024, _flick_abort170);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(1024);
            flick_iiop_decode_end_glob(1027);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op1k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort170);
              flick_iiop_encode_new_glob(8, _flick_abort170);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort178);
                    break;
                    {
                    _flick_abort178:
                      goto _flick_abort170;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort179);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort179:
                      goto _flick_abort170;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort170:
              goto _flick_abort169;
            }
          }
          break;
          {
          _flick_abort169:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t18_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort181);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t18_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t18_principal_len, _flick_abort181);
            flick_iiop_decode_new_glob(_t18_principal_len);
            flick_iiop_decode_new_chunk(_t18_principal_len);
            flick_iiop_decode_end_chunk(_t18_principal_len);
            flick_iiop_decode_end_glob(_t18_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(2051);
            flick_iiop_decode_new_chunk_align(2048, 2, 0, 0);
            flick_iiop_check_span(2048, _flick_abort181);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(2048);
            flick_iiop_decode_end_glob(2051);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op2k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort181);
              flick_iiop_encode_new_glob(8, _flick_abort181);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort189);
                    break;
                    {
                    _flick_abort189:
                      goto _flick_abort181;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort190);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort190:
                      goto _flick_abort181;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort181:
              goto _flick_abort180;
            }
          }
          break;
          {
          _flick_abort180:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t19_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort192);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t19_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t19_principal_len, _flick_abort192);
            flick_iiop_decode_new_glob(_t19_principal_len);
            flick_iiop_decode_new_chunk(_t19_principal_len);
            flick_iiop_decode_end_chunk(_t19_principal_len);
            flick_iiop_decode_end_glob(_t19_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(4099);
            flick_iiop_decode_new_chunk_align(4096, 2, 0, 0);
            flick_iiop_check_span(4096, _flick_abort192);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(4096);
            flick_iiop_decode_end_glob(4099);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op4k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort192);
              flick_iiop_encode_new_glob(8, _flick_abort192);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort200);
                    break;
                    {
                    _flick_abort200:
                      goto _flick_abort192;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort201);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort201:
                      goto _flick_abort192;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort192:
              goto _flick_abort191;
            }
          }
          break;
          {
          _flick_abort191:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t20_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort203);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t20_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t20_principal_len, _flick_abort203);
            flick_iiop_decode_new_glob(_t20_principal_len);
            flick_iiop_decode_new_chunk(_t20_principal_len);
            flick_iiop_decode_end_chunk(_t20_principal_len);
            flick_iiop_decode_end_glob(_t20_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(8195);
            flick_iiop_decode_new_chunk_align(8192, 2, 0, 0);
            flick_iiop_check_span(8192, _flick_abort203);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(8192);
            flick_iiop_decode_end_glob(8195);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op8k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort203);
              flick_iiop_encode_new_glob(8, _flick_abort203);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort211);
                    break;
                    {
                    _flick_abort211:
                      goto _flick_abort203;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort212);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort212:
                      goto _flick_abort203;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort203:
              goto _flick_abort202;
            }
          }
          break;
          {
          _flick_abort202:
            goto _flick_abort2;
          }
        }
      case (signed int) 9:
        {
          {
            struct svc_req *_obj;
            unsigned int _t21_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort214);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t21_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t21_principal_len, _flick_abort214);
            flick_iiop_decode_new_glob(_t21_principal_len);
            flick_iiop_decode_new_chunk(_t21_principal_len);
            flick_iiop_decode_end_chunk(_t21_principal_len);
            flick_iiop_decode_end_glob(_t21_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(16384, 2, 0, 0);
            flick_iiop_check_span(16384, _flick_abort214);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(16384);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op16k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort214);
              flick_iiop_encode_new_glob(8, _flick_abort214);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort222);
                    break;
                    {
                    _flick_abort222:
                      goto _flick_abort214;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort223);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort223:
                      goto _flick_abort214;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort214:
              goto _flick_abort213;
            }
          }
          break;
          {
          _flick_abort213:
            goto _flick_abort2;
          }
        }
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t22_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort225);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t22_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t22_principal_len, _flick_abort225);
            flick_iiop_decode_new_glob(_t22_principal_len);
            flick_iiop_decode_new_chunk(_t22_principal_len);
            flick_iiop_decode_end_chunk(_t22_principal_len);
            flick_iiop_decode_end_glob(_t22_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(32768, 2, 0, 0);
            flick_iiop_check_span(32768, _flick_abort225);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(32768);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op32k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort225);
              flick_iiop_encode_new_glob(8, _flick_abort225);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort233);
                    break;
                    {
                    _flick_abort233:
                      goto _flick_abort225;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort234);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort234:
                      goto _flick_abort225;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort225:
              goto _flick_abort224;
            }
          }
          break;
          {
          _flick_abort224:
            goto _flick_abort2;
          }
        }
      case (signed int) 11:
        {
          {
            struct svc_req *_obj;
            unsigned int _t23_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort236);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t23_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t23_principal_len, _flick_abort236);
            flick_iiop_decode_new_glob(_t23_principal_len);
            flick_iiop_decode_new_chunk(_t23_principal_len);
            flick_iiop_decode_end_chunk(_t23_principal_len);
            flick_iiop_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(65536, 2, 0, 0);
            flick_iiop_check_span(65536, _flick_abort236);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(65536);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort236);
              flick_iiop_encode_new_glob(8, _flick_abort236);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort244);
                    break;
                    {
                    _flick_abort244:
                      goto _flick_abort236;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort245);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort245:
                      goto _flick_abort236;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort236:
              goto _flick_abort235;
            }
          }
          break;
          {
          _flick_abort235:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

