#include "arrayez_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_arrays[] = {
	"IDL:arrays:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t60_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t60_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t60_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t61_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t61_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t61_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t62_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t62_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t62_switch_tag)
                  {
                  case /* 8 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14336):
                    {
                      {
                        arrays _obj;
                        unsigned int _t63_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_long _t64_storage[8];
                        flick_unsigned32_t _t65_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t66_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort147);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t63_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t63_principal_len, _flick_abort147);
                        flick_iiop_decode_new_glob(_t63_principal_len);
                        flick_iiop_decode_new_chunk(_t63_principal_len);
                        flick_iiop_decode_end_chunk(_t63_principal_len);
                        flick_iiop_decode_end_glob(_t63_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(56);
                        _local_a = (CORBA_long *)_t64_storage;
                        for (_t65_array_iter = 0; _t65_array_iter < 8; _t65_array_iter++)
                          {
                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                            flick_iiop_check_span(4, _flick_abort151);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t65_array_iter], CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            continue;
                            {
                            _flick_abort151:
                              goto _flick_abort147;
                            }
                          }
                        _ev = (CORBA_Environment *)(&_t66_storage);
                        flick_iiop_decode_end_glob(56);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test8(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort147);
                          flick_iiop_encode_new_glob(8, _flick_abort147);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort158);
                                break;
                                {
                                _flick_abort158:
                                  goto _flick_abort147;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort159);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort159:
                                  goto _flick_abort147;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort147:
                          goto _flick_abort146;
                        }
                      }
                      break;
                      {
                      _flick_abort146:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t67_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t67_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t67_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t68_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t69_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t70_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort161);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t68_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t68_principal_len, _flick_abort161);
                        flick_iiop_decode_new_glob(_t68_principal_len);
                        flick_iiop_decode_new_chunk(_t68_principal_len);
                        flick_iiop_decode_end_chunk(_t68_principal_len);
                        flick_iiop_decode_end_glob(_t68_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort161);
                        flick_cdr_swap_decode_unsigned32(0, _t69_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t69_temp_string_len);
                        flick_iiop_check_span(1 * _t69_temp_string_len, _flick_abort161);
                        flick_iiop_decode_new_chunk(1 * _t69_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t69_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t69_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t70_storage);
                        _par = flick_interface_parents_arrays;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort161);
                          flick_iiop_encode_new_glob(5, _flick_abort161);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort169);
                                break;
                                {
                                _flick_abort169:
                                  goto _flick_abort161;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort170);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort170:
                                  goto _flick_abort161;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort161:
                          goto _flick_abort160;
                        }
                      }
                      break;
                      {
                      _flick_abort160:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t71_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t72_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t72_switch_tag)
                  {
                  case /* 256 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 842348032):
                    {
                      {
                        arrays _obj;
                        unsigned int _t73_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_long _t74_storage[256];
                        flick_unsigned32_t _t75_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t76_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort172);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t73_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t73_principal_len, _flick_abort172);
                        flick_iiop_decode_new_glob(_t73_principal_len);
                        flick_iiop_decode_new_chunk(_t73_principal_len);
                        flick_iiop_decode_end_chunk(_t73_principal_len);
                        flick_iiop_decode_end_glob(_t73_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(1792);
                        _local_a = (CORBA_long *)_t74_storage;
                        for (_t75_array_iter = 0; _t75_array_iter < 256; _t75_array_iter++)
                          {
                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                            flick_iiop_check_span(4, _flick_abort176);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t75_array_iter], CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            continue;
                            {
                            _flick_abort176:
                              goto _flick_abort172;
                            }
                          }
                        _ev = (CORBA_Environment *)(&_t76_storage);
                        flick_iiop_decode_end_glob(1792);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test256(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort172);
                          flick_iiop_encode_new_glob(8, _flick_abort172);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort183);
                                break;
                                {
                                _flick_abort183:
                                  goto _flick_abort172;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort184);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort184:
                                  goto _flick_abort172;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort172:
                          goto _flick_abort171;
                        }
                      }
                      break;
                      {
                      _flick_abort171:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t77_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t77_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t78_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t78_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t78_switch_tag)
                  {
                  case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                    {
                      char _t79_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t79_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t79_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t80_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_long _t81_storage[8192];
                              flick_unsigned32_t _t82_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t83_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort186);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t80_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_check_span(_t80_principal_len, _flick_abort186);
                              flick_iiop_decode_new_glob(_t80_principal_len);
                              flick_iiop_decode_new_chunk(_t80_principal_len);
                              flick_iiop_decode_end_chunk(_t80_principal_len);
                              flick_iiop_decode_end_glob(_t80_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(57344);
                              _local_a = (CORBA_long *)_t81_storage;
                              for (_t82_array_iter = 0; _t82_array_iter < 8192; _t82_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort190);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t82_array_iter], CORBA_long );
                                  flick_iiop_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort190:
                                    goto _flick_abort186;
                                  }
                                }
                              flick_iiop_decode_end_glob(57344);
                              _ev = (CORBA_Environment *)(&_t83_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test8k(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort186);
                                flick_iiop_encode_new_glob(8, _flick_abort186);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort197);
                                      break;
                                      {
                                      _flick_abort197:
                                        goto _flick_abort186;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort198);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort198:
                                        goto _flick_abort186;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort186:
                                goto _flick_abort185;
                              }
                            }
                            break;
                            {
                            _flick_abort185:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t18_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t18_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t18_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t19_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t19_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t20_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t20_switch_tag)
                  {
                  case /* 8 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14336):
                    {
                      {
                        arrays _obj;
                        unsigned int _t21_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t22_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort49);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t21_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t21_principal_len, _flick_abort49);
                        flick_iiop_decode_new_glob(_t21_principal_len);
                        flick_iiop_decode_new_chunk(_t21_principal_len);
                        flick_iiop_decode_end_chunk(_t21_principal_len);
                        flick_iiop_decode_end_glob(_t21_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(35);
                        flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                        flick_iiop_check_span(32, _flick_abort49);
                        flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                        _ev = (CORBA_Environment *)(&_t22_storage);
                        flick_iiop_decode_end_chunk(32);
                        flick_iiop_decode_end_glob(35);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test8(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort49);
                          flick_iiop_encode_new_glob(8, _flick_abort49);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort57);
                                break;
                                {
                                _flick_abort57:
                                  goto _flick_abort49;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort58);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort58:
                                  goto _flick_abort49;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort49:
                          goto _flick_abort48;
                        }
                      }
                      break;
                      {
                      _flick_abort48:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t23_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t23_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t23_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t24_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t25_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t26_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort60);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t24_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t24_principal_len, _flick_abort60);
                        flick_iiop_decode_new_glob(_t24_principal_len);
                        flick_iiop_decode_new_chunk(_t24_principal_len);
                        flick_iiop_decode_end_chunk(_t24_principal_len);
                        flick_iiop_decode_end_glob(_t24_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort60);
                        flick_cdr_decode_unsigned32(0, _t25_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t25_temp_string_len);
                        flick_iiop_check_span(1 * _t25_temp_string_len, _flick_abort60);
                        flick_iiop_decode_new_chunk(1 * _t25_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t25_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t25_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t26_storage);
                        _par = flick_interface_parents_arrays;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort60);
                          flick_iiop_encode_new_glob(5, _flick_abort60);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort68);
                                break;
                                {
                                _flick_abort68:
                                  goto _flick_abort60;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort69);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort69:
                                  goto _flick_abort60;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort60:
                          goto _flick_abort59;
                        }
                      }
                      break;
                      {
                      _flick_abort59:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t27_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t27_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t27_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t28_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t28_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t28_switch_tag)
                  {
                  case /* 256 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 842348032):
                    {
                      {
                        arrays _obj;
                        unsigned int _t29_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t30_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort71);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t29_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t29_principal_len, _flick_abort71);
                        flick_iiop_decode_new_glob(_t29_principal_len);
                        flick_iiop_decode_new_chunk(_t29_principal_len);
                        flick_iiop_decode_end_chunk(_t29_principal_len);
                        flick_iiop_decode_end_glob(_t29_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(1027);
                        flick_iiop_decode_new_chunk_align(1024, 2, 0, 0);
                        flick_iiop_check_span(1024, _flick_abort71);
                        flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                        _ev = (CORBA_Environment *)(&_t30_storage);
                        flick_iiop_decode_end_chunk(1024);
                        flick_iiop_decode_end_glob(1027);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test256(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort71);
                          flick_iiop_encode_new_glob(8, _flick_abort71);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort79);
                                break;
                                {
                                _flick_abort79:
                                  goto _flick_abort71;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort80:
                                  goto _flick_abort71;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort71:
                          goto _flick_abort70;
                        }
                      }
                      break;
                      {
                      _flick_abort70:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t31_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t31_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t32_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t32_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t32_switch_tag)
                  {
                  case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                    {
                      char _t33_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t33_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t33_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t34_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t35_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort82);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t34_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_check_span(_t34_principal_len, _flick_abort82);
                              flick_iiop_decode_new_glob(_t34_principal_len);
                              flick_iiop_decode_new_chunk(_t34_principal_len);
                              flick_iiop_decode_end_chunk(_t34_principal_len);
                              flick_iiop_decode_end_glob(_t34_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(3);
                              flick_iiop_decode_new_chunk_align(32768, 2, 0, 0);
                              flick_iiop_check_span(32768, _flick_abort82);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                              flick_iiop_decode_end_chunk(32768);
                              flick_iiop_decode_end_glob(3);
                              _ev = (CORBA_Environment *)(&_t35_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test8k(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort82);
                                flick_iiop_encode_new_glob(8, _flick_abort82);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort90);
                                      break;
                                      {
                                      _flick_abort90:
                                        goto _flick_abort82;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort91);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort91:
                                        goto _flick_abort82;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort82:
                                goto _flick_abort81;
                              }
                            }
                            break;
                            {
                            _flick_abort81:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

