#include "mig-types-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t types_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t95_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t95_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t95_switch_tag)
      {
      case (signed int) 4440000:
        {
          {
            mach_port_t _local_target;
            unsigned int _t96_principal_len;
            kern_return_t _return;
            char _char;
            byte _byte;
            bool _bool;
            shortshort _short8;
            short _short16;
            int _int;
            long int _long;
            signed int _signed;
            unsigned int _unsigned;
            float _float;
            double _double;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort342);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t96_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t96_principal_len + 4, _flick_abort342);
            flick_iiop_decode_new_glob(_t96_principal_len);
            flick_iiop_decode_new_chunk(_t96_principal_len);
            flick_iiop_decode_end_chunk(_t96_principal_len);
            flick_iiop_decode_end_glob(_t96_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(41);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_char8(0, _char, char );
            flick_cdr_swap_decode_signed8(1, _byte, byte );
            flick_cdr_swap_decode_unsigned8(2, _bool, bool );
            flick_cdr_swap_decode_signed8(3, _short8, shortshort );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_iiop_check_span(2, _flick_abort342);
            flick_cdr_swap_decode_signed16(0, _short16, short );
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_new_chunk_align(20, 2, 1, 0);
            flick_iiop_check_span(20, _flick_abort342);
            flick_cdr_swap_decode_signed32(0, _int, int );
            flick_cdr_swap_decode_signed32(4, _long, long int );
            flick_cdr_swap_decode_signed32(8, _signed, signed int );
            flick_cdr_swap_decode_signed32(12, _unsigned, unsigned int );
            flick_cdr_swap_decode_float32(16, _float, float );
            flick_iiop_decode_end_chunk(20);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_iiop_check_span(8, _flick_abort342);
            flick_cdr_swap_decode_float64(0, _double, double );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(41);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_snd(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort342);
              flick_iiop_encode_new_glob(4, _flick_abort342);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort347);
                    break;
                    {
                    _flick_abort347:
                      goto _flick_abort342;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort342:
              goto _flick_abort341;
            }
          }
          break;
          {
          _flick_abort341:
            goto _flick_abort2;
          }
        }
      case (signed int) 4440001:
        {
          {
            mach_port_t _local_target;
            unsigned int _t97_principal_len;
            kern_return_t _return;
            char *_char;
            char _t98_storage;
            byte *_byte;
            byte _t99_storage;
            bool *_bool;
            bool _t100_storage;
            shortshort *_short8;
            shortshort _t101_storage;
            short *_short16;
            short _t102_storage;
            int *_int;
            int _t103_storage;
            long int *_long;
            long int _t104_storage;
            signed int *_signed;
            signed int _t105_storage;
            unsigned int *_unsigned;
            unsigned int _t106_storage;
            float *_float;
            float _t107_storage;
            double *_double;
            double _t108_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort349);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t97_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t97_principal_len, _flick_abort349);
            flick_iiop_decode_new_glob(_t97_principal_len);
            flick_iiop_decode_new_chunk(_t97_principal_len);
            flick_iiop_decode_end_chunk(_t97_principal_len);
            flick_iiop_decode_end_glob(_t97_principal_len);
            /* Begin decode phase on parameters */
            _char = (char *)(&_t98_storage);
            _byte = (byte *)(&_t99_storage);
            _bool = (bool *)(&_t100_storage);
            _short8 = (shortshort *)(&_t101_storage);
            _short16 = (short *)(&_t102_storage);
            _int = (int *)(&_t103_storage);
            _long = (long int *)(&_t104_storage);
            _signed = (signed int *)(&_t105_storage);
            _unsigned = (unsigned int *)(&_t106_storage);
            _float = (float *)(&_t107_storage);
            _double = (double *)(&_t108_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rcv(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort349);
              flick_iiop_encode_new_glob(44, _flick_abort349);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(28);
                    flick_cdr_encode_char8(0, *_char, char );
                    flick_cdr_encode_signed8(1, *_byte, byte );
                    flick_cdr_encode_unsigned8(2, *_bool, bool );
                    flick_cdr_encode_signed8(3, *_short8, shortshort );
                    flick_cdr_encode_signed16(4, *_short16, short );
                    flick_cdr_encode_signed32(8, *_int, int );
                    flick_cdr_encode_signed32(12, *_long, long int );
                    flick_cdr_encode_signed32(16, *_signed, signed int );
                    flick_cdr_encode_signed32(20, *_unsigned, unsigned int );
                    flick_cdr_encode_float32(24, *_float, float );
                    flick_iiop_encode_end_chunk(28);
                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_double, double );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(44);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(44);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort354);
                    break;
                    {
                    _flick_abort354:
                      goto _flick_abort349;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort349:
              goto _flick_abort348;
            }
          }
          break;
          {
          _flick_abort348:
            goto _flick_abort2;
          }
        }
      case (signed int) 4440002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t109_principal_len;
            kern_return_t _return;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            short _t110_storage[9];
            flick_unsigned32_t _t111_array_iter;
            int *_intA;
            int _t112_storage[9];
            flick_unsigned32_t _t113_array_iter;
            long *_longA;
            long _t114_storage[9];
            flick_unsigned32_t _t115_array_iter;
            signed *_signedA;
            signed _t116_storage[9];
            flick_unsigned32_t _t117_array_iter;
            unsigned *_unsignedA;
            unsigned _t118_storage[9];
            flick_unsigned32_t _t119_array_iter;
            float *_floatA;
            float _t120_storage[9];
            flick_unsigned32_t _t121_array_iter;
            double *_doubleA;
            double _t122_storage[9];
            flick_unsigned32_t _t123_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort356);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t109_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t109_principal_len + 36, _flick_abort356);
            flick_iiop_decode_new_glob(_t109_principal_len);
            flick_iiop_decode_new_chunk(_t109_principal_len);
            flick_iiop_decode_end_chunk(_t109_principal_len);
            flick_iiop_decode_end_glob(_t109_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(369);
            flick_iiop_decode_new_chunk(36);
            flick_cdr_swap_decode_msgptr(0, _charA, char *);
            flick_cdr_swap_decode_msgptr(9, _byteA, byte *);
            flick_cdr_swap_decode_msgptr(18, _boolA, bool *);
            flick_cdr_swap_decode_msgptr(27, _short8A, shortshort *);
            flick_iiop_decode_end_chunk(36);
            _short16A = (short *)_t110_storage;
            for (_t111_array_iter = 0; _t111_array_iter < 9; _t111_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                flick_iiop_check_span(2, _flick_abort368);
                flick_cdr_swap_decode_signed16(0, _short16A[_t111_array_iter], short );
                flick_iiop_decode_end_chunk(2);
                continue;
                {
                _flick_abort368:
                  goto _flick_abort356;
                }
              }
            _intA = (int *)_t112_storage;
            for (_t113_array_iter = 0; _t113_array_iter < 9; _t113_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                flick_iiop_check_span(4, _flick_abort373);
                flick_cdr_swap_decode_signed32(0, _intA[_t113_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort373:
                  goto _flick_abort356;
                }
              }
            _longA = (long *)_t114_storage;
            flick_iiop_check_span(9 * 4 + (9 * 4 + (9 * 4 + 9 * 4)), _flick_abort356);
            for (_t115_array_iter = 0; _t115_array_iter < 9; _t115_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _longA[_t115_array_iter], long );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _signedA = (signed *)_t116_storage;
            for (_t117_array_iter = 0; _t117_array_iter < 9; _t117_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _signedA[_t117_array_iter], signed );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _unsignedA = (unsigned *)_t118_storage;
            for (_t119_array_iter = 0; _t119_array_iter < 9; _t119_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _unsignedA[_t119_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _floatA = (float *)_t120_storage;
            for (_t121_array_iter = 0; _t121_array_iter < 9; _t121_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_float32(0, _floatA[_t121_array_iter], float );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _doubleA = (double *)_t122_storage;
            for (_t123_array_iter = 0; _t123_array_iter < 9; _t123_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                flick_iiop_check_span(8, _flick_abort398);
                flick_cdr_swap_decode_float64(0, _doubleA[_t123_array_iter], double );
                flick_iiop_decode_end_chunk(8);
                continue;
                {
                _flick_abort398:
                  goto _flick_abort356;
                }
              }
            flick_iiop_decode_end_glob(369);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_sndArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort356);
              flick_iiop_encode_new_glob(4, _flick_abort356);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort404);
                    break;
                    {
                    _flick_abort404:
                      goto _flick_abort356;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort356:
              goto _flick_abort355;
            }
          }
          break;
          {
          _flick_abort355:
            goto _flick_abort2;
          }
        }
      case (signed int) 4440003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t124_principal_len;
            kern_return_t _return;
            char *_charA;
            char _t125_storage[9];
            byte *_byteA;
            byte _t126_storage[9];
            bool *_boolA;
            bool _t127_storage[9];
            shortshort *_short8A;
            shortshort _t128_storage[9];
            short *_short16A;
            short _t129_storage[9];
            int *_intA;
            int _t130_storage[9];
            long *_longA;
            long _t131_storage[9];
            signed *_signedA;
            signed _t132_storage[9];
            unsigned *_unsignedA;
            unsigned _t133_storage[9];
            float *_floatA;
            float _t134_storage[9];
            double *_doubleA;
            double _t135_storage[9];

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort406);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t124_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t124_principal_len, _flick_abort406);
            flick_iiop_decode_new_glob(_t124_principal_len);
            flick_iiop_decode_new_chunk(_t124_principal_len);
            flick_iiop_decode_end_chunk(_t124_principal_len);
            flick_iiop_decode_end_glob(_t124_principal_len);
            /* Begin decode phase on parameters */
            _charA = (char *)_t125_storage;
            _byteA = (byte *)_t126_storage;
            _boolA = (bool *)_t127_storage;
            _short8A = (shortshort *)_t128_storage;
            _short16A = (short *)_t129_storage;
            _intA = (int *)_t130_storage;
            _longA = (long *)_t131_storage;
            _signedA = (signed *)_t132_storage;
            _unsignedA = (unsigned *)_t133_storage;
            _floatA = (float *)_t134_storage;
            _doubleA = (double *)_t135_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rcvArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort406);
              flick_iiop_encode_new_glob(316, _flick_abort406);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(236);
                    flick_cdr_encode_bcopy(0, _charA, 9);
                    flick_cdr_encode_bcopy(9, _byteA, 9);
                    flick_cdr_encode_bcopy(18, _boolA, 9);
                    flick_cdr_encode_bcopy(27, _short8A, 9);
                    flick_cdr_encode_bcopy(36, _short16A, 18);
                    flick_cdr_encode_bcopy(56, _intA, 36);
                    flick_cdr_encode_bcopy(92, _longA, 36);
                    flick_cdr_encode_bcopy(128, _signedA, 36);
                    flick_cdr_encode_bcopy(164, _unsignedA, 36);
                    flick_cdr_encode_bcopy(200, _floatA, 36);
                    flick_iiop_encode_end_chunk(236);
                    flick_iiop_encode_new_chunk_align(72, 3, 2, 0);
                    flick_cdr_encode_bcopy(0, _doubleA, 72);
                    flick_iiop_encode_end_chunk(72);
                    flick_iiop_encode_end_glob(316);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(316);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort466);
                    break;
                    {
                    _flick_abort466:
                      goto _flick_abort406;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort406:
              goto _flick_abort405;
            }
          }
          break;
          {
          _flick_abort405:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t27_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t27_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t27_switch_tag)
      {
      case (signed int) 4440000:
        {
          {
            mach_port_t _local_target;
            unsigned int _t28_principal_len;
            kern_return_t _return;
            char _char;
            byte _byte;
            bool _bool;
            shortshort _short8;
            short _short16;
            int _int;
            long int _long;
            signed int _signed;
            unsigned int _unsigned;
            float _float;
            double _double;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort110);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t28_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t28_principal_len + 4, _flick_abort110);
            flick_iiop_decode_new_glob(_t28_principal_len);
            flick_iiop_decode_new_chunk(_t28_principal_len);
            flick_iiop_decode_end_chunk(_t28_principal_len);
            flick_iiop_decode_end_glob(_t28_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(41);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_char8(0, _char, char );
            flick_cdr_decode_signed8(1, _byte, byte );
            flick_cdr_decode_unsigned8(2, _bool, bool );
            flick_cdr_decode_signed8(3, _short8, shortshort );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_iiop_check_span(2, _flick_abort110);
            flick_cdr_decode_signed16(0, _short16, short );
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_new_chunk_align(20, 2, 1, 0);
            flick_iiop_check_span(20, _flick_abort110);
            flick_cdr_decode_signed32(0, _int, int );
            flick_cdr_decode_signed32(4, _long, long int );
            flick_cdr_decode_signed32(8, _signed, signed int );
            flick_cdr_decode_signed32(12, _unsigned, unsigned int );
            flick_cdr_decode_float32(16, _float, float );
            flick_iiop_decode_end_chunk(20);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_iiop_check_span(8, _flick_abort110);
            flick_cdr_decode_float64(0, _double, double );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(41);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_snd(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort110);
              flick_iiop_encode_new_glob(4, _flick_abort110);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort115);
                    break;
                    {
                    _flick_abort115:
                      goto _flick_abort110;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort110:
              goto _flick_abort109;
            }
          }
          break;
          {
          _flick_abort109:
            goto _flick_abort2;
          }
        }
      case (signed int) 4440001:
        {
          {
            mach_port_t _local_target;
            unsigned int _t29_principal_len;
            kern_return_t _return;
            char *_char;
            char _t30_storage;
            byte *_byte;
            byte _t31_storage;
            bool *_bool;
            bool _t32_storage;
            shortshort *_short8;
            shortshort _t33_storage;
            short *_short16;
            short _t34_storage;
            int *_int;
            int _t35_storage;
            long int *_long;
            long int _t36_storage;
            signed int *_signed;
            signed int _t37_storage;
            unsigned int *_unsigned;
            unsigned int _t38_storage;
            float *_float;
            float _t39_storage;
            double *_double;
            double _t40_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort117);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t29_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t29_principal_len, _flick_abort117);
            flick_iiop_decode_new_glob(_t29_principal_len);
            flick_iiop_decode_new_chunk(_t29_principal_len);
            flick_iiop_decode_end_chunk(_t29_principal_len);
            flick_iiop_decode_end_glob(_t29_principal_len);
            /* Begin decode phase on parameters */
            _char = (char *)(&_t30_storage);
            _byte = (byte *)(&_t31_storage);
            _bool = (bool *)(&_t32_storage);
            _short8 = (shortshort *)(&_t33_storage);
            _short16 = (short *)(&_t34_storage);
            _int = (int *)(&_t35_storage);
            _long = (long int *)(&_t36_storage);
            _signed = (signed int *)(&_t37_storage);
            _unsigned = (unsigned int *)(&_t38_storage);
            _float = (float *)(&_t39_storage);
            _double = (double *)(&_t40_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rcv(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort117);
              flick_iiop_encode_new_glob(44, _flick_abort117);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(28);
                    flick_cdr_encode_char8(0, *_char, char );
                    flick_cdr_encode_signed8(1, *_byte, byte );
                    flick_cdr_encode_unsigned8(2, *_bool, bool );
                    flick_cdr_encode_signed8(3, *_short8, shortshort );
                    flick_cdr_encode_signed16(4, *_short16, short );
                    flick_cdr_encode_signed32(8, *_int, int );
                    flick_cdr_encode_signed32(12, *_long, long int );
                    flick_cdr_encode_signed32(16, *_signed, signed int );
                    flick_cdr_encode_signed32(20, *_unsigned, unsigned int );
                    flick_cdr_encode_float32(24, *_float, float );
                    flick_iiop_encode_end_chunk(28);
                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_double, double );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(44);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(44);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort122);
                    break;
                    {
                    _flick_abort122:
                      goto _flick_abort117;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort117:
              goto _flick_abort116;
            }
          }
          break;
          {
          _flick_abort116:
            goto _flick_abort2;
          }
        }
      case (signed int) 4440002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t41_principal_len;
            kern_return_t _return;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            int *_intA;
            long *_longA;
            signed *_signedA;
            unsigned *_unsignedA;
            float *_floatA;
            double *_doubleA;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort124);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t41_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t41_principal_len + 36, _flick_abort124);
            flick_iiop_decode_new_glob(_t41_principal_len);
            flick_iiop_decode_new_chunk(_t41_principal_len);
            flick_iiop_decode_end_chunk(_t41_principal_len);
            flick_iiop_decode_end_glob(_t41_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(313);
            flick_iiop_decode_new_chunk(36);
            flick_cdr_decode_msgptr(0, _charA, char *);
            flick_cdr_decode_msgptr(9, _byteA, byte *);
            flick_cdr_decode_msgptr(18, _boolA, bool *);
            flick_cdr_decode_msgptr(27, _short8A, shortshort *);
            flick_iiop_decode_end_chunk(36);
            flick_iiop_decode_new_chunk_align(18, 1, 0, 0);
            flick_iiop_check_span(18, _flick_abort124);
            flick_cdr_decode_msgptr(0, _short16A, short *);
            flick_iiop_decode_end_chunk(18);
            flick_iiop_decode_new_chunk_align(180, 2, 1, 0);
            flick_iiop_check_span(180, _flick_abort124);
            flick_cdr_decode_msgptr(0, _intA, int *);
            flick_cdr_decode_msgptr(36, _longA, long *);
            flick_cdr_decode_msgptr(72, _signedA, signed *);
            flick_cdr_decode_msgptr(108, _unsignedA, unsigned *);
            flick_cdr_decode_msgptr(144, _floatA, float *);
            flick_iiop_decode_end_chunk(180);
            flick_iiop_decode_new_chunk_align(72, 3, 2, 0);
            flick_iiop_check_span(72, _flick_abort124);
            flick_cdr_decode_msgptr(0, _doubleA, double *);
            flick_iiop_decode_end_chunk(72);
            flick_iiop_decode_end_glob(313);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_sndArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort124);
              flick_iiop_encode_new_glob(4, _flick_abort124);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort151);
                    break;
                    {
                    _flick_abort151:
                      goto _flick_abort124;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort124:
              goto _flick_abort123;
            }
          }
          break;
          {
          _flick_abort123:
            goto _flick_abort2;
          }
        }
      case (signed int) 4440003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t42_principal_len;
            kern_return_t _return;
            char *_charA;
            char _t43_storage[9];
            byte *_byteA;
            byte _t44_storage[9];
            bool *_boolA;
            bool _t45_storage[9];
            shortshort *_short8A;
            shortshort _t46_storage[9];
            short *_short16A;
            short _t47_storage[9];
            int *_intA;
            int _t48_storage[9];
            long *_longA;
            long _t49_storage[9];
            signed *_signedA;
            signed _t50_storage[9];
            unsigned *_unsignedA;
            unsigned _t51_storage[9];
            float *_floatA;
            float _t52_storage[9];
            double *_doubleA;
            double _t53_storage[9];

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort153);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t42_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t42_principal_len, _flick_abort153);
            flick_iiop_decode_new_glob(_t42_principal_len);
            flick_iiop_decode_new_chunk(_t42_principal_len);
            flick_iiop_decode_end_chunk(_t42_principal_len);
            flick_iiop_decode_end_glob(_t42_principal_len);
            /* Begin decode phase on parameters */
            _charA = (char *)_t43_storage;
            _byteA = (byte *)_t44_storage;
            _boolA = (bool *)_t45_storage;
            _short8A = (shortshort *)_t46_storage;
            _short16A = (short *)_t47_storage;
            _intA = (int *)_t48_storage;
            _longA = (long *)_t49_storage;
            _signedA = (signed *)_t50_storage;
            _unsignedA = (unsigned *)_t51_storage;
            _floatA = (float *)_t52_storage;
            _doubleA = (double *)_t53_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rcvArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort153);
              flick_iiop_encode_new_glob(316, _flick_abort153);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(236);
                    flick_cdr_encode_bcopy(0, _charA, 9);
                    flick_cdr_encode_bcopy(9, _byteA, 9);
                    flick_cdr_encode_bcopy(18, _boolA, 9);
                    flick_cdr_encode_bcopy(27, _short8A, 9);
                    flick_cdr_encode_bcopy(36, _short16A, 18);
                    flick_cdr_encode_bcopy(56, _intA, 36);
                    flick_cdr_encode_bcopy(92, _longA, 36);
                    flick_cdr_encode_bcopy(128, _signedA, 36);
                    flick_cdr_encode_bcopy(164, _unsignedA, 36);
                    flick_cdr_encode_bcopy(200, _floatA, 36);
                    flick_iiop_encode_end_chunk(236);
                    flick_iiop_encode_new_chunk_align(72, 3, 2, 0);
                    flick_cdr_encode_bcopy(0, _doubleA, 72);
                    flick_iiop_encode_end_chunk(72);
                    flick_iiop_encode_end_glob(316);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(316);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort213);
                    break;
                    {
                    _flick_abort213:
                      goto _flick_abort153;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort153:
              goto _flick_abort152;
            }
          }
          break;
          {
          _flick_abort152:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

