#include "namelens-server.h"

/* This is the runtime type information */
char *flick_interface_parents_onewaytest[] = {
	"IDL:onewaytest:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t onewaytest_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t144_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t144_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t144_switch_tag)
      {
      case (unsigned int) 2:
        {
          unsigned short int _t145_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t145_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t145_switch_tag)
            {
            case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
              {
                {
                  onewaytest _obj;
                  unsigned int _t146_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t147_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort309);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(6);
                  flick_cdr_swap_decode_unsigned32(2, _t146_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(6);
                  flick_iiop_decode_end_glob(20);
                  flick_iiop_check_span(_t146_principal_len, _flick_abort309);
                  flick_iiop_decode_new_glob(_t146_principal_len);
                  flick_iiop_decode_new_chunk(_t146_principal_len);
                  flick_iiop_decode_end_chunk(_t146_principal_len);
                  flick_iiop_decode_end_glob(_t146_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t147_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  onewaytest_n(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort309);
                    flick_iiop_encode_new_glob(4, _flick_abort309);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort315);
                          break;
                          {
                          _flick_abort315:
                            goto _flick_abort309;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort316);
                          flick_iiop_encode_end_glob(4);
                          break;
                          {
                          _flick_abort316:
                            goto _flick_abort309;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort309:
                    goto _flick_abort308;
                  }
                }
                break;
                {
                _flick_abort308:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t148_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t148_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t148_switch_tag)
            {
            case /* n2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28210):
              {
                char _t149_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t149_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t149_switch_tag)
                  {
                  case 0:
                    {
                      {
                        onewaytest _obj;
                        unsigned int _t150_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t151_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort318);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t150_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t150_principal_len, _flick_abort318);
                        flick_iiop_decode_new_glob(_t150_principal_len);
                        flick_iiop_decode_new_chunk(_t150_principal_len);
                        flick_iiop_decode_end_chunk(_t150_principal_len);
                        flick_iiop_decode_end_glob(_t150_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t151_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        onewaytest_n2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort318);
                          flick_iiop_encode_new_glob(4, _flick_abort318);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort324);
                                break;
                                {
                                _flick_abort324:
                                  goto _flick_abort318;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort325);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort325:
                                  goto _flick_abort318;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort318:
                          goto _flick_abort317;
                        }
                      }
                      break;
                      {
                      _flick_abort317:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t152_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t152_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t152_switch_tag)
            {
            case /* n23 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783616):
              {
                {
                  onewaytest _obj;
                  unsigned int _t153_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t154_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort327);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t153_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(20);
                  flick_iiop_check_span(_t153_principal_len, _flick_abort327);
                  flick_iiop_decode_new_glob(_t153_principal_len);
                  flick_iiop_decode_new_chunk(_t153_principal_len);
                  flick_iiop_decode_end_chunk(_t153_principal_len);
                  flick_iiop_decode_end_glob(_t153_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t154_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  onewaytest_n23(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort327);
                    flick_iiop_encode_new_glob(4, _flick_abort327);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort333);
                          break;
                          {
                          _flick_abort333:
                            goto _flick_abort327;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort334);
                          flick_iiop_encode_end_glob(4);
                          break;
                          {
                          _flick_abort334:
                            goto _flick_abort327;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort327:
                    goto _flick_abort326;
                  }
                }
                break;
                {
                _flick_abort326:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t155_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t155_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t155_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                char _t156_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t156_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t156_switch_tag)
                  {
                  case 0:
                    {
                      {
                        onewaytest _obj;
                        unsigned int _t157_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t158_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort336);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t157_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t157_principal_len, _flick_abort336);
                        flick_iiop_decode_new_glob(_t157_principal_len);
                        flick_iiop_decode_new_chunk(_t157_principal_len);
                        flick_iiop_decode_end_chunk(_t157_principal_len);
                        flick_iiop_decode_end_glob(_t157_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t158_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        onewaytest_n234(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort336);
                          flick_iiop_encode_new_glob(4, _flick_abort336);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort342);
                                break;
                                {
                                _flick_abort342:
                                  goto _flick_abort336;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort343);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort343:
                                  goto _flick_abort336;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort336:
                          goto _flick_abort335;
                        }
                      }
                      break;
                      {
                      _flick_abort335:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t159_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t159_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t159_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t160_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t160_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t160_switch_tag)
                  {
                  case /* 5 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13568):
                    {
                      {
                        onewaytest _obj;
                        unsigned int _t161_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t162_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort345);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t161_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t161_principal_len, _flick_abort345);
                        flick_iiop_decode_new_glob(_t161_principal_len);
                        flick_iiop_decode_new_chunk(_t161_principal_len);
                        flick_iiop_decode_end_chunk(_t161_principal_len);
                        flick_iiop_decode_end_glob(_t161_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t162_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        onewaytest_n2345(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort345);
                          flick_iiop_encode_new_glob(4, _flick_abort345);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort351);
                                break;
                                {
                                _flick_abort351:
                                  goto _flick_abort345;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort352);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort352:
                                  goto _flick_abort345;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort345:
                          goto _flick_abort344;
                        }
                      }
                      break;
                      {
                      _flick_abort344:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t163_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t163_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t163_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t164_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t165_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t166_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort354);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t164_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t164_principal_len, _flick_abort354);
                        flick_iiop_decode_new_glob(_t164_principal_len);
                        flick_iiop_decode_new_chunk(_t164_principal_len);
                        flick_iiop_decode_end_chunk(_t164_principal_len);
                        flick_iiop_decode_end_glob(_t164_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort354);
                        flick_cdr_swap_decode_unsigned32(0, _t165_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t165_temp_string_len);
                        flick_iiop_check_span(1 * _t165_temp_string_len, _flick_abort354);
                        flick_iiop_decode_new_chunk(1 * _t165_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t165_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t165_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t166_storage);
                        _par = flick_interface_parents_onewaytest;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort354);
                          flick_iiop_encode_new_glob(5, _flick_abort354);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort362);
                                break;
                                {
                                _flick_abort362:
                                  goto _flick_abort354;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort363);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort363:
                                  goto _flick_abort354;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort354:
                          goto _flick_abort353;
                        }
                      }
                      break;
                      {
                      _flick_abort353:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t167_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t167_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t167_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t168_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t168_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t168_switch_tag)
                  {
                  case /* 56 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13622):
                    {
                      char _t169_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t169_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t169_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              unsigned int _t170_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t171_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort365);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t170_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t170_principal_len, _flick_abort365);
                              flick_iiop_decode_new_glob(_t170_principal_len);
                              flick_iiop_decode_new_chunk(_t170_principal_len);
                              flick_iiop_decode_end_chunk(_t170_principal_len);
                              flick_iiop_decode_end_glob(_t170_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t171_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              onewaytest_n23456(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort365);
                                flick_iiop_encode_new_glob(4, _flick_abort365);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort371);
                                      break;
                                      {
                                      _flick_abort371:
                                        goto _flick_abort365;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort372);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort372:
                                        goto _flick_abort365;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort365:
                                goto _flick_abort364;
                              }
                            }
                            break;
                            {
                            _flick_abort364:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t172_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t172_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t172_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t173_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t173_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t173_switch_tag)
                  {
                  case /* 567 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745472):
                    {
                      {
                        onewaytest _obj;
                        unsigned int _t174_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t175_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort374);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t174_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t174_principal_len, _flick_abort374);
                        flick_iiop_decode_new_glob(_t174_principal_len);
                        flick_iiop_decode_new_chunk(_t174_principal_len);
                        flick_iiop_decode_end_chunk(_t174_principal_len);
                        flick_iiop_decode_end_glob(_t174_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t175_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        onewaytest_n234567(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort374);
                          flick_iiop_encode_new_glob(4, _flick_abort374);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort380);
                                break;
                                {
                                _flick_abort380:
                                  goto _flick_abort374;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort381);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort381:
                                  goto _flick_abort374;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort374:
                          goto _flick_abort373;
                        }
                      }
                      break;
                      {
                      _flick_abort373:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t176_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t176_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t176_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t177_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t177_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t177_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      char _t178_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t178_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t178_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              unsigned int _t179_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t180_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort383);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t179_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t179_principal_len, _flick_abort383);
                              flick_iiop_decode_new_glob(_t179_principal_len);
                              flick_iiop_decode_new_chunk(_t179_principal_len);
                              flick_iiop_decode_end_chunk(_t179_principal_len);
                              flick_iiop_decode_end_glob(_t179_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t180_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              onewaytest_n2345678(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort383);
                                flick_iiop_encode_new_glob(4, _flick_abort383);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort389);
                                      break;
                                      {
                                      _flick_abort389:
                                        goto _flick_abort383;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort390);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort390:
                                        goto _flick_abort383;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort383:
                                goto _flick_abort382;
                              }
                            }
                            break;
                            {
                            _flick_abort382:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t181_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t181_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t181_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t182_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t182_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t182_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t183_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t183_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t183_switch_tag)
                        {
                        case /* 9 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14592):
                          {
                            {
                              onewaytest _obj;
                              unsigned int _t184_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t185_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort392);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t184_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t184_principal_len, _flick_abort392);
                              flick_iiop_decode_new_glob(_t184_principal_len);
                              flick_iiop_decode_new_chunk(_t184_principal_len);
                              flick_iiop_decode_end_chunk(_t184_principal_len);
                              flick_iiop_decode_end_glob(_t184_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t185_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              onewaytest_n23456789(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort392);
                                flick_iiop_encode_new_glob(4, _flick_abort392);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort398);
                                      break;
                                      {
                                      _flick_abort398:
                                        goto _flick_abort392;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort399);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort399:
                                        goto _flick_abort392;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort392:
                                goto _flick_abort391;
                              }
                            }
                            break;
                            {
                            _flick_abort391:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t186_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t186_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t186_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t187_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t187_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t187_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t188_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t188_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t188_switch_tag)
                        {
                        case /* 90 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14640):
                          {
                            char _t189_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t189_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t189_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t190_principal_len;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t191_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort401);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t190_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_check_span(_t190_principal_len, _flick_abort401);
                                    flick_iiop_decode_new_glob(_t190_principal_len);
                                    flick_iiop_decode_new_chunk(_t190_principal_len);
                                    flick_iiop_decode_end_chunk(_t190_principal_len);
                                    flick_iiop_decode_end_glob(_t190_principal_len);
                                    /* Begin decode phase on parameters */
                                    _ev = (CORBA_Environment *)(&_t191_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    onewaytest_n234567890(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort401);
                                      flick_iiop_encode_new_glob(4, _flick_abort401);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort407);
                                            break;
                                            {
                                            _flick_abort407:
                                              goto _flick_abort401;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort408);
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort408:
                                              goto _flick_abort401;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort401:
                                      goto _flick_abort400;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort400:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t48_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t48_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t48_switch_tag)
      {
      case (unsigned int) 2:
        {
          unsigned short int _t49_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t49_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t49_switch_tag)
            {
            case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
              {
                {
                  onewaytest _obj;
                  unsigned int _t50_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t51_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort106);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(6);
                  flick_cdr_decode_unsigned32(2, _t50_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(6);
                  flick_iiop_decode_end_glob(20);
                  flick_iiop_check_span(_t50_principal_len, _flick_abort106);
                  flick_iiop_decode_new_glob(_t50_principal_len);
                  flick_iiop_decode_new_chunk(_t50_principal_len);
                  flick_iiop_decode_end_chunk(_t50_principal_len);
                  flick_iiop_decode_end_glob(_t50_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t51_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  onewaytest_n(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort106);
                    flick_iiop_encode_new_glob(4, _flick_abort106);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort112);
                          break;
                          {
                          _flick_abort112:
                            goto _flick_abort106;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort113);
                          flick_iiop_encode_end_glob(4);
                          break;
                          {
                          _flick_abort113:
                            goto _flick_abort106;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort106:
                    goto _flick_abort105;
                  }
                }
                break;
                {
                _flick_abort105:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t52_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t52_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t52_switch_tag)
            {
            case /* n2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28210):
              {
                char _t53_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t53_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t53_switch_tag)
                  {
                  case 0:
                    {
                      {
                        onewaytest _obj;
                        unsigned int _t54_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t55_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort115);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t54_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t54_principal_len, _flick_abort115);
                        flick_iiop_decode_new_glob(_t54_principal_len);
                        flick_iiop_decode_new_chunk(_t54_principal_len);
                        flick_iiop_decode_end_chunk(_t54_principal_len);
                        flick_iiop_decode_end_glob(_t54_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t55_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        onewaytest_n2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort115);
                          flick_iiop_encode_new_glob(4, _flick_abort115);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort121);
                                break;
                                {
                                _flick_abort121:
                                  goto _flick_abort115;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort122);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort122:
                                  goto _flick_abort115;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort115:
                          goto _flick_abort114;
                        }
                      }
                      break;
                      {
                      _flick_abort114:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t56_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t56_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t56_switch_tag)
            {
            case /* n23 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783616):
              {
                {
                  onewaytest _obj;
                  unsigned int _t57_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t58_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort124);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t57_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(20);
                  flick_iiop_check_span(_t57_principal_len, _flick_abort124);
                  flick_iiop_decode_new_glob(_t57_principal_len);
                  flick_iiop_decode_new_chunk(_t57_principal_len);
                  flick_iiop_decode_end_chunk(_t57_principal_len);
                  flick_iiop_decode_end_glob(_t57_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t58_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  onewaytest_n23(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort124);
                    flick_iiop_encode_new_glob(4, _flick_abort124);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort130);
                          break;
                          {
                          _flick_abort130:
                            goto _flick_abort124;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort131);
                          flick_iiop_encode_end_glob(4);
                          break;
                          {
                          _flick_abort131:
                            goto _flick_abort124;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort124:
                    goto _flick_abort123;
                  }
                }
                break;
                {
                _flick_abort123:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t59_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t59_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t59_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                char _t60_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t60_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t60_switch_tag)
                  {
                  case 0:
                    {
                      {
                        onewaytest _obj;
                        unsigned int _t61_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t62_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort133);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t61_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t61_principal_len, _flick_abort133);
                        flick_iiop_decode_new_glob(_t61_principal_len);
                        flick_iiop_decode_new_chunk(_t61_principal_len);
                        flick_iiop_decode_end_chunk(_t61_principal_len);
                        flick_iiop_decode_end_glob(_t61_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t62_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        onewaytest_n234(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort133);
                          flick_iiop_encode_new_glob(4, _flick_abort133);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort139);
                                break;
                                {
                                _flick_abort139:
                                  goto _flick_abort133;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort140);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort140:
                                  goto _flick_abort133;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort133:
                          goto _flick_abort132;
                        }
                      }
                      break;
                      {
                      _flick_abort132:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t63_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t63_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t64_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t64_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t64_switch_tag)
                  {
                  case /* 5 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13568):
                    {
                      {
                        onewaytest _obj;
                        unsigned int _t65_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t66_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort142);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t65_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t65_principal_len, _flick_abort142);
                        flick_iiop_decode_new_glob(_t65_principal_len);
                        flick_iiop_decode_new_chunk(_t65_principal_len);
                        flick_iiop_decode_end_chunk(_t65_principal_len);
                        flick_iiop_decode_end_glob(_t65_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t66_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        onewaytest_n2345(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort142);
                          flick_iiop_encode_new_glob(4, _flick_abort142);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort148);
                                break;
                                {
                                _flick_abort148:
                                  goto _flick_abort142;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort149);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort149:
                                  goto _flick_abort142;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort142:
                          goto _flick_abort141;
                        }
                      }
                      break;
                      {
                      _flick_abort141:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t67_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t67_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t67_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t68_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t69_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t70_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort151);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t68_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t68_principal_len, _flick_abort151);
                        flick_iiop_decode_new_glob(_t68_principal_len);
                        flick_iiop_decode_new_chunk(_t68_principal_len);
                        flick_iiop_decode_end_chunk(_t68_principal_len);
                        flick_iiop_decode_end_glob(_t68_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort151);
                        flick_cdr_decode_unsigned32(0, _t69_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t69_temp_string_len);
                        flick_iiop_check_span(1 * _t69_temp_string_len, _flick_abort151);
                        flick_iiop_decode_new_chunk(1 * _t69_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t69_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t69_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t70_storage);
                        _par = flick_interface_parents_onewaytest;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort151);
                          flick_iiop_encode_new_glob(5, _flick_abort151);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort159);
                                break;
                                {
                                _flick_abort159:
                                  goto _flick_abort151;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort160);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort160:
                                  goto _flick_abort151;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort151:
                          goto _flick_abort150;
                        }
                      }
                      break;
                      {
                      _flick_abort150:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t71_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t72_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t72_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t72_switch_tag)
                  {
                  case /* 56 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13622):
                    {
                      char _t73_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t73_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t73_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              unsigned int _t74_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t75_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort162);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t74_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t74_principal_len, _flick_abort162);
                              flick_iiop_decode_new_glob(_t74_principal_len);
                              flick_iiop_decode_new_chunk(_t74_principal_len);
                              flick_iiop_decode_end_chunk(_t74_principal_len);
                              flick_iiop_decode_end_glob(_t74_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t75_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              onewaytest_n23456(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort162);
                                flick_iiop_encode_new_glob(4, _flick_abort162);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort168);
                                      break;
                                      {
                                      _flick_abort168:
                                        goto _flick_abort162;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort169);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort169:
                                        goto _flick_abort162;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort162:
                                goto _flick_abort161;
                              }
                            }
                            break;
                            {
                            _flick_abort161:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t76_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t76_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t76_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t77_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t77_switch_tag)
                  {
                  case /* 567 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745472):
                    {
                      {
                        onewaytest _obj;
                        unsigned int _t78_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t79_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort171);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t78_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t78_principal_len, _flick_abort171);
                        flick_iiop_decode_new_glob(_t78_principal_len);
                        flick_iiop_decode_new_chunk(_t78_principal_len);
                        flick_iiop_decode_end_chunk(_t78_principal_len);
                        flick_iiop_decode_end_glob(_t78_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t79_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        onewaytest_n234567(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort171);
                          flick_iiop_encode_new_glob(4, _flick_abort171);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort177);
                                break;
                                {
                                _flick_abort177:
                                  goto _flick_abort171;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort178);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort178:
                                  goto _flick_abort171;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort171:
                          goto _flick_abort170;
                        }
                      }
                      break;
                      {
                      _flick_abort170:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t80_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t80_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t80_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t81_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t81_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t81_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      char _t82_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t82_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t82_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              unsigned int _t83_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t84_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort180);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t83_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t83_principal_len, _flick_abort180);
                              flick_iiop_decode_new_glob(_t83_principal_len);
                              flick_iiop_decode_new_chunk(_t83_principal_len);
                              flick_iiop_decode_end_chunk(_t83_principal_len);
                              flick_iiop_decode_end_glob(_t83_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t84_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              onewaytest_n2345678(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort180);
                                flick_iiop_encode_new_glob(4, _flick_abort180);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort186);
                                      break;
                                      {
                                      _flick_abort186:
                                        goto _flick_abort180;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort187);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort187:
                                        goto _flick_abort180;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort180:
                                goto _flick_abort179;
                              }
                            }
                            break;
                            {
                            _flick_abort179:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t85_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t85_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t85_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t86_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t86_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t87_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t87_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t87_switch_tag)
                        {
                        case /* 9 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14592):
                          {
                            {
                              onewaytest _obj;
                              unsigned int _t88_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t89_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort189);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t88_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t88_principal_len, _flick_abort189);
                              flick_iiop_decode_new_glob(_t88_principal_len);
                              flick_iiop_decode_new_chunk(_t88_principal_len);
                              flick_iiop_decode_end_chunk(_t88_principal_len);
                              flick_iiop_decode_end_glob(_t88_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t89_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              onewaytest_n23456789(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort189);
                                flick_iiop_encode_new_glob(4, _flick_abort189);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort195);
                                      break;
                                      {
                                      _flick_abort195:
                                        goto _flick_abort189;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort196);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort196:
                                        goto _flick_abort189;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort189:
                                goto _flick_abort188;
                              }
                            }
                            break;
                            {
                            _flick_abort188:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t90_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t90_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t90_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t91_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t91_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t91_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t92_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t92_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t92_switch_tag)
                        {
                        case /* 90 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14640):
                          {
                            char _t93_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t93_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t93_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t94_principal_len;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t95_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort198);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t94_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_check_span(_t94_principal_len, _flick_abort198);
                                    flick_iiop_decode_new_glob(_t94_principal_len);
                                    flick_iiop_decode_new_chunk(_t94_principal_len);
                                    flick_iiop_decode_end_chunk(_t94_principal_len);
                                    flick_iiop_decode_end_glob(_t94_principal_len);
                                    /* Begin decode phase on parameters */
                                    _ev = (CORBA_Environment *)(&_t95_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    onewaytest_n234567890(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort198);
                                      flick_iiop_encode_new_glob(4, _flick_abort198);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort204);
                                            break;
                                            {
                                            _flick_abort204:
                                              goto _flick_abort198;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort205:
                                              goto _flick_abort198;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort198:
                                      goto _flick_abort197;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort197:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

