#include "optional-4-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	"IDL:PROG:1.0",
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:VERS:1.0",
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t15_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t15_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t15_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t16_principal_len;
            opt_int *_return;
            int *_local_arg;
            int _t17_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort63);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t16_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t16_principal_len, _flick_abort63);
            flick_iiop_decode_new_glob(_t16_principal_len);
            flick_iiop_decode_new_chunk(_t16_principal_len);
            flick_iiop_decode_end_chunk(_t16_principal_len);
            flick_iiop_decode_end_glob(_t16_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t17_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort63);
            flick_cdr_swap_decode_signed32(0, *_local_arg, int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort63);
              flick_iiop_encode_new_glob(12, _flick_abort63);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_unsigned32_t _t19_temp_array_len;

                    flick_sun_ptr_not_nil(int *, *_return, flick_unsigned32_t , _t19_temp_array_len);

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t19_temp_array_len, flick_unsigned32_t );
                    flick_iiop_encode_end_chunk(4);
                    if (_t19_temp_array_len)
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, **_return, int );
                        flick_iiop_encode_end_chunk(4);
                        goto _flick_label15;
                      }
                    else
                      {
                        goto _flick_label15;
                      }
                  _flick_label15:
                    ;
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort79);
                    break;
                    {
                    _flick_abort79:
                      goto _flick_abort63;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                    flick_iiop_encode_end_glob(12);
                    break;
                    {
                    _flick_abort80:
                      goto _flick_abort63;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort63:
              goto _flick_abort62;
            }
          }
          break;
          {
          _flick_abort62:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t5_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t5_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t6_principal_len;
            opt_int *_return;
            int *_local_arg;
            int _t7_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort24);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t6_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t6_principal_len, _flick_abort24);
            flick_iiop_decode_new_glob(_t6_principal_len);
            flick_iiop_decode_new_chunk(_t6_principal_len);
            flick_iiop_decode_end_chunk(_t6_principal_len);
            flick_iiop_decode_end_glob(_t6_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t7_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort24);
            flick_cdr_decode_signed32(0, *_local_arg, int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort24);
              flick_iiop_encode_new_glob(12, _flick_abort24);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_unsigned32_t _t9_temp_array_len;

                    flick_sun_ptr_not_nil(int *, *_return, flick_unsigned32_t , _t9_temp_array_len);

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t9_temp_array_len, flick_unsigned32_t );
                    flick_iiop_encode_end_chunk(4);
                    if (_t9_temp_array_len)
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, **_return, int );
                        flick_iiop_encode_end_chunk(4);
                        goto _flick_label7;
                      }
                    else
                      {
                        goto _flick_label7;
                      }
                  _flick_label7:
                    ;
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort40);
                    break;
                    {
                    _flick_abort40:
                      goto _flick_abort24;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort41);
                    flick_iiop_encode_end_glob(12);
                    break;
                    {
                    _flick_abort41:
                      goto _flick_abort24;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort24:
              goto _flick_abort23;
            }
          }
          break;
          {
          _flick_abort23:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

