#include "program-6-server.h"

/* This is the runtime type information */
char *flick_interface_parents_MATH[] = {
	"IDL:MATH:1.0",
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:ONE:1.0",
	"IDL:MATH:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t math_50(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t19_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t19_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t19_switch_tag)
      {
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t20_principal_len;
            int *_return;
            long_list *_local_arg;
            long_list _t21_storage;
            unsigned int _t22_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort88);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t20_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t20_principal_len, _flick_abort88);
            flick_iiop_decode_new_glob(_t20_principal_len);
            flick_iiop_decode_new_chunk(_t20_principal_len);
            flick_iiop_decode_end_chunk(_t20_principal_len);
            flick_iiop_decode_end_glob(_t20_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_list *)(&_t21_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort88);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->long_list_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_arg->long_list_len);
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(auto_flick_alloc(_local_arg->long_list_len * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort88);
              _local_arg->long_list_val = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_arg->long_list_len * 4, _flick_abort92);
            for (_t22_array_iter = 0; _t22_array_iter < _local_arg->long_list_len; _t22_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->long_list_val[_t22_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * _local_arg->long_list_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_test_50(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort92);
              flick_iiop_encode_new_glob(8, _flick_abort92);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort100);
                    break;
                    {
                    _flick_abort100:
                      goto _flick_abort92;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort101:
                      goto _flick_abort92;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort92:
              auto_flick_free(_local_arg->long_list_val);
            _flick_abort88:
              goto _flick_abort87;
            }
          }
          break;
          {
          _flick_abort87:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t23_principal_len;
            int *_return;
            sb_list *_local_arg;
            sb_list _t24_storage;
            unsigned int _t25_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort103);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t23_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t23_principal_len, _flick_abort103);
            flick_iiop_decode_new_glob(_t23_principal_len);
            flick_iiop_decode_new_chunk(_t23_principal_len);
            flick_iiop_decode_end_chunk(_t23_principal_len);
            flick_iiop_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (sb_list *)(&_t24_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort103);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->sb_list_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(16 * _local_arg->sb_list_len);
            {
              struct sb *_t_alloc_ptr;

              _t_alloc_ptr = (struct sb *)(auto_flick_alloc(_local_arg->sb_list_len * sizeof(struct sb )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort103);
              _local_arg->sb_list_val = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_arg->sb_list_len * 16, _flick_abort107);
            for (_t25_array_iter = 0; _t25_array_iter < _local_arg->sb_list_len; _t25_array_iter++)
              {
                flick_iiop_decode_new_chunk(16);
                flick_cdr_swap_decode_signed32(0, _local_arg->sb_list_val[_t25_array_iter].a.a, int );
                flick_cdr_swap_decode_signed32(4, _local_arg->sb_list_val[_t25_array_iter].a.b, int );
                flick_cdr_swap_decode_signed32(8, _local_arg->sb_list_val[_t25_array_iter].b.a, int );
                flick_cdr_swap_decode_signed32(12, _local_arg->sb_list_val[_t25_array_iter].b.b, int );
                flick_iiop_decode_end_chunk(16);
                continue;
              }
            flick_iiop_decode_end_glob(16 * _local_arg->sb_list_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = sb_test_50(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort107);
              flick_iiop_encode_new_glob(8, _flick_abort107);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort115);
                    break;
                    {
                    _flick_abort115:
                      goto _flick_abort107;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort116:
                      goto _flick_abort107;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort107:
              auto_flick_free(_local_arg->sb_list_val);
            _flick_abort103:
              goto _flick_abort102;
            }
          }
          break;
          {
          _flick_abort102:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t6_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t6_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t6_switch_tag)
      {
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t7_principal_len;
            int *_return;
            long_list *_local_arg;
            long_list _t8_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort31);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t7_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t7_principal_len, _flick_abort31);
            flick_iiop_decode_new_glob(_t7_principal_len);
            flick_iiop_decode_new_chunk(_t7_principal_len);
            flick_iiop_decode_end_chunk(_t7_principal_len);
            flick_iiop_decode_end_glob(_t7_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_list *)(&_t8_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort31);
            flick_cdr_decode_unsigned32(0, _local_arg->long_list_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_arg->long_list_len);
            flick_iiop_check_span(4 * _local_arg->long_list_len, _flick_abort31);
            flick_iiop_decode_new_chunk(4 * _local_arg->long_list_len);
            flick_cdr_decode_msgptr(0, _local_arg->long_list_val, int *);
            flick_iiop_decode_end_chunk(4 * _local_arg->long_list_len);
            flick_iiop_decode_end_glob(4 * _local_arg->long_list_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_test_50(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort31);
              flick_iiop_encode_new_glob(8, _flick_abort31);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort39);
                    break;
                    {
                    _flick_abort39:
                      goto _flick_abort31;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort40);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort40:
                      goto _flick_abort31;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort31:
              goto _flick_abort30;
            }
          }
          break;
          {
          _flick_abort30:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t9_principal_len;
            int *_return;
            sb_list *_local_arg;
            sb_list _t10_storage;
            unsigned int _t11_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort42);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t9_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t9_principal_len, _flick_abort42);
            flick_iiop_decode_new_glob(_t9_principal_len);
            flick_iiop_decode_new_chunk(_t9_principal_len);
            flick_iiop_decode_end_chunk(_t9_principal_len);
            flick_iiop_decode_end_glob(_t9_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (sb_list *)(&_t10_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort42);
            flick_cdr_decode_unsigned32(0, _local_arg->sb_list_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(16 * _local_arg->sb_list_len);
            {
              struct sb *_t_alloc_ptr;

              _t_alloc_ptr = (struct sb *)(auto_flick_alloc(_local_arg->sb_list_len * sizeof(struct sb )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort42);
              _local_arg->sb_list_val = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_arg->sb_list_len * 16, _flick_abort46);
            for (_t11_array_iter = 0; _t11_array_iter < _local_arg->sb_list_len; _t11_array_iter++)
              {
                flick_iiop_decode_new_chunk(16);
                flick_cdr_decode_signed32(0, _local_arg->sb_list_val[_t11_array_iter].a.a, int );
                flick_cdr_decode_signed32(4, _local_arg->sb_list_val[_t11_array_iter].a.b, int );
                flick_cdr_decode_signed32(8, _local_arg->sb_list_val[_t11_array_iter].b.a, int );
                flick_cdr_decode_signed32(12, _local_arg->sb_list_val[_t11_array_iter].b.b, int );
                flick_iiop_decode_end_chunk(16);
                continue;
              }
            flick_iiop_decode_end_glob(16 * _local_arg->sb_list_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = sb_test_50(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort46);
              flick_iiop_encode_new_glob(8, _flick_abort46);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort54);
                    break;
                    {
                    _flick_abort54:
                      goto _flick_abort46;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort55);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort55:
                      goto _flick_abort46;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort46:
              auto_flick_free(_local_arg->sb_list_val);
            _flick_abort42:
              goto _flick_abort41;
            }
          }
          break;
          {
          _flick_abort41:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

