#include "arrayez-client.h"
#include "arrayez-server.h"


static const CORBA::Long _oc_arrayez[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x61727261), ACE_NTOHL(0x79657a3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:arrayez:1.0 */,
    8, ACE_NTOHL(0x61727261), ACE_NTOHL(0x79657a00) /* name = arrayez */
};

static CORBA::TypeCode _tc_TAO_tc_arrayez (CORBA::tk_objref, sizeof(_oc_arrayez), (char *) &_oc_arrayez, 0, sizeof(arrayez ));

CORBA::TypeCode_ptr _tc_arrayez = &_tc_TAO_tc_arrayez;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<arrayez , arrayez_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<arrayez , arrayez_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


arrayez_ptr  (*_TAO_collocation_arrayez_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


arrayez_ptr arrayez::_duplicate(arrayez_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

arrayez_ptr arrayez::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return arrayez::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:arrayez:1.0", _env);
  if (_env.exception() != 0)
    return arrayez::_nil();
  if (is_a == 0)
    return arrayez::_nil();
  return arrayez::_unchecked_narrow(obj, _env);
}

arrayez_ptr arrayez::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return arrayez::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_arrayez_Stub_Factory_function_pointer != 0)
    {
      arrayez_ptr  retv = _TAO_collocation_arrayez_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new arrayez (stub);
}

arrayez_ptr arrayez::_nil()
{
  return (arrayez_ptr )NULL;
}

CORBA::Boolean arrayez::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:arrayez:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *arrayez::_interface_repository_id() const
{
  return "IDL:arrayez:1.0";
}

arrayez::arrayez()
{}

arrayez::~arrayez()
{}

void operator<<=(CORBA::Any &a, arrayez_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = arrayez::_duplicate(o);
    a.replace (_tc_arrayez, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, arrayez_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = arrayez::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_arrayez, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_arrayez, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = arrayez::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_arrayez, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

arrayez::arrayez(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

arrayez_var::arrayez_var()
  : ptr_(arrayez::_nil())
{}

arrayez_var::arrayez_var(arrayez_ptr p)
  : ptr_(p)
{}

arrayez_var::arrayez_var(const arrayez_var &a)
  : ptr_(arrayez::_duplicate(a.ptr()))
{}

arrayez_var::~arrayez_var()
{
  CORBA::release(this->ptr_);
}

arrayez_var &arrayez_var::operator=(arrayez_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

arrayez_var &arrayez_var::operator=(const arrayez_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = arrayez::_duplicate(p.ptr());
  }
  return *this;
}

arrayez_ptr arrayez_var::operator->() const
{
  return this->ptr_;
}

arrayez_var::operator const arrayez_ptr &() const
{
  return this->ptr_;
}

arrayez_var::operator arrayez_ptr &()
{
  return this->ptr_;
}

arrayez_ptr arrayez_var::in() const
{
  return this->ptr_;
}

arrayez_ptr &arrayez_var::inout()
{
  return this->ptr_;
}

arrayez_ptr &arrayez_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = arrayez::_nil();
  return this->ptr_;
}

arrayez_ptr arrayez_var::_retn()
{
  arrayez_ptr  val = this->ptr_;
  this->ptr_ = arrayez::_nil();
  return val;
}

arrayez_ptr arrayez_var::ptr() const
{
  return this->ptr_;
}

arrayez_out::arrayez_out(arrayez_ptr &r)
  : ptr_(r)
{
  this->ptr_ = arrayez::_nil();
}

arrayez_out::arrayez_out(arrayez_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = arrayez::_nil();
}

arrayez_out::arrayez_out(const arrayez_out &r)
  : ptr_(ACE_const_cast(arrayez_out &,r).ptr_)
{}

arrayez_out &arrayez_out::operator=(const arrayez_out &r)
{
  this->ptr_ = ACE_const_cast(arrayez_out &,r).ptr_;
  return *this;
}

arrayez_out &arrayez_out::operator=(const arrayez_var &r)
{
  this->ptr_ = arrayez::_duplicate(r.ptr());
  return *this;
}

arrayez_out &arrayez_out::operator=(arrayez_ptr r)
{
  this->ptr_ = r;
  return *this;
}

arrayez_out::operator arrayez_ptr &()
{
  return this->ptr_;
}

arrayez_ptr &arrayez_out::ptr()
{
  return this->ptr_;
}

arrayez_ptr arrayez_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_arrayez_arr8k[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    22, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x61727261), ACE_NTOHL(0x79657a2f), ACE_NTOHL(0x61727238), ACE_NTOHL(0x6b3a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:arrayez/arr8k:1.0 */,
    6, ACE_NTOHL(0x61727238), ACE_NTOHL(0x6b000000) /* name = arr8k */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      2048
};

static CORBA::TypeCode _tc_TAO_tc_arrayez_arr8k (CORBA::tk_alias, sizeof(_oc_arrayez_arr8k), (char *) &_oc_arrayez_arr8k, 0, sizeof(::arrayez::arr8k ));

CORBA::TypeCode_ptr arrayez::_tc_arr8k = &_tc_TAO_tc_arrayez_arr8k;


::arrayez::arr8k_slice *arrayez::arr8k_alloc()
{
  return new ::arrayez::arr8k_slice [2048];
}

::arrayez::arr8k_slice *arrayez::arr8k_dup(const ::arrayez::arr8k_slice *_slice)
{
  ::arrayez::arr8k_slice  *_dup_array = arrayez::arr8k_alloc();
  if( !_dup_array ) return 0;
  arrayez::arr8k_copy(_dup_array, _slice);
  return _dup_array;
}

void arrayez::arr8k_copy(::arrayez::arr8k_slice *_to_slice, const ::arrayez::arr8k_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 2048; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void arrayez::arr8k_free(::arrayez::arr8k_slice *_slice)
{
  delete [] _slice;
}

void operator<<=(CORBA::Any &a, const ::arrayez::arr8k_forany &o)
{
  ACE_TRY_NEW_ENV
  {
    if(o.nocopy())
      a.replace(arrayez::_tc_arr8k, o.in(), 1, ACE_TRY_ENV);
    else
      a.replace(arrayez::_tc_arr8k, arrayez::arr8k_dup(o.in()), 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::arrayez::arr8k_forany &o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(arrayez::_tc_arr8k, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::arrayez::arr8k_slice  *)a.value();
      return 1;
    }
    else
    {
      o.out() = arrayez::arr8k_alloc();
      if(!o.in()) return 0;
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(arrayez::_tc_arr8k, o.inout(), 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(arrayez::_tc_arr8k, o.inout(), 1, ACE_TRY_ENV);
        return 1;
      }
      ACE_TRY_CHECK;
    }
  }
  ACE_CATCHANY
  {
    arrayez::arr8k_free(o._retn());
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

arrayez::arr8k_var::arr8k_var()
  : ptr_(0)
{}

arrayez::arr8k_var::arr8k_var(::arrayez::arr8k_slice *p)
 : ptr_(p)
{}

arrayez::arr8k_var::arr8k_var(const ::arrayez::arr8k_var &a)
{
  this->ptr_ = arrayez::arr8k_dup(a.ptr_);
}

arrayez::arr8k_var::~arr8k_var()
{
  arrayez::arr8k_free(this->ptr_);
}

::arrayez::arr8k_var &arrayez::arr8k_var::operator=(::arrayez::arr8k_slice *p)
{
  if( this->ptr_ != p )
  {
    arrayez::arr8k_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::arrayez::arr8k_var &arrayez::arr8k_var::operator=(const ::arrayez::arr8k_var &p)
{
  if( this != &p )
  {
    arrayez::arr8k_free(this->ptr_);
    this->ptr_ = arrayez::arr8k_dup(p.ptr_);
  }
  return *this;
}

::arrayez::arr8k_slice &arrayez::arr8k_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::arrayez::arr8k_slice &arrayez::arr8k_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

arrayez::arr8k_var::operator ::arrayez::arr8k_slice *const &() const
{
  return this->ptr_;
}

arrayez::arr8k_var::operator ::arrayez::arr8k_slice *&()
{
  return this->ptr_;
}

const ::arrayez::arr8k_slice *arrayez::arr8k_var::in() const
{
  return this->ptr_;
}

::arrayez::arr8k_slice *arrayez::arr8k_var::inout()
{
  return this->ptr_;
}

::arrayez::arr8k_slice *&arrayez::arr8k_var::out()
{
  arrayez::arr8k_free(this->ptr_);
  this->ptr_ = (::arrayez::arr8k_slice  *)0;
  return this->ptr_;
}

::arrayez::arr8k_slice *arrayez::arr8k_var::_retn()
{
  ::arrayez::arr8k_slice  *tmp = this->ptr_;
  this->ptr_ = (::arrayez::arr8k_slice  *)0;
  return tmp;
}

::arrayez::arr8k_slice *arrayez::arr8k_var::ptr() const
{
  return this->ptr_;
}

arrayez::arr8k_forany::arr8k_forany()
  : ptr_(0),
    nocopy_(0)
{}

arrayez::arr8k_forany::arr8k_forany(::arrayez::arr8k_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

arrayez::arr8k_forany::arr8k_forany(const ::arrayez::arr8k_forany &a)
{
  this->ptr_ = arrayez::arr8k_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

arrayez::arr8k_forany::~arr8k_forany()
{
}

::arrayez::arr8k_forany &arrayez::arr8k_forany::operator=(::arrayez::arr8k_slice *p)
{
  if( this->ptr_ != p )
  {
    arrayez::arr8k_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::arrayez::arr8k_forany &arrayez::arr8k_forany::operator=(const ::arrayez::arr8k_forany &p)
{
  if( this != &p )
  {
    arrayez::arr8k_free(this->ptr_);
    this->ptr_ = arrayez::arr8k_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::arrayez::arr8k_slice &arrayez::arr8k_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::arrayez::arr8k_slice &arrayez::arr8k_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

arrayez::arr8k_forany::operator ::arrayez::arr8k_slice *const &() const
{
  return this->ptr_;
}

arrayez::arr8k_forany::operator ::arrayez::arr8k_slice *&()
{
  return this->ptr_;
}

const ::arrayez::arr8k_slice *arrayez::arr8k_forany::in() const
{
  return this->ptr_;
}

::arrayez::arr8k_slice *arrayez::arr8k_forany::inout()
{
  return this->ptr_;
}

::arrayez::arr8k_slice *&arrayez::arr8k_forany::out()
{
  arrayez::arr8k_free(this->ptr_);
  this->ptr_ = (::arrayez::arr8k_slice  *)0;
  return this->ptr_;
}

::arrayez::arr8k_slice *arrayez::arr8k_forany::_retn()
{
  ::arrayez::arr8k_slice  *tmp = this->ptr_;
  this->ptr_ = (::arrayez::arr8k_slice  *)0;
  return tmp;
}

::arrayez::arr8k_slice *arrayez::arr8k_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean arrayez::arr8k_forany::nocopy() const
{
  return this->nocopy_;
}
CORBA::Long arrayez::test_in8k(/* arrayez *this, */ const ::arrayez::arr8k a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort1);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'i', flick_char8_t );
      flick_cdr_encode_char8(10, 'n', flick_char8_t );
      flick_cdr_encode_char8(11, '8', flick_char8_t );
      flick_cdr_encode_char8(12, 'k', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_iiopxx_encode_new_glob(8192, _flick_abort1);
      flick_iiopxx_encode_new_chunk(8192);
      flick_cdr_encode_bcopy(0, a, 8192);
      flick_iiopxx_encode_end_chunk(8192);
      flick_iiopxx_encode_end_glob(8192);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort18);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort18:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort19);
              break;
              {
              _flick_abort19:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort20);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort20:
                goto _flick_abort1;
              }
            }
          }
      }

    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort11);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort11:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort12);
              break;
              {
              _flick_abort12:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort13);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort13:
                goto _flick_abort1;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1);
  }
  return _return;
  {
  _flick_abort1:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long arrayez::test_out8k(/* arrayez *this, */ ::arrayez::arr8k_out a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort22);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort22);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort22);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort22);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 11, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'o', flick_char8_t );
      flick_cdr_encode_char8(10, 'u', flick_char8_t );
      flick_cdr_encode_char8(11, 't', flick_char8_t );
      flick_cdr_encode_char8(12, '8', flick_char8_t );
      flick_cdr_encode_char8(13, 'k', flick_char8_t );
      flick_cdr_encode_char8(14, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort22);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort22);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort22);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort22);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t3_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort22);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t5_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2048 * 4 + 4, _flick_abort44);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(8192);
              for (_t5_array_iter = 0; _t5_array_iter < 2048; _t5_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, a[_t5_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_end_glob(8192);
              break;
              {
              _flick_abort44:
                goto _flick_abort22;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort50);
              break;
              {
              _flick_abort50:
                goto _flick_abort22;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort51);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort51:
                goto _flick_abort22;
              }
            }
          }
      }

    else
      {
        int _t2_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort22);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t2_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t2_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8196, _flick_abort30);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(8192);
              flick_iiopxx_decode_new_chunk(8192);
              flick_cdr_decode_bcopy(0, a, 8192);
              flick_iiopxx_decode_end_chunk(8192);
              flick_iiopxx_decode_end_glob(8192);
              break;
              {
              _flick_abort30:
                goto _flick_abort22;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort33);
              break;
              {
              _flick_abort33:
                goto _flick_abort22;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort34);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort34:
                goto _flick_abort22;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort22);
  }
  return _return;
  {
  _flick_abort22:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort21);
  _flick_abort21:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long arrayez::test_io8k(/* arrayez *this, */ const ::arrayez::arr8k a, ::arrayez::arr8k_out b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort53);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort53);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'i', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, '8', flick_char8_t );
      flick_cdr_encode_char8(12, 'k', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_iiopxx_encode_new_glob(8192, _flick_abort53);
      flick_iiopxx_encode_new_chunk(8192);
      flick_cdr_encode_bcopy(0, a, 8192);
      flick_iiopxx_encode_end_chunk(8192);
      flick_iiopxx_encode_end_glob(8192);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t7_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort53);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t7_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t7_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t9_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2048 * 4 + 4, _flick_abort79);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(8192);
              for (_t9_array_iter = 0; _t9_array_iter < 2048; _t9_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, b[_t9_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_end_glob(8192);
              break;
              {
              _flick_abort79:
                goto _flick_abort53;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort85);
              break;
              {
              _flick_abort85:
                goto _flick_abort53;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort86);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort86:
                goto _flick_abort53;
              }
            }
          }
      }

    else
      {
        int _t6_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort53);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t6_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t6_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8196, _flick_abort65);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(8192);
              flick_iiopxx_decode_new_chunk(8192);
              flick_cdr_decode_bcopy(0, b, 8192);
              flick_iiopxx_decode_end_chunk(8192);
              flick_iiopxx_decode_end_glob(8192);
              break;
              {
              _flick_abort65:
                goto _flick_abort53;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort68);
              break;
              {
              _flick_abort68:
                goto _flick_abort53;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort69);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort69:
                goto _flick_abort53;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort53);
  }
  return _return;
  {
  _flick_abort53:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort52);
  _flick_abort52:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

