#ifndef _arrayez_server_h_
#define _arrayez_server_h_

#include "arrayez-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class POA_arrayez ;


typedef POA_arrayez *POA_arrayez_ptr;

class POA_arrayez : public virtual PortableServer::ServantBase {

protected:
  POA_arrayez();

public:
  POA_arrayez(const POA_arrayez &rhs);
  virtual ~POA_arrayez();
  arrayez *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long test_in8k(/* POA_arrayez *this, */ const ::arrayez::arr8k a, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long test_out8k(/* POA_arrayez *this, */ ::arrayez::arr8k_out a, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long test_io8k(/* POA_arrayez *this, */ const ::arrayez::arr8k a, ::arrayez::arr8k_out b, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_arrayez_tie : public POA_arrayez {

  public:
    POA_arrayez_tie(T &t);
    POA_arrayez_tie(T &t, PortableServer::POA_ptr poa);
    POA_arrayez_tie(T *t, CORBA::Boolean release = 1);
    POA_arrayez_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_arrayez_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_arrayez_tie(const POA_arrayez_tie &c);
    void operator=(const POA_arrayez_tie &c);

  public:
    CORBA::Long test_in8k(/* POA_arrayez *this, */ const ::arrayez::arr8k a, CORBA::Environment &_ev);
    CORBA::Long test_out8k(/* POA_arrayez *this, */ ::arrayez::arr8k_out a, CORBA::Environment &_ev);
    CORBA::Long test_io8k(/* POA_arrayez *this, */ const ::arrayez::arr8k a, ::arrayez::arr8k_out b, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


arrayez_ptr _TAO_collocation_POA_arrayez_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_arrayez_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_arrayez : public virtual arrayez {

public:
  _tao_thru_poa_collocated_arrayez(TAO_Stub *stub);
  virtual CORBA::Long test_in8k(const ::arrayez::arr8k a, CORBA::Environment &_ev);
  virtual CORBA::Long test_out8k(::arrayez::arr8k_out a, CORBA::Environment &_ev);
  virtual CORBA::Long test_io8k(const ::arrayez::arr8k a, ::arrayez::arr8k_out b, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


#endif /* _arrayez_server_h_ */
