#include "corbastat-server.h"


static int _TAO_collocation_POA_test_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_test_Stub_Factory_Initializer(0);


POA_test::POA_test()
{}

POA_test::POA_test(const POA_test &rhs)
  : TAO_ServantBase(rhs)
{}

POA_test::~POA_test()
{}

test *POA_test::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_test (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return test::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_test::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:test:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_test::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:test:1.0") == 0)
    return ACE_static_cast(POA_test_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_test::_interface_repository_id() const
{
  return "IDL:test:1.0";
}

test_ptr _TAO_collocation_POA_test_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_test(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_test_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_test_Stub_Factory_function_pointer =
    _TAO_collocation_POA_test_Stub_Factory;

  return 0;
}

template <class T>
  POA_test_tie<T>::POA_test_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_test_tie<T>::~POA_test_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_test_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_test_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_test_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_test_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_test_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_test_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_test_tie<T>::POA_test_tie(const POA_test_tie &c)
{}

template <class T>
  void POA_test_tie<T>::operator=(const POA_test_tie &c)
{}

template <class T>
  CORBA::Long POA_test_tie<T>::dir(/* POA_test *this, */ const ::test::directory &entries, CORBA::Environment &_ev)
{
  return this->ptr_->dir (entries, _ev);
}

template <class T>
  CORBA::Long POA_test_tie<T>::lng(/* POA_test *this, */ const ::test::longlist &entries, CORBA::Environment &_ev)
{
  return this->ptr_->lng (entries, _ev);
}

template <class T>
  CORBA::Long POA_test_tie<T>::strct(/* POA_test *this, */ const ::test::structlist &entries, CORBA::Environment &_ev)
{
  return this->ptr_->strct (entries, _ev);
}

_tao_thru_poa_collocated_test::_tao_thru_poa_collocated_test(TAO_Stub *stub)
  : test(),
    CORBA_Object(stub, 0, 1)
{
}

CORBA::Long _tao_thru_poa_collocated_test::dir(const ::test::directory &entries, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "dir",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_test_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:test:1.0"
        )
    )->dir (entries, _ev);
}

CORBA::Long _tao_thru_poa_collocated_test::lng(const ::test::longlist &entries, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "lng",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_test_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:test:1.0"
        )
    )->lng (entries, _ev);
}

CORBA::Long _tao_thru_poa_collocated_test::strct(const ::test::structlist &entries, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "strct",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_test_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:test:1.0"
        )
    )->strct (entries, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_test::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_test_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:test:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_test::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_test_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:test:1.0"
        )
    )->_non_existent (_ev);
}
void POA_test::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t79_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t79_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t79_switch_tag)
        {
        case (unsigned int) 4:
          {
            unsigned int _t80_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t80_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t80_switch_tag)
              {
              case /* dir */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684632064):
                {
                  {
                    POA_test *_local_this;
                    unsigned int _t81_principal_len;
                    CORBA::Long _return;
                    ::test::directory _local_entries;
                    CORBA::ULong _t94_array_iter;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort354);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, _t81_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t81_principal_len, _flick_abort354);
                    flick_iiopxx_decode_new_glob(_t81_principal_len);
                    flick_iiopxx_decode_new_chunk(_t81_principal_len);
                    flick_iiopxx_decode_end_chunk(_t81_principal_len);
                    flick_iiopxx_decode_end_glob(_t81_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort354);
                    flick_cdr_swap_decode_unsigned32(0, _local_entries._length, CORBA::ULong );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    {
                      struct ::test::entry *_t_alloc_ptr;

                      _t_alloc_ptr = (struct ::test::entry *)new (struct ::test::entry [_local_entries._length]);
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                      _local_entries._buffer = _t_alloc_ptr;
                      _local_entries._maximum = _local_entries._length;
                      _local_entries._release = 1;
                    }
                    for (_t94_array_iter = 0; _t94_array_iter < _local_entries._length; _t94_array_iter++)
                      {
                        flick_unsigned32_t _t99_temp_string_len;
                        flick_unsigned32_t _t100_array_iter;
                        flick_unsigned32_t _t101_array_iter;
                        flick_unsigned32_t _t102_array_iter;

                        flick_iiopxx_decode_new_glob(399);
                        flick_iiopxx_check_span(4, _flick_abort415);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t99_temp_string_len, flick_unsigned32_t );
                        if (_t99_temp_string_len > 256)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort415);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1 * _t99_temp_string_len, _flick_abort415);
                        flick_iiopxx_decode_new_chunk(1 * _t99_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t99_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort415);
                          _local_entries._buffer[_t94_array_iter].filename.inout() = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_entries._buffer[_t94_array_iter].filename.inout(), 1 * _t99_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t99_temp_string_len);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(3 * 4 + (2 * 4 + 8 * 4) + 84, _flick_abort415);
                        flick_cdr_swap_decode_unsigned32(0, _local_entries._buffer[_t94_array_iter].info.st_dev, my_ulong_t );
                        flick_iiopxx_decode_end_chunk(4);
                        for (_t100_array_iter = 0; _t100_array_iter < 3; _t100_array_iter++)
                          {
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_entries._buffer[_t94_array_iter].info.st_pad1[_t100_array_iter], CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            continue;
                          }
                        flick_iiopxx_decode_new_chunk(24);
                        flick_cdr_swap_decode_unsigned32(0, _local_entries._buffer[_t94_array_iter].info.st_ino, my_ulong_t );
                        flick_cdr_swap_decode_unsigned32(4, _local_entries._buffer[_t94_array_iter].info.st_mode, my_ulong_t );
                        flick_cdr_swap_decode_unsigned32(8, _local_entries._buffer[_t94_array_iter].info.st_nlink, my_ulong_t );
                        flick_cdr_swap_decode_signed32(12, _local_entries._buffer[_t94_array_iter].info.st_uid, CORBA::Long );
                        flick_cdr_swap_decode_signed32(16, _local_entries._buffer[_t94_array_iter].info.st_gid, my_uid_t );
                        flick_cdr_swap_decode_unsigned32(20, _local_entries._buffer[_t94_array_iter].info.st_rdev, my_ulong_t );
                        flick_iiopxx_decode_end_chunk(24);
                        for (_t101_array_iter = 0; _t101_array_iter < 2; _t101_array_iter++)
                          {
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_entries._buffer[_t94_array_iter].info.st_pad2[_t101_array_iter], CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            continue;
                          }
                        flick_iiopxx_decode_new_chunk(56);
                        flick_cdr_swap_decode_signed32(0, _local_entries._buffer[_t94_array_iter].info.st_size, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_entries._buffer[_t94_array_iter].info.st_pad3, CORBA::Long );
                        flick_cdr_swap_decode_signed32(8, _local_entries._buffer[_t94_array_iter].info.st_atime.my_tv_sec, CORBA::Long );
                        flick_cdr_swap_decode_signed32(12, _local_entries._buffer[_t94_array_iter].info.st_atime.my_tv_nsec, CORBA::Long );
                        flick_cdr_swap_decode_signed32(16, _local_entries._buffer[_t94_array_iter].info.st_mtime.my_tv_sec, CORBA::Long );
                        flick_cdr_swap_decode_signed32(20, _local_entries._buffer[_t94_array_iter].info.st_mtime.my_tv_nsec, CORBA::Long );
                        flick_cdr_swap_decode_signed32(24, _local_entries._buffer[_t94_array_iter].info.st_ctime.my_tv_sec, CORBA::Long );
                        flick_cdr_swap_decode_signed32(28, _local_entries._buffer[_t94_array_iter].info.st_ctime.my_tv_nsec, CORBA::Long );
                        flick_cdr_swap_decode_signed32(32, _local_entries._buffer[_t94_array_iter].info.st_blksize, CORBA::Long );
                        flick_cdr_swap_decode_signed32(36, _local_entries._buffer[_t94_array_iter].info.st_blocks, CORBA::Long );
                        flick_cdr_swap_decode_bcopy(40, _local_entries._buffer[_t94_array_iter].info.st_fstype, 16);
                        flick_iiopxx_decode_end_chunk(56);
                        for (_t102_array_iter = 0; _t102_array_iter < 8; _t102_array_iter++)
                          {
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_entries._buffer[_t94_array_iter].info.st_pad4[_t102_array_iter], CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            continue;
                          }
                        flick_iiopxx_decode_end_glob(399);
                        continue;
                        {
                        _flick_abort415:
                          goto _flick_abort354;
                        }
                      }

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->dir(_local_entries, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t103_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t103_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort354);
                      flick_iiopxx_encode_new_glob(8, _flick_abort354);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t103_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t103_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(8);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort460);
                            break;
                            {
                            _flick_abort460:
                              goto _flick_abort354;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort461);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                            {
                            _flick_abort461:
                              goto _flick_abort354;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort354:
                      goto _flick_abort353;
                    }
                  }
                  break;
                  {
                  _flick_abort353:
                    goto _flick_abort2;
                  }
                }
              case /* lng */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819174656):
                {
                  {
                    POA_test *_local_this;
                    unsigned int _t104_principal_len;
                    CORBA::Long _return;
                    ::test::longlist _local_entries;
                    CORBA::ULong _t105_array_iter;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort463);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, _t104_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t104_principal_len, _flick_abort463);
                    flick_iiopxx_decode_new_glob(_t104_principal_len);
                    flick_iiopxx_decode_new_chunk(_t104_principal_len);
                    flick_iiopxx_decode_end_chunk(_t104_principal_len);
                    flick_iiopxx_decode_end_glob(_t104_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort463);
                    flick_cdr_swap_decode_unsigned32(0, _local_entries._length, CORBA::ULong );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_iiopxx_decode_new_glob(4 * _local_entries._length);
                    {
                      CORBA::Long *_t_alloc_ptr;

                      _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [_local_entries._length]);
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort463);
                      _local_entries._buffer = _t_alloc_ptr;
                      _local_entries._maximum = _local_entries._length;
                      _local_entries._release = 1;
                    }
                    flick_iiopxx_check_span(_local_entries._length * 4, _flick_abort463);
                    for (_t105_array_iter = 0; _t105_array_iter < _local_entries._length; _t105_array_iter++)
                      {
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_entries._buffer[_t105_array_iter], CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        continue;
                      }
                    flick_iiopxx_decode_end_glob(4 * _local_entries._length);

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->lng(_local_entries, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t106_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t106_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort463);
                      flick_iiopxx_encode_new_glob(8, _flick_abort463);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t106_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t106_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(8);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort474);
                            break;
                            {
                            _flick_abort474:
                              goto _flick_abort463;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort475);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                            {
                            _flick_abort475:
                              goto _flick_abort463;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort463:
                      goto _flick_abort462;
                    }
                  }
                  break;
                  {
                  _flick_abort462:
                    goto _flick_abort2;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t107_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t107_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t107_switch_tag)
              {
              case /* strc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011299):
                {
                  unsigned short int _t108_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t108_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t108_switch_tag)
                    {
                    case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                      {
                        {
                          POA_test *_local_this;
                          unsigned int _t109_principal_len;
                          CORBA::Long _return;
                          ::test::structlist _local_entries;
                          CORBA::ULong _t110_array_iter;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort477);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t109_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t109_principal_len, _flick_abort477);
                          flick_iiopxx_decode_new_glob(_t109_principal_len);
                          flick_iiopxx_decode_new_chunk(_t109_principal_len);
                          flick_iiopxx_decode_end_chunk(_t109_principal_len);
                          flick_iiopxx_decode_end_glob(_t109_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort477);
                          flick_cdr_swap_decode_unsigned32(0, _local_entries._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(16 * _local_entries._length);
                          {
                            struct ::test::outer *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::test::outer *)new (struct ::test::outer [_local_entries._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort477);
                            _local_entries._buffer = _t_alloc_ptr;
                            _local_entries._maximum = _local_entries._length;
                            _local_entries._release = 1;
                          }
                          flick_iiopxx_check_span(_local_entries._length * 16, _flick_abort477);
                          for (_t110_array_iter = 0; _t110_array_iter < _local_entries._length; _t110_array_iter++)
                            {
                              flick_iiopxx_decode_new_chunk(16);
                              flick_cdr_swap_decode_signed32(0, _local_entries._buffer[_t110_array_iter].a.a, CORBA::Long );
                              flick_cdr_swap_decode_signed32(4, _local_entries._buffer[_t110_array_iter].a.b, CORBA::Long );
                              flick_cdr_swap_decode_signed32(8, _local_entries._buffer[_t110_array_iter].b.a, CORBA::Long );
                              flick_cdr_swap_decode_signed32(12, _local_entries._buffer[_t110_array_iter].b.b, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(16);
                              continue;
                            }
                          flick_iiopxx_decode_end_glob(16 * _local_entries._length);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->strct(_local_entries, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t111_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t111_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort477);
                            flick_iiopxx_encode_new_glob(8, _flick_abort477);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t111_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t111_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort488);
                                  break;
                                  {
                                  _flick_abort488:
                                    goto _flick_abort477;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort489);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort489:
                                    goto _flick_abort477;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort477:
                            goto _flick_abort476;
                          }
                        }
                        break;
                        {
                        _flick_abort476:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t112_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t112_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t112_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_test *_local_this;
                          unsigned int _t113_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t114_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort491);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t113_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t113_principal_len, _flick_abort491);
                          flick_iiopxx_decode_new_glob(_t113_principal_len);
                          flick_iiopxx_decode_new_chunk(_t113_principal_len);
                          flick_iiopxx_decode_end_chunk(_t113_principal_len);
                          flick_iiopxx_decode_end_glob(_t113_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort491);
                          flick_cdr_swap_decode_unsigned32(0, _t114_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t114_temp_string_len);
                          flick_iiopxx_check_span(1 * _t114_temp_string_len, _flick_abort491);
                          flick_iiopxx_decode_new_chunk(1 * _t114_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t114_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t114_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t115_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t115_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort491);
                            flick_iiopxx_encode_new_glob(5, _flick_abort491);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t115_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t115_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort499);
                                  break;
                                  {
                                  _flick_abort499:
                                    goto _flick_abort491;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort500);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort500:
                                    goto _flick_abort491;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort491:
                            goto _flick_abort490;
                          }
                        }
                        break;
                        {
                        _flick_abort490:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t21_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t21_switch_tag)
        {
        case (unsigned int) 4:
          {
            unsigned int _t22_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t22_switch_tag)
              {
              case /* dir */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684632064):
                {
                  {
                    POA_test *_local_this;
                    unsigned int _t23_principal_len;
                    CORBA::Long _return;
                    ::test::directory _local_entries;
                    CORBA::ULong _t27_array_iter;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort105);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t23_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t23_principal_len, _flick_abort105);
                    flick_iiopxx_decode_new_glob(_t23_principal_len);
                    flick_iiopxx_decode_new_chunk(_t23_principal_len);
                    flick_iiopxx_decode_end_chunk(_t23_principal_len);
                    flick_iiopxx_decode_end_glob(_t23_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort105);
                    flick_cdr_decode_unsigned32(0, _local_entries._length, CORBA::ULong );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    {
                      struct ::test::entry *_t_alloc_ptr;

                      _t_alloc_ptr = (struct ::test::entry *)new (struct ::test::entry [_local_entries._length]);
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort105);
                      _local_entries._buffer = _t_alloc_ptr;
                      _local_entries._maximum = _local_entries._length;
                      _local_entries._release = 1;
                    }
                    for (_t27_array_iter = 0; _t27_array_iter < _local_entries._length; _t27_array_iter++)
                      {
                        flick_unsigned32_t _t29_temp_string_len;

                        flick_iiopxx_decode_new_glob(399);
                        flick_iiopxx_check_span(4, _flick_abort139);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t29_temp_string_len, flick_unsigned32_t );
                        if (_t29_temp_string_len > 256)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort139);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1 * _t29_temp_string_len, _flick_abort139);
                        flick_iiopxx_decode_new_chunk(1 * _t29_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t29_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort139);
                          _local_entries._buffer[_t27_array_iter].filename.inout() = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_entries._buffer[_t27_array_iter].filename.inout(), 1 * _t29_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t29_temp_string_len);
                        flick_iiopxx_decode_new_chunk_align(136, 2, 0, 0);
                        flick_iiopxx_check_span(136, _flick_abort139);
                        flick_cdr_decode_unsigned32(0, _local_entries._buffer[_t27_array_iter].info.st_dev, my_ulong_t );
                        flick_cdr_decode_bcopy(4, _local_entries._buffer[_t27_array_iter].info.st_pad1, 12);
                        flick_cdr_decode_unsigned32(16, _local_entries._buffer[_t27_array_iter].info.st_ino, my_ulong_t );
                        flick_cdr_decode_unsigned32(20, _local_entries._buffer[_t27_array_iter].info.st_mode, my_ulong_t );
                        flick_cdr_decode_unsigned32(24, _local_entries._buffer[_t27_array_iter].info.st_nlink, my_ulong_t );
                        flick_cdr_decode_signed32(28, _local_entries._buffer[_t27_array_iter].info.st_uid, CORBA::Long );
                        flick_cdr_decode_signed32(32, _local_entries._buffer[_t27_array_iter].info.st_gid, my_uid_t );
                        flick_cdr_decode_unsigned32(36, _local_entries._buffer[_t27_array_iter].info.st_rdev, my_ulong_t );
                        flick_cdr_decode_bcopy(40, _local_entries._buffer[_t27_array_iter].info.st_pad2, 8);
                        flick_cdr_decode_signed32(48, _local_entries._buffer[_t27_array_iter].info.st_size, CORBA::Long );
                        flick_cdr_decode_signed32(52, _local_entries._buffer[_t27_array_iter].info.st_pad3, CORBA::Long );
                        flick_cdr_decode_signed32(56, _local_entries._buffer[_t27_array_iter].info.st_atime.my_tv_sec, CORBA::Long );
                        flick_cdr_decode_signed32(60, _local_entries._buffer[_t27_array_iter].info.st_atime.my_tv_nsec, CORBA::Long );
                        flick_cdr_decode_signed32(64, _local_entries._buffer[_t27_array_iter].info.st_mtime.my_tv_sec, CORBA::Long );
                        flick_cdr_decode_signed32(68, _local_entries._buffer[_t27_array_iter].info.st_mtime.my_tv_nsec, CORBA::Long );
                        flick_cdr_decode_signed32(72, _local_entries._buffer[_t27_array_iter].info.st_ctime.my_tv_sec, CORBA::Long );
                        flick_cdr_decode_signed32(76, _local_entries._buffer[_t27_array_iter].info.st_ctime.my_tv_nsec, CORBA::Long );
                        flick_cdr_decode_signed32(80, _local_entries._buffer[_t27_array_iter].info.st_blksize, CORBA::Long );
                        flick_cdr_decode_signed32(84, _local_entries._buffer[_t27_array_iter].info.st_blocks, CORBA::Long );
                        flick_cdr_decode_bcopy(88, _local_entries._buffer[_t27_array_iter].info.st_fstype, 16);
                        flick_cdr_decode_bcopy(104, _local_entries._buffer[_t27_array_iter].info.st_pad4, 32);
                        flick_iiopxx_decode_end_chunk(136);
                        flick_iiopxx_decode_end_glob(399);
                        continue;
                        {
                        _flick_abort139:
                          goto _flick_abort105;
                        }
                      }

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->dir(_local_entries, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t30_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t30_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort105);
                      flick_iiopxx_encode_new_glob(8, _flick_abort105);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t30_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t30_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(8);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort166);
                            break;
                            {
                            _flick_abort166:
                              goto _flick_abort105;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort167);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                            {
                            _flick_abort167:
                              goto _flick_abort105;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort105:
                      goto _flick_abort104;
                    }
                  }
                  break;
                  {
                  _flick_abort104:
                    goto _flick_abort2;
                  }
                }
              case /* lng */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819174656):
                {
                  {
                    POA_test *_local_this;
                    unsigned int _t31_principal_len;
                    CORBA::Long _return;
                    ::test::longlist _local_entries;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort169);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t31_principal_len, _flick_abort169);
                    flick_iiopxx_decode_new_glob(_t31_principal_len);
                    flick_iiopxx_decode_new_chunk(_t31_principal_len);
                    flick_iiopxx_decode_end_chunk(_t31_principal_len);
                    flick_iiopxx_decode_end_glob(_t31_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort169);
                    flick_cdr_decode_unsigned32(0, _local_entries._length, CORBA::ULong );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_iiopxx_decode_new_glob(4 * _local_entries._length);
                    flick_iiopxx_check_span(4 * _local_entries._length, _flick_abort169);
                    flick_iiopxx_decode_new_chunk(4 * _local_entries._length);
                    flick_cdr_decode_msgptr(0, _local_entries._buffer, CORBA::Long *);
                    _local_entries._maximum = _local_entries._length;
                    _local_entries._release = 0;
                    flick_iiopxx_decode_end_chunk(4 * _local_entries._length);
                    flick_iiopxx_decode_end_glob(4 * _local_entries._length);

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->lng(_local_entries, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t32_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t32_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort169);
                      flick_iiopxx_encode_new_glob(8, _flick_abort169);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t32_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t32_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(8);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort177);
                            break;
                            {
                            _flick_abort177:
                              goto _flick_abort169;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort178);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                            {
                            _flick_abort178:
                              goto _flick_abort169;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort169:
                      goto _flick_abort168;
                    }
                  }
                  break;
                  {
                  _flick_abort168:
                    goto _flick_abort2;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t33_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t33_switch_tag)
              {
              case /* strc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011299):
                {
                  unsigned short int _t34_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t34_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t34_switch_tag)
                    {
                    case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                      {
                        {
                          POA_test *_local_this;
                          unsigned int _t35_principal_len;
                          CORBA::Long _return;
                          ::test::structlist _local_entries;
                          CORBA::ULong _t36_array_iter;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort180);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t35_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t35_principal_len, _flick_abort180);
                          flick_iiopxx_decode_new_glob(_t35_principal_len);
                          flick_iiopxx_decode_new_chunk(_t35_principal_len);
                          flick_iiopxx_decode_end_chunk(_t35_principal_len);
                          flick_iiopxx_decode_end_glob(_t35_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort180);
                          flick_cdr_decode_unsigned32(0, _local_entries._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(16 * _local_entries._length);
                          {
                            struct ::test::outer *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::test::outer *)new (struct ::test::outer [_local_entries._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort180);
                            _local_entries._buffer = _t_alloc_ptr;
                            _local_entries._maximum = _local_entries._length;
                            _local_entries._release = 1;
                          }
                          flick_iiopxx_check_span(_local_entries._length * 16, _flick_abort180);
                          for (_t36_array_iter = 0; _t36_array_iter < _local_entries._length; _t36_array_iter++)
                            {
                              flick_iiopxx_decode_new_chunk(16);
                              flick_cdr_decode_signed32(0, _local_entries._buffer[_t36_array_iter].a.a, CORBA::Long );
                              flick_cdr_decode_signed32(4, _local_entries._buffer[_t36_array_iter].a.b, CORBA::Long );
                              flick_cdr_decode_signed32(8, _local_entries._buffer[_t36_array_iter].b.a, CORBA::Long );
                              flick_cdr_decode_signed32(12, _local_entries._buffer[_t36_array_iter].b.b, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(16);
                              continue;
                            }
                          flick_iiopxx_decode_end_glob(16 * _local_entries._length);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->strct(_local_entries, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t37_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t37_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort180);
                            flick_iiopxx_encode_new_glob(8, _flick_abort180);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t37_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t37_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort191);
                                  break;
                                  {
                                  _flick_abort191:
                                    goto _flick_abort180;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort192);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort192:
                                    goto _flick_abort180;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort180:
                            goto _flick_abort179;
                          }
                        }
                        break;
                        {
                        _flick_abort179:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t38_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t38_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t38_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_test *_local_this;
                          unsigned int _t39_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t40_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort194);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t39_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t39_principal_len, _flick_abort194);
                          flick_iiopxx_decode_new_glob(_t39_principal_len);
                          flick_iiopxx_decode_new_chunk(_t39_principal_len);
                          flick_iiopxx_decode_end_chunk(_t39_principal_len);
                          flick_iiopxx_decode_end_glob(_t39_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort194);
                          flick_cdr_decode_unsigned32(0, _t40_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t40_temp_string_len);
                          flick_iiopxx_check_span(1 * _t40_temp_string_len, _flick_abort194);
                          flick_iiopxx_decode_new_chunk(1 * _t40_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t40_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t40_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t41_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t41_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort194);
                            flick_iiopxx_encode_new_glob(5, _flick_abort194);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t41_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t41_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort202);
                                  break;
                                  {
                                  _flick_abort202:
                                    goto _flick_abort194;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort203);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort203:
                                    goto _flick_abort194;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort194:
                            goto _flick_abort193;
                          }
                        }
                        break;
                        {
                        _flick_abort193:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort2:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return ;
  }

_flick_reaper:
  return ;

}
