#ifndef _impldef_server_h_
#define _impldef_server_h_

#include "impldef-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

TAO_NAMESPACE POA_CORBA {
  class ImplementationDef ;

  typedef ImplementationDef *ImplementationDef_ptr;
  class ImplementationDef : public virtual PortableServer::ServantBase {

  protected:
    ImplementationDef();

  public:
    ImplementationDef(const ImplementationDef &rhs);
    virtual ~ImplementationDef();
    ::CORBA::ImplementationDef *_this(CORBA::Environment &_env);
    virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
    virtual void *_downcast(const char *logical_type_id);
    virtual const char *_interface_repository_id() const;
    virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
    virtual char *interface_name(/* ::POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void interface_name(/* ::POA_CORBA::ImplementationDef *this, */ const char *interface_name, CORBA::Environment &_ev) = 0;
    virtual char *object_name(/* ::POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void object_name(/* ::POA_CORBA::ImplementationDef *this, */ const char *object_name, CORBA::Environment &_ev) = 0;
    virtual ::CORBA::ReferenceData *id(/* ::POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void id(/* ::POA_CORBA::ImplementationDef *this, */ const ::CORBA::ReferenceData &id, CORBA::Environment &_ev) = 0;
  } ;

  template <class T>
    class ImplementationDef_tie : public ImplementationDef {

    public:
      ImplementationDef_tie(T &t);
      ImplementationDef_tie(T &t, PortableServer::POA_ptr poa);
      ImplementationDef_tie(T *t, CORBA::Boolean release = 1);
      ImplementationDef_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
      ~ImplementationDef_tie();
      T *_tied_object();
      void _tied_object(T &obj);
      void _tied_object(T &obj, CORBA::Boolean release = 1);
      CORBA::Boolean _is_owner();
      void _is_owner(CORBA::Boolean b);
      PortableServer::POA_ptr _default_POA();

    private:
      ImplementationDef_tie(const ImplementationDef_tie &c);
      void operator=(const ImplementationDef_tie &c);

    public:
      char *interface_name(/* ::POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev);
      void interface_name(/* ::POA_CORBA::ImplementationDef *this, */ const char *interface_name, CORBA::Environment &_ev);
      char *object_name(/* ::POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev);
      void object_name(/* ::POA_CORBA::ImplementationDef *this, */ const char *object_name, CORBA::Environment &_ev);
      ::CORBA::ReferenceData *id(/* ::POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev);
      void id(/* ::POA_CORBA::ImplementationDef *this, */ const ::CORBA::ReferenceData &id, CORBA::Environment &_ev);

    private:
      T *ptr_;
      PortableServer::POA_var poa_;
      CORBA::Boolean rel_;
    } ;

  class CreationImplDef ;

  typedef CreationImplDef *CreationImplDef_ptr;
  class CreationImplDef : public virtual PortableServer::ServantBase {

  protected:
    CreationImplDef();

  public:
    CreationImplDef(const CreationImplDef &rhs);
    virtual ~CreationImplDef();
    ::CORBA::CreationImplDef *_this(CORBA::Environment &_env);
    virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
    virtual void *_downcast(const char *logical_type_id);
    virtual const char *_interface_repository_id() const;
    virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
    virtual char *path_name(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void path_name(/* ::POA_CORBA::CreationImplDef *this, */ const char *path_name, CORBA::Environment &_ev) = 0;
    virtual enum ::CORBA::Policy activation_policy(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void activation_policy(/* ::POA_CORBA::CreationImplDef *this, */ enum ::CORBA::Policy activation_policy, CORBA::Environment &_ev) = 0;
    virtual ::CORBA::StringSequence *args(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void args(/* ::POA_CORBA::CreationImplDef *this, */ const ::CORBA::StringSequence &args, CORBA::Environment &_ev) = 0;
    virtual ::CORBA::StringSequence *env(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void env(/* ::POA_CORBA::CreationImplDef *this, */ const ::CORBA::StringSequence &env, CORBA::Environment &_ev) = 0;
    virtual char *interface_name(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void interface_name(/* ::POA_CORBA::CreationImplDef *this, */ const char *interface_name, CORBA::Environment &_ev) = 0;
    virtual char *object_name(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void object_name(/* ::POA_CORBA::CreationImplDef *this, */ const char *object_name, CORBA::Environment &_ev) = 0;
    virtual ::CORBA::ReferenceData *id(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void id(/* ::POA_CORBA::CreationImplDef *this, */ const ::CORBA::ReferenceData &id, CORBA::Environment &_ev) = 0;
  } ;

  template <class T>
    class CreationImplDef_tie : public CreationImplDef {

    public:
      CreationImplDef_tie(T &t);
      CreationImplDef_tie(T &t, PortableServer::POA_ptr poa);
      CreationImplDef_tie(T *t, CORBA::Boolean release = 1);
      CreationImplDef_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
      ~CreationImplDef_tie();
      T *_tied_object();
      void _tied_object(T &obj);
      void _tied_object(T &obj, CORBA::Boolean release = 1);
      CORBA::Boolean _is_owner();
      void _is_owner(CORBA::Boolean b);
      PortableServer::POA_ptr _default_POA();

    private:
      CreationImplDef_tie(const CreationImplDef_tie &c);
      void operator=(const CreationImplDef_tie &c);

    public:
      char *path_name(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
      void path_name(/* ::POA_CORBA::CreationImplDef *this, */ const char *path_name, CORBA::Environment &_ev);
      enum ::CORBA::Policy activation_policy(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
      void activation_policy(/* ::POA_CORBA::CreationImplDef *this, */ enum ::CORBA::Policy activation_policy, CORBA::Environment &_ev);
      ::CORBA::StringSequence *args(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
      void args(/* ::POA_CORBA::CreationImplDef *this, */ const ::CORBA::StringSequence &args, CORBA::Environment &_ev);
      ::CORBA::StringSequence *env(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
      void env(/* ::POA_CORBA::CreationImplDef *this, */ const ::CORBA::StringSequence &env, CORBA::Environment &_ev);
      char *interface_name(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
      void interface_name(/* ::POA_CORBA::CreationImplDef *this, */ const char *interface_name, CORBA::Environment &_ev);
      char *object_name(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
      void object_name(/* ::POA_CORBA::CreationImplDef *this, */ const char *object_name, CORBA::Environment &_ev);
      ::CORBA::ReferenceData *id(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev);
      void id(/* ::POA_CORBA::CreationImplDef *this, */ const ::CORBA::ReferenceData &id, CORBA::Environment &_ev);

    private:
      T *ptr_;
      PortableServer::POA_var poa_;
      CORBA::Boolean rel_;
    } ;

  class Activator ;

  typedef Activator *Activator_ptr;
  class Activator : public virtual PortableServer::ServantBase {

  protected:
    Activator();

  public:
    Activator(const Activator &rhs);
    virtual ~Activator();
    ::CORBA::Activator *_this(CORBA::Environment &_env);
    virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
    virtual void *_downcast(const char *logical_type_id);
    virtual const char *_interface_repository_id() const;
    virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
    virtual ::CORBA::Object_ptr activate(/* ::POA_CORBA::Activator *this, */ ::CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev) = 0;
    virtual void deactivate(/* ::POA_CORBA::Activator *this, */ ::CORBA::Object_ptr obj, ::CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev) = 0;
  } ;

  template <class T>
    class Activator_tie : public Activator {

    public:
      Activator_tie(T &t);
      Activator_tie(T &t, PortableServer::POA_ptr poa);
      Activator_tie(T *t, CORBA::Boolean release = 1);
      Activator_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
      ~Activator_tie();
      T *_tied_object();
      void _tied_object(T &obj);
      void _tied_object(T &obj, CORBA::Boolean release = 1);
      CORBA::Boolean _is_owner();
      void _is_owner(CORBA::Boolean b);
      PortableServer::POA_ptr _default_POA();

    private:
      Activator_tie(const Activator_tie &c);
      void operator=(const Activator_tie &c);

    public:
      ::CORBA::Object_ptr activate(/* ::POA_CORBA::Activator *this, */ ::CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev);
      void deactivate(/* ::POA_CORBA::Activator *this, */ ::CORBA::Object_ptr obj, ::CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev);

    private:
      T *ptr_;
      PortableServer::POA_var poa_;
      CORBA::Boolean rel_;
    } ;

  class ActivationImplDef ;

  typedef ActivationImplDef *ActivationImplDef_ptr;
  class ActivationImplDef : public virtual PortableServer::ServantBase {

  protected:
    ActivationImplDef();

  public:
    ActivationImplDef(const ActivationImplDef &rhs);
    virtual ~ActivationImplDef();
    ::CORBA::ActivationImplDef *_this(CORBA::Environment &_env);
    virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
    virtual void *_downcast(const char *logical_type_id);
    virtual const char *_interface_repository_id() const;
    virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
    virtual ::CORBA::Activator_ptr activator_obj(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void activator_obj(/* ::POA_CORBA::ActivationImplDef *this, */ ::CORBA::Activator_ptr activator_obj, CORBA::Environment &_ev) = 0;
    virtual char *interface_name(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void interface_name(/* ::POA_CORBA::ActivationImplDef *this, */ const char *interface_name, CORBA::Environment &_ev) = 0;
    virtual char *object_name(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void object_name(/* ::POA_CORBA::ActivationImplDef *this, */ const char *object_name, CORBA::Environment &_ev) = 0;
    virtual ::CORBA::ReferenceData *id(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev) = 0;
    virtual void id(/* ::POA_CORBA::ActivationImplDef *this, */ const ::CORBA::ReferenceData &id, CORBA::Environment &_ev) = 0;
  } ;

  template <class T>
    class ActivationImplDef_tie : public ActivationImplDef {

    public:
      ActivationImplDef_tie(T &t);
      ActivationImplDef_tie(T &t, PortableServer::POA_ptr poa);
      ActivationImplDef_tie(T *t, CORBA::Boolean release = 1);
      ActivationImplDef_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
      ~ActivationImplDef_tie();
      T *_tied_object();
      void _tied_object(T &obj);
      void _tied_object(T &obj, CORBA::Boolean release = 1);
      CORBA::Boolean _is_owner();
      void _is_owner(CORBA::Boolean b);
      PortableServer::POA_ptr _default_POA();

    private:
      ActivationImplDef_tie(const ActivationImplDef_tie &c);
      void operator=(const ActivationImplDef_tie &c);

    public:
      ::CORBA::Activator_ptr activator_obj(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev);
      void activator_obj(/* ::POA_CORBA::ActivationImplDef *this, */ ::CORBA::Activator_ptr activator_obj, CORBA::Environment &_ev);
      char *interface_name(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev);
      void interface_name(/* ::POA_CORBA::ActivationImplDef *this, */ const char *interface_name, CORBA::Environment &_ev);
      char *object_name(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev);
      void object_name(/* ::POA_CORBA::ActivationImplDef *this, */ const char *object_name, CORBA::Environment &_ev);
      ::CORBA::ReferenceData *id(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev);
      void id(/* ::POA_CORBA::ActivationImplDef *this, */ const ::CORBA::ReferenceData &id, CORBA::Environment &_ev);

    private:
      T *ptr_;
      PortableServer::POA_var poa_;
      CORBA::Boolean rel_;
    } ;

  ::CORBA::ImplementationDef_ptr _TAO_collocation_POA_ImplementationDef_Stub_Factory(CORBA::Object_ptr obj);
  int _TAO_collocation_POA_ImplementationDef_Stub_Factory_Initializer(int dummy);
  ::CORBA::CreationImplDef_ptr _TAO_collocation_POA_CreationImplDef_Stub_Factory(CORBA::Object_ptr obj);
  int _TAO_collocation_POA_CreationImplDef_Stub_Factory_Initializer(int dummy);
  ::CORBA::Activator_ptr _TAO_collocation_POA_Activator_Stub_Factory(CORBA::Object_ptr obj);
  int _TAO_collocation_POA_Activator_Stub_Factory_Initializer(int dummy);
  ::CORBA::ActivationImplDef_ptr _TAO_collocation_POA_ActivationImplDef_Stub_Factory(CORBA::Object_ptr obj);
  int _TAO_collocation_POA_ActivationImplDef_Stub_Factory_Initializer(int dummy);
}


#endif /* _impldef_server_h_ */
