#ifndef _nest_refs_server_h_
#define _nest_refs_server_h_

#include "nest-refs-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class POA_test ;


typedef POA_test *POA_test_ptr;

class POA_test : public virtual PortableServer::ServantBase {

protected:
  POA_test();

public:
  POA_test(const POA_test &rhs);
  virtual ~POA_test();
  test *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual ReferenceData *id(/* POA_test *this, */ CORBA::Environment &_ev) = 0;
  virtual void id(/* POA_test *this, */ const ReferenceData &id, CORBA::Environment &_ev) = 0;
  virtual OctetSequence *info(/* POA_test *this, */ CORBA::Environment &_ev) = 0;
  virtual void info(/* POA_test *this, */ const OctetSequence &info, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_test_tie : public POA_test {

  public:
    POA_test_tie(T &t);
    POA_test_tie(T &t, PortableServer::POA_ptr poa);
    POA_test_tie(T *t, CORBA::Boolean release = 1);
    POA_test_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_test_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_test_tie(const POA_test_tie &c);
    void operator=(const POA_test_tie &c);

  public:
    ReferenceData *id(/* POA_test *this, */ CORBA::Environment &_ev);
    void id(/* POA_test *this, */ const ReferenceData &id, CORBA::Environment &_ev);
    OctetSequence *info(/* POA_test *this, */ CORBA::Environment &_ev);
    void info(/* POA_test *this, */ const OctetSequence &info, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


test_ptr _TAO_collocation_POA_test_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_test_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_test : public virtual test {

public:
  _tao_thru_poa_collocated_test(TAO_Stub *stub);
  virtual ReferenceData *id(CORBA::Environment &_ev);
  virtual void id(const ReferenceData &id, CORBA::Environment &_ev);
  virtual OctetSequence *info(CORBA::Environment &_ev);
  virtual void info(const OctetSequence &info, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


#endif /* _nest_refs_server_h_ */
