#include "primtypes-server.h"


static int _TAO_collocation_POA_ex1_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_ex1_Stub_Factory_Initializer(0);


POA_ex1::POA_ex1()
{}

POA_ex1::POA_ex1(const POA_ex1 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex1::~POA_ex1()
{}

ex1 *POA_ex1::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_ex1 (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return ex1::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_ex1::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex1::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_static_cast(POA_ex1_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex1::_interface_repository_id() const
{
  return "IDL:ex1:1.0";
}

ex1_ptr _TAO_collocation_POA_ex1_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_ex1(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_ex1_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_ex1_Stub_Factory_function_pointer =
    _TAO_collocation_POA_ex1_Stub_Factory;

  return 0;
}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex1_tie<T>::~POA_ex1_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex1_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex1_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex1_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex1_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex1_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex1_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(const POA_ex1_tie &c)
{}

template <class T>
  void POA_ex1_tie<T>::operator=(const POA_ex1_tie &c)
{}

template <class T>
  CORBA::Long POA_ex1_tie<T>::m1(/* POA_ex1 *this, */ CORBA::Long a, CORBA::Environment &_ev)
{
  return this->ptr_->m1 (a, _ev);
}

template <class T>
  ex1_ptr POA_ex1_tie<T>::mtypes(/* POA_ex1 *this, */ CORBA::Long a1, CORBA::Long &a2, ::CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, ::CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, ::CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, ::CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, ::CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, ::CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, ::CORBA::Char &g3, CORBA::Environment &_ev)
{
  return this->ptr_->mtypes (a1, a2, a3, b1, b2, b3, c1, c2, c3, d1, d2, d3, e1, e2, e3, f1, f2, f3, g1, g2, g3, _ev);
}

template <class T>
  CORBA::Long POA_ex1_tie<T>::l1(/* POA_ex1 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->l1 (_ev);
}

template <class T>
  void POA_ex1_tie<T>::l1(/* POA_ex1 *this, */ CORBA::Long l1, CORBA::Environment &_ev)
{
  this->ptr_->l1 (l1, _ev);
}

_tao_thru_poa_collocated_ex1::_tao_thru_poa_collocated_ex1(TAO_Stub *stub)
  : ex1(),
    CORBA_Object(stub, 0, 1)
{
}

CORBA::Long _tao_thru_poa_collocated_ex1::m1(CORBA::Long a, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "m1",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex1_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex1:1.0"
        )
    )->m1 (a, _ev);
}

ex1_ptr _tao_thru_poa_collocated_ex1::mtypes(CORBA::Long a1, CORBA::Long &a2, ::CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, ::CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, ::CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, ::CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, ::CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, ::CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, ::CORBA::Char &g3, CORBA::Environment &_ev)
{
  ex1_ptr  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "mtypes",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex1_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex1:1.0"
        )
    )->mtypes (a1, a2, a3, b1, b2, b3, c1, c2, c3, d1, d2, d3, e1, e2, e3, f1, f2, f3, g1, g2, g3, _ev);
}

CORBA::Long _tao_thru_poa_collocated_ex1::l1(CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "l1",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex1_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex1:1.0"
        )
    )->l1 (_ev);
}

void _tao_thru_poa_collocated_ex1::l1(CORBA::Long l1, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "l1",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      POA_ex1_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex1:1.0"
        )
    )->l1 (l1, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_ex1::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex1_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex1:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_ex1::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex1_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex1:1.0"
        )
    )->_non_existent (_ev);
}

static int _TAO_collocation_POA_ex2_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_ex2_Stub_Factory_Initializer(0);


POA_ex2::POA_ex2()
{}

POA_ex2::POA_ex2(const POA_ex2 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex2::~POA_ex2()
{}

ex2 *POA_ex2::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_ex2 (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return ex2::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_ex2::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex2::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex2:1.0") == 0)
    return ACE_static_cast(POA_ex2_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex1_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex2::_interface_repository_id() const
{
  return "IDL:ex2:1.0";
}

ex2_ptr _TAO_collocation_POA_ex2_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_ex2(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_ex2_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_ex2_Stub_Factory_function_pointer =
    _TAO_collocation_POA_ex2_Stub_Factory;

  return 0;
}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex2_tie<T>::~POA_ex2_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex2_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex2_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex2_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex2_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex2_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex2_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(const POA_ex2_tie &c)
{}

template <class T>
  void POA_ex2_tie<T>::operator=(const POA_ex2_tie &c)
{}

template <class T>
  CORBA::Long POA_ex2_tie<T>::m2(/* POA_ex2 *this, */ CORBA::Long a, ::CORBA::Long &b, CORBA::Environment &_ev)
{
  return this->ptr_->m2 (a, b, _ev);
}

template <class T>
  void POA_ex2_tie<T>::mv(/* POA_ex2 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->mv (_ev);
}

template <class T>
  CORBA::Long POA_ex2_tie<T>::l2(/* POA_ex2 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->l2 (_ev);
}

template <class T>
  CORBA::Long POA_ex2_tie<T>::m1(/* POA_ex2 *this, */ CORBA::Long a, CORBA::Environment &_ev)
{
  return this->ptr_->m1 (a, _ev);
}

template <class T>
  ex1_ptr POA_ex2_tie<T>::mtypes(/* POA_ex2 *this, */ CORBA::Long a1, CORBA::Long &a2, ::CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, ::CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, ::CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, ::CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, ::CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, ::CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, ::CORBA::Char &g3, CORBA::Environment &_ev)
{
  return this->ptr_->mtypes (a1, a2, a3, b1, b2, b3, c1, c2, c3, d1, d2, d3, e1, e2, e3, f1, f2, f3, g1, g2, g3, _ev);
}

template <class T>
  CORBA::Long POA_ex2_tie<T>::l1(/* POA_ex2 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->l1 (_ev);
}

template <class T>
  void POA_ex2_tie<T>::l1(/* POA_ex2 *this, */ CORBA::Long l1, CORBA::Environment &_ev)
{
  this->ptr_->l1 (l1, _ev);
}

_tao_thru_poa_collocated_ex2::_tao_thru_poa_collocated_ex2(TAO_Stub *stub)
  : ex2(),
    CORBA_Object(stub, 0, 1)
{
}

CORBA::Long _tao_thru_poa_collocated_ex2::m2(CORBA::Long a, ::CORBA::Long &b, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "m2",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex2:1.0"
        )
    )->m2 (a, b, _ev);
}

void _tao_thru_poa_collocated_ex2::mv(CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "mv",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      POA_ex2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex2:1.0"
        )
    )->mv (_ev);
}

CORBA::Long _tao_thru_poa_collocated_ex2::l2(CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "l2",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex2:1.0"
        )
    )->l2 (_ev);
}

CORBA::Long _tao_thru_poa_collocated_ex2::m1(CORBA::Long a, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "m1",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex2:1.0"
        )
    )->m1 (a, _ev);
}

ex1_ptr _tao_thru_poa_collocated_ex2::mtypes(CORBA::Long a1, CORBA::Long &a2, ::CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, ::CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, ::CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, ::CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, ::CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, ::CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, ::CORBA::Char &g3, CORBA::Environment &_ev)
{
  ex1_ptr  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "mtypes",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex2:1.0"
        )
    )->mtypes (a1, a2, a3, b1, b2, b3, c1, c2, c3, d1, d2, d3, e1, e2, e3, f1, f2, f3, g1, g2, g3, _ev);
}

CORBA::Long _tao_thru_poa_collocated_ex2::l1(CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "l1",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex2:1.0"
        )
    )->l1 (_ev);
}

void _tao_thru_poa_collocated_ex2::l1(CORBA::Long l1, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "l1",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      POA_ex2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex2:1.0"
        )
    )->l1 (l1, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_ex2::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex2:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_ex2::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_ex2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:ex2:1.0"
        )
    )->_non_existent (_ev);
}
void POA_ex1::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t66_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t66_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t66_switch_tag)
        {
        case (unsigned int) 3:
          {
            unsigned short int _t67_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t67_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t67_switch_tag)
              {
              case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
                {
                  char _t68_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _t68_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t68_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_ex1 *_local_this;
                          unsigned int _t69_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort147);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_swap_decode_unsigned32(1, _t69_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t69_principal_len, _flick_abort147);
                          flick_iiopxx_decode_new_glob(_t69_principal_len);
                          flick_iiopxx_decode_new_chunk(_t69_principal_len);
                          flick_iiopxx_decode_end_chunk(_t69_principal_len);
                          flick_iiopxx_decode_end_glob(_t69_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort147);
                          flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->m1(_local_a, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t70_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t70_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort147);
                            flick_iiopxx_encode_new_glob(8, _flick_abort147);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t70_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t70_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort153);
                                  break;
                                  {
                                  _flick_abort153:
                                    goto _flick_abort147;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort154:
                                    goto _flick_abort147;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort147:
                            goto _flick_abort146;
                          }
                        }
                        break;
                        {
                        _flick_abort146:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 7:
          {
            unsigned int _t71_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t71_switch_tag)
              {
              case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
                {
                  unsigned short int _t72_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t72_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t72_switch_tag)
                    {
                    case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                      {
                        char _t73_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t73_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t73_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_ex1 *_local_this;
                                unsigned int _t74_principal_len;
                                ex1_ptr _return;
                                CORBA::Long _local_a1;
                                CORBA::Long _local_a2;
                                CORBA::Long _local_a3;
                                CORBA::ULong _local_b1;
                                CORBA::ULong _local_b2;
                                CORBA::ULong _local_b3;
                                CORBA::Short _local_c1;
                                CORBA::Short _local_c2;
                                CORBA::Short _local_c3;
                                CORBA::UShort _local_d1;
                                CORBA::UShort _local_d2;
                                CORBA::UShort _local_d3;
                                CORBA::Float _local_e1;
                                CORBA::Float _local_e2;
                                CORBA::Float _local_e3;
                                CORBA::Double _local_f1;
                                CORBA::Double _local_f2;
                                CORBA::Double _local_f3;
                                CORBA::Char _local_g1;
                                CORBA::Char _local_g2;
                                CORBA::Char _local_g3;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort156);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_swap_decode_unsigned32(1, _t74_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(16);
                                flick_iiopxx_check_span(_t74_principal_len, _flick_abort156);
                                flick_iiopxx_decode_new_glob(_t74_principal_len);
                                flick_iiopxx_decode_new_chunk(_t74_principal_len);
                                flick_iiopxx_decode_end_chunk(_t74_principal_len);
                                flick_iiopxx_decode_end_glob(_t74_principal_len);
                                /* Begin decode phase on parameters */
                                flick_iiopxx_decode_new_glob(57);
                                flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
                                flick_iiopxx_check_span(32, _flick_abort156);
                                flick_cdr_swap_decode_signed32(0, _local_a1, CORBA::Long );
                                flick_cdr_swap_decode_signed32(4, _local_a2, CORBA::Long );
                                flick_cdr_swap_decode_unsigned32(8, _local_b1, CORBA::ULong );
                                flick_cdr_swap_decode_unsigned32(12, _local_b2, CORBA::ULong );
                                flick_cdr_swap_decode_signed16(16, _local_c1, CORBA::Short );
                                flick_cdr_swap_decode_signed16(18, _local_c2, CORBA::Short );
                                flick_cdr_swap_decode_unsigned16(20, _local_d1, CORBA::UShort );
                                flick_cdr_swap_decode_unsigned16(22, _local_d2, CORBA::UShort );
                                flick_cdr_swap_decode_float32(24, _local_e1, CORBA::Float );
                                flick_cdr_swap_decode_float32(28, _local_e2, CORBA::Float );
                                flick_iiopxx_decode_end_chunk(32);
                                flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
                                flick_iiopxx_check_span(18, _flick_abort156);
                                flick_cdr_swap_decode_float64(0, _local_f1, CORBA::Double );
                                flick_cdr_swap_decode_float64(8, _local_f2, CORBA::Double );
                                flick_cdr_swap_decode_char8(16, _local_g1, CORBA::Char );
                                flick_cdr_swap_decode_char8(17, _local_g2, CORBA::Char );

                                flick_iiopxx_decode_end_chunk(18);
                                flick_iiopxx_decode_end_glob(57);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->mtypes(_local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t75_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t75_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort156);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort156);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t75_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t75_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_cdrxx_encode_IOR(iiopxx, _return, 0, ex1 , _flick_abort161);
                                        CORBA_object_flick_free(_return);
                                        _return = (ex1 *)0;
                                        flick_iiopxx_encode_new_glob(57, _flick_abort161);
                                        flick_iiopxx_encode_new_chunk_align(32, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_a2, CORBA::Long );
                                        flick_cdr_encode_signed32(4, _local_a3, CORBA::Long );
                                        flick_cdr_encode_unsigned32(8, _local_b2, CORBA::ULong );
                                        flick_cdr_encode_unsigned32(12, _local_b3, CORBA::ULong );
                                        flick_cdr_encode_signed16(16, _local_c2, CORBA::Short );
                                        flick_cdr_encode_signed16(18, _local_c3, CORBA::Short );
                                        flick_cdr_encode_unsigned16(20, _local_d2, CORBA::UShort );
                                        flick_cdr_encode_unsigned16(22, _local_d3, CORBA::UShort );
                                        flick_cdr_encode_float32(24, _local_e2, CORBA::Float );
                                        flick_cdr_encode_float32(28, _local_e3, CORBA::Float );
                                        flick_iiopxx_encode_end_chunk(32);
                                        flick_iiopxx_encode_new_chunk_align(18, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _local_f2, CORBA::Double );
                                        flick_cdr_encode_float64(8, _local_f3, CORBA::Double );
                                        flick_cdr_encode_char8(16, _local_g2, CORBA::Char );
                                        flick_cdr_encode_char8(17, _local_g3, CORBA::Char );
                                        flick_iiopxx_encode_end_chunk(18);
                                        flick_iiopxx_encode_end_glob(57);
                                        break;
                                        {
                                        _flick_abort161:
                                          goto _flick_abort156;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort162);
                                        break;
                                        {
                                        _flick_abort162:
                                          goto _flick_abort156;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort163:
                                          goto _flick_abort156;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort156:
                                  goto _flick_abort155;
                                }
                              }
                              break;
                              {
                              _flick_abort155:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(16);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t76_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t76_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t76_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t77_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t77_switch_tag)
                    {
                    case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                      {
                        {
                          POA_ex1 *_local_this;
                          unsigned int _t78_principal_len;
                          CORBA::Long _return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort165);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t78_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t78_principal_len, _flick_abort165);
                          flick_iiopxx_decode_new_glob(_t78_principal_len);
                          flick_iiopxx_decode_new_chunk(_t78_principal_len);
                          flick_iiopxx_decode_end_chunk(_t78_principal_len);
                          flick_iiopxx_decode_end_glob(_t78_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->l1(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t79_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t79_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort165);
                            flick_iiopxx_encode_new_glob(8, _flick_abort165);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t79_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t79_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort171);
                                  break;
                                  {
                                  _flick_abort171:
                                    goto _flick_abort165;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort172:
                                    goto _flick_abort165;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort165:
                            goto _flick_abort164;
                          }
                        }
                        break;
                        {
                        _flick_abort164:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t80_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t80_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t80_switch_tag)
                    {
                    case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                      {
                        {
                          POA_ex1 *_local_this;
                          unsigned int _t81_principal_len;
                          CORBA::Long _local_l1;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort174);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t81_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t81_principal_len, _flick_abort174);
                          flick_iiopxx_decode_new_glob(_t81_principal_len);
                          flick_iiopxx_decode_new_chunk(_t81_principal_len);
                          flick_iiopxx_decode_end_chunk(_t81_principal_len);
                          flick_iiopxx_decode_end_glob(_t81_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort174);
                          flick_cdr_swap_decode_signed32(0, _local_l1, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->l1(_local_l1, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t82_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t82_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort174);
                            flick_iiopxx_encode_new_glob(4, _flick_abort174);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t82_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t82_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort180);
                                  break;
                                  {
                                  _flick_abort180:
                                    goto _flick_abort174;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort181);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort181:
                                    goto _flick_abort174;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort174:
                            goto _flick_abort173;
                          }
                        }
                        break;
                        {
                        _flick_abort173:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t83_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t83_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t83_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t84_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t84_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t84_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_ex1 *_local_this;
                          unsigned int _t85_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t86_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort183);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t85_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t85_principal_len, _flick_abort183);
                          flick_iiopxx_decode_new_glob(_t85_principal_len);
                          flick_iiopxx_decode_new_chunk(_t85_principal_len);
                          flick_iiopxx_decode_end_chunk(_t85_principal_len);
                          flick_iiopxx_decode_end_glob(_t85_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort183);
                          flick_cdr_swap_decode_unsigned32(0, _t86_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t86_temp_string_len);
                          flick_iiopxx_check_span(1 * _t86_temp_string_len, _flick_abort183);
                          flick_iiopxx_decode_new_chunk(1 * _t86_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t86_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t86_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t87_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t87_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort183);
                            flick_iiopxx_encode_new_glob(5, _flick_abort183);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t87_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t87_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort191);
                                  break;
                                  {
                                  _flick_abort191:
                                    goto _flick_abort183;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort192);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort192:
                                    goto _flick_abort183;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort183:
                            goto _flick_abort182;
                          }
                        }
                        break;
                        {
                        _flick_abort182:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t22_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t22_switch_tag)
        {
        case (unsigned int) 3:
          {
            unsigned short int _t23_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t23_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t23_switch_tag)
              {
              case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
                {
                  char _t24_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _t24_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t24_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_ex1 *_local_this;
                          unsigned int _t25_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort52);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_decode_unsigned32(1, _t25_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t25_principal_len, _flick_abort52);
                          flick_iiopxx_decode_new_glob(_t25_principal_len);
                          flick_iiopxx_decode_new_chunk(_t25_principal_len);
                          flick_iiopxx_decode_end_chunk(_t25_principal_len);
                          flick_iiopxx_decode_end_glob(_t25_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort52);
                          flick_cdr_decode_signed32(0, _local_a, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->m1(_local_a, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t26_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t26_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort52);
                            flick_iiopxx_encode_new_glob(8, _flick_abort52);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t26_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t26_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort58);
                                  break;
                                  {
                                  _flick_abort58:
                                    goto _flick_abort52;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort59:
                                    goto _flick_abort52;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort52:
                            goto _flick_abort51;
                          }
                        }
                        break;
                        {
                        _flick_abort51:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 7:
          {
            unsigned int _t27_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t27_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t27_switch_tag)
              {
              case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
                {
                  unsigned short int _t28_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t28_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t28_switch_tag)
                    {
                    case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                      {
                        char _t29_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t29_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t29_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_ex1 *_local_this;
                                unsigned int _t30_principal_len;
                                ex1_ptr _return;
                                CORBA::Long _local_a1;
                                CORBA::Long _local_a2;
                                CORBA::Long _local_a3;
                                CORBA::ULong _local_b1;
                                CORBA::ULong _local_b2;
                                CORBA::ULong _local_b3;
                                CORBA::Short _local_c1;
                                CORBA::Short _local_c2;
                                CORBA::Short _local_c3;
                                CORBA::UShort _local_d1;
                                CORBA::UShort _local_d2;
                                CORBA::UShort _local_d3;
                                CORBA::Float _local_e1;
                                CORBA::Float _local_e2;
                                CORBA::Float _local_e3;
                                CORBA::Double _local_f1;
                                CORBA::Double _local_f2;
                                CORBA::Double _local_f3;
                                CORBA::Char _local_g1;
                                CORBA::Char _local_g2;
                                CORBA::Char _local_g3;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort61);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_decode_unsigned32(1, _t30_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(16);
                                flick_iiopxx_check_span(_t30_principal_len, _flick_abort61);
                                flick_iiopxx_decode_new_glob(_t30_principal_len);
                                flick_iiopxx_decode_new_chunk(_t30_principal_len);
                                flick_iiopxx_decode_end_chunk(_t30_principal_len);
                                flick_iiopxx_decode_end_glob(_t30_principal_len);
                                /* Begin decode phase on parameters */
                                flick_iiopxx_decode_new_glob(57);
                                flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
                                flick_iiopxx_check_span(32, _flick_abort61);
                                flick_cdr_decode_signed32(0, _local_a1, CORBA::Long );
                                flick_cdr_decode_signed32(4, _local_a2, CORBA::Long );
                                flick_cdr_decode_unsigned32(8, _local_b1, CORBA::ULong );
                                flick_cdr_decode_unsigned32(12, _local_b2, CORBA::ULong );
                                flick_cdr_decode_signed16(16, _local_c1, CORBA::Short );
                                flick_cdr_decode_signed16(18, _local_c2, CORBA::Short );
                                flick_cdr_decode_unsigned16(20, _local_d1, CORBA::UShort );
                                flick_cdr_decode_unsigned16(22, _local_d2, CORBA::UShort );
                                flick_cdr_decode_float32(24, _local_e1, CORBA::Float );
                                flick_cdr_decode_float32(28, _local_e2, CORBA::Float );
                                flick_iiopxx_decode_end_chunk(32);
                                flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
                                flick_iiopxx_check_span(18, _flick_abort61);
                                flick_cdr_decode_float64(0, _local_f1, CORBA::Double );
                                flick_cdr_decode_float64(8, _local_f2, CORBA::Double );
                                flick_cdr_decode_char8(16, _local_g1, CORBA::Char );
                                flick_cdr_decode_char8(17, _local_g2, CORBA::Char );

                                flick_iiopxx_decode_end_chunk(18);
                                flick_iiopxx_decode_end_glob(57);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->mtypes(_local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t31_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t31_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort61);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort61);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t31_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t31_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_cdrxx_encode_IOR(iiopxx, _return, 0, ex1 , _flick_abort66);
                                        CORBA_object_flick_free(_return);
                                        _return = (ex1 *)0;
                                        flick_iiopxx_encode_new_glob(57, _flick_abort66);
                                        flick_iiopxx_encode_new_chunk_align(32, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_a2, CORBA::Long );
                                        flick_cdr_encode_signed32(4, _local_a3, CORBA::Long );
                                        flick_cdr_encode_unsigned32(8, _local_b2, CORBA::ULong );
                                        flick_cdr_encode_unsigned32(12, _local_b3, CORBA::ULong );
                                        flick_cdr_encode_signed16(16, _local_c2, CORBA::Short );
                                        flick_cdr_encode_signed16(18, _local_c3, CORBA::Short );
                                        flick_cdr_encode_unsigned16(20, _local_d2, CORBA::UShort );
                                        flick_cdr_encode_unsigned16(22, _local_d3, CORBA::UShort );
                                        flick_cdr_encode_float32(24, _local_e2, CORBA::Float );
                                        flick_cdr_encode_float32(28, _local_e3, CORBA::Float );
                                        flick_iiopxx_encode_end_chunk(32);
                                        flick_iiopxx_encode_new_chunk_align(18, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _local_f2, CORBA::Double );
                                        flick_cdr_encode_float64(8, _local_f3, CORBA::Double );
                                        flick_cdr_encode_char8(16, _local_g2, CORBA::Char );
                                        flick_cdr_encode_char8(17, _local_g3, CORBA::Char );
                                        flick_iiopxx_encode_end_chunk(18);
                                        flick_iiopxx_encode_end_glob(57);
                                        break;
                                        {
                                        _flick_abort66:
                                          goto _flick_abort61;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort67);
                                        break;
                                        {
                                        _flick_abort67:
                                          goto _flick_abort61;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort68);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort68:
                                          goto _flick_abort61;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort61:
                                  goto _flick_abort60;
                                }
                              }
                              break;
                              {
                              _flick_abort60:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(16);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t32_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t32_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t32_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t33_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t33_switch_tag)
                    {
                    case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                      {
                        {
                          POA_ex1 *_local_this;
                          unsigned int _t34_principal_len;
                          CORBA::Long _return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort70);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t34_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t34_principal_len, _flick_abort70);
                          flick_iiopxx_decode_new_glob(_t34_principal_len);
                          flick_iiopxx_decode_new_chunk(_t34_principal_len);
                          flick_iiopxx_decode_end_chunk(_t34_principal_len);
                          flick_iiopxx_decode_end_glob(_t34_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->l1(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t35_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t35_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort70);
                            flick_iiopxx_encode_new_glob(8, _flick_abort70);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t35_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t35_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort76);
                                  break;
                                  {
                                  _flick_abort76:
                                    goto _flick_abort70;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort77:
                                    goto _flick_abort70;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort70:
                            goto _flick_abort69;
                          }
                        }
                        break;
                        {
                        _flick_abort69:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t36_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t36_switch_tag)
                    {
                    case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                      {
                        {
                          POA_ex1 *_local_this;
                          unsigned int _t37_principal_len;
                          CORBA::Long _local_l1;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort79);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t37_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t37_principal_len, _flick_abort79);
                          flick_iiopxx_decode_new_glob(_t37_principal_len);
                          flick_iiopxx_decode_new_chunk(_t37_principal_len);
                          flick_iiopxx_decode_end_chunk(_t37_principal_len);
                          flick_iiopxx_decode_end_glob(_t37_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort79);
                          flick_cdr_decode_signed32(0, _local_l1, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->l1(_local_l1, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t38_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t38_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort79);
                            flick_iiopxx_encode_new_glob(4, _flick_abort79);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t38_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t38_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort85);
                                  break;
                                  {
                                  _flick_abort85:
                                    goto _flick_abort79;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort86);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort86:
                                    goto _flick_abort79;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort79:
                            goto _flick_abort78;
                          }
                        }
                        break;
                        {
                        _flick_abort78:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t39_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t39_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t40_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t40_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_ex1 *_local_this;
                          unsigned int _t41_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t42_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort88);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t41_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t41_principal_len, _flick_abort88);
                          flick_iiopxx_decode_new_glob(_t41_principal_len);
                          flick_iiopxx_decode_new_chunk(_t41_principal_len);
                          flick_iiopxx_decode_end_chunk(_t41_principal_len);
                          flick_iiopxx_decode_end_glob(_t41_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort88);
                          flick_cdr_decode_unsigned32(0, _t42_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t42_temp_string_len);
                          flick_iiopxx_check_span(1 * _t42_temp_string_len, _flick_abort88);
                          flick_iiopxx_decode_new_chunk(1 * _t42_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t42_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t42_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t43_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t43_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort88);
                            flick_iiopxx_encode_new_glob(5, _flick_abort88);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t43_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t43_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort96);
                                  break;
                                  {
                                  _flick_abort96:
                                    goto _flick_abort88;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort97:
                                    goto _flick_abort88;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort88:
                            goto _flick_abort87;
                          }
                        }
                        break;
                        {
                        _flick_abort87:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort2:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return ;
  }

_flick_reaper:
  return ;

}
void POA_ex2::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t178_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort195);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t178_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t178_switch_tag)
        {
        case (unsigned int) 3:
          {
            unsigned short int _t179_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t179_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t179_switch_tag)
              {
              case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
                {
                  char _t180_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _t180_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t180_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t181_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Long _local_b;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort421);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_swap_decode_unsigned32(1, _t181_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t181_principal_len, _flick_abort421);
                          flick_iiopxx_decode_new_glob(_t181_principal_len);
                          flick_iiopxx_decode_new_chunk(_t181_principal_len);
                          flick_iiopxx_decode_end_chunk(_t181_principal_len);
                          flick_iiopxx_decode_end_glob(_t181_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort421);
                          flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->m2(_local_a, _local_b, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t182_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t182_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort421);
                            flick_iiopxx_encode_new_glob(12, _flick_abort421);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t182_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t182_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(8);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(8);
                                  flick_iiopxx_encode_end_glob(12);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(12);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort427);
                                  break;
                                  {
                                  _flick_abort427:
                                    goto _flick_abort421;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort428);
                                  flick_iiopxx_encode_end_glob(12);
                                  break;
                                  {
                                  _flick_abort428:
                                    goto _flick_abort421;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort421:
                            goto _flick_abort420;
                          }
                        }
                        break;
                        {
                        _flick_abort420:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              case /* mv */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28022):
                {
                  char _t183_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _t183_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t183_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t184_principal_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort430);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_swap_decode_unsigned32(1, _t184_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t184_principal_len, _flick_abort430);
                          flick_iiopxx_decode_new_glob(_t184_principal_len);
                          flick_iiopxx_decode_new_chunk(_t184_principal_len);
                          flick_iiopxx_decode_end_chunk(_t184_principal_len);
                          flick_iiopxx_decode_end_glob(_t184_principal_len);
                          /* Begin decode phase on parameters */

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->mv(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t185_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t185_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort430);
                            flick_iiopxx_encode_new_glob(4, _flick_abort430);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t185_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t185_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort436);
                                  break;
                                  {
                                  _flick_abort436:
                                    goto _flick_abort430;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort437);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort437:
                                    goto _flick_abort430;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort430:
                            goto _flick_abort429;
                          }
                        }
                        break;
                        {
                        _flick_abort429:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
                {
                  char _t186_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _t186_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t186_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t187_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort439);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_swap_decode_unsigned32(1, _t187_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t187_principal_len, _flick_abort439);
                          flick_iiopxx_decode_new_glob(_t187_principal_len);
                          flick_iiopxx_decode_new_chunk(_t187_principal_len);
                          flick_iiopxx_decode_end_chunk(_t187_principal_len);
                          flick_iiopxx_decode_end_glob(_t187_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort439);
                          flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->m1(_local_a, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t188_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t188_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort439);
                            flick_iiopxx_encode_new_glob(8, _flick_abort439);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t188_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t188_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort445);
                                  break;
                                  {
                                  _flick_abort445:
                                    goto _flick_abort439;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort446);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort446:
                                    goto _flick_abort439;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort439:
                            goto _flick_abort438;
                          }
                        }
                        break;
                        {
                        _flick_abort438:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t189_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort195);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t189_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t189_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t190_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t190_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t190_switch_tag)
                    {
                    case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t191_principal_len;
                          CORBA::Long _return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort448);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t191_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t191_principal_len, _flick_abort448);
                          flick_iiopxx_decode_new_glob(_t191_principal_len);
                          flick_iiopxx_decode_new_chunk(_t191_principal_len);
                          flick_iiopxx_decode_end_chunk(_t191_principal_len);
                          flick_iiopxx_decode_end_glob(_t191_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->l2(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t192_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t192_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort448);
                            flick_iiopxx_encode_new_glob(8, _flick_abort448);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t192_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t192_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort454);
                                  break;
                                  {
                                  _flick_abort454:
                                    goto _flick_abort448;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort455);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort455:
                                    goto _flick_abort448;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort448:
                            goto _flick_abort447;
                          }
                        }
                        break;
                        {
                        _flick_abort447:
                          goto _flick_abort195;
                        }
                      }
                    case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t193_principal_len;
                          CORBA::Long _return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort457);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t193_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t193_principal_len, _flick_abort457);
                          flick_iiopxx_decode_new_glob(_t193_principal_len);
                          flick_iiopxx_decode_new_chunk(_t193_principal_len);
                          flick_iiopxx_decode_end_chunk(_t193_principal_len);
                          flick_iiopxx_decode_end_glob(_t193_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->l1(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t194_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t194_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort457);
                            flick_iiopxx_encode_new_glob(8, _flick_abort457);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t194_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t194_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort463);
                                  break;
                                  {
                                  _flick_abort463:
                                    goto _flick_abort457;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort464);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort464:
                                    goto _flick_abort457;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort457:
                            goto _flick_abort456;
                          }
                        }
                        break;
                        {
                        _flick_abort456:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t195_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t195_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t195_switch_tag)
                    {
                    case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t196_principal_len;
                          CORBA::Long _local_l1;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort466);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t196_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t196_principal_len, _flick_abort466);
                          flick_iiopxx_decode_new_glob(_t196_principal_len);
                          flick_iiopxx_decode_new_chunk(_t196_principal_len);
                          flick_iiopxx_decode_end_chunk(_t196_principal_len);
                          flick_iiopxx_decode_end_glob(_t196_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort466);
                          flick_cdr_swap_decode_signed32(0, _local_l1, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->l1(_local_l1, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t197_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t197_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort466);
                            flick_iiopxx_encode_new_glob(4, _flick_abort466);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t197_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t197_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort472);
                                  break;
                                  {
                                  _flick_abort472:
                                    goto _flick_abort466;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort473);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort473:
                                    goto _flick_abort466;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort466:
                            goto _flick_abort465;
                          }
                        }
                        break;
                        {
                        _flick_abort465:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 7:
          {
            unsigned int _t198_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort195);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t198_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t198_switch_tag)
              {
              case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
                {
                  unsigned short int _t199_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t199_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t199_switch_tag)
                    {
                    case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                      {
                        char _t200_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t200_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t200_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_ex2 *_local_this;
                                unsigned int _t201_principal_len;
                                ex1_ptr _return;
                                CORBA::Long _local_a1;
                                CORBA::Long _local_a2;
                                CORBA::Long _local_a3;
                                CORBA::ULong _local_b1;
                                CORBA::ULong _local_b2;
                                CORBA::ULong _local_b3;
                                CORBA::Short _local_c1;
                                CORBA::Short _local_c2;
                                CORBA::Short _local_c3;
                                CORBA::UShort _local_d1;
                                CORBA::UShort _local_d2;
                                CORBA::UShort _local_d3;
                                CORBA::Float _local_e1;
                                CORBA::Float _local_e2;
                                CORBA::Float _local_e3;
                                CORBA::Double _local_f1;
                                CORBA::Double _local_f2;
                                CORBA::Double _local_f3;
                                CORBA::Char _local_g1;
                                CORBA::Char _local_g2;
                                CORBA::Char _local_g3;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort475);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_swap_decode_unsigned32(1, _t201_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(16);
                                flick_iiopxx_check_span(_t201_principal_len, _flick_abort475);
                                flick_iiopxx_decode_new_glob(_t201_principal_len);
                                flick_iiopxx_decode_new_chunk(_t201_principal_len);
                                flick_iiopxx_decode_end_chunk(_t201_principal_len);
                                flick_iiopxx_decode_end_glob(_t201_principal_len);
                                /* Begin decode phase on parameters */
                                flick_iiopxx_decode_new_glob(57);
                                flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
                                flick_iiopxx_check_span(32, _flick_abort475);
                                flick_cdr_swap_decode_signed32(0, _local_a1, CORBA::Long );
                                flick_cdr_swap_decode_signed32(4, _local_a2, CORBA::Long );
                                flick_cdr_swap_decode_unsigned32(8, _local_b1, CORBA::ULong );
                                flick_cdr_swap_decode_unsigned32(12, _local_b2, CORBA::ULong );
                                flick_cdr_swap_decode_signed16(16, _local_c1, CORBA::Short );
                                flick_cdr_swap_decode_signed16(18, _local_c2, CORBA::Short );
                                flick_cdr_swap_decode_unsigned16(20, _local_d1, CORBA::UShort );
                                flick_cdr_swap_decode_unsigned16(22, _local_d2, CORBA::UShort );
                                flick_cdr_swap_decode_float32(24, _local_e1, CORBA::Float );
                                flick_cdr_swap_decode_float32(28, _local_e2, CORBA::Float );
                                flick_iiopxx_decode_end_chunk(32);
                                flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
                                flick_iiopxx_check_span(18, _flick_abort475);
                                flick_cdr_swap_decode_float64(0, _local_f1, CORBA::Double );
                                flick_cdr_swap_decode_float64(8, _local_f2, CORBA::Double );
                                flick_cdr_swap_decode_char8(16, _local_g1, CORBA::Char );
                                flick_cdr_swap_decode_char8(17, _local_g2, CORBA::Char );

                                flick_iiopxx_decode_end_chunk(18);
                                flick_iiopxx_decode_end_glob(57);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->mtypes(_local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t202_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t202_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort475);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort475);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t202_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t202_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_cdrxx_encode_IOR(iiopxx, _return, 0, ex1 , _flick_abort480);
                                        CORBA_object_flick_free(_return);
                                        _return = (ex1 *)0;
                                        flick_iiopxx_encode_new_glob(57, _flick_abort480);
                                        flick_iiopxx_encode_new_chunk_align(32, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_a2, CORBA::Long );
                                        flick_cdr_encode_signed32(4, _local_a3, CORBA::Long );
                                        flick_cdr_encode_unsigned32(8, _local_b2, CORBA::ULong );
                                        flick_cdr_encode_unsigned32(12, _local_b3, CORBA::ULong );
                                        flick_cdr_encode_signed16(16, _local_c2, CORBA::Short );
                                        flick_cdr_encode_signed16(18, _local_c3, CORBA::Short );
                                        flick_cdr_encode_unsigned16(20, _local_d2, CORBA::UShort );
                                        flick_cdr_encode_unsigned16(22, _local_d3, CORBA::UShort );
                                        flick_cdr_encode_float32(24, _local_e2, CORBA::Float );
                                        flick_cdr_encode_float32(28, _local_e3, CORBA::Float );
                                        flick_iiopxx_encode_end_chunk(32);
                                        flick_iiopxx_encode_new_chunk_align(18, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _local_f2, CORBA::Double );
                                        flick_cdr_encode_float64(8, _local_f3, CORBA::Double );
                                        flick_cdr_encode_char8(16, _local_g2, CORBA::Char );
                                        flick_cdr_encode_char8(17, _local_g3, CORBA::Char );
                                        flick_iiopxx_encode_end_chunk(18);
                                        flick_iiopxx_encode_end_glob(57);
                                        break;
                                        {
                                        _flick_abort480:
                                          goto _flick_abort475;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort481);
                                        break;
                                        {
                                        _flick_abort481:
                                          goto _flick_abort475;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort482);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort482:
                                          goto _flick_abort475;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort475:
                                  goto _flick_abort474;
                                }
                              }
                              break;
                              {
                              _flick_abort474:
                                goto _flick_abort195;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                              flick_iiopxx_decode_end_glob(16);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t203_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort195);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t203_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t203_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t204_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t204_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t204_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t205_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t206_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort484);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t205_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t205_principal_len, _flick_abort484);
                          flick_iiopxx_decode_new_glob(_t205_principal_len);
                          flick_iiopxx_decode_new_chunk(_t205_principal_len);
                          flick_iiopxx_decode_end_chunk(_t205_principal_len);
                          flick_iiopxx_decode_end_glob(_t205_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort484);
                          flick_cdr_swap_decode_unsigned32(0, _t206_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t206_temp_string_len);
                          flick_iiopxx_check_span(1 * _t206_temp_string_len, _flick_abort484);
                          flick_iiopxx_decode_new_chunk(1 * _t206_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t206_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t206_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t207_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t207_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort484);
                            flick_iiopxx_encode_new_glob(5, _flick_abort484);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t207_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t207_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort492);
                                  break;
                                  {
                                  _flick_abort492:
                                    goto _flick_abort484;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort493);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort493:
                                    goto _flick_abort484;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort484:
                            goto _flick_abort483;
                          }
                        }
                        break;
                        {
                        _flick_abort483:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t118_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort195);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t118_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t118_switch_tag)
        {
        case (unsigned int) 3:
          {
            unsigned short int _t119_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t119_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t119_switch_tag)
              {
              case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
                {
                  char _t120_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _t120_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t120_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t121_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Long _local_b;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort272);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_decode_unsigned32(1, _t121_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t121_principal_len, _flick_abort272);
                          flick_iiopxx_decode_new_glob(_t121_principal_len);
                          flick_iiopxx_decode_new_chunk(_t121_principal_len);
                          flick_iiopxx_decode_end_chunk(_t121_principal_len);
                          flick_iiopxx_decode_end_glob(_t121_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort272);
                          flick_cdr_decode_signed32(0, _local_a, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->m2(_local_a, _local_b, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t122_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t122_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort272);
                            flick_iiopxx_encode_new_glob(12, _flick_abort272);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t122_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t122_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(8);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(8);
                                  flick_iiopxx_encode_end_glob(12);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(12);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort278);
                                  break;
                                  {
                                  _flick_abort278:
                                    goto _flick_abort272;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort279);
                                  flick_iiopxx_encode_end_glob(12);
                                  break;
                                  {
                                  _flick_abort279:
                                    goto _flick_abort272;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort272:
                            goto _flick_abort271;
                          }
                        }
                        break;
                        {
                        _flick_abort271:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              case /* mv */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28022):
                {
                  char _t123_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _t123_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t123_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t124_principal_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort281);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_decode_unsigned32(1, _t124_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t124_principal_len, _flick_abort281);
                          flick_iiopxx_decode_new_glob(_t124_principal_len);
                          flick_iiopxx_decode_new_chunk(_t124_principal_len);
                          flick_iiopxx_decode_end_chunk(_t124_principal_len);
                          flick_iiopxx_decode_end_glob(_t124_principal_len);
                          /* Begin decode phase on parameters */

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->mv(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t125_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t125_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort281);
                            flick_iiopxx_encode_new_glob(4, _flick_abort281);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t125_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t125_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort287);
                                  break;
                                  {
                                  _flick_abort287:
                                    goto _flick_abort281;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort288);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort288:
                                    goto _flick_abort281;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort281:
                            goto _flick_abort280;
                          }
                        }
                        break;
                        {
                        _flick_abort280:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
                {
                  char _t126_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _t126_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t126_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t127_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort290);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_decode_unsigned32(1, _t127_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t127_principal_len, _flick_abort290);
                          flick_iiopxx_decode_new_glob(_t127_principal_len);
                          flick_iiopxx_decode_new_chunk(_t127_principal_len);
                          flick_iiopxx_decode_end_chunk(_t127_principal_len);
                          flick_iiopxx_decode_end_glob(_t127_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort290);
                          flick_cdr_decode_signed32(0, _local_a, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->m1(_local_a, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t128_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t128_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort290);
                            flick_iiopxx_encode_new_glob(8, _flick_abort290);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t128_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t128_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort296);
                                  break;
                                  {
                                  _flick_abort296:
                                    goto _flick_abort290;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort297);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort297:
                                    goto _flick_abort290;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort290:
                            goto _flick_abort289;
                          }
                        }
                        break;
                        {
                        _flick_abort289:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t129_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort195);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t129_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t129_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t130_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t130_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t130_switch_tag)
                    {
                    case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t131_principal_len;
                          CORBA::Long _return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort299);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t131_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t131_principal_len, _flick_abort299);
                          flick_iiopxx_decode_new_glob(_t131_principal_len);
                          flick_iiopxx_decode_new_chunk(_t131_principal_len);
                          flick_iiopxx_decode_end_chunk(_t131_principal_len);
                          flick_iiopxx_decode_end_glob(_t131_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->l2(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t132_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t132_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort299);
                            flick_iiopxx_encode_new_glob(8, _flick_abort299);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t132_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t132_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort305);
                                  break;
                                  {
                                  _flick_abort305:
                                    goto _flick_abort299;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort306);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort306:
                                    goto _flick_abort299;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort299:
                            goto _flick_abort298;
                          }
                        }
                        break;
                        {
                        _flick_abort298:
                          goto _flick_abort195;
                        }
                      }
                    case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t133_principal_len;
                          CORBA::Long _return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort308);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t133_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t133_principal_len, _flick_abort308);
                          flick_iiopxx_decode_new_glob(_t133_principal_len);
                          flick_iiopxx_decode_new_chunk(_t133_principal_len);
                          flick_iiopxx_decode_end_chunk(_t133_principal_len);
                          flick_iiopxx_decode_end_glob(_t133_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->l1(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t134_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t134_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort308);
                            flick_iiopxx_encode_new_glob(8, _flick_abort308);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t134_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t134_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort314);
                                  break;
                                  {
                                  _flick_abort314:
                                    goto _flick_abort308;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort315);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort315:
                                    goto _flick_abort308;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort308:
                            goto _flick_abort307;
                          }
                        }
                        break;
                        {
                        _flick_abort307:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t135_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t135_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t135_switch_tag)
                    {
                    case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t136_principal_len;
                          CORBA::Long _local_l1;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort317);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t136_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t136_principal_len, _flick_abort317);
                          flick_iiopxx_decode_new_glob(_t136_principal_len);
                          flick_iiopxx_decode_new_chunk(_t136_principal_len);
                          flick_iiopxx_decode_end_chunk(_t136_principal_len);
                          flick_iiopxx_decode_end_glob(_t136_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort317);
                          flick_cdr_decode_signed32(0, _local_l1, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->l1(_local_l1, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t137_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t137_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort317);
                            flick_iiopxx_encode_new_glob(4, _flick_abort317);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t137_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t137_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort323);
                                  break;
                                  {
                                  _flick_abort323:
                                    goto _flick_abort317;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort324);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort324:
                                    goto _flick_abort317;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort317:
                            goto _flick_abort316;
                          }
                        }
                        break;
                        {
                        _flick_abort316:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 7:
          {
            unsigned int _t138_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort195);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t138_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t138_switch_tag)
              {
              case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
                {
                  unsigned short int _t139_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t139_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t139_switch_tag)
                    {
                    case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                      {
                        char _t140_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t140_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t140_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_ex2 *_local_this;
                                unsigned int _t141_principal_len;
                                ex1_ptr _return;
                                CORBA::Long _local_a1;
                                CORBA::Long _local_a2;
                                CORBA::Long _local_a3;
                                CORBA::ULong _local_b1;
                                CORBA::ULong _local_b2;
                                CORBA::ULong _local_b3;
                                CORBA::Short _local_c1;
                                CORBA::Short _local_c2;
                                CORBA::Short _local_c3;
                                CORBA::UShort _local_d1;
                                CORBA::UShort _local_d2;
                                CORBA::UShort _local_d3;
                                CORBA::Float _local_e1;
                                CORBA::Float _local_e2;
                                CORBA::Float _local_e3;
                                CORBA::Double _local_f1;
                                CORBA::Double _local_f2;
                                CORBA::Double _local_f3;
                                CORBA::Char _local_g1;
                                CORBA::Char _local_g2;
                                CORBA::Char _local_g3;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort326);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_decode_unsigned32(1, _t141_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(16);
                                flick_iiopxx_check_span(_t141_principal_len, _flick_abort326);
                                flick_iiopxx_decode_new_glob(_t141_principal_len);
                                flick_iiopxx_decode_new_chunk(_t141_principal_len);
                                flick_iiopxx_decode_end_chunk(_t141_principal_len);
                                flick_iiopxx_decode_end_glob(_t141_principal_len);
                                /* Begin decode phase on parameters */
                                flick_iiopxx_decode_new_glob(57);
                                flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
                                flick_iiopxx_check_span(32, _flick_abort326);
                                flick_cdr_decode_signed32(0, _local_a1, CORBA::Long );
                                flick_cdr_decode_signed32(4, _local_a2, CORBA::Long );
                                flick_cdr_decode_unsigned32(8, _local_b1, CORBA::ULong );
                                flick_cdr_decode_unsigned32(12, _local_b2, CORBA::ULong );
                                flick_cdr_decode_signed16(16, _local_c1, CORBA::Short );
                                flick_cdr_decode_signed16(18, _local_c2, CORBA::Short );
                                flick_cdr_decode_unsigned16(20, _local_d1, CORBA::UShort );
                                flick_cdr_decode_unsigned16(22, _local_d2, CORBA::UShort );
                                flick_cdr_decode_float32(24, _local_e1, CORBA::Float );
                                flick_cdr_decode_float32(28, _local_e2, CORBA::Float );
                                flick_iiopxx_decode_end_chunk(32);
                                flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
                                flick_iiopxx_check_span(18, _flick_abort326);
                                flick_cdr_decode_float64(0, _local_f1, CORBA::Double );
                                flick_cdr_decode_float64(8, _local_f2, CORBA::Double );
                                flick_cdr_decode_char8(16, _local_g1, CORBA::Char );
                                flick_cdr_decode_char8(17, _local_g2, CORBA::Char );

                                flick_iiopxx_decode_end_chunk(18);
                                flick_iiopxx_decode_end_glob(57);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->mtypes(_local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t142_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t142_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort326);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort326);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t142_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t142_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_cdrxx_encode_IOR(iiopxx, _return, 0, ex1 , _flick_abort331);
                                        CORBA_object_flick_free(_return);
                                        _return = (ex1 *)0;
                                        flick_iiopxx_encode_new_glob(57, _flick_abort331);
                                        flick_iiopxx_encode_new_chunk_align(32, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_a2, CORBA::Long );
                                        flick_cdr_encode_signed32(4, _local_a3, CORBA::Long );
                                        flick_cdr_encode_unsigned32(8, _local_b2, CORBA::ULong );
                                        flick_cdr_encode_unsigned32(12, _local_b3, CORBA::ULong );
                                        flick_cdr_encode_signed16(16, _local_c2, CORBA::Short );
                                        flick_cdr_encode_signed16(18, _local_c3, CORBA::Short );
                                        flick_cdr_encode_unsigned16(20, _local_d2, CORBA::UShort );
                                        flick_cdr_encode_unsigned16(22, _local_d3, CORBA::UShort );
                                        flick_cdr_encode_float32(24, _local_e2, CORBA::Float );
                                        flick_cdr_encode_float32(28, _local_e3, CORBA::Float );
                                        flick_iiopxx_encode_end_chunk(32);
                                        flick_iiopxx_encode_new_chunk_align(18, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _local_f2, CORBA::Double );
                                        flick_cdr_encode_float64(8, _local_f3, CORBA::Double );
                                        flick_cdr_encode_char8(16, _local_g2, CORBA::Char );
                                        flick_cdr_encode_char8(17, _local_g3, CORBA::Char );
                                        flick_iiopxx_encode_end_chunk(18);
                                        flick_iiopxx_encode_end_glob(57);
                                        break;
                                        {
                                        _flick_abort331:
                                          goto _flick_abort326;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort332);
                                        break;
                                        {
                                        _flick_abort332:
                                          goto _flick_abort326;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort333);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort333:
                                          goto _flick_abort326;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort326:
                                  goto _flick_abort325;
                                }
                              }
                              break;
                              {
                              _flick_abort325:
                                goto _flick_abort195;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                              flick_iiopxx_decode_end_glob(16);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t143_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort195);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t143_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t143_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t144_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t144_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t144_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_ex2 *_local_this;
                          unsigned int _t145_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t146_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort335);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t145_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t145_principal_len, _flick_abort335);
                          flick_iiopxx_decode_new_glob(_t145_principal_len);
                          flick_iiopxx_decode_new_chunk(_t145_principal_len);
                          flick_iiopxx_decode_end_chunk(_t145_principal_len);
                          flick_iiopxx_decode_end_glob(_t145_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort335);
                          flick_cdr_decode_unsigned32(0, _t146_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t146_temp_string_len);
                          flick_iiopxx_check_span(1 * _t146_temp_string_len, _flick_abort335);
                          flick_iiopxx_decode_new_chunk(1 * _t146_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t146_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t146_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t147_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t147_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort335);
                            flick_iiopxx_encode_new_glob(5, _flick_abort335);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t147_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t147_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort343);
                                  break;
                                  {
                                  _flick_abort343:
                                    goto _flick_abort335;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort344);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort344:
                                    goto _flick_abort335;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort335:
                            goto _flick_abort334;
                          }
                        }
                        break;
                        {
                        _flick_abort334:
                          goto _flick_abort195;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort195:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort194);
  _flick_abort194:
    return ;
  }

_flick_reaper:
  return ;

}
