#include "turtle-client-server.h"


static int _TAO_collocation_POA_Client_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_Client_Stub_Factory_Initializer(0);


POA_Client::POA_Client()
{}

POA_Client::POA_Client(const POA_Client &rhs)
  : TAO_ServantBase(rhs)
{}

POA_Client::~POA_Client()
{}

Client *POA_Client::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_Client (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return Client::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_Client::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:Client:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_Client::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:Client:1.0") == 0)
    return ACE_static_cast(POA_Client_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_Client::_interface_repository_id() const
{
  return "IDL:Client:1.0";
}

Client_ptr _TAO_collocation_POA_Client_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_Client(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_Client_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_Client_Stub_Factory_function_pointer =
    _TAO_collocation_POA_Client_Stub_Factory;

  return 0;
}

template <class T>
  POA_Client_tie<T>::POA_Client_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_Client_tie<T>::POA_Client_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_Client_tie<T>::POA_Client_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_Client_tie<T>::POA_Client_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_Client_tie<T>::~POA_Client_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_Client_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_Client_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_Client_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_Client_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_Client_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_Client_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_Client_tie<T>::POA_Client_tie(const POA_Client_tie &c)
{}

template <class T>
  void POA_Client_tie<T>::operator=(const POA_Client_tie &c)
{}

template <class T>
  CORBA::Long POA_Client_tie<T>::SetLeft(/* POA_Client *this, */ CORBA::Long speed, CORBA::Environment &_ev)
{
  return this->ptr_->SetLeft (speed, _ev);
}

template <class T>
  CORBA::Long POA_Client_tie<T>::SetRight(/* POA_Client *this, */ CORBA::Long speed, CORBA::Environment &_ev)
{
  return this->ptr_->SetRight (speed, _ev);
}

template <class T>
  CORBA::Long POA_Client_tie<T>::GetButton(/* POA_Client *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->GetButton (_ev);
}

template <class T>
  CORBA::Long POA_Client_tie<T>::GetPhoto(/* POA_Client *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->GetPhoto (_ev);
}

_tao_thru_poa_collocated_Client::_tao_thru_poa_collocated_Client(TAO_Stub *stub)
  : Client(),
    CORBA_Object(stub, 0, 1)
{
}

CORBA::Long _tao_thru_poa_collocated_Client::SetLeft(CORBA::Long speed, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "SetLeft",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Client_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Client:1.0"
        )
    )->SetLeft (speed, _ev);
}

CORBA::Long _tao_thru_poa_collocated_Client::SetRight(CORBA::Long speed, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "SetRight",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Client_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Client:1.0"
        )
    )->SetRight (speed, _ev);
}

CORBA::Long _tao_thru_poa_collocated_Client::GetButton(CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "GetButton",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Client_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Client:1.0"
        )
    )->GetButton (_ev);
}

CORBA::Long _tao_thru_poa_collocated_Client::GetPhoto(CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "GetPhoto",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Client_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Client:1.0"
        )
    )->GetPhoto (_ev);
}

CORBA::Boolean _tao_thru_poa_collocated_Client::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Client_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Client:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_Client::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Client_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Client:1.0"
        )
    )->_non_existent (_ev);
}
void POA_Client::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t72_switch_tag;

      flick_iiopxx_decode_new_glob(20);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t72_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t72_switch_tag)
        {
        case (unsigned int) 8:
          {
            unsigned int _t73_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t73_switch_tag)
              {
              case /* SetL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157836):
                {
                  unsigned int _t74_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t74_switch_tag)
                    {
                    case /* eft */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701213184):
                      {
                        {
                          POA_Client *_local_this;
                          unsigned int _t75_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_speed;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort147);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t75_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t75_principal_len, _flick_abort147);
                          flick_iiopxx_decode_new_glob(_t75_principal_len);
                          flick_iiopxx_decode_new_chunk(_t75_principal_len);
                          flick_iiopxx_decode_end_chunk(_t75_principal_len);
                          flick_iiopxx_decode_end_glob(_t75_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort147);
                          flick_cdr_swap_decode_signed32(0, _local_speed, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->SetLeft(_local_speed, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t76_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t76_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort147);
                            flick_iiopxx_encode_new_glob(8, _flick_abort147);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t76_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t76_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort153);
                                  break;
                                  {
                                  _flick_abort153:
                                    goto _flick_abort147;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort154:
                                    goto _flick_abort147;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort147:
                            goto _flick_abort146;
                          }
                        }
                        break;
                        {
                        _flick_abort146:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 9:
          {
            unsigned int _t77_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t77_switch_tag)
              {
              case /* SetR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157842):
                {
                  unsigned int _t78_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t78_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t78_switch_tag)
                    {
                    case /* ight */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768384628):
                      {
                        char _t79_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t79_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t79_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_Client *_local_this;
                                unsigned int _t80_principal_len;
                                CORBA::Long _return;
                                CORBA::Long _local_speed;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort156);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_swap_decode_unsigned32(3, _t80_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t80_principal_len, _flick_abort156);
                                flick_iiopxx_decode_new_glob(_t80_principal_len);
                                flick_iiopxx_decode_new_chunk(_t80_principal_len);
                                flick_iiopxx_decode_end_chunk(_t80_principal_len);
                                flick_iiopxx_decode_end_glob(_t80_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort156);
                                flick_cdr_swap_decode_signed32(0, _local_speed, CORBA::Long );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->SetRight(_local_speed, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t81_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t81_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort156);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort156);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t81_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t81_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort162);
                                        break;
                                        {
                                        _flick_abort162:
                                          goto _flick_abort156;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort163:
                                          goto _flick_abort156;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort156:
                                  goto _flick_abort155;
                                }
                              }
                              break;
                              {
                              _flick_abort155:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* GetP */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831248):
                {
                  unsigned int _t82_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t82_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t82_switch_tag)
                    {
                    case /* hoto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134767):
                      {
                        char _t83_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t83_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t83_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_Client *_local_this;
                                unsigned int _t84_principal_len;
                                CORBA::Long _return;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort165);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_swap_decode_unsigned32(3, _t84_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t84_principal_len, _flick_abort165);
                                flick_iiopxx_decode_new_glob(_t84_principal_len);
                                flick_iiopxx_decode_new_chunk(_t84_principal_len);
                                flick_iiopxx_decode_end_chunk(_t84_principal_len);
                                flick_iiopxx_decode_end_glob(_t84_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->GetPhoto(_ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t85_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t85_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort165);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort165);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t85_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t85_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort171);
                                        break;
                                        {
                                        _flick_abort171:
                                          goto _flick_abort165;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort172:
                                          goto _flick_abort165;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort165:
                                  goto _flick_abort164;
                                }
                              }
                              break;
                              {
                              _flick_abort164:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 10:
          {
            unsigned int _t86_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t86_switch_tag)
              {
              case /* GetB */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831234):
                {
                  unsigned int _t87_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t87_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t87_switch_tag)
                    {
                    case /* utto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970566255):
                      {
                        unsigned short int _t88_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t88_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t88_switch_tag)
                          {
                          case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                            {
                              {
                                POA_Client *_local_this;
                                unsigned int _t89_principal_len;
                                CORBA::Long _return;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort174);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_swap_decode_unsigned32(2, _t89_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t89_principal_len, _flick_abort174);
                                flick_iiopxx_decode_new_glob(_t89_principal_len);
                                flick_iiopxx_decode_new_chunk(_t89_principal_len);
                                flick_iiopxx_decode_end_chunk(_t89_principal_len);
                                flick_iiopxx_decode_end_glob(_t89_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->GetButton(_ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t90_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t90_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort174);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort174);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t90_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t90_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort180);
                                        break;
                                        {
                                        _flick_abort180:
                                          goto _flick_abort174;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort181);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort181:
                                          goto _flick_abort174;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort174:
                                  goto _flick_abort173;
                                }
                              }
                              break;
                              {
                              _flick_abort173:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t91_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t91_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t91_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t92_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t92_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t92_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_Client *_local_this;
                          unsigned int _t93_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t94_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort183);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t93_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t93_principal_len, _flick_abort183);
                          flick_iiopxx_decode_new_glob(_t93_principal_len);
                          flick_iiopxx_decode_new_chunk(_t93_principal_len);
                          flick_iiopxx_decode_end_chunk(_t93_principal_len);
                          flick_iiopxx_decode_end_glob(_t93_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort183);
                          flick_cdr_swap_decode_unsigned32(0, _t94_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t94_temp_string_len);
                          flick_iiopxx_check_span(1 * _t94_temp_string_len, _flick_abort183);
                          flick_iiopxx_decode_new_chunk(1 * _t94_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t94_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t94_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t95_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t95_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort183);
                            flick_iiopxx_encode_new_glob(5, _flick_abort183);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t95_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t95_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort191);
                                  break;
                                  {
                                  _flick_abort191:
                                    goto _flick_abort183;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort192);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort192:
                                    goto _flick_abort183;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort183:
                            goto _flick_abort182;
                          }
                        }
                        break;
                        {
                        _flick_abort182:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(20);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t24_switch_tag;

      flick_iiopxx_decode_new_glob(20);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t24_switch_tag)
        {
        case (unsigned int) 8:
          {
            unsigned int _t25_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t25_switch_tag)
              {
              case /* SetL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157836):
                {
                  unsigned int _t26_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t26_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t26_switch_tag)
                    {
                    case /* eft */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701213184):
                      {
                        {
                          POA_Client *_local_this;
                          unsigned int _t27_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_speed;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort52);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t27_principal_len, _flick_abort52);
                          flick_iiopxx_decode_new_glob(_t27_principal_len);
                          flick_iiopxx_decode_new_chunk(_t27_principal_len);
                          flick_iiopxx_decode_end_chunk(_t27_principal_len);
                          flick_iiopxx_decode_end_glob(_t27_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort52);
                          flick_cdr_decode_signed32(0, _local_speed, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->SetLeft(_local_speed, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t28_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t28_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort52);
                            flick_iiopxx_encode_new_glob(8, _flick_abort52);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t28_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t28_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort58);
                                  break;
                                  {
                                  _flick_abort58:
                                    goto _flick_abort52;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort59:
                                    goto _flick_abort52;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort52:
                            goto _flick_abort51;
                          }
                        }
                        break;
                        {
                        _flick_abort51:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 9:
          {
            unsigned int _t29_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t29_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t29_switch_tag)
              {
              case /* SetR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157842):
                {
                  unsigned int _t30_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t30_switch_tag)
                    {
                    case /* ight */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768384628):
                      {
                        char _t31_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t31_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t31_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_Client *_local_this;
                                unsigned int _t32_principal_len;
                                CORBA::Long _return;
                                CORBA::Long _local_speed;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort61);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_decode_unsigned32(3, _t32_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t32_principal_len, _flick_abort61);
                                flick_iiopxx_decode_new_glob(_t32_principal_len);
                                flick_iiopxx_decode_new_chunk(_t32_principal_len);
                                flick_iiopxx_decode_end_chunk(_t32_principal_len);
                                flick_iiopxx_decode_end_glob(_t32_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort61);
                                flick_cdr_decode_signed32(0, _local_speed, CORBA::Long );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->SetRight(_local_speed, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t33_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t33_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort61);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort61);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t33_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t33_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort67);
                                        break;
                                        {
                                        _flick_abort67:
                                          goto _flick_abort61;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort68);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort68:
                                          goto _flick_abort61;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort61:
                                  goto _flick_abort60;
                                }
                              }
                              break;
                              {
                              _flick_abort60:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* GetP */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831248):
                {
                  unsigned int _t34_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t34_switch_tag)
                    {
                    case /* hoto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134767):
                      {
                        char _t35_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t35_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t35_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_Client *_local_this;
                                unsigned int _t36_principal_len;
                                CORBA::Long _return;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort70);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_decode_unsigned32(3, _t36_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t36_principal_len, _flick_abort70);
                                flick_iiopxx_decode_new_glob(_t36_principal_len);
                                flick_iiopxx_decode_new_chunk(_t36_principal_len);
                                flick_iiopxx_decode_end_chunk(_t36_principal_len);
                                flick_iiopxx_decode_end_glob(_t36_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->GetPhoto(_ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t37_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t37_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort70);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort70);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t37_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t37_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort76);
                                        break;
                                        {
                                        _flick_abort76:
                                          goto _flick_abort70;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort77:
                                          goto _flick_abort70;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort70:
                                  goto _flick_abort69;
                                }
                              }
                              break;
                              {
                              _flick_abort69:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 10:
          {
            unsigned int _t38_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t38_switch_tag)
              {
              case /* GetB */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831234):
                {
                  unsigned int _t39_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t39_switch_tag)
                    {
                    case /* utto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970566255):
                      {
                        unsigned short int _t40_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t40_switch_tag)
                          {
                          case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                            {
                              {
                                POA_Client *_local_this;
                                unsigned int _t41_principal_len;
                                CORBA::Long _return;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort79);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_decode_unsigned32(2, _t41_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t41_principal_len, _flick_abort79);
                                flick_iiopxx_decode_new_glob(_t41_principal_len);
                                flick_iiopxx_decode_new_chunk(_t41_principal_len);
                                flick_iiopxx_decode_end_chunk(_t41_principal_len);
                                flick_iiopxx_decode_end_glob(_t41_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->GetButton(_ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t42_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t42_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort79);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort79);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t42_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t42_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort85);
                                        break;
                                        {
                                        _flick_abort85:
                                          goto _flick_abort79;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort86);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort86:
                                          goto _flick_abort79;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort79:
                                  goto _flick_abort78;
                                }
                              }
                              break;
                              {
                              _flick_abort78:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t43_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t43_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t44_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t44_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t44_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_Client *_local_this;
                          unsigned int _t45_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t46_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort88);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t45_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t45_principal_len, _flick_abort88);
                          flick_iiopxx_decode_new_glob(_t45_principal_len);
                          flick_iiopxx_decode_new_chunk(_t45_principal_len);
                          flick_iiopxx_decode_end_chunk(_t45_principal_len);
                          flick_iiopxx_decode_end_glob(_t45_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort88);
                          flick_cdr_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t46_temp_string_len);
                          flick_iiopxx_check_span(1 * _t46_temp_string_len, _flick_abort88);
                          flick_iiopxx_decode_new_chunk(1 * _t46_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t46_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t46_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t47_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t47_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort88);
                            flick_iiopxx_encode_new_glob(5, _flick_abort88);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t47_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t47_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort96);
                                  break;
                                  {
                                  _flick_abort96:
                                    goto _flick_abort88;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort97:
                                    goto _flick_abort88;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort88:
                            goto _flick_abort87;
                          }
                        }
                        break;
                        {
                        _flick_abort87:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(20);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort2:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return ;
  }

_flick_reaper:
  return ;

}
