#include "turtle-server-server.h"


static int _TAO_collocation_POA_Server_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_Server_Stub_Factory_Initializer(0);


POA_Server::POA_Server()
{}

POA_Server::POA_Server(const POA_Server &rhs)
  : TAO_ServantBase(rhs)
{}

POA_Server::~POA_Server()
{}

Server *POA_Server::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_Server (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return Server::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_Server::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:Server:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_Server::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:Server:1.0") == 0)
    return ACE_static_cast(POA_Server_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_Server::_interface_repository_id() const
{
  return "IDL:Server:1.0";
}

Server_ptr _TAO_collocation_POA_Server_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_Server(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_Server_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_Server_Stub_Factory_function_pointer =
    _TAO_collocation_POA_Server_Stub_Factory;

  return 0;
}

template <class T>
  POA_Server_tie<T>::POA_Server_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_Server_tie<T>::POA_Server_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_Server_tie<T>::POA_Server_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_Server_tie<T>::POA_Server_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_Server_tie<T>::~POA_Server_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_Server_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_Server_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_Server_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_Server_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_Server_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_Server_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_Server_tie<T>::POA_Server_tie(const POA_Server_tie &c)
{}

template <class T>
  void POA_Server_tie<T>::operator=(const POA_Server_tie &c)
{}

template <class T>
  CORBA::Long POA_Server_tie<T>::SetSize(/* POA_Server *this, */ CORBA::Long width, CORBA::Long height, CORBA::Environment &_ev)
{
  return this->ptr_->SetSize (width, height, _ev);
}

template <class T>
  CORBA::Long POA_Server_tie<T>::AddWall(/* POA_Server *this, */ CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev)
{
  return this->ptr_->AddWall (startx, starty, endx, endy, _ev);
}

template <class T>
  CORBA::Long POA_Server_tie<T>::DelWall(/* POA_Server *this, */ CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev)
{
  return this->ptr_->DelWall (startx, starty, endx, endy, _ev);
}

template <class T>
  CORBA::Long POA_Server_tie<T>::AddRect(/* POA_Server *this, */ CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Long color, CORBA::Environment &_ev)
{
  return this->ptr_->AddRect (left, top, right, bottom, color, _ev);
}

template <class T>
  CORBA::Long POA_Server_tie<T>::DelRect(/* POA_Server *this, */ CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Environment &_ev)
{
  return this->ptr_->DelRect (left, top, right, bottom, _ev);
}

template <class T>
  CORBA::Long POA_Server_tie<T>::SetTurtle(/* POA_Server *this, */ CORBA::Long x, CORBA::Long y, CORBA::Long angle, CORBA::Environment &_ev)
{
  return this->ptr_->SetTurtle (x, y, angle, _ev);
}

template <class T>
  CORBA::Long POA_Server_tie<T>::GetTurtle(/* POA_Server *this, */ ::CORBA::Long &x, ::CORBA::Long &y, ::CORBA::Long &angle, CORBA::Environment &_ev)
{
  return this->ptr_->GetTurtle (x, y, angle, _ev);
}

_tao_thru_poa_collocated_Server::_tao_thru_poa_collocated_Server(TAO_Stub *stub)
  : Server(),
    CORBA_Object(stub, 0, 1)
{
}

CORBA::Long _tao_thru_poa_collocated_Server::SetSize(CORBA::Long width, CORBA::Long height, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "SetSize",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Server_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Server:1.0"
        )
    )->SetSize (width, height, _ev);
}

CORBA::Long _tao_thru_poa_collocated_Server::AddWall(CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "AddWall",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Server_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Server:1.0"
        )
    )->AddWall (startx, starty, endx, endy, _ev);
}

CORBA::Long _tao_thru_poa_collocated_Server::DelWall(CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "DelWall",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Server_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Server:1.0"
        )
    )->DelWall (startx, starty, endx, endy, _ev);
}

CORBA::Long _tao_thru_poa_collocated_Server::AddRect(CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Long color, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "AddRect",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Server_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Server:1.0"
        )
    )->AddRect (left, top, right, bottom, color, _ev);
}

CORBA::Long _tao_thru_poa_collocated_Server::DelRect(CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "DelRect",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Server_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Server:1.0"
        )
    )->DelRect (left, top, right, bottom, _ev);
}

CORBA::Long _tao_thru_poa_collocated_Server::SetTurtle(CORBA::Long x, CORBA::Long y, CORBA::Long angle, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "SetTurtle",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Server_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Server:1.0"
        )
    )->SetTurtle (x, y, angle, _ev);
}

CORBA::Long _tao_thru_poa_collocated_Server::GetTurtle(::CORBA::Long &x, ::CORBA::Long &y, ::CORBA::Long &angle, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "GetTurtle",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Server_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Server:1.0"
        )
    )->GetTurtle (x, y, angle, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_Server::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Server_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Server:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_Server::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_Server_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:Server:1.0"
        )
    )->_non_existent (_ev);
}
void POA_Server::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t93_switch_tag;

      flick_iiopxx_decode_new_glob(20);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t93_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t93_switch_tag)
        {
        case (unsigned int) 8:
          {
            unsigned int _t94_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t94_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t94_switch_tag)
              {
              case /* SetS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157843):
                {
                  unsigned int _t95_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t95_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t95_switch_tag)
                    {
                    case /* ize */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769628928):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t96_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_width;
                          CORBA::Long _local_height;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort228);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t96_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t96_principal_len, _flick_abort228);
                          flick_iiopxx_decode_new_glob(_t96_principal_len);
                          flick_iiopxx_decode_new_chunk(_t96_principal_len);
                          flick_iiopxx_decode_end_chunk(_t96_principal_len);
                          flick_iiopxx_decode_end_glob(_t96_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort228);
                          flick_cdr_swap_decode_signed32(0, _local_width, CORBA::Long );
                          flick_cdr_swap_decode_signed32(4, _local_height, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->SetSize(_local_width, _local_height, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t97_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t97_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort228);
                            flick_iiopxx_encode_new_glob(8, _flick_abort228);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t97_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t97_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort234);
                                  break;
                                  {
                                  _flick_abort234:
                                    goto _flick_abort228;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort235);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort235:
                                    goto _flick_abort228;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort228:
                            goto _flick_abort227;
                          }
                        }
                        break;
                        {
                        _flick_abort227:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* AddW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098327):
                {
                  unsigned int _t98_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t98_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t98_switch_tag)
                    {
                    case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t99_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_startx;
                          CORBA::Long _local_starty;
                          CORBA::Long _local_endx;
                          CORBA::Long _local_endy;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort237);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t99_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t99_principal_len, _flick_abort237);
                          flick_iiopxx_decode_new_glob(_t99_principal_len);
                          flick_iiopxx_decode_new_chunk(_t99_principal_len);
                          flick_iiopxx_decode_end_chunk(_t99_principal_len);
                          flick_iiopxx_decode_end_glob(_t99_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(19);
                          flick_iiopxx_decode_new_chunk_align(16, 2, 0, 0);
                          flick_iiopxx_check_span(16, _flick_abort237);
                          flick_cdr_swap_decode_signed32(0, _local_startx, CORBA::Long );
                          flick_cdr_swap_decode_signed32(4, _local_starty, CORBA::Long );
                          flick_cdr_swap_decode_signed32(8, _local_endx, CORBA::Long );
                          flick_cdr_swap_decode_signed32(12, _local_endy, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(16);
                          flick_iiopxx_decode_end_glob(19);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->AddWall(_local_startx, _local_starty, _local_endx, _local_endy, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t100_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t100_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort237);
                            flick_iiopxx_encode_new_glob(8, _flick_abort237);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t100_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t100_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort243);
                                  break;
                                  {
                                  _flick_abort243:
                                    goto _flick_abort237;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort244);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort244:
                                    goto _flick_abort237;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort237:
                            goto _flick_abort236;
                          }
                        }
                        break;
                        {
                        _flick_abort236:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* DelW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497559):
                {
                  unsigned int _t101_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t101_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t101_switch_tag)
                    {
                    case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t102_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_startx;
                          CORBA::Long _local_starty;
                          CORBA::Long _local_endx;
                          CORBA::Long _local_endy;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort246);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t102_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t102_principal_len, _flick_abort246);
                          flick_iiopxx_decode_new_glob(_t102_principal_len);
                          flick_iiopxx_decode_new_chunk(_t102_principal_len);
                          flick_iiopxx_decode_end_chunk(_t102_principal_len);
                          flick_iiopxx_decode_end_glob(_t102_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(19);
                          flick_iiopxx_decode_new_chunk_align(16, 2, 0, 0);
                          flick_iiopxx_check_span(16, _flick_abort246);
                          flick_cdr_swap_decode_signed32(0, _local_startx, CORBA::Long );
                          flick_cdr_swap_decode_signed32(4, _local_starty, CORBA::Long );
                          flick_cdr_swap_decode_signed32(8, _local_endx, CORBA::Long );
                          flick_cdr_swap_decode_signed32(12, _local_endy, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(16);
                          flick_iiopxx_decode_end_glob(19);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->DelWall(_local_startx, _local_starty, _local_endx, _local_endy, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t103_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t103_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort246);
                            flick_iiopxx_encode_new_glob(8, _flick_abort246);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t103_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t103_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort252);
                                  break;
                                  {
                                  _flick_abort252:
                                    goto _flick_abort246;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort253);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort253:
                                    goto _flick_abort246;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort246:
                            goto _flick_abort245;
                          }
                        }
                        break;
                        {
                        _flick_abort245:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* AddR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098322):
                {
                  unsigned int _t104_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t104_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t104_switch_tag)
                    {
                    case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t105_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_left;
                          CORBA::Long _local_top;
                          CORBA::Long _local_right;
                          CORBA::Long _local_bottom;
                          CORBA::Long _local_color;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort255);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t105_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t105_principal_len, _flick_abort255);
                          flick_iiopxx_decode_new_glob(_t105_principal_len);
                          flick_iiopxx_decode_new_chunk(_t105_principal_len);
                          flick_iiopxx_decode_end_chunk(_t105_principal_len);
                          flick_iiopxx_decode_end_glob(_t105_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(23);
                          flick_iiopxx_decode_new_chunk_align(20, 2, 0, 0);
                          flick_iiopxx_check_span(20, _flick_abort255);
                          flick_cdr_swap_decode_signed32(0, _local_left, CORBA::Long );
                          flick_cdr_swap_decode_signed32(4, _local_top, CORBA::Long );
                          flick_cdr_swap_decode_signed32(8, _local_right, CORBA::Long );
                          flick_cdr_swap_decode_signed32(12, _local_bottom, CORBA::Long );
                          flick_cdr_swap_decode_signed32(16, _local_color, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(20);
                          flick_iiopxx_decode_end_glob(23);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->AddRect(_local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t106_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t106_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort255);
                            flick_iiopxx_encode_new_glob(8, _flick_abort255);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t106_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t106_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort261);
                                  break;
                                  {
                                  _flick_abort261:
                                    goto _flick_abort255;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort262);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort262:
                                    goto _flick_abort255;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort255:
                            goto _flick_abort254;
                          }
                        }
                        break;
                        {
                        _flick_abort254:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* DelR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497554):
                {
                  unsigned int _t107_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t107_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t107_switch_tag)
                    {
                    case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t108_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_left;
                          CORBA::Long _local_top;
                          CORBA::Long _local_right;
                          CORBA::Long _local_bottom;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort264);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t108_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t108_principal_len, _flick_abort264);
                          flick_iiopxx_decode_new_glob(_t108_principal_len);
                          flick_iiopxx_decode_new_chunk(_t108_principal_len);
                          flick_iiopxx_decode_end_chunk(_t108_principal_len);
                          flick_iiopxx_decode_end_glob(_t108_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(19);
                          flick_iiopxx_decode_new_chunk_align(16, 2, 0, 0);
                          flick_iiopxx_check_span(16, _flick_abort264);
                          flick_cdr_swap_decode_signed32(0, _local_left, CORBA::Long );
                          flick_cdr_swap_decode_signed32(4, _local_top, CORBA::Long );
                          flick_cdr_swap_decode_signed32(8, _local_right, CORBA::Long );
                          flick_cdr_swap_decode_signed32(12, _local_bottom, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(16);
                          flick_iiopxx_decode_end_glob(19);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->DelRect(_local_left, _local_top, _local_right, _local_bottom, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t109_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t109_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort264);
                            flick_iiopxx_encode_new_glob(8, _flick_abort264);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t109_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t109_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort270);
                                  break;
                                  {
                                  _flick_abort270:
                                    goto _flick_abort264;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort271);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort271:
                                    goto _flick_abort264;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort264:
                            goto _flick_abort263;
                          }
                        }
                        break;
                        {
                        _flick_abort263:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 10:
          {
            unsigned int _t110_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t110_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t110_switch_tag)
              {
              case /* SetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157844):
                {
                  unsigned int _t111_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t111_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t111_switch_tag)
                    {
                    case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                      {
                        unsigned short int _t112_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t112_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t112_switch_tag)
                          {
                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                            {
                              {
                                POA_Server *_local_this;
                                unsigned int _t113_principal_len;
                                CORBA::Long _return;
                                CORBA::Long _local_x;
                                CORBA::Long _local_y;
                                CORBA::Long _local_angle;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort273);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_swap_decode_unsigned32(2, _t113_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t113_principal_len, _flick_abort273);
                                flick_iiopxx_decode_new_glob(_t113_principal_len);
                                flick_iiopxx_decode_new_chunk(_t113_principal_len);
                                flick_iiopxx_decode_end_chunk(_t113_principal_len);
                                flick_iiopxx_decode_end_glob(_t113_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(15);
                                flick_iiopxx_decode_new_chunk_align(12, 2, 0, 0);
                                flick_iiopxx_check_span(12, _flick_abort273);
                                flick_cdr_swap_decode_signed32(0, _local_x, CORBA::Long );
                                flick_cdr_swap_decode_signed32(4, _local_y, CORBA::Long );
                                flick_cdr_swap_decode_signed32(8, _local_angle, CORBA::Long );

                                flick_iiopxx_decode_end_chunk(12);
                                flick_iiopxx_decode_end_glob(15);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->SetTurtle(_local_x, _local_y, _local_angle, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t114_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t114_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort273);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort273);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t114_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t114_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort279);
                                        break;
                                        {
                                        _flick_abort279:
                                          goto _flick_abort273;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort280);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort280:
                                          goto _flick_abort273;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort273:
                                  goto _flick_abort272;
                                }
                              }
                              break;
                              {
                              _flick_abort272:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* GetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831252):
                {
                  unsigned int _t115_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t115_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t115_switch_tag)
                    {
                    case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                      {
                        unsigned short int _t116_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t116_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t116_switch_tag)
                          {
                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                            {
                              {
                                POA_Server *_local_this;
                                unsigned int _t117_principal_len;
                                CORBA::Long _return;
                                CORBA::Long _local_x;
                                CORBA::Long _local_y;
                                CORBA::Long _local_angle;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort282);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_swap_decode_unsigned32(2, _t117_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t117_principal_len, _flick_abort282);
                                flick_iiopxx_decode_new_glob(_t117_principal_len);
                                flick_iiopxx_decode_new_chunk(_t117_principal_len);
                                flick_iiopxx_decode_end_chunk(_t117_principal_len);
                                flick_iiopxx_decode_end_glob(_t117_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->GetTurtle(_local_x, _local_y, _local_angle, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t118_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t118_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort282);
                                  flick_iiopxx_encode_new_glob(20, _flick_abort282);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t118_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t118_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(16);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_cdr_encode_signed32(4, _local_x, CORBA::Long );
                                        flick_cdr_encode_signed32(8, _local_y, CORBA::Long );
                                        flick_cdr_encode_signed32(12, _local_angle, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(16);
                                        flick_iiopxx_encode_end_glob(20);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(20);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort288);
                                        break;
                                        {
                                        _flick_abort288:
                                          goto _flick_abort282;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort289);
                                        flick_iiopxx_encode_end_glob(20);
                                        break;
                                        {
                                        _flick_abort289:
                                          goto _flick_abort282;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort282:
                                  goto _flick_abort281;
                                }
                              }
                              break;
                              {
                              _flick_abort281:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t119_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t119_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t119_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t120_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t120_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t120_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t121_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t122_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort291);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t121_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t121_principal_len, _flick_abort291);
                          flick_iiopxx_decode_new_glob(_t121_principal_len);
                          flick_iiopxx_decode_new_chunk(_t121_principal_len);
                          flick_iiopxx_decode_end_chunk(_t121_principal_len);
                          flick_iiopxx_decode_end_glob(_t121_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort291);
                          flick_cdr_swap_decode_unsigned32(0, _t122_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t122_temp_string_len);
                          flick_iiopxx_check_span(1 * _t122_temp_string_len, _flick_abort291);
                          flick_iiopxx_decode_new_chunk(1 * _t122_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t122_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t122_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t123_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t123_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort291);
                            flick_iiopxx_encode_new_glob(5, _flick_abort291);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t123_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t123_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort299);
                                  break;
                                  {
                                  _flick_abort299:
                                    goto _flick_abort291;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort300);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort300:
                                    goto _flick_abort291;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort291:
                            goto _flick_abort290;
                          }
                        }
                        break;
                        {
                        _flick_abort290:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(20);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t31_switch_tag;

      flick_iiopxx_decode_new_glob(20);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t31_switch_tag)
        {
        case (unsigned int) 8:
          {
            unsigned int _t32_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t32_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t32_switch_tag)
              {
              case /* SetS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157843):
                {
                  unsigned int _t33_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t33_switch_tag)
                    {
                    case /* ize */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769628928):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t34_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_width;
                          CORBA::Long _local_height;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort79);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t34_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t34_principal_len, _flick_abort79);
                          flick_iiopxx_decode_new_glob(_t34_principal_len);
                          flick_iiopxx_decode_new_chunk(_t34_principal_len);
                          flick_iiopxx_decode_end_chunk(_t34_principal_len);
                          flick_iiopxx_decode_end_glob(_t34_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort79);
                          flick_cdr_decode_signed32(0, _local_width, CORBA::Long );
                          flick_cdr_decode_signed32(4, _local_height, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->SetSize(_local_width, _local_height, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t35_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t35_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort79);
                            flick_iiopxx_encode_new_glob(8, _flick_abort79);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t35_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t35_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort85);
                                  break;
                                  {
                                  _flick_abort85:
                                    goto _flick_abort79;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort86);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort86:
                                    goto _flick_abort79;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort79:
                            goto _flick_abort78;
                          }
                        }
                        break;
                        {
                        _flick_abort78:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* AddW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098327):
                {
                  unsigned int _t36_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t36_switch_tag)
                    {
                    case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t37_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_startx;
                          CORBA::Long _local_starty;
                          CORBA::Long _local_endx;
                          CORBA::Long _local_endy;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort88);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t37_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t37_principal_len, _flick_abort88);
                          flick_iiopxx_decode_new_glob(_t37_principal_len);
                          flick_iiopxx_decode_new_chunk(_t37_principal_len);
                          flick_iiopxx_decode_end_chunk(_t37_principal_len);
                          flick_iiopxx_decode_end_glob(_t37_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(19);
                          flick_iiopxx_decode_new_chunk_align(16, 2, 0, 0);
                          flick_iiopxx_check_span(16, _flick_abort88);
                          flick_cdr_decode_signed32(0, _local_startx, CORBA::Long );
                          flick_cdr_decode_signed32(4, _local_starty, CORBA::Long );
                          flick_cdr_decode_signed32(8, _local_endx, CORBA::Long );
                          flick_cdr_decode_signed32(12, _local_endy, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(16);
                          flick_iiopxx_decode_end_glob(19);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->AddWall(_local_startx, _local_starty, _local_endx, _local_endy, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t38_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t38_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort88);
                            flick_iiopxx_encode_new_glob(8, _flick_abort88);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t38_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t38_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort94);
                                  break;
                                  {
                                  _flick_abort94:
                                    goto _flick_abort88;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort95);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort95:
                                    goto _flick_abort88;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort88:
                            goto _flick_abort87;
                          }
                        }
                        break;
                        {
                        _flick_abort87:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* DelW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497559):
                {
                  unsigned int _t39_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t39_switch_tag)
                    {
                    case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t40_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_startx;
                          CORBA::Long _local_starty;
                          CORBA::Long _local_endx;
                          CORBA::Long _local_endy;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort97);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t40_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t40_principal_len, _flick_abort97);
                          flick_iiopxx_decode_new_glob(_t40_principal_len);
                          flick_iiopxx_decode_new_chunk(_t40_principal_len);
                          flick_iiopxx_decode_end_chunk(_t40_principal_len);
                          flick_iiopxx_decode_end_glob(_t40_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(19);
                          flick_iiopxx_decode_new_chunk_align(16, 2, 0, 0);
                          flick_iiopxx_check_span(16, _flick_abort97);
                          flick_cdr_decode_signed32(0, _local_startx, CORBA::Long );
                          flick_cdr_decode_signed32(4, _local_starty, CORBA::Long );
                          flick_cdr_decode_signed32(8, _local_endx, CORBA::Long );
                          flick_cdr_decode_signed32(12, _local_endy, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(16);
                          flick_iiopxx_decode_end_glob(19);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->DelWall(_local_startx, _local_starty, _local_endx, _local_endy, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t41_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t41_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort97);
                            flick_iiopxx_encode_new_glob(8, _flick_abort97);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t41_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t41_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort103);
                                  break;
                                  {
                                  _flick_abort103:
                                    goto _flick_abort97;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort104);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort104:
                                    goto _flick_abort97;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort97:
                            goto _flick_abort96;
                          }
                        }
                        break;
                        {
                        _flick_abort96:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* AddR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098322):
                {
                  unsigned int _t42_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t42_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t42_switch_tag)
                    {
                    case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t43_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_left;
                          CORBA::Long _local_top;
                          CORBA::Long _local_right;
                          CORBA::Long _local_bottom;
                          CORBA::Long _local_color;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort106);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t43_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t43_principal_len, _flick_abort106);
                          flick_iiopxx_decode_new_glob(_t43_principal_len);
                          flick_iiopxx_decode_new_chunk(_t43_principal_len);
                          flick_iiopxx_decode_end_chunk(_t43_principal_len);
                          flick_iiopxx_decode_end_glob(_t43_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(23);
                          flick_iiopxx_decode_new_chunk_align(20, 2, 0, 0);
                          flick_iiopxx_check_span(20, _flick_abort106);
                          flick_cdr_decode_signed32(0, _local_left, CORBA::Long );
                          flick_cdr_decode_signed32(4, _local_top, CORBA::Long );
                          flick_cdr_decode_signed32(8, _local_right, CORBA::Long );
                          flick_cdr_decode_signed32(12, _local_bottom, CORBA::Long );
                          flick_cdr_decode_signed32(16, _local_color, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(20);
                          flick_iiopxx_decode_end_glob(23);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->AddRect(_local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t44_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t44_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort106);
                            flick_iiopxx_encode_new_glob(8, _flick_abort106);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t44_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t44_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort112);
                                  break;
                                  {
                                  _flick_abort112:
                                    goto _flick_abort106;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort113);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort113:
                                    goto _flick_abort106;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort106:
                            goto _flick_abort105;
                          }
                        }
                        break;
                        {
                        _flick_abort105:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* DelR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497554):
                {
                  unsigned int _t45_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t45_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t45_switch_tag)
                    {
                    case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t46_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_left;
                          CORBA::Long _local_top;
                          CORBA::Long _local_right;
                          CORBA::Long _local_bottom;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort115);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t46_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t46_principal_len, _flick_abort115);
                          flick_iiopxx_decode_new_glob(_t46_principal_len);
                          flick_iiopxx_decode_new_chunk(_t46_principal_len);
                          flick_iiopxx_decode_end_chunk(_t46_principal_len);
                          flick_iiopxx_decode_end_glob(_t46_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(19);
                          flick_iiopxx_decode_new_chunk_align(16, 2, 0, 0);
                          flick_iiopxx_check_span(16, _flick_abort115);
                          flick_cdr_decode_signed32(0, _local_left, CORBA::Long );
                          flick_cdr_decode_signed32(4, _local_top, CORBA::Long );
                          flick_cdr_decode_signed32(8, _local_right, CORBA::Long );
                          flick_cdr_decode_signed32(12, _local_bottom, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(16);
                          flick_iiopxx_decode_end_glob(19);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->DelRect(_local_left, _local_top, _local_right, _local_bottom, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t47_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t47_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort115);
                            flick_iiopxx_encode_new_glob(8, _flick_abort115);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t47_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t47_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort121);
                                  break;
                                  {
                                  _flick_abort121:
                                    goto _flick_abort115;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort122);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort122:
                                    goto _flick_abort115;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort115:
                            goto _flick_abort114;
                          }
                        }
                        break;
                        {
                        _flick_abort114:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 10:
          {
            unsigned int _t48_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t48_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t48_switch_tag)
              {
              case /* SetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157844):
                {
                  unsigned int _t49_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t49_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t49_switch_tag)
                    {
                    case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                      {
                        unsigned short int _t50_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t50_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t50_switch_tag)
                          {
                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                            {
                              {
                                POA_Server *_local_this;
                                unsigned int _t51_principal_len;
                                CORBA::Long _return;
                                CORBA::Long _local_x;
                                CORBA::Long _local_y;
                                CORBA::Long _local_angle;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort124);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_decode_unsigned32(2, _t51_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t51_principal_len, _flick_abort124);
                                flick_iiopxx_decode_new_glob(_t51_principal_len);
                                flick_iiopxx_decode_new_chunk(_t51_principal_len);
                                flick_iiopxx_decode_end_chunk(_t51_principal_len);
                                flick_iiopxx_decode_end_glob(_t51_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(15);
                                flick_iiopxx_decode_new_chunk_align(12, 2, 0, 0);
                                flick_iiopxx_check_span(12, _flick_abort124);
                                flick_cdr_decode_signed32(0, _local_x, CORBA::Long );
                                flick_cdr_decode_signed32(4, _local_y, CORBA::Long );
                                flick_cdr_decode_signed32(8, _local_angle, CORBA::Long );

                                flick_iiopxx_decode_end_chunk(12);
                                flick_iiopxx_decode_end_glob(15);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->SetTurtle(_local_x, _local_y, _local_angle, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t52_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t52_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort124);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort124);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t52_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t52_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort130);
                                        break;
                                        {
                                        _flick_abort130:
                                          goto _flick_abort124;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort131);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort131:
                                          goto _flick_abort124;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort124:
                                  goto _flick_abort123;
                                }
                              }
                              break;
                              {
                              _flick_abort123:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              case /* GetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831252):
                {
                  unsigned int _t53_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t53_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t53_switch_tag)
                    {
                    case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                      {
                        unsigned short int _t54_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t54_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t54_switch_tag)
                          {
                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                            {
                              {
                                POA_Server *_local_this;
                                unsigned int _t55_principal_len;
                                CORBA::Long _return;
                                CORBA::Long _local_x;
                                CORBA::Long _local_y;
                                CORBA::Long _local_angle;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort133);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_decode_unsigned32(2, _t55_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t55_principal_len, _flick_abort133);
                                flick_iiopxx_decode_new_glob(_t55_principal_len);
                                flick_iiopxx_decode_new_chunk(_t55_principal_len);
                                flick_iiopxx_decode_end_chunk(_t55_principal_len);
                                flick_iiopxx_decode_end_glob(_t55_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->GetTurtle(_local_x, _local_y, _local_angle, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t56_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t56_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort133);
                                  flick_iiopxx_encode_new_glob(20, _flick_abort133);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t56_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t56_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(16);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_cdr_encode_signed32(4, _local_x, CORBA::Long );
                                        flick_cdr_encode_signed32(8, _local_y, CORBA::Long );
                                        flick_cdr_encode_signed32(12, _local_angle, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(16);
                                        flick_iiopxx_encode_end_glob(20);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(20);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort139);
                                        break;
                                        {
                                        _flick_abort139:
                                          goto _flick_abort133;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort140);
                                        flick_iiopxx_encode_end_glob(20);
                                        break;
                                        {
                                        _flick_abort140:
                                          goto _flick_abort133;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort133:
                                  goto _flick_abort132;
                                }
                              }
                              break;
                              {
                              _flick_abort132:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t57_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t57_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t57_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t58_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t58_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t58_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_Server *_local_this;
                          unsigned int _t59_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t60_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort142);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t59_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t59_principal_len, _flick_abort142);
                          flick_iiopxx_decode_new_glob(_t59_principal_len);
                          flick_iiopxx_decode_new_chunk(_t59_principal_len);
                          flick_iiopxx_decode_end_chunk(_t59_principal_len);
                          flick_iiopxx_decode_end_glob(_t59_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort142);
                          flick_cdr_decode_unsigned32(0, _t60_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t60_temp_string_len);
                          flick_iiopxx_check_span(1 * _t60_temp_string_len, _flick_abort142);
                          flick_iiopxx_decode_new_chunk(1 * _t60_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t60_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t60_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t61_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t61_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort142);
                            flick_iiopxx_encode_new_glob(5, _flick_abort142);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t61_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t61_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort150);
                                  break;
                                  {
                                  _flick_abort150:
                                    goto _flick_abort142;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort151);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort151:
                                    goto _flick_abort142;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort142:
                            goto _flick_abort141;
                          }
                        }
                        break;
                        {
                        _flick_abort141:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(20);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort2:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return ;
  }

_flick_reaper:
  return ;

}
