#ifndef _typedef__client_h_
#define _typedef__client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

typedef CORBA::Short a;

typedef ::CORBA::Short &a_out;

typedef CORBA::Char c;

typedef ::CORBA::Char &c_out;

typedef char *d;

typedef ::CORBA::String_var d_var;

typedef ::CORBA::String_out d_out;

class e {

public:
  CORBA::ULong _maximum;
  CORBA::ULong _length;
  CORBA::Short *_buffer;
  CORBA::Boolean _release;
  e();
  e(CORBA::ULong max);
  e(CORBA::ULong max, CORBA::ULong length, CORBA::Short *buffer, CORBA::Boolean release = 0);
  e(const e &o);
  virtual ~e();
  e &operator=(const e &rhs);
  CORBA::Short &operator[](CORBA::ULong i);
  const CORBA::Short &operator[](CORBA::ULong i) const;
  static CORBA::Short *allocbuf(CORBA::ULong size);
  static void freebuf(CORBA::Short *buffer);
  virtual void _allocate_buffer(CORBA::ULong length);
  virtual void _deallocate_buffer();
  CORBA::Boolean release() const;
  CORBA::ULong maximum() const;
  CORBA::ULong length() const;
  void length(CORBA::ULong length);
  virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
  CORBA::Short *get_buffer(CORBA::Boolean orphan = 0);
  const CORBA::Short *get_buffer() const;
} ;


typedef e *e_ptr;

class e_var {

public:
  e_var();
  e_var(e *p);
  e_var(const e_var &a);
  ~e_var();
  e_var &operator=(e *p);
  e_var &operator=(const e_var &p);
  CORBA::Short &operator[](CORBA::ULong index);
  const CORBA::Short &operator[](CORBA::ULong index) const;
  e *operator->();
  const e *operator->() const;
  operator const e &() const;
  operator e &();
  operator e &() const;
  const e &in() const;
  e &inout();
  e *&out();
  e *_retn();
  e *ptr() const;

private:
  e_ptr ptr_;
} ;


class e_out {

public:
  e_out(e *&r);
  e_out(e_var &r);
  e_out(const e_out &r);
  e_out &operator=(const e_out &r);

private:
  e_out &operator=(const e_var &r);

public:
  e_out &operator=(e *r);
  operator e *&();
  e *&ptr();
  CORBA::Short &operator[](CORBA::ULong index);
  const CORBA::Short &operator[](CORBA::ULong index) const;
  e *operator->();

private:
  e_ptr &ptr_;
} ;


void operator<<=(CORBA::Any &a, const e &o);

void operator<<=(CORBA::Any &a, e *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, e *&o);

typedef CORBA::Float f;

typedef ::CORBA::Float &f_out;

typedef CORBA::Short g[5];

typedef CORBA::Short g_slice;

class g_var {

public:
  g_var();
  g_var(g_slice *p);
  g_var(const g_var &a);
  ~g_var();
  g_var &operator=(g_slice *p);
  g_var &operator=(const g_var &p);
  g_slice &operator[](CORBA::ULong index);
  const g_slice &operator[](CORBA::ULong index) const;
  operator g_slice *const &() const;
  operator g_slice *&();
  const g_slice *in() const;
  g_slice *inout();
  g_slice *&out();
  g_slice *_retn();
  g_slice *ptr() const;

private:
  CORBA::Short *ptr_;
} ;


class g_forany {

public:
  g_forany();
  g_forany(g_slice *p, CORBA::Boolean nocopy = 0);
  g_forany(const g_forany &a);
  ~g_forany();
  g_forany &operator=(g_slice *p);
  g_forany &operator=(const g_forany &p);
  g_slice &operator[](CORBA::ULong index);
  const g_slice &operator[](CORBA::ULong index) const;
  operator g_slice *const &() const;
  operator g_slice *&();
  const g_slice *in() const;
  g_slice *inout();
  g_slice *&out();
  g_slice *_retn();
  g_slice *ptr() const;
  CORBA::Boolean nocopy() const;

private:
  CORBA::Short *ptr_;
  CORBA::Boolean nocopy_;
} ;


typedef g g_out;

g_slice *g_alloc();

g_slice *g_dup(const g_slice *_slice);

void g_copy(g_slice *_to_slice, const g_slice *_from_slice);

void g_free(g_slice *_slice);

void operator<<=(CORBA::Any &a, const g_forany &o);

CORBA::Boolean operator>>=(const CORBA::Any &a, g_forany &o);

class h {

public:
  CORBA::ULong _maximum;
  CORBA::ULong _length;
  CORBA::Short *_buffer;
  CORBA::Boolean _release;
  h();
  h(CORBA::ULong length, CORBA::Short *buffer, CORBA::Boolean release = 0);
  h(const h &o);
  virtual ~h();
  h &operator=(const h &rhs);
  CORBA::Short &operator[](CORBA::ULong i);
  const CORBA::Short &operator[](CORBA::ULong i) const;
  static CORBA::Short *allocbuf(CORBA::ULong size);
  static void freebuf(CORBA::Short *buffer);
  virtual void _allocate_buffer(CORBA::ULong length);
  virtual void _deallocate_buffer();
  CORBA::Boolean release() const;
  CORBA::ULong maximum() const;
  CORBA::ULong length() const;
  void length(CORBA::ULong length);
  virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
  CORBA::Short *get_buffer(CORBA::Boolean orphan = 0);
  const CORBA::Short *get_buffer() const;
} ;


typedef h *h_ptr;

class h_var {

public:
  h_var();
  h_var(h *p);
  h_var(const h_var &a);
  ~h_var();
  h_var &operator=(h *p);
  h_var &operator=(const h_var &p);
  CORBA::Short &operator[](CORBA::ULong index);
  const CORBA::Short &operator[](CORBA::ULong index) const;
  h *operator->();
  const h *operator->() const;
  operator const h &() const;
  operator h &();
  operator h &() const;
  const h &in() const;
  h &inout();
  h *&out();
  h *_retn();
  h *ptr() const;

private:
  h_ptr ptr_;
} ;


class h_out {

public:
  h_out(h *&r);
  h_out(h_var &r);
  h_out(const h_out &r);
  h_out &operator=(const h_out &r);

private:
  h_out &operator=(const h_var &r);

public:
  h_out &operator=(h *r);
  operator h *&();
  h *&ptr();
  CORBA::Short &operator[](CORBA::ULong index);
  const CORBA::Short &operator[](CORBA::ULong index) const;
  h *operator->();

private:
  h_ptr &ptr_;
} ;


void operator<<=(CORBA::Any &a, const h &o);

void operator<<=(CORBA::Any &a, h *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, h *&o);

extern CORBA::TypeCode_ptr _tc_e;

extern CORBA::TypeCode_ptr _tc_g;

extern CORBA::TypeCode_ptr _tc_h;

#endif /* _typedef__client_h_ */
