#include "unionplain_-client.h"
#include "unionplain_-server.h"


static const CORBA::Long _oc_Foo[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Foo:1.0 */,
    4, ACE_NTOHL(0x466f6f00) /* name = Foo */,
    CORBA::tk_long,
    -1 /* default used index */,
    3 /* member count */,
    (0x0001) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x78000000) /* name = x */,
    CORBA::tk_long,
    (0x0002) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x79000000) /* name = y */,
    CORBA::tk_short,
    (0x0000) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x7a000000) /* name = z */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_Foo (CORBA::tk_union, sizeof(_oc_Foo), (char *) &_oc_Foo, 0, sizeof(Foo ));

CORBA::TypeCode_ptr _tc_Foo = &_tc_TAO_tc_Foo;


Foo::Foo()
  : TAO_Base_Union()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Foo::Foo(const Foo &o)
  : TAO_Base_Union()
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  1:
    {
      this->_u.x = o._u.x;
    }
    break;
  case  2:
    {
      this->_u.y = o._u.y;
    }
    break;
  default:
    {
      this->_u.z = o._u.z;
    }
    break;
  }
}

Foo::~Foo()
{
  this->_reset(this->disc_, 1);
}

Foo &Foo::operator=(const Foo &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  1:
    {
      this->_u.x = o._u.x;
    }
    break;
  case  2:
    {
      this->_u.y = o._u.y;
    }
    break;
  default:
    {
      this->_u.z = o._u.z;
    }
    break;
  }
  return *this;
}

void Foo::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    case  1:
;
      break;
    case  2:
;
      break;
    default:
;
      break;
    }
  }
}

void *Foo::_discriminant()
{
  return &this->disc_;
}

void Foo::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Foo::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  case  1:
    return &this->_u.x;
  case  2:
    return &this->_u.y;
  default:
    return &this->_u.z;
  }
  return 0;
}

void Foo::_d(CORBA::Long _d_)
{
  this->disc_ = _d_;
}

CORBA::Long Foo::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const Foo &o)
{
  Foo  *_any_val;
  ACE_NEW(_any_val, Foo  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, Foo *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Foo, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (Foo  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, Foo , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Foo, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Foo, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Foo::x(CORBA::Long v)
{
  this->_reset(1, 0);
  this->disc_ = (CORBA::Long )1;
  this->_u.x = v;
}

CORBA::Long Foo::x() const
{
  return this->_u.x;
}

void Foo::y(CORBA::Short v)
{
  this->_reset(2, 0);
  this->disc_ = (CORBA::Long )2;
  this->_u.y = v;
}

CORBA::Short Foo::y() const
{
  return this->_u.y;
}

void Foo::z(CORBA::Char v)
{
  this->_reset(0, 0);
  this->disc_ = (CORBA::Long )0;
  this->_u.z = v;
}

CORBA::Char Foo::z() const
{
  return this->_u.z;
}

Foo_var::Foo_var()
  : ptr_(0)
{}

Foo_var::Foo_var(Foo *p)
 : ptr_(p)
{}

Foo_var::Foo_var(const Foo_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo_var::~Foo_var()
{
  delete this->ptr_;
}

Foo_var &Foo_var::operator=(Foo *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo_var &Foo_var::operator=(const Foo_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo (*p.ptr_);
  }
  return *this;
}

Foo *Foo_var::operator->()
{
  return this->ptr_;
}

const Foo *Foo_var::operator->() const
{
  return this->ptr_;
}

Foo_var::operator const Foo &() const
{
  return *this->ptr_;
}

Foo_var::operator Foo &()
{
  return *this->ptr_;
}

Foo_var::operator Foo &() const
{
  return *this->ptr_;
}

const Foo &Foo_var::in() const
{
  return *this->ptr_;
}

Foo &Foo_var::inout()
{
  return *this->ptr_;
}

Foo &Foo_var::out()
{
  return *this->ptr_;
}

Foo Foo_var::_retn()
{
  return *this->ptr_;
}

Foo *Foo_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_Foo2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f32), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:Foo2:1.0 */,
    5, ACE_NTOHL(0x466f6f32), ACE_NTOHL(0x00000000) /* name = Foo2 */,
    CORBA::tk_char,
    -1 /* default used index */,
    3 /* member count */,
    'a' /* union case label (evaluated) */,
    2, ACE_NTOHL(0x78000000) /* name = x */,
    CORBA::tk_long,
    'b' /* union case label (evaluated) */,
    2, ACE_NTOHL(0x79000000) /* name = y */,
    CORBA::tk_short,
    'c' /* union case label (evaluated) */,
    2, ACE_NTOHL(0x7a000000) /* name = z */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_Foo2 (CORBA::tk_union, sizeof(_oc_Foo2), (char *) &_oc_Foo2, 0, sizeof(Foo2 ));

CORBA::TypeCode_ptr _tc_Foo2 = &_tc_TAO_tc_Foo2;


Foo2::Foo2()
  : TAO_Base_Union()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Foo2::Foo2(const Foo2 &o)
  : TAO_Base_Union()
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  'a':
    {
      this->_u.x = o._u.x;
    }
    break;
  case  'b':
    {
      this->_u.y = o._u.y;
    }
    break;
  case  'c':
    {
      this->_u.z = o._u.z;
    }
    break;
  }
}

Foo2::~Foo2()
{
  this->_reset(this->disc_, 1);
}

Foo2 &Foo2::operator=(const Foo2 &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  'a':
    {
      this->_u.x = o._u.x;
    }
    break;
  case  'b':
    {
      this->_u.y = o._u.y;
    }
    break;
  case  'c':
    {
      this->_u.z = o._u.z;
    }
    break;
  }
  return *this;
}

void Foo2::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    case  'a':
;
      break;
    case  'b':
;
      break;
    case  'c':
;
      break;
    }
  }
}

void *Foo2::_discriminant()
{
  return &this->disc_;
}

void Foo2::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Foo2::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  case  'a':
    return &this->_u.x;
  case  'b':
    return &this->_u.y;
  case  'c':
    return &this->_u.z;
  }
  return 0;
}

void Foo2::_d(CORBA::Char _d_)
{
  this->disc_ = _d_;
}

CORBA::Char Foo2::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const Foo2 &o)
{
  Foo2  *_any_val;
  ACE_NEW(_any_val, Foo2  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo2, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, Foo2 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo2, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo2 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Foo2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (Foo2  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, Foo2 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Foo2, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Foo2, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Foo2::x(CORBA::Long v)
{
  this->_reset('a', 0);
  this->disc_ = (CORBA::Char )'a';
  this->_u.x = v;
}

CORBA::Long Foo2::x() const
{
  return this->_u.x;
}

void Foo2::y(CORBA::Short v)
{
  this->_reset('b', 0);
  this->disc_ = (CORBA::Char )'b';
  this->_u.y = v;
}

CORBA::Short Foo2::y() const
{
  return this->_u.y;
}

void Foo2::z(CORBA::Char v)
{
  this->_reset('c', 0);
  this->disc_ = (CORBA::Char )'c';
  this->_u.z = v;
}

CORBA::Char Foo2::z() const
{
  return this->_u.z;
}

Foo2_var::Foo2_var()
  : ptr_(0)
{}

Foo2_var::Foo2_var(Foo2 *p)
 : ptr_(p)
{}

Foo2_var::Foo2_var(const Foo2_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo2 (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo2_var::~Foo2_var()
{
  delete this->ptr_;
}

Foo2_var &Foo2_var::operator=(Foo2 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo2_var &Foo2_var::operator=(const Foo2_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo2 (*p.ptr_);
  }
  return *this;
}

Foo2 *Foo2_var::operator->()
{
  return this->ptr_;
}

const Foo2 *Foo2_var::operator->() const
{
  return this->ptr_;
}

Foo2_var::operator const Foo2 &() const
{
  return *this->ptr_;
}

Foo2_var::operator Foo2 &()
{
  return *this->ptr_;
}

Foo2_var::operator Foo2 &() const
{
  return *this->ptr_;
}

const Foo2 &Foo2_var::in() const
{
  return *this->ptr_;
}

Foo2 &Foo2_var::inout()
{
  return *this->ptr_;
}

Foo2 &Foo2_var::out()
{
  return *this->ptr_;
}

Foo2 Foo2_var::_retn()
{
  return *this->ptr_;
}

Foo2 *Foo2_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_Foo3[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f33), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:Foo3:1.0 */,
    5, ACE_NTOHL(0x466f6f33), ACE_NTOHL(0x00000000) /* name = Foo3 */,
    CORBA::tk_short,
    -1 /* default used index */,
    3 /* member count */,
    ACE_IDL_NSTOHL(0xffffffff) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_short,
    ACE_IDL_NSTOHL(0x0032) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_long,
    ACE_IDL_NSTOHL(0x0000) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x63000000) /* name = c */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_Foo3 (CORBA::tk_union, sizeof(_oc_Foo3), (char *) &_oc_Foo3, 0, sizeof(Foo3 ));

CORBA::TypeCode_ptr _tc_Foo3 = &_tc_TAO_tc_Foo3;


Foo3::Foo3()
  : TAO_Base_Union()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Foo3::Foo3(const Foo3 &o)
  : TAO_Base_Union()
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  -1:
    {
      this->_u.a = o._u.a;
    }
    break;
  case  50:
    {
      this->_u.b = o._u.b;
    }
    break;
  default:
    {
      this->_u.c = o._u.c;
    }
    break;
  }
}

Foo3::~Foo3()
{
  this->_reset(this->disc_, 1);
}

Foo3 &Foo3::operator=(const Foo3 &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  -1:
    {
      this->_u.a = o._u.a;
    }
    break;
  case  50:
    {
      this->_u.b = o._u.b;
    }
    break;
  default:
    {
      this->_u.c = o._u.c;
    }
    break;
  }
  return *this;
}

void Foo3::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    case  -1:
;
      break;
    case  50:
;
      break;
    default:
;
      break;
    }
  }
}

void *Foo3::_discriminant()
{
  return &this->disc_;
}

void Foo3::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Foo3::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  case  -1:
    return &this->_u.a;
  case  50:
    return &this->_u.b;
  default:
    return &this->_u.c;
  }
  return 0;
}

void Foo3::_d(CORBA::Short _d_)
{
  this->disc_ = _d_;
}

CORBA::Short Foo3::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const Foo3 &o)
{
  Foo3  *_any_val;
  ACE_NEW(_any_val, Foo3  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo3, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, Foo3 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo3, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo3 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Foo3, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (Foo3  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, Foo3 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Foo3, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Foo3, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Foo3::a(CORBA::Short v)
{
  this->_reset(-1, 0);
  this->disc_ = (CORBA::Short )-1;
  this->_u.a = v;
}

CORBA::Short Foo3::a() const
{
  return this->_u.a;
}

void Foo3::b(CORBA::Long v)
{
  this->_reset(50, 0);
  this->disc_ = (CORBA::Short )50;
  this->_u.b = v;
}

CORBA::Long Foo3::b() const
{
  return this->_u.b;
}

void Foo3::c(CORBA::Char v)
{
  this->_reset(0, 0);
  this->disc_ = (CORBA::Short )0;
  this->_u.c = v;
}

CORBA::Char Foo3::c() const
{
  return this->_u.c;
}

Foo3_var::Foo3_var()
  : ptr_(0)
{}

Foo3_var::Foo3_var(Foo3 *p)
 : ptr_(p)
{}

Foo3_var::Foo3_var(const Foo3_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo3 (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo3_var::~Foo3_var()
{
  delete this->ptr_;
}

Foo3_var &Foo3_var::operator=(Foo3 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo3_var &Foo3_var::operator=(const Foo3_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo3 (*p.ptr_);
  }
  return *this;
}

Foo3 *Foo3_var::operator->()
{
  return this->ptr_;
}

const Foo3 *Foo3_var::operator->() const
{
  return this->ptr_;
}

Foo3_var::operator const Foo3 &() const
{
  return *this->ptr_;
}

Foo3_var::operator Foo3 &()
{
  return *this->ptr_;
}

Foo3_var::operator Foo3 &() const
{
  return *this->ptr_;
}

const Foo3 &Foo3_var::in() const
{
  return *this->ptr_;
}

Foo3 &Foo3_var::inout()
{
  return *this->ptr_;
}

Foo3 &Foo3_var::out()
{
  return *this->ptr_;
}

Foo3 Foo3_var::_retn()
{
  return *this->ptr_;
}

Foo3 *Foo3_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_Foo4[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f34), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:Foo4:1.0 */,
    5, ACE_NTOHL(0x466f6f34), ACE_NTOHL(0x00000000) /* name = Foo4 */,
    CORBA::tk_long,
    -1 /* default used index */,
    3 /* member count */,
    (0x0001) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_string,
    0,
    (0x0002) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_alias,
    60 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      31, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6c), ACE_NTOHL(0x6f6e675f), ACE_NTOHL(0x626f756e), ACE_NTOHL(0x6465645f), ACE_NTOHL(0x31300000) /* name = flick_sequence_long_bounded_10 */,
      CORBA::tk_sequence,
      12 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_long,
        10,
    (0x0000) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x63000000) /* name = c */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_Foo4 (CORBA::tk_union, sizeof(_oc_Foo4), (char *) &_oc_Foo4, 0, sizeof(Foo4 ));

CORBA::TypeCode_ptr _tc_Foo4 = &_tc_TAO_tc_Foo4;


Foo4::Foo4()
  : TAO_Base_Union()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Foo4::Foo4(const Foo4 &o)
  : TAO_Base_Union()
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  1:
    {
      this->_u.a = CORBA::string_dup(o._u.a);
    }
    break;
  case  2:
    {
      this->_u.b = new ::Foo4::flick_sequence_long_bounded_10 (*o._u.b);
    }
    break;
  default:
    {
      this->_u.c = o._u.c;
    }
    break;
  }
}

Foo4::~Foo4()
{
  this->_reset(this->disc_, 1);
}

Foo4 &Foo4::operator=(const Foo4 &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  1:
    {
      this->_u.a = CORBA::string_dup(o._u.a);
    }
    break;
  case  2:
    {
      this->_u.b = new ::Foo4::flick_sequence_long_bounded_10 (*o._u.b);
    }
    break;
  default:
    {
      this->_u.c = o._u.c;
    }
    break;
  }
  return *this;
}

void Foo4::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    case  1:
      CORBA::string_free(this->_u.a);
      break;
    case  2:
      delete this->_u.b;
      break;
    default:
;
      break;
    }
  }
}

void *Foo4::_discriminant()
{
  return &this->disc_;
}

void Foo4::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Foo4::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  case  1:
    return &this->_u.a;
  case  2:

    if( flag )
      this->_u.b = new ::Foo4::flick_sequence_long_bounded_10 ;
    return this->_u.b;
  default:
    return &this->_u.c;
  }
  return 0;
}

void Foo4::_d(CORBA::Long _d_)
{
  this->disc_ = _d_;
}

CORBA::Long Foo4::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const Foo4 &o)
{
  Foo4  *_any_val;
  ACE_NEW(_any_val, Foo4  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo4, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, Foo4 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo4, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo4 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Foo4, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (Foo4  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, Foo4 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Foo4, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Foo4, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Foo4::a(char *v)
{
  this->_reset(1, 0);
  this->disc_ = (CORBA::Long )1;
  this->_u.a = v;
}

void Foo4::a(const char *v)
{
  this->_reset(1, 0);
  this->disc_ = (CORBA::Long )1;
  this->_u.a = CORBA::string_dup(v);
}

void Foo4::a(const ::CORBA::String_var &v)
{
  this->_reset(1, 0);
  this->disc_ = (CORBA::Long )1;
  CORBA::String_var tmp_var = v;
  this->_u.a = tmp_var._retn();
}

const char *Foo4::a() const
{
  return this->_u.a;
}

void Foo4::b(const ::Foo4::flick_sequence_long_bounded_10 &v)
{
  this->_reset(2, 0);
  this->disc_ = (CORBA::Long )2;
  this->_u.b = new ::Foo4::flick_sequence_long_bounded_10 (v);
}

const ::Foo4::flick_sequence_long_bounded_10 &Foo4::b() const
{
  return *this->_u.b;
}

::Foo4::flick_sequence_long_bounded_10 &Foo4::b()
{
  return *this->_u.b;
}

void Foo4::c(CORBA::Long v)
{
  this->_reset(0, 0);
  this->disc_ = (CORBA::Long )0;
  this->_u.c = v;
}

CORBA::Long Foo4::c() const
{
  return this->_u.c;
}

Foo4_var::Foo4_var()
  : ptr_(0)
{}

Foo4_var::Foo4_var(Foo4 *p)
 : ptr_(p)
{}

Foo4_var::Foo4_var(const Foo4_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo4 (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo4_var::~Foo4_var()
{
  delete this->ptr_;
}

Foo4_var &Foo4_var::operator=(Foo4 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo4_var &Foo4_var::operator=(const Foo4_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo4 (*p.ptr_);
  }
  return *this;
}

Foo4 *Foo4_var::operator->()
{
  return this->ptr_;
}

const Foo4 *Foo4_var::operator->() const
{
  return this->ptr_;
}

Foo4_var::operator const Foo4 &() const
{
  return *this->ptr_;
}

Foo4_var::operator Foo4 &()
{
  return *this->ptr_;
}

Foo4_var::operator Foo4 &() const
{
  return *this->ptr_;
}

const Foo4 &Foo4_var::in() const
{
  return *this->ptr_;
}

Foo4 &Foo4_var::inout()
{
  return *this->ptr_;
}

Foo4 *&Foo4_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

Foo4 *Foo4_var::_retn()
{
  Foo4  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

Foo4 *Foo4_var::ptr() const
{
  return this->ptr_;
}

Foo4_out::Foo4_out(Foo4 *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

Foo4_out::Foo4_out(Foo4_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

Foo4_out::Foo4_out(const Foo4_out &r)
  : ptr_(ACE_const_cast(Foo4_out &,r).ptr_)
{}

Foo4_out &Foo4_out::operator=(const Foo4_out &r)
{
  this->ptr_ = ACE_const_cast(Foo4_out &,r).ptr_;
  return *this;
}

Foo4_out &Foo4_out::operator=(Foo4 *r)
{
  this->ptr_ = r;
  return *this;
}

Foo4_out::operator Foo4 *&()
{
  return this->ptr_;
}

Foo4 *&Foo4_out::ptr()
{
  return this->ptr_;
}

Foo4 *Foo4_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_Foo4_flick_sequence_long_bounded_10[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    31, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6c), ACE_NTOHL(0x6f6e675f), ACE_NTOHL(0x626f756e), ACE_NTOHL(0x6465645f), ACE_NTOHL(0x31300000) /* name = flick_sequence_long_bounded_10 */,
    CORBA::tk_sequence,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      10
};

static CORBA::TypeCode _tc_TAO_tc_Foo4_flick_sequence_long_bounded_10 (CORBA::tk_alias, sizeof(_oc_Foo4_flick_sequence_long_bounded_10), (char *) &_oc_Foo4_flick_sequence_long_bounded_10, 0, sizeof(::Foo4::flick_sequence_long_bounded_10 ));

CORBA::TypeCode_ptr Foo4::_tc_flick_sequence_long_bounded_10 = &_tc_TAO_tc_Foo4_flick_sequence_long_bounded_10;


Foo4::flick_sequence_long_bounded_10::flick_sequence_long_bounded_10()
  : _maximum(10),
    _length(0),
    _buffer(Foo4::flick_sequence_long_bounded_10::allocbuf(10)),
    _release(1)
{
}

Foo4::flick_sequence_long_bounded_10::flick_sequence_long_bounded_10(CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release)
  : _maximum(10),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

Foo4::flick_sequence_long_bounded_10::flick_sequence_long_bounded_10(const ::Foo4::flick_sequence_long_bounded_10 &o)
  : _maximum(10),
    _length(o._length),
    _release(1)
{
  CORBA::Long  *tmp1 = Foo4::flick_sequence_long_bounded_10::allocbuf(this->_maximum);

  CORBA::Long  * const tmp2 = ACE_reinterpret_cast(CORBA::Long  * ACE_CAST_CONST, o._buffer);

  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];

  this->_buffer = tmp1;
}

Foo4::flick_sequence_long_bounded_10::~flick_sequence_long_bounded_10()
{
  this->_deallocate_buffer();
}

::Foo4::flick_sequence_long_bounded_10 &Foo4::flick_sequence_long_bounded_10::operator=(const ::Foo4::flick_sequence_long_bounded_10 &rhs)
{
  if( this == &rhs )
    return *this;

  if( this->_release )
  {
  

  }
  else
    this->_buffer = Foo4::flick_sequence_long_bounded_10::allocbuf(rhs._maximum);

  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  CORBA::Long  *tmp1 = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
  CORBA::Long  * const tmp2 = ACE_reinterpret_cast(CORBA::Long  * ACE_CAST_CONST, rhs._buffer);

  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];

  return *this;
}

CORBA::Long &Foo4::flick_sequence_long_bounded_10::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Long  * tmp = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
  return tmp[i];
}

const CORBA::Long &Foo4::flick_sequence_long_bounded_10::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Long  * const tmp = ACE_reinterpret_cast(CORBA::Long  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

CORBA::Long *Foo4::flick_sequence_long_bounded_10::allocbuf(CORBA::ULong size)
{
  CORBA::Long  *tmp;
  tmp = new CORBA::Long [size];
  return tmp;
}

void Foo4::flick_sequence_long_bounded_10::freebuf(CORBA::Long *buffer)
{
  delete [] buffer;
}

void Foo4::flick_sequence_long_bounded_10::_allocate_buffer(CORBA::ULong length)
{
  CORBA::Long  *tmp = Foo4::flick_sequence_long_bounded_10::allocbuf(length);

  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    CORBA::Long  *old = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);

    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];

    if( this->_release )
      Foo4::flick_sequence_long_bounded_10::freebuf(old);
  }
  this->_buffer = tmp;
}

void Foo4::flick_sequence_long_bounded_10::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;

  CORBA::Long  *tmp = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);


  Foo4::flick_sequence_long_bounded_10::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean Foo4::flick_sequence_long_bounded_10::release() const
{
  return this->_release;
}

CORBA::ULong Foo4::flick_sequence_long_bounded_10::maximum() const
{
  return 10;
}

CORBA::ULong Foo4::flick_sequence_long_bounded_10::length() const
{
  return this->_length;
}

void Foo4::flick_sequence_long_bounded_10::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    return;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void Foo4::flick_sequence_long_bounded_10::_shrink_buffer(CORBA::ULong , CORBA::ULong )
{
}

CORBA::Long *Foo4::flick_sequence_long_bounded_10::get_buffer(CORBA::Boolean orphan)
{
  CORBA::Long  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = Foo4::flick_sequence_long_bounded_10::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const CORBA::Long *Foo4::flick_sequence_long_bounded_10::get_buffer() const
{
  return ACE_const_cast(const CORBA::Long  * ACE_CAST_CONST, this->_buffer);
}

Foo4::flick_sequence_long_bounded_10_var::flick_sequence_long_bounded_10_var()
  : ptr_(0)
{}

Foo4::flick_sequence_long_bounded_10_var::flick_sequence_long_bounded_10_var(::Foo4::flick_sequence_long_bounded_10 *p)
 : ptr_(p)
{}

Foo4::flick_sequence_long_bounded_10_var::flick_sequence_long_bounded_10_var(const ::Foo4::flick_sequence_long_bounded_10_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::Foo4::flick_sequence_long_bounded_10 (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo4::flick_sequence_long_bounded_10_var::~flick_sequence_long_bounded_10_var()
{
  delete this->ptr_;
}

::Foo4::flick_sequence_long_bounded_10_var &Foo4::flick_sequence_long_bounded_10_var::operator=(::Foo4::flick_sequence_long_bounded_10 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::Foo4::flick_sequence_long_bounded_10_var &Foo4::flick_sequence_long_bounded_10_var::operator=(const ::Foo4::flick_sequence_long_bounded_10_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::Foo4::flick_sequence_long_bounded_10 (*p.ptr_);
  }
  return *this;
}

CORBA::Long &Foo4::flick_sequence_long_bounded_10_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Long &Foo4::flick_sequence_long_bounded_10_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::Foo4::flick_sequence_long_bounded_10 *Foo4::flick_sequence_long_bounded_10_var::operator->()
{
  return this->ptr_;
}

const ::Foo4::flick_sequence_long_bounded_10 *Foo4::flick_sequence_long_bounded_10_var::operator->() const
{
  return this->ptr_;
}

Foo4::flick_sequence_long_bounded_10_var::operator const ::Foo4::flick_sequence_long_bounded_10 &() const
{
  return *this->ptr_;
}

Foo4::flick_sequence_long_bounded_10_var::operator ::Foo4::flick_sequence_long_bounded_10 &()
{
  return *this->ptr_;
}

Foo4::flick_sequence_long_bounded_10_var::operator ::Foo4::flick_sequence_long_bounded_10 &() const
{
  return *this->ptr_;
}

const ::Foo4::flick_sequence_long_bounded_10 &Foo4::flick_sequence_long_bounded_10_var::in() const
{
  return *this->ptr_;
}

::Foo4::flick_sequence_long_bounded_10 &Foo4::flick_sequence_long_bounded_10_var::inout()
{
  return *this->ptr_;
}

::Foo4::flick_sequence_long_bounded_10 *&Foo4::flick_sequence_long_bounded_10_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::Foo4::flick_sequence_long_bounded_10 *Foo4::flick_sequence_long_bounded_10_var::_retn()
{
  ::Foo4::flick_sequence_long_bounded_10  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::Foo4::flick_sequence_long_bounded_10 *Foo4::flick_sequence_long_bounded_10_var::ptr() const
{
  return this->ptr_;
}

Foo4::flick_sequence_long_bounded_10_out::flick_sequence_long_bounded_10_out(::Foo4::flick_sequence_long_bounded_10 *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

Foo4::flick_sequence_long_bounded_10_out::flick_sequence_long_bounded_10_out(::Foo4::flick_sequence_long_bounded_10_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

Foo4::flick_sequence_long_bounded_10_out::flick_sequence_long_bounded_10_out(const ::Foo4::flick_sequence_long_bounded_10_out &r)
  : ptr_(ACE_const_cast(::Foo4::flick_sequence_long_bounded_10_out &,r).ptr_)
{}

::Foo4::flick_sequence_long_bounded_10_out &Foo4::flick_sequence_long_bounded_10_out::operator=(const ::Foo4::flick_sequence_long_bounded_10_out &r)
{
  this->ptr_ = ACE_const_cast(::Foo4::flick_sequence_long_bounded_10_out &,r).ptr_;
  return *this;
}

::Foo4::flick_sequence_long_bounded_10_out &Foo4::flick_sequence_long_bounded_10_out::operator=(::Foo4::flick_sequence_long_bounded_10 *r)
{
  this->ptr_ = r;
  return *this;
}

Foo4::flick_sequence_long_bounded_10_out::operator ::Foo4::flick_sequence_long_bounded_10 *&()
{
  return this->ptr_;
}

::Foo4::flick_sequence_long_bounded_10 *&Foo4::flick_sequence_long_bounded_10_out::ptr()
{
  return this->ptr_;
}

CORBA::Long &Foo4::flick_sequence_long_bounded_10_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Long &Foo4::flick_sequence_long_bounded_10_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::Foo4::flick_sequence_long_bounded_10 *Foo4::flick_sequence_long_bounded_10_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_un[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x756e3a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:un:1.0 */,
    3, ACE_NTOHL(0x756e0000) /* name = un */
};

static CORBA::TypeCode _tc_TAO_tc_un (CORBA::tk_objref, sizeof(_oc_un), (char *) &_oc_un, 0, sizeof(un ));

CORBA::TypeCode_ptr _tc_un = &_tc_TAO_tc_un;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<un , un_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<un , un_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


un_ptr  (*_TAO_collocation_un_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


un_ptr un::_duplicate(un_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

un_ptr un::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return un::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:un:1.0", _env);
  if (_env.exception() != 0)
    return un::_nil();
  if (is_a == 0)
    return un::_nil();
  return un::_unchecked_narrow(obj, _env);
}

un_ptr un::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return un::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_un_Stub_Factory_function_pointer != 0)
    {
      un_ptr  retv = _TAO_collocation_un_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new un (stub);
}

un_ptr un::_nil()
{
  return (un_ptr )NULL;
}

CORBA::Boolean un::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:un:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *un::_interface_repository_id() const
{
  return "IDL:un:1.0";
}

un::un()
{}

un::~un()
{}

void operator<<=(CORBA::Any &a, un_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = un::_duplicate(o);
    a.replace (_tc_un, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, un_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = un::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_un, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_un, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = un::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_un, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

un::un(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

un_var::un_var()
  : ptr_(un::_nil())
{}

un_var::un_var(un_ptr p)
  : ptr_(p)
{}

un_var::un_var(const un_var &a)
  : ptr_(un::_duplicate(a.ptr()))
{}

un_var::~un_var()
{
  CORBA::release(this->ptr_);
}

un_var &un_var::operator=(un_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

un_var &un_var::operator=(const un_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = un::_duplicate(p.ptr());
  }
  return *this;
}

un_ptr un_var::operator->() const
{
  return this->ptr_;
}

un_var::operator const un_ptr &() const
{
  return this->ptr_;
}

un_var::operator un_ptr &()
{
  return this->ptr_;
}

un_ptr un_var::in() const
{
  return this->ptr_;
}

un_ptr &un_var::inout()
{
  return this->ptr_;
}

un_ptr &un_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = un::_nil();
  return this->ptr_;
}

un_ptr un_var::_retn()
{
  un_ptr  val = this->ptr_;
  this->ptr_ = un::_nil();
  return val;
}

un_ptr un_var::ptr() const
{
  return this->ptr_;
}

un_out::un_out(un_ptr &r)
  : ptr_(r)
{
  this->ptr_ = un::_nil();
}

un_out::un_out(un_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = un::_nil();
}

un_out::un_out(const un_out &r)
  : ptr_(ACE_const_cast(un_out &,r).ptr_)
{}

un_out &un_out::operator=(const un_out &r)
{
  this->ptr_ = ACE_const_cast(un_out &,r).ptr_;
  return *this;
}

un_out &un_out::operator=(const un_var &r)
{
  this->ptr_ = un::_duplicate(r.ptr());
  return *this;
}

un_out &un_out::operator=(un_ptr r)
{
  this->ptr_ = r;
  return *this;
}

un_out::operator un_ptr &()
{
  return this->ptr_;
}

un_ptr &un_out::ptr()
{
  return this->ptr_;
}

un_ptr un_out::operator->()
{
  return this->ptr_;
}
Foo un::one(/* un *this, */ const Foo &a, Foo &b, Foo_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  Foo _return;


  memset(&_return, 0, sizeof(Foo ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1);
    }




    {
      flick_iiopxx_encode_new_glob(31, _flick_abort1);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'n', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a.disc_, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      switch (a.disc_)
        {
        case 1:
          {
            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, a._u.x, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            break;
          }
        case 2:
          {
            flick_iiopxx_encode_new_chunk(2);
            flick_cdr_encode_signed16(0, a._u.y, CORBA::Short );
            flick_iiopxx_encode_end_chunk(2);
            break;
          }
        default:
          {
            flick_iiopxx_encode_new_chunk(1);
            flick_cdr_encode_char8(0, a._u.z, CORBA::Char );
            flick_iiopxx_encode_end_chunk(1);
            break;
          }
        }
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, b.disc_, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      switch (b.disc_)
        {
        case 1:
          {
            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, b._u.x, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            break;
          }
        case 2:
          {
            flick_iiopxx_encode_new_chunk(2);
            flick_cdr_encode_signed16(0, b._u.y, CORBA::Short );
            flick_iiopxx_encode_end_chunk(2);
            break;
          }
        default:
          {
            flick_iiopxx_encode_new_chunk(1);
            flick_cdr_encode_char8(0, b._u.z, CORBA::Char );
            flick_iiopxx_encode_end_chunk(1);
            break;
          }
        }
      flick_iiopxx_encode_end_glob(31);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(34);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort105);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (_return.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort110);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, _return._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort110:
                      goto _flick_abort105;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(2, _flick_abort111);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_swap_decode_signed16(0, _return._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort111:
                      goto _flick_abort105;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, _return._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(5, _flick_abort105);
              flick_cdr_swap_decode_signed32(0, b.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (b.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort117);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, b._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort117:
                      goto _flick_abort105;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(2, _flick_abort118);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_swap_decode_signed16(0, b._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort118:
                      goto _flick_abort105;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, b._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(5, _flick_abort105);
              flick_cdr_swap_decode_signed32(0, c.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (c.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort124);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, c._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort124:
                      goto _flick_abort105;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(2, _flick_abort125);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_swap_decode_signed16(0, c._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort125:
                      goto _flick_abort105;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, c._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_end_glob(34);
              break;
              {
              _flick_abort105:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(34);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort127);
              break;
              {
              _flick_abort127:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort128);
              flick_iiopxx_decode_end_glob(34);
              break;
              {
              _flick_abort128:
                goto _flick_abort1;
              }
            }
          }
      }

    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(34);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort56);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (_return.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort61);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_signed32(0, _return._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort61:
                      goto _flick_abort56;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(2, _flick_abort62);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_decode_signed16(0, _return._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort62:
                      goto _flick_abort56;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, _return._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(5, _flick_abort56);
              flick_cdr_decode_signed32(0, b.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (b.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort68);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_signed32(0, b._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort68:
                      goto _flick_abort56;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(2, _flick_abort69);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_decode_signed16(0, b._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort69:
                      goto _flick_abort56;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, b._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(5, _flick_abort56);
              flick_cdr_decode_signed32(0, c.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (c.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort75);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_signed32(0, c._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort75:
                      goto _flick_abort56;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(2, _flick_abort76);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_decode_signed16(0, c._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort76:
                      goto _flick_abort56;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, c._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_end_glob(34);
              break;
              {
              _flick_abort56:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(34);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort78);
              break;
              {
              _flick_abort78:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort79);
              flick_iiopxx_decode_end_glob(34);
              break;
              {
              _flick_abort79:
                goto _flick_abort1;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1);
  }
  return _return;
  {
  _flick_abort1:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

Foo2 un::two(/* un *this, */ const Foo2 &a, Foo2 &b, Foo2_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  Foo2 _return;


  memset(&_return, 0, sizeof(Foo2 ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort130);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort130);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort130);
    }




    {
      flick_iiopxx_encode_new_glob(28, _flick_abort130);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'w', flick_char8_t );
      flick_cdr_encode_char8(6, 'o', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, a.disc_, CORBA::Char );
      flick_iiopxx_encode_end_chunk(13);
      switch (a.disc_)
        {
        case 'a':
          {
            flick_iiopxx_encode_new_chunk(7);
            flick_cdr_encode_signed32(3, a._u.x, CORBA::Long );
            flick_iiopxx_encode_end_chunk(7);
            break;
          }
        case 'b':
          {
            flick_iiopxx_encode_new_chunk(3);
            flick_cdr_encode_signed16(1, a._u.y, CORBA::Short );
            flick_iiopxx_encode_end_chunk(3);
            break;
          }
        case 'c':
          {
            flick_iiopxx_encode_new_chunk(1);
            flick_cdr_encode_char8(0, a._u.z, CORBA::Char );
            flick_iiopxx_encode_end_chunk(1);
            break;
          }
        default:
          {
            break;
          }
        }
      flick_iiopxx_encode_new_chunk(1);
      flick_cdr_encode_char8(0, b.disc_, CORBA::Char );
      flick_iiopxx_encode_end_chunk(1);
      switch (b.disc_)
        {
        case 'a':
          {
            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_encode_signed32(0, b._u.x, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            break;
          }
        case 'b':
          {
            flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_encode_signed16(0, b._u.y, CORBA::Short );
            flick_iiopxx_encode_end_chunk(2);
            break;
          }
        case 'c':
          {
            flick_iiopxx_encode_new_chunk(1);
            flick_cdr_encode_char8(0, b._u.z, CORBA::Char );
            flick_iiopxx_encode_end_chunk(1);
            break;
          }
        default:
          {
            break;
          }
        }
      flick_iiopxx_encode_end_glob(28);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort130);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort130);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort130);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort130);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t3_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(28);
        flick_iiopxx_check_span(4, _flick_abort130);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort260);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              switch (_return.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_check_span(8, _flick_abort266);
                    flick_iiopxx_decode_new_chunk(7);
                    flick_cdr_swap_decode_signed32(3, _return._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(7);
                    break;
                    {
                    _flick_abort266:
                      goto _flick_abort260;
                    }
                  }
                case 'b':
                  {
                    flick_iiopxx_check_span(4, _flick_abort267);
                    flick_iiopxx_decode_new_chunk(3);
                    flick_cdr_swap_decode_signed16(1, _return._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(3);
                    break;
                    {
                    _flick_abort267:
                      goto _flick_abort260;
                    }
                  }
                case 'c':
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, _return._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, b.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              switch (b.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(5, _flick_abort275);
                    flick_cdr_swap_decode_signed32(0, b._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort275:
                      goto _flick_abort260;
                    }
                  }
                case 'b':
                  {
                    flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                    flick_iiopxx_check_span(3, _flick_abort276);
                    flick_cdr_swap_decode_signed16(0, b._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort276:
                      goto _flick_abort260;
                    }
                  }
                case 'c':
                  {
                    flick_iiopxx_check_span(2, _flick_abort277);
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, b._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                    {
                    _flick_abort277:
                      goto _flick_abort260;
                    }
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, c.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              switch (c.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort284);
                    flick_cdr_swap_decode_signed32(0, c._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort284:
                      goto _flick_abort260;
                    }
                  }
                case 'b':
                  {
                    flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                    flick_iiopxx_check_span(2, _flick_abort285);
                    flick_cdr_swap_decode_signed16(0, c._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort285:
                      goto _flick_abort260;
                    }
                  }
                case 'c':
                  {
                    flick_iiopxx_check_span(1, _flick_abort286);
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, c._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                    {
                    _flick_abort286:
                      goto _flick_abort260;
                    }
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort260:
                goto _flick_abort130;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(28);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort288);
              break;
              {
              _flick_abort288:
                goto _flick_abort130;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort289);
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort289:
                goto _flick_abort130;
              }
            }
          }
      }

    else
      {
        int _t2_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(28);
        flick_iiopxx_check_span(4, _flick_abort130);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t2_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t2_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort199);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _return.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              switch (_return.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_check_span(8, _flick_abort205);
                    flick_iiopxx_decode_new_chunk(7);
                    flick_cdr_decode_signed32(3, _return._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(7);
                    break;
                    {
                    _flick_abort205:
                      goto _flick_abort199;
                    }
                  }
                case 'b':
                  {
                    flick_iiopxx_check_span(4, _flick_abort206);
                    flick_iiopxx_decode_new_chunk(3);
                    flick_cdr_decode_signed16(1, _return._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(3);
                    break;
                    {
                    _flick_abort206:
                      goto _flick_abort199;
                    }
                  }
                case 'c':
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, _return._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, b.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              switch (b.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(5, _flick_abort214);
                    flick_cdr_decode_signed32(0, b._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort214:
                      goto _flick_abort199;
                    }
                  }
                case 'b':
                  {
                    flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                    flick_iiopxx_check_span(3, _flick_abort215);
                    flick_cdr_decode_signed16(0, b._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort215:
                      goto _flick_abort199;
                    }
                  }
                case 'c':
                  {
                    flick_iiopxx_check_span(2, _flick_abort216);
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, b._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                    {
                    _flick_abort216:
                      goto _flick_abort199;
                    }
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, c.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              switch (c.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort223);
                    flick_cdr_decode_signed32(0, c._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort223:
                      goto _flick_abort199;
                    }
                  }
                case 'b':
                  {
                    flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                    flick_iiopxx_check_span(2, _flick_abort224);
                    flick_cdr_decode_signed16(0, c._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort224:
                      goto _flick_abort199;
                    }
                  }
                case 'c':
                  {
                    flick_iiopxx_check_span(1, _flick_abort225);
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, c._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                    {
                    _flick_abort225:
                      goto _flick_abort199;
                    }
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort199:
                goto _flick_abort130;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(28);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort227);
              break;
              {
              _flick_abort227:
                goto _flick_abort130;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort228);
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort228:
                goto _flick_abort130;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort130);
  }
  return _return;
  {
  _flick_abort130:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort129);
  _flick_abort129:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

Foo3 un::three(/* un *this, */ const Foo3 &a, Foo3 &b, Foo3_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  Foo3 _return;


  memset(&_return, 0, sizeof(Foo3 ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort291);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort291);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort291);
    }




    {
      flick_iiopxx_encode_new_glob(33, _flick_abort291);
      flick_iiopxx_encode_new_chunk(18);
      flick_cdr_encode_unsigned32(0, 6, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'h', flick_char8_t );
      flick_cdr_encode_char8(6, 'r', flick_char8_t );
      flick_cdr_encode_char8(7, 'e', flick_char8_t );
      flick_cdr_encode_char8(8, 'e', flick_char8_t );
      flick_cdr_encode_char8(9, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(16, a.disc_, CORBA::Short );
      flick_iiopxx_encode_end_chunk(18);
      switch (a.disc_)
        {
        case -1:
          {
            flick_iiopxx_encode_new_chunk(2);
            flick_cdr_encode_signed16(0, a._u.a, CORBA::Short );
            flick_iiopxx_encode_end_chunk(2);
            break;
          }
        case 50:
          {
            flick_iiopxx_encode_new_chunk(6);
            flick_cdr_encode_signed32(2, a._u.b, CORBA::Long );
            flick_iiopxx_encode_end_chunk(6);
            break;
          }
        default:
          {
            flick_iiopxx_encode_new_chunk(1);
            flick_cdr_encode_char8(0, a._u.c, CORBA::Char );
            flick_iiopxx_encode_end_chunk(1);
            break;
          }
        }
      flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
      flick_cdr_encode_signed16(0, b.disc_, CORBA::Short );
      flick_iiopxx_encode_end_chunk(2);
      switch (b.disc_)
        {
        case -1:
          {
            flick_iiopxx_encode_new_chunk(2);
            flick_cdr_encode_signed16(0, b._u.a, CORBA::Short );
            flick_iiopxx_encode_end_chunk(2);
            break;
          }
        case 50:
          {
            flick_iiopxx_encode_new_chunk_align(4, 2, 1, 0);
            flick_cdr_encode_signed32(0, b._u.b, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            break;
          }
        default:
          {
            flick_iiopxx_encode_new_chunk(1);
            flick_cdr_encode_char8(0, b._u.c, CORBA::Char );
            flick_iiopxx_encode_end_chunk(1);
            break;
          }
        }
      flick_iiopxx_encode_end_glob(33);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort291);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort291);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort291);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort291);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t5_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(30);
        flick_iiopxx_check_span(4, _flick_abort291);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t5_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t5_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort395);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return.disc_, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              switch (_return.disc_)
                {
                case -1:
                  {
                    flick_iiopxx_check_span(2, _flick_abort400);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_swap_decode_signed16(0, _return._u.a, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort400:
                      goto _flick_abort395;
                    }
                  }
                case 50:
                  {
                    flick_iiopxx_check_span(6, _flick_abort401);
                    flick_iiopxx_decode_new_chunk(6);
                    flick_cdr_swap_decode_signed32(2, _return._u.b, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(6);
                    break;
                    {
                    _flick_abort401:
                      goto _flick_abort395;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, _return._u.c, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort395);
              flick_cdr_swap_decode_signed16(0, b.disc_, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              switch (b.disc_)
                {
                case -1:
                  {
                    flick_iiopxx_check_span(2, _flick_abort407);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_swap_decode_signed16(0, b._u.a, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort407:
                      goto _flick_abort395;
                    }
                  }
                case 50:
                  {
                    flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
                    flick_iiopxx_check_span(4, _flick_abort408);
                    flick_cdr_swap_decode_signed32(0, b._u.b, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort408:
                      goto _flick_abort395;
                    }
                  }
                default:
                  {
                    flick_iiopxx_check_span(1, _flick_abort409);
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, b._u.c, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                    {
                    _flick_abort409:
                      goto _flick_abort395;
                    }
                  }
                }
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort395);
              flick_cdr_swap_decode_signed16(0, c.disc_, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              switch (c.disc_)
                {
                case -1:
                  {
                    flick_iiopxx_check_span(2, _flick_abort414);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_swap_decode_signed16(0, c._u.a, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort414:
                      goto _flick_abort395;
                    }
                  }
                case 50:
                  {
                    flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
                    flick_iiopxx_check_span(4, _flick_abort415);
                    flick_cdr_swap_decode_signed32(0, c._u.b, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort415:
                      goto _flick_abort395;
                    }
                  }
                default:
                  {
                    flick_iiopxx_check_span(1, _flick_abort416);
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, c._u.c, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                    {
                    _flick_abort416:
                      goto _flick_abort395;
                    }
                  }
                }
              flick_iiopxx_decode_end_glob(30);
              break;
              {
              _flick_abort395:
                goto _flick_abort291;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(30);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort417);
              break;
              {
              _flick_abort417:
                goto _flick_abort291;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort418);
              flick_iiopxx_decode_end_glob(30);
              break;
              {
              _flick_abort418:
                goto _flick_abort291;
              }
            }
          }
      }

    else
      {
        int _t4_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(30);
        flick_iiopxx_check_span(4, _flick_abort291);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t4_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t4_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort346);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return.disc_, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              switch (_return.disc_)
                {
                case -1:
                  {
                    flick_iiopxx_check_span(2, _flick_abort351);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_decode_signed16(0, _return._u.a, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort351:
                      goto _flick_abort346;
                    }
                  }
                case 50:
                  {
                    flick_iiopxx_check_span(6, _flick_abort352);
                    flick_iiopxx_decode_new_chunk(6);
                    flick_cdr_decode_signed32(2, _return._u.b, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(6);
                    break;
                    {
                    _flick_abort352:
                      goto _flick_abort346;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, _return._u.c, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort346);
              flick_cdr_decode_signed16(0, b.disc_, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              switch (b.disc_)
                {
                case -1:
                  {
                    flick_iiopxx_check_span(2, _flick_abort358);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_decode_signed16(0, b._u.a, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort358:
                      goto _flick_abort346;
                    }
                  }
                case 50:
                  {
                    flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
                    flick_iiopxx_check_span(4, _flick_abort359);
                    flick_cdr_decode_signed32(0, b._u.b, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort359:
                      goto _flick_abort346;
                    }
                  }
                default:
                  {
                    flick_iiopxx_check_span(1, _flick_abort360);
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, b._u.c, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                    {
                    _flick_abort360:
                      goto _flick_abort346;
                    }
                  }
                }
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort346);
              flick_cdr_decode_signed16(0, c.disc_, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              switch (c.disc_)
                {
                case -1:
                  {
                    flick_iiopxx_check_span(2, _flick_abort365);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_decode_signed16(0, c._u.a, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort365:
                      goto _flick_abort346;
                    }
                  }
                case 50:
                  {
                    flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
                    flick_iiopxx_check_span(4, _flick_abort366);
                    flick_cdr_decode_signed32(0, c._u.b, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort366:
                      goto _flick_abort346;
                    }
                  }
                default:
                  {
                    flick_iiopxx_check_span(1, _flick_abort367);
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, c._u.c, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                    {
                    _flick_abort367:
                      goto _flick_abort346;
                    }
                  }
                }
              flick_iiopxx_decode_end_glob(30);
              break;
              {
              _flick_abort346:
                goto _flick_abort291;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(30);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort368);
              break;
              {
              _flick_abort368:
                goto _flick_abort291;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort369);
              flick_iiopxx_decode_end_glob(30);
              break;
              {
              _flick_abort369:
                goto _flick_abort291;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort291);
  }
  return _return;
  {
  _flick_abort291:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort290);
  _flick_abort290:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

Foo4 *un::four(/* un *this, */ const Foo4 &a, Foo4 &b, Foo4_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  Foo4 *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort420);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort420);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort420);
    }




    {
      flick_iiopxx_encode_new_glob(64, _flick_abort420);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'f', flick_char8_t );
      flick_cdr_encode_char8(5, 'o', flick_char8_t );
      flick_cdr_encode_char8(6, 'u', flick_char8_t );
      flick_cdr_encode_char8(7, 'r', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(16, a.disc_, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      switch (a.disc_)
        {
        case 1:
          {
            flick_unsigned32_t _t11_temp_string_len;

            flick_cdr_stringlen(CORBA::Char *, (a._u.a), flick_unsigned32_t , _t11_temp_string_len);

            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _t11_temp_string_len, flick_unsigned32_t );
            flick_iiopxx_encode_end_chunk(4);
            flick_iiopxx_encode_end_glob(64);
            flick_iiopxx_encode_new_glob(1 * _t11_temp_string_len, _flick_abort460);
            flick_iiopxx_encode_new_chunk(1 * _t11_temp_string_len);
            flick_cdr_encode_bcopy(0, (a._u.a), 1 * _t11_temp_string_len);
            flick_iiopxx_encode_end_chunk(1 * _t11_temp_string_len);
            flick_iiopxx_encode_end_glob(1 * _t11_temp_string_len);
            break;
            {
            _flick_abort460:
              goto _flick_abort420;
            }
          }
        case 2:
          {
            flick_iiopxx_encode_new_chunk(4 + 4 * a._u.b->_length);
            flick_cdr_encode_unsigned32(0, a._u.b->_length, CORBA::ULong );
            if (a._u.b->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort463);
            flick_cdr_encode_bcopy(4, a._u.b->_buffer, 4 * a._u.b->_length);
            flick_iiopxx_encode_end_chunk(4 + 4 * a._u.b->_length);
            flick_iiopxx_encode_end_glob(64);
            break;
            {
            _flick_abort463:
              goto _flick_abort420;
            }
          }
        default:
          {
            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, a._u.c, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            flick_iiopxx_encode_end_glob(64);
            break;
          }
        }
      flick_iiopxx_encode_new_glob(51, _flick_abort420);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, b.disc_, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      switch (b.disc_)
        {
        case 1:
          {
            flick_unsigned32_t _t13_temp_string_len;

            flick_cdr_stringlen(CORBA::Char *, (b._u.a), flick_unsigned32_t , _t13_temp_string_len);

            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _t13_temp_string_len, flick_unsigned32_t );
            flick_iiopxx_encode_end_chunk(4);
            flick_iiopxx_encode_end_glob(51);
            flick_iiopxx_encode_new_glob(1 * _t13_temp_string_len, _flick_abort475);
            flick_iiopxx_encode_new_chunk(1 * _t13_temp_string_len);
            flick_cdr_encode_bcopy(0, (b._u.a), 1 * _t13_temp_string_len);
            CORBA_string_flick_free((b._u.a));
            (b._u.a) = (CORBA::Char *)0;
            flick_iiopxx_encode_end_chunk(1 * _t13_temp_string_len);
            flick_iiopxx_encode_end_glob(1 * _t13_temp_string_len);
            break;
            {
            _flick_abort475:
              goto _flick_abort420;
            }
          }
        case 2:
          {
            flick_iiopxx_encode_new_chunk(4 + 4 * b._u.b->_length);
            flick_cdr_encode_unsigned32(0, b._u.b->_length, CORBA::ULong );
            if (b._u.b->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort478);
            flick_cdr_encode_bcopy(4, b._u.b->_buffer, 4 * b._u.b->_length);
            flick_iiopxx_encode_end_chunk(4 + 4 * b._u.b->_length);
            flick_iiopxx_encode_end_glob(51);
            break;
            {
            _flick_abort478:
              goto _flick_abort420;
            }
          }
        default:
          {
            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, b._u.c, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            flick_iiopxx_encode_end_glob(51);
            break;
          }
        }
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort420);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort420);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort420);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort420);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t27_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(52);
        flick_iiopxx_check_span(4, _flick_abort420);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t27_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t27_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              {
                Foo4 *_t_alloc_ptr;

                _t_alloc_ptr = (Foo4 *)new Foo4 ;
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort682);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(8, _flick_abort682);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return->disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (_return->disc_)
                {
                case 1:
                  {
                    flick_unsigned32_t _t42_temp_string_len;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, _t42_temp_string_len, flick_unsigned32_t );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(52);
                    flick_iiopxx_decode_new_glob(1 * _t42_temp_string_len);
                    flick_iiopxx_check_span(1 * _t42_temp_string_len, _flick_abort696);
                    flick_iiopxx_decode_new_chunk(1 * _t42_temp_string_len);
                    {
                      CORBA::Char *_t_alloc_ptr;

                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t42_temp_string_len * sizeof(CORBA::Char )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort696);
                      _return->_u.a = _t_alloc_ptr;
                    }
                    flick_cdr_swap_decode_bcopy(0, _return->_u.a, 1 * _t42_temp_string_len);
                    flick_iiopxx_decode_end_chunk(1 * _t42_temp_string_len);
                    flick_iiopxx_decode_end_glob(1 * _t42_temp_string_len);
                    break;
                  _flick_abort_block848:
                    {
                      CORBA_string_flick_free(_return->_u.a);
                    _flick_abort696:
                      goto _flick_abort682;
                    }
                  }
                case 2:
                  {
                    CORBA::ULong _t43_array_iter;

                    {
                      ::Foo4::flick_sequence_long_bounded_10 *_t_alloc_ptr;

                      _t_alloc_ptr = (::Foo4::flick_sequence_long_bounded_10 *)new ::Foo4::flick_sequence_long_bounded_10 ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort700);
                      _return->_u.b = _t_alloc_ptr;
                    }
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, _return->_u.b->_length, CORBA::ULong );
                    flick_iiopxx_decode_end_chunk(4);
                    if (_return->_u.b->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort700);
                    flick_iiopxx_check_span(_return->_u.b->_length * 4, _flick_abort700);
                    for (_t43_array_iter = 0; _t43_array_iter < _return->_u.b->_length; _t43_array_iter++)
                      {
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _return->_u.b->_buffer[_t43_array_iter], CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        continue;
                      }
                    flick_iiopxx_decode_end_glob(52);
                    break;
                    {
                    _flick_abort700:
                      goto _flick_abort682;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, _return->_u.c, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(52);
                    break;
                  }
                _flick_abort_block847:
                  {
                    switch (_return->disc_)
                      {
                      case 1:
                        goto _flick_abort_block848;
                      case 2:
                        goto _flick_abort682;
                      default:
                        goto _flick_abort682;
                      }
                  }
                }
              flick_iiopxx_decode_new_glob(51);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort707);
              flick_cdr_swap_decode_signed32(0, b.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (b.disc_)
                {
                case 1:
                  {
                    flick_unsigned32_t _t46_temp_string_len;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(51);
                    flick_iiopxx_decode_new_glob(1 * _t46_temp_string_len);
                    flick_iiopxx_check_span(1 * _t46_temp_string_len, _flick_abort721);
                    flick_iiopxx_decode_new_chunk(1 * _t46_temp_string_len);
                    {
                      CORBA::Char *_t_alloc_ptr;

                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t46_temp_string_len * sizeof(CORBA::Char )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort721);
                      b._u.a = _t_alloc_ptr;
                    }
                    flick_cdr_swap_decode_bcopy(0, b._u.a, 1 * _t46_temp_string_len);
                    flick_iiopxx_decode_end_chunk(1 * _t46_temp_string_len);
                    flick_iiopxx_decode_end_glob(1 * _t46_temp_string_len);
                    break;
                  _flick_abort_block875:
                    {
                      CORBA_string_flick_free(b._u.a);
                    _flick_abort721:
                      goto _flick_abort707;
                    }
                  }
                case 2:
                  {
                    CORBA::ULong _t47_array_iter;

                    {
                      ::Foo4::flick_sequence_long_bounded_10 *_t_alloc_ptr;

                      _t_alloc_ptr = (::Foo4::flick_sequence_long_bounded_10 *)new ::Foo4::flick_sequence_long_bounded_10 ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort725);
                      b._u.b = _t_alloc_ptr;
                    }
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, b._u.b->_length, CORBA::ULong );
                    flick_iiopxx_decode_end_chunk(4);
                    if (b._u.b->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort725);
                    flick_iiopxx_check_span(b._u.b->_length * 4, _flick_abort725);
                    for (_t47_array_iter = 0; _t47_array_iter < b._u.b->_length; _t47_array_iter++)
                      {
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, b._u.b->_buffer[_t47_array_iter], CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        continue;
                      }
                    flick_iiopxx_decode_end_glob(51);
                    break;
                    {
                    _flick_abort725:
                      goto _flick_abort707;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, b._u.c, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(51);
                    break;
                  }
                _flick_abort_block874:
                  {
                    switch (b.disc_)
                      {
                      case 1:
                        goto _flick_abort_block875;
                      case 2:
                        goto _flick_abort707;
                      default:
                        goto _flick_abort707;
                      }
                  }
                }
              {
                Foo4 *_t_alloc_ptr;

                _t_alloc_ptr = (Foo4 *)new Foo4 ;
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort732);
                c = _t_alloc_ptr;
              }
              flick_iiopxx_decode_new_glob(51);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort732);
              flick_cdr_swap_decode_signed32(0, c->disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (c->disc_)
                {
                case 1:
                  {
                    flick_unsigned32_t _t50_temp_string_len;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, _t50_temp_string_len, flick_unsigned32_t );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(51);
                    flick_iiopxx_decode_new_glob(1 * _t50_temp_string_len);
                    flick_iiopxx_check_span(1 * _t50_temp_string_len, _flick_abort746);
                    flick_iiopxx_decode_new_chunk(1 * _t50_temp_string_len);
                    {
                      CORBA::Char *_t_alloc_ptr;

                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t50_temp_string_len * sizeof(CORBA::Char )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort746);
                      c->_u.a = _t_alloc_ptr;
                    }
                    flick_cdr_swap_decode_bcopy(0, c->_u.a, 1 * _t50_temp_string_len);
                    flick_iiopxx_decode_end_chunk(1 * _t50_temp_string_len);
                    flick_iiopxx_decode_end_glob(1 * _t50_temp_string_len);
                    break;
                    {
                    _flick_abort746:
                      goto _flick_abort732;
                    }
                  }
                case 2:
                  {
                    CORBA::ULong _t51_array_iter;

                    {
                      ::Foo4::flick_sequence_long_bounded_10 *_t_alloc_ptr;

                      _t_alloc_ptr = (::Foo4::flick_sequence_long_bounded_10 *)new ::Foo4::flick_sequence_long_bounded_10 ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort750);
                      c->_u.b = _t_alloc_ptr;
                    }
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, c->_u.b->_length, CORBA::ULong );
                    flick_iiopxx_decode_end_chunk(4);
                    if (c->_u.b->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort750);
                    flick_iiopxx_check_span(c->_u.b->_length * 4, _flick_abort750);
                    for (_t51_array_iter = 0; _t51_array_iter < c->_u.b->_length; _t51_array_iter++)
                      {
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, c->_u.b->_buffer[_t51_array_iter], CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        continue;
                      }
                    flick_iiopxx_decode_end_glob(51);
                    break;
                    {
                    _flick_abort750:
                      goto _flick_abort732;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, c->_u.c, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(51);
                    break;
                  }
                }
              break;
              {
              _flick_abort732:
                goto _flick_abort_block874;
              _flick_abort707:
                goto _flick_abort_block847;
              _flick_abort682:
                goto _flick_abort420;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(52);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort758);
              break;
              {
              _flick_abort758:
                goto _flick_abort420;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort759);
              flick_iiopxx_decode_end_glob(52);
              break;
              {
              _flick_abort759:
                goto _flick_abort420;
              }
            }
          }
      }

    else
      {
        int _t14_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(52);
        flick_iiopxx_check_span(4, _flick_abort420);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t14_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t14_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              {
                Foo4 *_t_alloc_ptr;

                _t_alloc_ptr = (Foo4 *)new Foo4 ;
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort543);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(8, _flick_abort543);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return->disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (_return->disc_)
                {
                case 1:
                  {
                    flick_unsigned32_t _t22_temp_string_len;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t22_temp_string_len, flick_unsigned32_t );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(52);
                    flick_iiopxx_decode_new_glob(1 * _t22_temp_string_len);
                    flick_iiopxx_check_span(1 * _t22_temp_string_len, _flick_abort554);
                    flick_iiopxx_decode_new_chunk(1 * _t22_temp_string_len);
                    {
                      CORBA::Char *_t_alloc_ptr;

                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t22_temp_string_len * sizeof(CORBA::Char )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort554);
                      _return->_u.a = _t_alloc_ptr;
                    }
                    flick_cdr_decode_bcopy(0, _return->_u.a, 1 * _t22_temp_string_len);
                    flick_iiopxx_decode_end_chunk(1 * _t22_temp_string_len);
                    flick_iiopxx_decode_end_glob(1 * _t22_temp_string_len);
                    break;
                  _flick_abort_block692:
                    {
                      CORBA_string_flick_free(_return->_u.a);
                    _flick_abort554:
                      goto _flick_abort543;
                    }
                  }
                case 2:
                  {
                    {
                      ::Foo4::flick_sequence_long_bounded_10 *_t_alloc_ptr;

                      _t_alloc_ptr = (::Foo4::flick_sequence_long_bounded_10 *)new ::Foo4::flick_sequence_long_bounded_10 ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort558);
                      _return->_u.b = _t_alloc_ptr;
                    }
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _return->_u.b->_length, CORBA::ULong );
                    if (_return->_u.b->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort558);
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_check_span(4 * _return->_u.b->_length, _flick_abort558);
                    flick_iiopxx_decode_new_chunk(4 * _return->_u.b->_length);
                    flick_cdr_decode_bcopy(0, _return->_u.b->_buffer, 4 * _return->_u.b->_length);
                    flick_iiopxx_decode_end_chunk(4 * _return->_u.b->_length);
                    flick_iiopxx_decode_end_glob(52);
                    break;
                    {
                    _flick_abort558:
                      goto _flick_abort543;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_signed32(0, _return->_u.c, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(52);
                    break;
                  }
                _flick_abort_block691:
                  {
                    switch (_return->disc_)
                      {
                      case 1:
                        goto _flick_abort_block692;
                      case 2:
                        goto _flick_abort543;
                      default:
                        goto _flick_abort543;
                      }
                  }
                }
              flick_iiopxx_decode_new_glob(51);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort562);
              flick_cdr_decode_signed32(0, b.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (b.disc_)
                {
                case 1:
                  {
                    flick_unsigned32_t _t24_temp_string_len;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t24_temp_string_len, flick_unsigned32_t );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(51);
                    flick_iiopxx_decode_new_glob(1 * _t24_temp_string_len);
                    flick_iiopxx_check_span(1 * _t24_temp_string_len, _flick_abort573);
                    flick_iiopxx_decode_new_chunk(1 * _t24_temp_string_len);
                    {
                      CORBA::Char *_t_alloc_ptr;

                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t24_temp_string_len * sizeof(CORBA::Char )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort573);
                      b._u.a = _t_alloc_ptr;
                    }
                    flick_cdr_decode_bcopy(0, b._u.a, 1 * _t24_temp_string_len);
                    flick_iiopxx_decode_end_chunk(1 * _t24_temp_string_len);
                    flick_iiopxx_decode_end_glob(1 * _t24_temp_string_len);
                    break;
                  _flick_abort_block713:
                    {
                      CORBA_string_flick_free(b._u.a);
                    _flick_abort573:
                      goto _flick_abort562;
                    }
                  }
                case 2:
                  {
                    {
                      ::Foo4::flick_sequence_long_bounded_10 *_t_alloc_ptr;

                      _t_alloc_ptr = (::Foo4::flick_sequence_long_bounded_10 *)new ::Foo4::flick_sequence_long_bounded_10 ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort577);
                      b._u.b = _t_alloc_ptr;
                    }
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, b._u.b->_length, CORBA::ULong );
                    if (b._u.b->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort577);
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_check_span(4 * b._u.b->_length, _flick_abort577);
                    flick_iiopxx_decode_new_chunk(4 * b._u.b->_length);
                    flick_cdr_decode_bcopy(0, b._u.b->_buffer, 4 * b._u.b->_length);
                    flick_iiopxx_decode_end_chunk(4 * b._u.b->_length);
                    flick_iiopxx_decode_end_glob(51);
                    break;
                    {
                    _flick_abort577:
                      goto _flick_abort562;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_signed32(0, b._u.c, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(51);
                    break;
                  }
                _flick_abort_block712:
                  {
                    switch (b.disc_)
                      {
                      case 1:
                        goto _flick_abort_block713;
                      case 2:
                        goto _flick_abort562;
                      default:
                        goto _flick_abort562;
                      }
                  }
                }
              {
                Foo4 *_t_alloc_ptr;

                _t_alloc_ptr = (Foo4 *)new Foo4 ;
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort581);
                c = _t_alloc_ptr;
              }
              flick_iiopxx_decode_new_glob(51);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort581);
              flick_cdr_decode_signed32(0, c->disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (c->disc_)
                {
                case 1:
                  {
                    flick_unsigned32_t _t26_temp_string_len;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t26_temp_string_len, flick_unsigned32_t );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(51);
                    flick_iiopxx_decode_new_glob(1 * _t26_temp_string_len);
                    flick_iiopxx_check_span(1 * _t26_temp_string_len, _flick_abort592);
                    flick_iiopxx_decode_new_chunk(1 * _t26_temp_string_len);
                    {
                      CORBA::Char *_t_alloc_ptr;

                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t26_temp_string_len * sizeof(CORBA::Char )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort592);
                      c->_u.a = _t_alloc_ptr;
                    }
                    flick_cdr_decode_bcopy(0, c->_u.a, 1 * _t26_temp_string_len);
                    flick_iiopxx_decode_end_chunk(1 * _t26_temp_string_len);
                    flick_iiopxx_decode_end_glob(1 * _t26_temp_string_len);
                    break;
                    {
                    _flick_abort592:
                      goto _flick_abort581;
                    }
                  }
                case 2:
                  {
                    {
                      ::Foo4::flick_sequence_long_bounded_10 *_t_alloc_ptr;

                      _t_alloc_ptr = (::Foo4::flick_sequence_long_bounded_10 *)new ::Foo4::flick_sequence_long_bounded_10 ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort596);
                      c->_u.b = _t_alloc_ptr;
                    }
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, c->_u.b->_length, CORBA::ULong );
                    if (c->_u.b->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort596);
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_check_span(4 * c->_u.b->_length, _flick_abort596);
                    flick_iiopxx_decode_new_chunk(4 * c->_u.b->_length);
                    flick_cdr_decode_bcopy(0, c->_u.b->_buffer, 4 * c->_u.b->_length);
                    flick_iiopxx_decode_end_chunk(4 * c->_u.b->_length);
                    flick_iiopxx_decode_end_glob(51);
                    break;
                    {
                    _flick_abort596:
                      goto _flick_abort581;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_signed32(0, c->_u.c, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(51);
                    break;
                  }
                }
              break;
              {
              _flick_abort581:
                goto _flick_abort_block712;
              _flick_abort562:
                goto _flick_abort_block691;
              _flick_abort543:
                goto _flick_abort420;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(52);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort601);
              break;
              {
              _flick_abort601:
                goto _flick_abort420;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort602);
              flick_iiopxx_decode_end_glob(52);
              break;
              {
              _flick_abort602:
                goto _flick_abort420;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort420);
  }
  return _return;
  {
  _flick_abort420:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort419);
  _flick_abort419:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

