#include "corbastat-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t test_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t88_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t88_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t88_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t89_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t89_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t89_switch_tag)
            {
            case /* dir */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684632064):
              {
                {
                  test _obj;
                  unsigned int _t90_principal_len;
                  CORBA_long _return;
                  test_directory *_local_entries;
                  test_directory _t91_storage;
                  CORBA_unsigned_long _t104_array_iter;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t113_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort361);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t90_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t90_principal_len, _flick_abort361);
                  flick_khazana_decode_new_glob(_t90_principal_len);
                  flick_khazana_decode_new_chunk(_t90_principal_len);
                  flick_khazana_decode_end_chunk(_t90_principal_len);
                  flick_khazana_decode_end_glob(_t90_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_entries = (test_directory *)(&_t91_storage);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort361);
                  flick_cdr_swap_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  {
                    struct test_entry *_t_alloc_ptr;

                    _t_alloc_ptr = (struct test_entry *)(auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort361);
                    _local_entries->_buffer = _t_alloc_ptr;
                    _local_entries->_maximum = _local_entries->_length;
                    _local_entries->_release = 1;
                  }
                  for (_t104_array_iter = 0; _t104_array_iter < _local_entries->_length; _t104_array_iter++)
                    {
                      flick_unsigned32_t _t109_temp_string_len;
                      flick_unsigned32_t _t110_array_iter;
                      flick_unsigned32_t _t111_array_iter;
                      flick_unsigned32_t _t112_array_iter;

                      flick_khazana_decode_new_glob(399);
                      flick_khazana_check_span(4, _flick_abort423);
                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t109_temp_string_len, flick_unsigned32_t );
                      if (_t109_temp_string_len > 256)
                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort423);
                      flick_khazana_decode_end_chunk(4);
                      flick_khazana_check_span(1 * _t109_temp_string_len, _flick_abort423);
                      flick_khazana_decode_new_chunk(1 * _t109_temp_string_len);
                      flick_cdr_swap_decode_msgptr(0, _local_entries->_buffer[_t104_array_iter].filename, CORBA_char *);
                      flick_khazana_decode_end_chunk(1 * _t109_temp_string_len);
                      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                      flick_khazana_check_span(3 * 4 + (2 * 4 + 8 * 4) + 84, _flick_abort423);
                      flick_cdr_swap_decode_unsigned32(0, _local_entries->_buffer[_t104_array_iter].info.st_dev, my_ulong_t );
                      flick_khazana_decode_end_chunk(4);
                      for (_t110_array_iter = 0; _t110_array_iter < 3; _t110_array_iter++)
                        {
                          flick_khazana_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t104_array_iter].info.st_pad1[_t110_array_iter], CORBA_long );
                          flick_khazana_decode_end_chunk(4);
                          continue;
                        }
                      flick_khazana_decode_new_chunk(24);
                      flick_cdr_swap_decode_unsigned32(0, _local_entries->_buffer[_t104_array_iter].info.st_ino, my_ulong_t );
                      flick_cdr_swap_decode_unsigned32(4, _local_entries->_buffer[_t104_array_iter].info.st_mode, my_ulong_t );
                      flick_cdr_swap_decode_unsigned32(8, _local_entries->_buffer[_t104_array_iter].info.st_nlink, my_ulong_t );
                      flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t104_array_iter].info.st_uid, CORBA_long );
                      flick_cdr_swap_decode_signed32(16, _local_entries->_buffer[_t104_array_iter].info.st_gid, my_uid_t );
                      flick_cdr_swap_decode_unsigned32(20, _local_entries->_buffer[_t104_array_iter].info.st_rdev, my_ulong_t );
                      flick_khazana_decode_end_chunk(24);
                      for (_t111_array_iter = 0; _t111_array_iter < 2; _t111_array_iter++)
                        {
                          flick_khazana_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t104_array_iter].info.st_pad2[_t111_array_iter], CORBA_long );
                          flick_khazana_decode_end_chunk(4);
                          continue;
                        }
                      flick_khazana_decode_new_chunk(56);
                      flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t104_array_iter].info.st_size, CORBA_long );
                      flick_cdr_swap_decode_signed32(4, _local_entries->_buffer[_t104_array_iter].info.st_pad3, CORBA_long );
                      flick_cdr_swap_decode_signed32(8, _local_entries->_buffer[_t104_array_iter].info.st_atime.my_tv_sec, CORBA_long );
                      flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t104_array_iter].info.st_atime.my_tv_nsec, CORBA_long );
                      flick_cdr_swap_decode_signed32(16, _local_entries->_buffer[_t104_array_iter].info.st_mtime.my_tv_sec, CORBA_long );
                      flick_cdr_swap_decode_signed32(20, _local_entries->_buffer[_t104_array_iter].info.st_mtime.my_tv_nsec, CORBA_long );
                      flick_cdr_swap_decode_signed32(24, _local_entries->_buffer[_t104_array_iter].info.st_ctime.my_tv_sec, CORBA_long );
                      flick_cdr_swap_decode_signed32(28, _local_entries->_buffer[_t104_array_iter].info.st_ctime.my_tv_nsec, CORBA_long );
                      flick_cdr_swap_decode_signed32(32, _local_entries->_buffer[_t104_array_iter].info.st_blksize, CORBA_long );
                      flick_cdr_swap_decode_signed32(36, _local_entries->_buffer[_t104_array_iter].info.st_blocks, CORBA_long );
                      flick_cdr_swap_decode_bcopy(40, _local_entries->_buffer[_t104_array_iter].info.st_fstype, 16);
                      flick_khazana_decode_end_chunk(56);
                      for (_t112_array_iter = 0; _t112_array_iter < 8; _t112_array_iter++)
                        {
                          flick_khazana_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t104_array_iter].info.st_pad4[_t112_array_iter], CORBA_long );
                          flick_khazana_decode_end_chunk(4);
                          continue;
                        }
                      flick_khazana_decode_end_glob(399);
                      continue;
                      {
                      _flick_abort423:
                        goto _flick_abort422;
                      }
                    }
                  _ev = (CORBA_Environment *)(&_t113_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_dir(_obj, _local_entries, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort422);
                    flick_khazana_encode_new_glob(8, _flick_abort422);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort468);
                          break;
                          {
                          _flick_abort468:
                            goto _flick_abort422;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort469);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort469:
                            goto _flick_abort422;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort422:
                    auto_flick_free(_local_entries->_buffer);
                  _flick_abort361:
                    goto _flick_abort360;
                  }
                }
                break;
                {
                _flick_abort360:
                  goto _flick_abort2;
                }
              }
            case /* lng */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819174656):
              {
                {
                  test _obj;
                  unsigned int _t114_principal_len;
                  CORBA_long _return;
                  test_longlist *_local_entries;
                  test_longlist _t115_storage;
                  CORBA_unsigned_long _t116_array_iter;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t117_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort471);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t114_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t114_principal_len, _flick_abort471);
                  flick_khazana_decode_new_glob(_t114_principal_len);
                  flick_khazana_decode_new_chunk(_t114_principal_len);
                  flick_khazana_decode_end_chunk(_t114_principal_len);
                  flick_khazana_decode_end_glob(_t114_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_entries = (test_longlist *)(&_t115_storage);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort471);
                  flick_cdr_swap_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_decode_new_glob(4 * _local_entries->_length);
                  {
                    CORBA_long *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_long *)(auto_flick_alloc(_local_entries->_length * sizeof(CORBA_long )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort471);
                    _local_entries->_buffer = _t_alloc_ptr;
                    _local_entries->_maximum = _local_entries->_length;
                    _local_entries->_release = 1;
                  }
                  flick_khazana_check_span(_local_entries->_length * 4, _flick_abort475);
                  for (_t116_array_iter = 0; _t116_array_iter < _local_entries->_length; _t116_array_iter++)
                    {
                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t116_array_iter], CORBA_long );
                      flick_khazana_decode_end_chunk(4);
                      continue;
                    }
                  flick_khazana_decode_end_glob(4 * _local_entries->_length);
                  _ev = (CORBA_Environment *)(&_t117_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_lng(_obj, _local_entries, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort475);
                    flick_khazana_encode_new_glob(8, _flick_abort475);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort483);
                          break;
                          {
                          _flick_abort483:
                            goto _flick_abort475;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort484);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort484:
                            goto _flick_abort475;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort475:
                    auto_flick_free(_local_entries->_buffer);
                  _flick_abort471:
                    goto _flick_abort470;
                  }
                }
                break;
                {
                _flick_abort470:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t118_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t118_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t118_switch_tag)
            {
            case /* strc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011299):
              {
                unsigned short int _t119_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t119_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t119_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        unsigned int _t120_principal_len;
                        CORBA_long _return;
                        test_structlist *_local_entries;
                        test_structlist _t121_storage;
                        CORBA_unsigned_long _t122_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t123_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort486);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t120_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t120_principal_len, _flick_abort486);
                        flick_khazana_decode_new_glob(_t120_principal_len);
                        flick_khazana_decode_new_chunk(_t120_principal_len);
                        flick_khazana_decode_end_chunk(_t120_principal_len);
                        flick_khazana_decode_end_glob(_t120_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_entries = (test_structlist *)(&_t121_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort486);
                        flick_cdr_swap_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(16 * _local_entries->_length);
                        {
                          struct test_outer *_t_alloc_ptr;

                          _t_alloc_ptr = (struct test_outer *)(auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort486);
                          _local_entries->_buffer = _t_alloc_ptr;
                          _local_entries->_maximum = _local_entries->_length;
                          _local_entries->_release = 1;
                        }
                        flick_khazana_check_span(_local_entries->_length * 16, _flick_abort490);
                        for (_t122_array_iter = 0; _t122_array_iter < _local_entries->_length; _t122_array_iter++)
                          {
                            flick_khazana_decode_new_chunk(16);
                            flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t122_array_iter].a.a, CORBA_long );
                            flick_cdr_swap_decode_signed32(4, _local_entries->_buffer[_t122_array_iter].a.b, CORBA_long );
                            flick_cdr_swap_decode_signed32(8, _local_entries->_buffer[_t122_array_iter].b.a, CORBA_long );
                            flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t122_array_iter].b.b, CORBA_long );
                            flick_khazana_decode_end_chunk(16);
                            continue;
                          }
                        flick_khazana_decode_end_glob(16 * _local_entries->_length);
                        _ev = (CORBA_Environment *)(&_t123_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_strct(_obj, _local_entries, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort490);
                          flick_khazana_encode_new_glob(8, _flick_abort490);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort498);
                                break;
                                {
                                _flick_abort498:
                                  goto _flick_abort490;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort499);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort499:
                                  goto _flick_abort490;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort490:
                          auto_flick_free(_local_entries->_buffer);
                        _flick_abort486:
                          goto _flick_abort485;
                        }
                      }
                      break;
                      {
                      _flick_abort485:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t124_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t124_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t124_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t125_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t126_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t127_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort501);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t125_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t125_principal_len, _flick_abort501);
                        flick_khazana_decode_new_glob(_t125_principal_len);
                        flick_khazana_decode_new_chunk(_t125_principal_len);
                        flick_khazana_decode_end_chunk(_t125_principal_len);
                        flick_khazana_decode_end_glob(_t125_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort501);
                        flick_cdr_swap_decode_unsigned32(0, _t126_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t126_temp_string_len);
                        flick_khazana_check_span(1 * _t126_temp_string_len, _flick_abort501);
                        flick_khazana_decode_new_chunk(1 * _t126_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t126_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t126_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t127_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort501);
                          flick_khazana_encode_new_glob(5, _flick_abort501);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort509);
                                break;
                                {
                                _flick_abort509:
                                  goto _flick_abort501;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort510);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort510:
                                  goto _flick_abort501;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort501:
                          goto _flick_abort500;
                        }
                      }
                      break;
                      {
                      _flick_abort500:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t24_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t24_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t25_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t25_switch_tag)
            {
            case /* dir */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684632064):
              {
                {
                  test _obj;
                  unsigned int _t26_principal_len;
                  CORBA_long _return;
                  test_directory *_local_entries;
                  test_directory _t27_storage;
                  CORBA_unsigned_long _t31_array_iter;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t34_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort107);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t26_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t26_principal_len, _flick_abort107);
                  flick_khazana_decode_new_glob(_t26_principal_len);
                  flick_khazana_decode_new_chunk(_t26_principal_len);
                  flick_khazana_decode_end_chunk(_t26_principal_len);
                  flick_khazana_decode_end_glob(_t26_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_entries = (test_directory *)(&_t27_storage);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort107);
                  flick_cdr_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  {
                    struct test_entry *_t_alloc_ptr;

                    _t_alloc_ptr = (struct test_entry *)(auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort107);
                    _local_entries->_buffer = _t_alloc_ptr;
                    _local_entries->_maximum = _local_entries->_length;
                    _local_entries->_release = 1;
                  }
                  for (_t31_array_iter = 0; _t31_array_iter < _local_entries->_length; _t31_array_iter++)
                    {
                      flick_unsigned32_t _t33_temp_string_len;

                      flick_khazana_decode_new_glob(399);
                      flick_khazana_check_span(4, _flick_abort142);
                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t33_temp_string_len, flick_unsigned32_t );
                      if (_t33_temp_string_len > 256)
                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort142);
                      flick_khazana_decode_end_chunk(4);
                      flick_khazana_check_span(1 * _t33_temp_string_len, _flick_abort142);
                      flick_khazana_decode_new_chunk(1 * _t33_temp_string_len);
                      flick_cdr_decode_msgptr(0, _local_entries->_buffer[_t31_array_iter].filename, CORBA_char *);
                      flick_khazana_decode_end_chunk(1 * _t33_temp_string_len);
                      flick_khazana_decode_new_chunk_align(136, 2, 0, 0);
                      flick_khazana_check_span(136, _flick_abort142);
                      flick_cdr_decode_unsigned32(0, _local_entries->_buffer[_t31_array_iter].info.st_dev, my_ulong_t );
                      flick_cdr_decode_bcopy(4, _local_entries->_buffer[_t31_array_iter].info.st_pad1, 12);
                      flick_cdr_decode_unsigned32(16, _local_entries->_buffer[_t31_array_iter].info.st_ino, my_ulong_t );
                      flick_cdr_decode_unsigned32(20, _local_entries->_buffer[_t31_array_iter].info.st_mode, my_ulong_t );
                      flick_cdr_decode_unsigned32(24, _local_entries->_buffer[_t31_array_iter].info.st_nlink, my_ulong_t );
                      flick_cdr_decode_signed32(28, _local_entries->_buffer[_t31_array_iter].info.st_uid, CORBA_long );
                      flick_cdr_decode_signed32(32, _local_entries->_buffer[_t31_array_iter].info.st_gid, my_uid_t );
                      flick_cdr_decode_unsigned32(36, _local_entries->_buffer[_t31_array_iter].info.st_rdev, my_ulong_t );
                      flick_cdr_decode_bcopy(40, _local_entries->_buffer[_t31_array_iter].info.st_pad2, 8);
                      flick_cdr_decode_signed32(48, _local_entries->_buffer[_t31_array_iter].info.st_size, CORBA_long );
                      flick_cdr_decode_signed32(52, _local_entries->_buffer[_t31_array_iter].info.st_pad3, CORBA_long );
                      flick_cdr_decode_signed32(56, _local_entries->_buffer[_t31_array_iter].info.st_atime.my_tv_sec, CORBA_long );
                      flick_cdr_decode_signed32(60, _local_entries->_buffer[_t31_array_iter].info.st_atime.my_tv_nsec, CORBA_long );
                      flick_cdr_decode_signed32(64, _local_entries->_buffer[_t31_array_iter].info.st_mtime.my_tv_sec, CORBA_long );
                      flick_cdr_decode_signed32(68, _local_entries->_buffer[_t31_array_iter].info.st_mtime.my_tv_nsec, CORBA_long );
                      flick_cdr_decode_signed32(72, _local_entries->_buffer[_t31_array_iter].info.st_ctime.my_tv_sec, CORBA_long );
                      flick_cdr_decode_signed32(76, _local_entries->_buffer[_t31_array_iter].info.st_ctime.my_tv_nsec, CORBA_long );
                      flick_cdr_decode_signed32(80, _local_entries->_buffer[_t31_array_iter].info.st_blksize, CORBA_long );
                      flick_cdr_decode_signed32(84, _local_entries->_buffer[_t31_array_iter].info.st_blocks, CORBA_long );
                      flick_cdr_decode_bcopy(88, _local_entries->_buffer[_t31_array_iter].info.st_fstype, 16);
                      flick_cdr_decode_bcopy(104, _local_entries->_buffer[_t31_array_iter].info.st_pad4, 32);
                      flick_khazana_decode_end_chunk(136);
                      flick_khazana_decode_end_glob(399);
                      continue;
                      {
                      _flick_abort142:
                        goto _flick_abort141;
                      }
                    }
                  _ev = (CORBA_Environment *)(&_t34_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_dir(_obj, _local_entries, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort141);
                    flick_khazana_encode_new_glob(8, _flick_abort141);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort169);
                          break;
                          {
                          _flick_abort169:
                            goto _flick_abort141;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort170);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort170:
                            goto _flick_abort141;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort141:
                    auto_flick_free(_local_entries->_buffer);
                  _flick_abort107:
                    goto _flick_abort106;
                  }
                }
                break;
                {
                _flick_abort106:
                  goto _flick_abort2;
                }
              }
            case /* lng */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819174656):
              {
                {
                  test _obj;
                  unsigned int _t35_principal_len;
                  CORBA_long _return;
                  test_longlist *_local_entries;
                  test_longlist _t36_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t37_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort172);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t35_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t35_principal_len, _flick_abort172);
                  flick_khazana_decode_new_glob(_t35_principal_len);
                  flick_khazana_decode_new_chunk(_t35_principal_len);
                  flick_khazana_decode_end_chunk(_t35_principal_len);
                  flick_khazana_decode_end_glob(_t35_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_entries = (test_longlist *)(&_t36_storage);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort172);
                  flick_cdr_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_decode_new_glob(4 * _local_entries->_length);
                  flick_khazana_check_span(4 * _local_entries->_length, _flick_abort172);
                  flick_khazana_decode_new_chunk(4 * _local_entries->_length);
                  flick_cdr_decode_msgptr(0, _local_entries->_buffer, CORBA_long *);
                  _local_entries->_maximum = _local_entries->_length;
                  _local_entries->_release = 0;
                  flick_khazana_decode_end_chunk(4 * _local_entries->_length);
                  flick_khazana_decode_end_glob(4 * _local_entries->_length);
                  _ev = (CORBA_Environment *)(&_t37_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_lng(_obj, _local_entries, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort172);
                    flick_khazana_encode_new_glob(8, _flick_abort172);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort180);
                          break;
                          {
                          _flick_abort180:
                            goto _flick_abort172;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort181);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort181:
                            goto _flick_abort172;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort172:
                    goto _flick_abort171;
                  }
                }
                break;
                {
                _flick_abort171:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t38_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t38_switch_tag)
            {
            case /* strc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011299):
              {
                unsigned short int _t39_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t39_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t39_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        unsigned int _t40_principal_len;
                        CORBA_long _return;
                        test_structlist *_local_entries;
                        test_structlist _t41_storage;
                        CORBA_unsigned_long _t42_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t43_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort183);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t40_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t40_principal_len, _flick_abort183);
                        flick_khazana_decode_new_glob(_t40_principal_len);
                        flick_khazana_decode_new_chunk(_t40_principal_len);
                        flick_khazana_decode_end_chunk(_t40_principal_len);
                        flick_khazana_decode_end_glob(_t40_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_entries = (test_structlist *)(&_t41_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort183);
                        flick_cdr_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(16 * _local_entries->_length);
                        {
                          struct test_outer *_t_alloc_ptr;

                          _t_alloc_ptr = (struct test_outer *)(auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort183);
                          _local_entries->_buffer = _t_alloc_ptr;
                          _local_entries->_maximum = _local_entries->_length;
                          _local_entries->_release = 1;
                        }
                        flick_khazana_check_span(_local_entries->_length * 16, _flick_abort187);
                        for (_t42_array_iter = 0; _t42_array_iter < _local_entries->_length; _t42_array_iter++)
                          {
                            flick_khazana_decode_new_chunk(16);
                            flick_cdr_decode_signed32(0, _local_entries->_buffer[_t42_array_iter].a.a, CORBA_long );
                            flick_cdr_decode_signed32(4, _local_entries->_buffer[_t42_array_iter].a.b, CORBA_long );
                            flick_cdr_decode_signed32(8, _local_entries->_buffer[_t42_array_iter].b.a, CORBA_long );
                            flick_cdr_decode_signed32(12, _local_entries->_buffer[_t42_array_iter].b.b, CORBA_long );
                            flick_khazana_decode_end_chunk(16);
                            continue;
                          }
                        flick_khazana_decode_end_glob(16 * _local_entries->_length);
                        _ev = (CORBA_Environment *)(&_t43_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_strct(_obj, _local_entries, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort187);
                          flick_khazana_encode_new_glob(8, _flick_abort187);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort195);
                                break;
                                {
                                _flick_abort195:
                                  goto _flick_abort187;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort196);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort196:
                                  goto _flick_abort187;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort187:
                          auto_flick_free(_local_entries->_buffer);
                        _flick_abort183:
                          goto _flick_abort182;
                        }
                      }
                      break;
                      {
                      _flick_abort182:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t44_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t44_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t44_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t45_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t46_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t47_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort198);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t45_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t45_principal_len, _flick_abort198);
                        flick_khazana_decode_new_glob(_t45_principal_len);
                        flick_khazana_decode_new_chunk(_t45_principal_len);
                        flick_khazana_decode_end_chunk(_t45_principal_len);
                        flick_khazana_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort198);
                        flick_cdr_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t46_temp_string_len);
                        flick_khazana_check_span(1 * _t46_temp_string_len, _flick_abort198);
                        flick_khazana_decode_new_chunk(1 * _t46_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t46_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t46_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t47_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort198);
                          flick_khazana_encode_new_glob(5, _flick_abort198);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort206);
                                break;
                                {
                                _flick_abort206:
                                  goto _flick_abort198;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort207);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort207:
                                  goto _flick_abort198;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort198:
                          goto _flick_abort197;
                        }
                      }
                      break;
                      {
                      _flick_abort197:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

