#include "enum_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Test[] = {
	"IDL:Test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t Test_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t36_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t36_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t36_switch_tag)
      {
      case (unsigned int) 5:
        {
          unsigned int _t37_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t37_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t37_switch_tag)
            {
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t38_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t38_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t38_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Test _obj;
                        unsigned int _t39_principal_len;
                        types _return;
                        types _local_a;
                        types *_local_b;
                        types _t40_storage;
                        types *_local_c;
                        types _t41_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t42_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort66);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t39_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t39_principal_len, _flick_abort66);
                        flick_khazana_decode_new_glob(_t39_principal_len);
                        flick_khazana_decode_new_chunk(_t39_principal_len);
                        flick_khazana_decode_end_chunk(_t39_principal_len);
                        flick_khazana_decode_end_glob(_t39_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort66);
                        flick_cdr_swap_decode_unsigned32(0, _local_a, CORBA_enum );
                        _local_b = (types *)(&_t40_storage);
                        flick_cdr_swap_decode_unsigned32(4, *_local_b, CORBA_enum );
                        _local_c = (types *)(&_t41_storage);
                        _ev = (CORBA_Environment *)(&_t42_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort66);
                          flick_khazana_encode_new_glob(16, _flick_abort66);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_enum );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_enum );
                                flick_khazana_encode_end_chunk(12);
                                flick_khazana_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort72);
                                break;
                                {
                                _flick_abort72:
                                  goto _flick_abort66;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort73);
                                flick_khazana_encode_end_glob(16);
                                break;
                                {
                                _flick_abort73:
                                  goto _flick_abort66;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort66:
                          goto _flick_abort65;
                        }
                      }
                      break;
                      {
                      _flick_abort65:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t43_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t43_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t44_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t44_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t44_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t45_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t46_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t47_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort75);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t45_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t45_principal_len, _flick_abort75);
                        flick_khazana_decode_new_glob(_t45_principal_len);
                        flick_khazana_decode_new_chunk(_t45_principal_len);
                        flick_khazana_decode_end_chunk(_t45_principal_len);
                        flick_khazana_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort75);
                        flick_cdr_swap_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t46_temp_string_len);
                        flick_khazana_check_span(1 * _t46_temp_string_len, _flick_abort75);
                        flick_khazana_decode_new_chunk(1 * _t46_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t46_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t46_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t47_storage);
                        _par = flick_interface_parents_Test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort75);
                          flick_khazana_encode_new_glob(5, _flick_abort75);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort83);
                                break;
                                {
                                _flick_abort83:
                                  goto _flick_abort75;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort84:
                                  goto _flick_abort75;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort75:
                          goto _flick_abort74;
                        }
                      }
                      break;
                      {
                      _flick_abort74:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t12_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t12_switch_tag)
      {
      case (unsigned int) 5:
        {
          unsigned int _t13_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t13_switch_tag)
            {
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t14_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t14_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t14_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Test _obj;
                        unsigned int _t15_principal_len;
                        types _return;
                        types _local_a;
                        types *_local_b;
                        types _t16_storage;
                        types *_local_c;
                        types _t17_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t18_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort25);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t15_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t15_principal_len, _flick_abort25);
                        flick_khazana_decode_new_glob(_t15_principal_len);
                        flick_khazana_decode_new_chunk(_t15_principal_len);
                        flick_khazana_decode_end_chunk(_t15_principal_len);
                        flick_khazana_decode_end_glob(_t15_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort25);
                        flick_cdr_decode_unsigned32(0, _local_a, CORBA_enum );
                        _local_b = (types *)(&_t16_storage);
                        flick_cdr_decode_unsigned32(4, *_local_b, CORBA_enum );
                        _local_c = (types *)(&_t17_storage);
                        _ev = (CORBA_Environment *)(&_t18_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort25);
                          flick_khazana_encode_new_glob(16, _flick_abort25);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_enum );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_enum );
                                flick_khazana_encode_end_chunk(12);
                                flick_khazana_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort31);
                                break;
                                {
                                _flick_abort31:
                                  goto _flick_abort25;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort32);
                                flick_khazana_encode_end_glob(16);
                                break;
                                {
                                _flick_abort32:
                                  goto _flick_abort25;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort25:
                          goto _flick_abort24;
                        }
                      }
                      break;
                      {
                      _flick_abort24:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t19_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t19_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t20_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t20_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t21_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t22_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t23_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort34);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t21_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t21_principal_len, _flick_abort34);
                        flick_khazana_decode_new_glob(_t21_principal_len);
                        flick_khazana_decode_new_chunk(_t21_principal_len);
                        flick_khazana_decode_end_chunk(_t21_principal_len);
                        flick_khazana_decode_end_glob(_t21_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort34);
                        flick_cdr_decode_unsigned32(0, _t22_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t22_temp_string_len);
                        flick_khazana_check_span(1 * _t22_temp_string_len, _flick_abort34);
                        flick_khazana_decode_new_chunk(1 * _t22_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t22_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t22_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t23_storage);
                        _par = flick_interface_parents_Test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort34);
                          flick_khazana_encode_new_glob(5, _flick_abort34);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort42);
                                break;
                                {
                                _flick_abort42:
                                  goto _flick_abort34;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort43);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort43:
                                  goto _flick_abort34;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort34:
                          goto _flick_abort33;
                        }
                      }
                      break;
                      {
                      _flick_abort33:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

