#include "nest-refs-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t test_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t72_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t72_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t72_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t73_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t73_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t74_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t74_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        test _obj;
                        unsigned int _t75_principal_len;
                        ReferenceData *_return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t76_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort183);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t75_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t75_principal_len, _flick_abort183);
                        flick_khazana_decode_new_glob(_t75_principal_len);
                        flick_khazana_decode_new_chunk(_t75_principal_len);
                        flick_khazana_decode_end_chunk(_t75_principal_len);
                        flick_khazana_decode_end_glob(_t75_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t76_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test__get_id(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort183);
                          flick_khazana_encode_new_glob(8, _flick_abort183);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _return->_length, _flick_abort190);
                                flick_khazana_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = (CORBA_octet *)0;
                                flick_khazana_encode_end_chunk(1 * _return->_length);
                                flick_khazana_encode_end_glob(1 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = (ReferenceData *)0;
                                break;
                                {
                                _flick_abort190:
                                  goto _flick_abort183;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort193);
                                break;
                                {
                                _flick_abort193:
                                  goto _flick_abort183;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort194);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort194:
                                  goto _flick_abort183;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort183:
                          goto _flick_abort182;
                        }
                      }
                      break;
                      {
                      _flick_abort182:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t77_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t77_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        test _obj;
                        unsigned int _t78_principal_len;
                        ReferenceData *_local_id;
                        ReferenceData _t79_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t80_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort196);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t78_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t78_principal_len, _flick_abort196);
                        flick_khazana_decode_new_glob(_t78_principal_len);
                        flick_khazana_decode_new_chunk(_t78_principal_len);
                        flick_khazana_decode_end_chunk(_t78_principal_len);
                        flick_khazana_decode_end_glob(_t78_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = (ReferenceData *)(&_t79_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort196);
                        flick_cdr_swap_decode_unsigned32(0, _local_id->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _local_id->_length);
                        flick_khazana_check_span(1 * _local_id->_length, _flick_abort196);
                        flick_khazana_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_swap_decode_msgptr(0, _local_id->_buffer, CORBA_octet *);
                        _local_id->_maximum = _local_id->_length;
                        _local_id->_release = 0;
                        flick_khazana_decode_end_chunk(1 * _local_id->_length);
                        flick_khazana_decode_end_glob(1 * _local_id->_length);
                        _ev = (CORBA_Environment *)(&_t80_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        test__set_id(_obj, _local_id, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort196);
                          flick_khazana_encode_new_glob(4, _flick_abort196);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort204);
                                break;
                                {
                                _flick_abort204:
                                  goto _flick_abort196;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort205:
                                  goto _flick_abort196;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort196:
                          goto _flick_abort195;
                        }
                      }
                      break;
                      {
                      _flick_abort195:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t81_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t81_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t81_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t82_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t82_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t82_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t83_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t83_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t83_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              test _obj;
                              unsigned int _t84_principal_len;
                              OctetSequence *_return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t85_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort207);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t84_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t84_principal_len, _flick_abort207);
                              flick_khazana_decode_new_glob(_t84_principal_len);
                              flick_khazana_decode_new_chunk(_t84_principal_len);
                              flick_khazana_decode_end_chunk(_t84_principal_len);
                              flick_khazana_decode_end_glob(_t84_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t85_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test__get_info(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort207);
                                flick_khazana_encode_new_glob(8, _flick_abort207);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      flick_khazana_encode_new_glob(1 * _return->_length, _flick_abort214);
                                      flick_khazana_encode_new_chunk(1 * _return->_length);
                                      flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = (CORBA_octet *)0;
                                      flick_khazana_encode_end_chunk(1 * _return->_length);
                                      flick_khazana_encode_end_glob(1 * _return->_length);
                                      CORBA_flick_free(_return);
                                      _return = (OctetSequence *)0;
                                      break;
                                      {
                                      _flick_abort214:
                                        goto _flick_abort207;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort217);
                                      break;
                                      {
                                      _flick_abort217:
                                        goto _flick_abort207;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort218);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort218:
                                        goto _flick_abort207;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort207:
                                goto _flick_abort206;
                              }
                            }
                            break;
                            {
                            _flick_abort206:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t86_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t86_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t87_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t87_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t87_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              test _obj;
                              unsigned int _t88_principal_len;
                              OctetSequence *_local_info;
                              OctetSequence _t89_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t90_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort220);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t88_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t88_principal_len, _flick_abort220);
                              flick_khazana_decode_new_glob(_t88_principal_len);
                              flick_khazana_decode_new_chunk(_t88_principal_len);
                              flick_khazana_decode_end_chunk(_t88_principal_len);
                              flick_khazana_decode_end_glob(_t88_principal_len);
                              /* Begin decode phase on parameters */
                              _local_info = (OctetSequence *)(&_t89_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort220);
                              flick_cdr_swap_decode_unsigned32(0, _local_info->_length, CORBA_unsigned_long );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_decode_new_glob(1 * _local_info->_length);
                              flick_khazana_check_span(1 * _local_info->_length, _flick_abort220);
                              flick_khazana_decode_new_chunk(1 * _local_info->_length);
                              flick_cdr_swap_decode_msgptr(0, _local_info->_buffer, CORBA_octet *);
                              _local_info->_maximum = _local_info->_length;
                              _local_info->_release = 0;
                              flick_khazana_decode_end_chunk(1 * _local_info->_length);
                              flick_khazana_decode_end_glob(1 * _local_info->_length);
                              _ev = (CORBA_Environment *)(&_t90_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              test__set_info(_obj, _local_info, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort220);
                                flick_khazana_encode_new_glob(4, _flick_abort220);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort228);
                                      break;
                                      {
                                      _flick_abort228:
                                        goto _flick_abort220;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort229);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort229:
                                        goto _flick_abort220;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort220:
                                goto _flick_abort219;
                              }
                            }
                            break;
                            {
                            _flick_abort219:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t91_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t91_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t91_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t92_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t92_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t92_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t93_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t94_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t95_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort231);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t93_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t93_principal_len, _flick_abort231);
                        flick_khazana_decode_new_glob(_t93_principal_len);
                        flick_khazana_decode_new_chunk(_t93_principal_len);
                        flick_khazana_decode_end_chunk(_t93_principal_len);
                        flick_khazana_decode_end_glob(_t93_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort231);
                        flick_cdr_swap_decode_unsigned32(0, _t94_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t94_temp_string_len);
                        flick_khazana_check_span(1 * _t94_temp_string_len, _flick_abort231);
                        flick_khazana_decode_new_chunk(1 * _t94_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t94_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t94_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t95_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort231);
                          flick_khazana_encode_new_glob(5, _flick_abort231);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort239);
                                break;
                                {
                                _flick_abort239:
                                  goto _flick_abort231;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort240);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort240:
                                  goto _flick_abort231;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort231:
                          goto _flick_abort230;
                        }
                      }
                      break;
                      {
                      _flick_abort230:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t24_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t24_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t25_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t25_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t26_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t26_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t26_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        test _obj;
                        unsigned int _t27_principal_len;
                        ReferenceData *_return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t28_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort64);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t27_principal_len, _flick_abort64);
                        flick_khazana_decode_new_glob(_t27_principal_len);
                        flick_khazana_decode_new_chunk(_t27_principal_len);
                        flick_khazana_decode_end_chunk(_t27_principal_len);
                        flick_khazana_decode_end_glob(_t27_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t28_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test__get_id(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort64);
                          flick_khazana_encode_new_glob(8, _flick_abort64);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _return->_length, _flick_abort71);
                                flick_khazana_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = (CORBA_octet *)0;
                                flick_khazana_encode_end_chunk(1 * _return->_length);
                                flick_khazana_encode_end_glob(1 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = (ReferenceData *)0;
                                break;
                                {
                                _flick_abort71:
                                  goto _flick_abort64;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort74);
                                break;
                                {
                                _flick_abort74:
                                  goto _flick_abort64;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort75);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort75:
                                  goto _flick_abort64;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort64:
                          goto _flick_abort63;
                        }
                      }
                      break;
                      {
                      _flick_abort63:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t29_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t29_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t29_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        test _obj;
                        unsigned int _t30_principal_len;
                        ReferenceData *_local_id;
                        ReferenceData _t31_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t32_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort77);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t30_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t30_principal_len, _flick_abort77);
                        flick_khazana_decode_new_glob(_t30_principal_len);
                        flick_khazana_decode_new_chunk(_t30_principal_len);
                        flick_khazana_decode_end_chunk(_t30_principal_len);
                        flick_khazana_decode_end_glob(_t30_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = (ReferenceData *)(&_t31_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort77);
                        flick_cdr_decode_unsigned32(0, _local_id->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _local_id->_length);
                        flick_khazana_check_span(1 * _local_id->_length, _flick_abort77);
                        flick_khazana_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_decode_msgptr(0, _local_id->_buffer, CORBA_octet *);
                        _local_id->_maximum = _local_id->_length;
                        _local_id->_release = 0;
                        flick_khazana_decode_end_chunk(1 * _local_id->_length);
                        flick_khazana_decode_end_glob(1 * _local_id->_length);
                        _ev = (CORBA_Environment *)(&_t32_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        test__set_id(_obj, _local_id, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort77);
                          flick_khazana_encode_new_glob(4, _flick_abort77);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort85);
                                break;
                                {
                                _flick_abort85:
                                  goto _flick_abort77;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort86);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort86:
                                  goto _flick_abort77;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort77:
                          goto _flick_abort76;
                        }
                      }
                      break;
                      {
                      _flick_abort76:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t33_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t33_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t34_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t34_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t35_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t35_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t35_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              test _obj;
                              unsigned int _t36_principal_len;
                              OctetSequence *_return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t37_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort88);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t36_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t36_principal_len, _flick_abort88);
                              flick_khazana_decode_new_glob(_t36_principal_len);
                              flick_khazana_decode_new_chunk(_t36_principal_len);
                              flick_khazana_decode_end_chunk(_t36_principal_len);
                              flick_khazana_decode_end_glob(_t36_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t37_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test__get_info(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort88);
                                flick_khazana_encode_new_glob(8, _flick_abort88);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      flick_khazana_encode_new_glob(1 * _return->_length, _flick_abort95);
                                      flick_khazana_encode_new_chunk(1 * _return->_length);
                                      flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = (CORBA_octet *)0;
                                      flick_khazana_encode_end_chunk(1 * _return->_length);
                                      flick_khazana_encode_end_glob(1 * _return->_length);
                                      CORBA_flick_free(_return);
                                      _return = (OctetSequence *)0;
                                      break;
                                      {
                                      _flick_abort95:
                                        goto _flick_abort88;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort98);
                                      break;
                                      {
                                      _flick_abort98:
                                        goto _flick_abort88;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort99);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort99:
                                        goto _flick_abort88;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort88:
                                goto _flick_abort87;
                              }
                            }
                            break;
                            {
                            _flick_abort87:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t38_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t38_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t39_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t39_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t39_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              test _obj;
                              unsigned int _t40_principal_len;
                              OctetSequence *_local_info;
                              OctetSequence _t41_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t42_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort101);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t40_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t40_principal_len, _flick_abort101);
                              flick_khazana_decode_new_glob(_t40_principal_len);
                              flick_khazana_decode_new_chunk(_t40_principal_len);
                              flick_khazana_decode_end_chunk(_t40_principal_len);
                              flick_khazana_decode_end_glob(_t40_principal_len);
                              /* Begin decode phase on parameters */
                              _local_info = (OctetSequence *)(&_t41_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort101);
                              flick_cdr_decode_unsigned32(0, _local_info->_length, CORBA_unsigned_long );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_decode_new_glob(1 * _local_info->_length);
                              flick_khazana_check_span(1 * _local_info->_length, _flick_abort101);
                              flick_khazana_decode_new_chunk(1 * _local_info->_length);
                              flick_cdr_decode_msgptr(0, _local_info->_buffer, CORBA_octet *);
                              _local_info->_maximum = _local_info->_length;
                              _local_info->_release = 0;
                              flick_khazana_decode_end_chunk(1 * _local_info->_length);
                              flick_khazana_decode_end_glob(1 * _local_info->_length);
                              _ev = (CORBA_Environment *)(&_t42_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              test__set_info(_obj, _local_info, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort101);
                                flick_khazana_encode_new_glob(4, _flick_abort101);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort109);
                                      break;
                                      {
                                      _flick_abort109:
                                        goto _flick_abort101;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort110);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort110:
                                        goto _flick_abort101;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort101:
                                goto _flick_abort100;
                              }
                            }
                            break;
                            {
                            _flick_abort100:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t43_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t43_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t44_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t44_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t44_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t45_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t46_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t47_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort112);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t45_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t45_principal_len, _flick_abort112);
                        flick_khazana_decode_new_glob(_t45_principal_len);
                        flick_khazana_decode_new_chunk(_t45_principal_len);
                        flick_khazana_decode_end_chunk(_t45_principal_len);
                        flick_khazana_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort112);
                        flick_cdr_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t46_temp_string_len);
                        flick_khazana_check_span(1 * _t46_temp_string_len, _flick_abort112);
                        flick_khazana_decode_new_chunk(1 * _t46_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t46_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t46_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t47_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort112);
                          flick_khazana_encode_new_glob(5, _flick_abort112);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort120);
                                break;
                                {
                                _flick_abort120:
                                  goto _flick_abort112;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort121);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort121:
                                  goto _flick_abort112;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort112:
                          goto _flick_abort111;
                        }
                      }
                      break;
                      {
                      _flick_abort111:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

