#include "sequence-server.h"

/* This is the runtime type information */
char *flick_interface_parents_TestSeq[] = {
	"IDL:TestSeq:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t TestSeq_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t42_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t42_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t42_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t43_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t43_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t43_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t44_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t44_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t44_switch_tag)
                  {
                  case 0:
                    {
                      {
                        TestSeq _obj;
                        unsigned int _t45_principal_len;
                        vec10 *_return;
                        vec10 *_local_iv;
                        vec10 _t46_storage;
                        CORBA_long _t47_storage[10];
                        CORBA_unsigned_long _t48_array_iter;
                        vec10 **_local_ov;
                        vec10 *_t49_storage;
                        vec10 *_local_iov;
                        vec10 _t50_storage;
                        CORBA_unsigned_long _t51_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t52_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort141);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t45_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t45_principal_len, _flick_abort141);
                        flick_khazana_decode_new_glob(_t45_principal_len);
                        flick_khazana_decode_new_chunk(_t45_principal_len);
                        flick_khazana_decode_end_chunk(_t45_principal_len);
                        flick_khazana_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_iv = (vec10 *)(&_t46_storage);
                        flick_khazana_decode_new_glob(91);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort141);
                        flick_cdr_swap_decode_unsigned32(0, _local_iv->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        if (_local_iv->_length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort141);
                        _local_iv->_buffer = (CORBA_long *)_t47_storage;
                        _local_iv->_maximum = 10;
                        _local_iv->_release = 0;
                        flick_khazana_check_span(_local_iv->_length * 4 + 4, _flick_abort141);
                        for (_t48_array_iter = 0; _t48_array_iter < _local_iv->_length; _t48_array_iter++)
                          {
                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_iv->_buffer[_t48_array_iter], CORBA_long );
                            flick_khazana_decode_end_chunk(4);
                            continue;
                          }
                        _local_ov = (vec10 **)(&_t49_storage);
                        _local_iov = (vec10 *)(&_t50_storage);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        if (_local_iov->_length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort141);
                        {
                          CORBA_long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort141);
                          _local_iov->_buffer = _t_alloc_ptr;
                          _local_iov->_maximum = 10;
                          _local_iov->_release = 1;
                        }
                        flick_khazana_check_span(_local_iov->_length * 4, _flick_abort150);
                        for (_t51_array_iter = 0; _t51_array_iter < _local_iov->_length; _t51_array_iter++)
                          {
                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_iov->_buffer[_t51_array_iter], CORBA_long );
                            flick_khazana_decode_end_chunk(4);
                            continue;
                          }
                        _ev = (CORBA_Environment *)(&_t52_storage);
                        flick_khazana_decode_end_glob(91);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = TestSeq_op(_obj, _local_iv, _local_ov, _local_iov, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort150);
                          flick_khazana_encode_new_glob(136, _flick_abort150);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4 + 4 * _return->_length);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                if (_return->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort166);
                                flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = (CORBA_long *)0;
                                flick_khazana_encode_end_chunk(4 + 4 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = (vec10 *)0;
                                flick_khazana_encode_new_chunk(4 + 4 * (*_local_ov)->_length);
                                flick_cdr_encode_unsigned32(0, (*_local_ov)->_length, CORBA_unsigned_long );
                                if ((*_local_ov)->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort166);
                                flick_cdr_encode_bcopy(4, (*_local_ov)->_buffer, 4 * (*_local_ov)->_length);
                                if ((*_local_ov)->_release)
                                  CORBA_flick_free((*_local_ov)->_buffer);
                                (*_local_ov)->_maximum = 0;
                                (*_local_ov)->_release = 0;
                                (*_local_ov)->_buffer = (CORBA_long *)0;
                                flick_khazana_encode_end_chunk(4 + 4 * (*_local_ov)->_length);
                                CORBA_flick_free(*_local_ov);
                                *_local_ov = (vec10 *)0;
                                flick_khazana_encode_new_chunk(4 + 4 * _local_iov->_length);
                                flick_cdr_encode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
                                if (_local_iov->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort166);
                                flick_cdr_encode_bcopy(4, _local_iov->_buffer, 4 * _local_iov->_length);
                                if (_local_iov->_release)
                                  CORBA_flick_free(_local_iov->_buffer);
                                _local_iov->_maximum = 0;
                                _local_iov->_release = 0;
                                _local_iov->_buffer = (CORBA_long *)0;
                                flick_khazana_encode_end_chunk(4 + 4 * _local_iov->_length);
                                flick_khazana_encode_end_glob(136);
                                break;
                                {
                                _flick_abort166:
                                  goto _flick_abort150;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(136);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort173);
                                break;
                                {
                                _flick_abort173:
                                  goto _flick_abort150;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 13:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* puke */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1886743397):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                      {
                                                        switch (*(char *)(_ev->_id + 12))
                                                          {
                                                          case 0:
                                                            {
                                                              flick_khazana_encode_new_chunk(24);
                                                              flick_cdr_encode_unsigned32(0, 13, flick_unsigned32_t );
                                                              flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                              flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                              flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                              flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(8, 'p', flick_char8_t );
                                                              flick_cdr_encode_char8(9, 'u', flick_char8_t );
                                                              flick_cdr_encode_char8(10, 'k', flick_char8_t );
                                                              flick_cdr_encode_char8(11, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(12, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(13, '1', flick_char8_t );
                                                              flick_cdr_encode_char8(14, '.', flick_char8_t );
                                                              flick_cdr_encode_char8(15, '0', flick_char8_t );
                                                              flick_cdr_encode_char8(16, 0, flick_char8_t );
                                                              flick_cdr_encode_signed32(20, ((puke *)(_ev->_value._user_except))->reason, CORBA_long );
                                                              CORBA_flick_free((puke *)(_ev->_value._user_except));
                                                              flick_khazana_encode_end_chunk(24);
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort174);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort174);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort174);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort174);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort174);
                                      break;
                                    }
                                  }
                                flick_khazana_encode_end_glob(136);
                                break;
                                {
                                _flick_abort174:
                                  goto _flick_abort150;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort150:
                          CORBA_flick_free(_local_iov->_buffer);
                        _flick_abort141:
                          goto _flick_abort140;
                        }
                      }
                      break;
                      {
                      _flick_abort140:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t53_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t53_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t53_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t54_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t54_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t54_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t55_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t56_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t57_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort179);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t55_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t55_principal_len, _flick_abort179);
                        flick_khazana_decode_new_glob(_t55_principal_len);
                        flick_khazana_decode_new_chunk(_t55_principal_len);
                        flick_khazana_decode_end_chunk(_t55_principal_len);
                        flick_khazana_decode_end_glob(_t55_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort179);
                        flick_cdr_swap_decode_unsigned32(0, _t56_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t56_temp_string_len);
                        flick_khazana_check_span(1 * _t56_temp_string_len, _flick_abort179);
                        flick_khazana_decode_new_chunk(1 * _t56_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t56_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t56_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t57_storage);
                        _par = flick_interface_parents_TestSeq;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort179);
                          flick_khazana_encode_new_glob(5, _flick_abort179);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort187);
                                break;
                                {
                                _flick_abort187:
                                  goto _flick_abort179;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort188);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort188:
                                  goto _flick_abort179;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort179:
                          goto _flick_abort178;
                        }
                      }
                      break;
                      {
                      _flick_abort178:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t13_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t13_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t14_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t14_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t14_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t15_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t15_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t15_switch_tag)
                  {
                  case 0:
                    {
                      {
                        TestSeq _obj;
                        unsigned int _t16_principal_len;
                        vec10 *_return;
                        vec10 *_local_iv;
                        vec10 _t17_storage;
                        vec10 **_local_ov;
                        vec10 *_t18_storage;
                        vec10 *_local_iov;
                        vec10 _t19_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t20_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort48);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t16_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t16_principal_len, _flick_abort48);
                        flick_khazana_decode_new_glob(_t16_principal_len);
                        flick_khazana_decode_new_chunk(_t16_principal_len);
                        flick_khazana_decode_end_chunk(_t16_principal_len);
                        flick_khazana_decode_end_glob(_t16_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_iv = (vec10 *)(&_t17_storage);
                        flick_khazana_decode_new_glob(91);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort48);
                        flick_cdr_decode_unsigned32(0, _local_iv->_length, CORBA_unsigned_long );
                        if (_local_iv->_length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort48);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_check_span(4 * _local_iv->_length + 4, _flick_abort48);
                        flick_khazana_decode_new_chunk(4 * _local_iv->_length);
                        flick_cdr_decode_msgptr(0, _local_iv->_buffer, CORBA_long *);
                        _local_iv->_maximum = _local_iv->_length;
                        _local_iv->_release = 0;
                        flick_khazana_decode_end_chunk(4 * _local_iv->_length);
                        _local_ov = (vec10 **)(&_t18_storage);
                        _local_iov = (vec10 *)(&_t19_storage);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
                        if (_local_iov->_length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort48);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_check_span(4 * _local_iov->_length, _flick_abort48);
                        flick_khazana_decode_new_chunk(4 * _local_iov->_length);
                        {
                          CORBA_long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort48);
                          _local_iov->_buffer = _t_alloc_ptr;
                          _local_iov->_maximum = 10;
                          _local_iov->_release = 1;
                        }
                        flick_cdr_decode_bcopy(0, _local_iov->_buffer, 4 * _local_iov->_length);
                        flick_khazana_decode_end_chunk(4 * _local_iov->_length);
                        _ev = (CORBA_Environment *)(&_t20_storage);
                        flick_khazana_decode_end_glob(91);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = TestSeq_op(_obj, _local_iv, _local_ov, _local_iov, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort53);
                          flick_khazana_encode_new_glob(136, _flick_abort53);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4 + 4 * _return->_length);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                if (_return->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort67);
                                flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = (CORBA_long *)0;
                                flick_khazana_encode_end_chunk(4 + 4 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = (vec10 *)0;
                                flick_khazana_encode_new_chunk(4 + 4 * (*_local_ov)->_length);
                                flick_cdr_encode_unsigned32(0, (*_local_ov)->_length, CORBA_unsigned_long );
                                if ((*_local_ov)->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort67);
                                flick_cdr_encode_bcopy(4, (*_local_ov)->_buffer, 4 * (*_local_ov)->_length);
                                if ((*_local_ov)->_release)
                                  CORBA_flick_free((*_local_ov)->_buffer);
                                (*_local_ov)->_maximum = 0;
                                (*_local_ov)->_release = 0;
                                (*_local_ov)->_buffer = (CORBA_long *)0;
                                flick_khazana_encode_end_chunk(4 + 4 * (*_local_ov)->_length);
                                CORBA_flick_free(*_local_ov);
                                *_local_ov = (vec10 *)0;
                                flick_khazana_encode_new_chunk(4 + 4 * _local_iov->_length);
                                flick_cdr_encode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
                                if (_local_iov->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort67);
                                flick_cdr_encode_bcopy(4, _local_iov->_buffer, 4 * _local_iov->_length);
                                if (_local_iov->_release)
                                  CORBA_flick_free(_local_iov->_buffer);
                                _local_iov->_maximum = 0;
                                _local_iov->_release = 0;
                                _local_iov->_buffer = (CORBA_long *)0;
                                flick_khazana_encode_end_chunk(4 + 4 * _local_iov->_length);
                                flick_khazana_encode_end_glob(136);
                                break;
                                {
                                _flick_abort67:
                                  goto _flick_abort53;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(136);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort74);
                                break;
                                {
                                _flick_abort74:
                                  goto _flick_abort53;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 13:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* puke */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1886743397):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                      {
                                                        switch (*(char *)(_ev->_id + 12))
                                                          {
                                                          case 0:
                                                            {
                                                              flick_khazana_encode_new_chunk(24);
                                                              flick_cdr_encode_unsigned32(0, 13, flick_unsigned32_t );
                                                              flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                              flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                              flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                              flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(8, 'p', flick_char8_t );
                                                              flick_cdr_encode_char8(9, 'u', flick_char8_t );
                                                              flick_cdr_encode_char8(10, 'k', flick_char8_t );
                                                              flick_cdr_encode_char8(11, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(12, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(13, '1', flick_char8_t );
                                                              flick_cdr_encode_char8(14, '.', flick_char8_t );
                                                              flick_cdr_encode_char8(15, '0', flick_char8_t );
                                                              flick_cdr_encode_char8(16, 0, flick_char8_t );
                                                              flick_cdr_encode_signed32(20, ((puke *)(_ev->_value._user_except))->reason, CORBA_long );
                                                              CORBA_flick_free((puke *)(_ev->_value._user_except));
                                                              flick_khazana_encode_end_chunk(24);
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort75);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort75);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort75);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort75);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort75);
                                      break;
                                    }
                                  }
                                flick_khazana_encode_end_glob(136);
                                break;
                                {
                                _flick_abort75:
                                  goto _flick_abort53;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort53:
                          CORBA_flick_free(_local_iov->_buffer);
                        _flick_abort48:
                          goto _flick_abort47;
                        }
                      }
                      break;
                      {
                      _flick_abort47:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t21_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t21_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t22_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t22_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t22_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t23_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t24_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t25_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort80);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t23_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t23_principal_len, _flick_abort80);
                        flick_khazana_decode_new_glob(_t23_principal_len);
                        flick_khazana_decode_new_chunk(_t23_principal_len);
                        flick_khazana_decode_end_chunk(_t23_principal_len);
                        flick_khazana_decode_end_glob(_t23_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort80);
                        flick_cdr_decode_unsigned32(0, _t24_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t24_temp_string_len);
                        flick_khazana_check_span(1 * _t24_temp_string_len, _flick_abort80);
                        flick_khazana_decode_new_chunk(1 * _t24_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t24_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t24_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t25_storage);
                        _par = flick_interface_parents_TestSeq;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort80);
                          flick_khazana_encode_new_glob(5, _flick_abort80);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort88);
                                break;
                                {
                                _flick_abort88:
                                  goto _flick_abort80;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort89:
                                  goto _flick_abort80;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort80:
                          goto _flick_abort79;
                        }
                      }
                      break;
                      {
                      _flick_abort79:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

