#include "interface_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_math[] = {
	"IDL:math:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t math_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t13_switch_tag;

    flick_trapeze_decode_new_glob(52);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t13_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t13_switch_tag)
      {
      case (signed int) 0:
        {
          {
            math _obj;
            CORBA_short _return;
            CORBA_short _local_a;
            CORBA_short _local_b;
            CORBA_Environment *_ev;
            CORBA_Environment _t14_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort90);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_a, CORBA_short );
            flick_cdr_decode_signed16(6, _local_b, CORBA_short );
            _ev = (CORBA_Environment *)(&_t14_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_addshort(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort90);
              flick_trapeze_encode_new_glob(12, _flick_abort90);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_trapeze_encode_end_chunk(2);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                    break;
                    {
                    _flick_abort97:
                      goto _flick_abort90;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort90:
              goto _flick_abort89;
            }
          }
          break;
          {
          _flick_abort89:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            math _obj;
            CORBA_short _return;
            CORBA_short _local_a;
            CORBA_short _local_b;
            CORBA_Environment *_ev;
            CORBA_Environment _t15_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort99);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_a, CORBA_short );
            flick_cdr_decode_signed16(6, _local_b, CORBA_short );
            _ev = (CORBA_Environment *)(&_t15_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_subshort(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort99);
              flick_trapeze_encode_new_glob(12, _flick_abort99);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_trapeze_encode_end_chunk(2);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort106);
                    break;
                    {
                    _flick_abort106:
                      goto _flick_abort99;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort99:
              goto _flick_abort98;
            }
          }
          break;
          {
          _flick_abort98:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            math _obj;
            CORBA_short _return;
            CORBA_short _local_a;
            CORBA_short _local_b;
            CORBA_Environment *_ev;
            CORBA_Environment _t16_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort108);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_a, CORBA_short );
            flick_cdr_decode_signed16(6, _local_b, CORBA_short );
            _ev = (CORBA_Environment *)(&_t16_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_multshort(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort108);
              flick_trapeze_encode_new_glob(12, _flick_abort108);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_trapeze_encode_end_chunk(2);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort115);
                    break;
                    {
                    _flick_abort115:
                      goto _flick_abort108;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort108:
              goto _flick_abort107;
            }
          }
          break;
          {
          _flick_abort107:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            math _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_long _local_b;
            CORBA_Environment *_ev;
            CORBA_Environment _t17_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort117);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort117);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            flick_cdr_decode_signed32(8, _local_b, CORBA_long );
            _ev = (CORBA_Environment *)(&_t17_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_addlong(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort117);
              flick_trapeze_encode_new_glob(12, _flick_abort117);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort124);
                    break;
                    {
                    _flick_abort124:
                      goto _flick_abort117;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort117:
              goto _flick_abort116;
            }
          }
          break;
          {
          _flick_abort116:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            math _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_long _local_b;
            CORBA_Environment *_ev;
            CORBA_Environment _t18_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort126);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort126);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            flick_cdr_decode_signed32(8, _local_b, CORBA_long );
            _ev = (CORBA_Environment *)(&_t18_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_sublong(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort126);
              flick_trapeze_encode_new_glob(12, _flick_abort126);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort133);
                    break;
                    {
                    _flick_abort133:
                      goto _flick_abort126;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort126:
              goto _flick_abort125;
            }
          }
          break;
          {
          _flick_abort125:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            math _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_long _local_b;
            CORBA_Environment *_ev;
            CORBA_Environment _t19_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort135);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort135);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            flick_cdr_decode_signed32(8, _local_b, CORBA_long );
            _ev = (CORBA_Environment *)(&_t19_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_multlong(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort135);
              flick_trapeze_encode_new_glob(12, _flick_abort135);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort142);
                    break;
                    {
                    _flick_abort142:
                      goto _flick_abort135;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort135:
              goto _flick_abort134;
            }
          }
          break;
          {
          _flick_abort134:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            math _obj;
            CORBA_long _return;
            long10 *_local_a;
            long10 _t20_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t21_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort144);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (long10 *)(&_t20_storage);
            flick_cdr_decode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
            if (_local_a->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort144);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(4 * _local_a->_length, _flick_abort144);
            flick_trapeze_decode_new_chunk(4 * _local_a->_length);
            flick_cdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
            _local_a->_maximum = _local_a->_length;
            _local_a->_release = 0;
            flick_trapeze_decode_end_chunk(4 * _local_a->_length);
            _ev = (CORBA_Environment *)(&_t21_storage);
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_addlonglist(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort144);
              flick_trapeze_encode_new_glob(12, _flick_abort144);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort153);
                    break;
                    {
                    _flick_abort153:
                      goto _flick_abort144;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort144:
              goto _flick_abort143;
            }
          }
          break;
          {
          _flick_abort143:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            math _obj;
            CORBA_long _return;
            long10 *_local_a;
            long10 _t22_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t23_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort155);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (long10 *)(&_t22_storage);
            flick_cdr_decode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
            if (_local_a->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort155);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(4 * _local_a->_length, _flick_abort155);
            flick_trapeze_decode_new_chunk(4 * _local_a->_length);
            flick_cdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
            _local_a->_maximum = _local_a->_length;
            _local_a->_release = 0;
            flick_trapeze_decode_end_chunk(4 * _local_a->_length);
            _ev = (CORBA_Environment *)(&_t23_storage);
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_multlonglist(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort155);
              flick_trapeze_encode_new_glob(12, _flick_abort155);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort164);
                    break;
                    {
                    _flick_abort164:
                      goto _flick_abort155;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort155:
              goto _flick_abort154;
            }
          }
          break;
          {
          _flick_abort154:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t24_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t25_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort166);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t24_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t24_temp_string_len);
            _ev = (CORBA_Environment *)(&_t25_storage);
            _par = flick_interface_parents_math;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort166);
              flick_trapeze_encode_new_glob(12, _flick_abort166);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort173);
                    break;
                    {
                    _flick_abort173:
                      goto _flick_abort166;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort166:
              goto _flick_abort165;
            }
          }
          break;
          {
          _flick_abort165:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(52);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

