#include "simple-server.h"

/* This is the runtime type information */
char *flick_interface_parents_simple[] = {
	"IDL:simple:1.0",
	0
};

char *flick_interface_parents_simple2[] = {
	"IDL:simple2:1.0",
	"IDL:simple:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t simple_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t6_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t6_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t6_switch_tag)
      {
      case (signed int) 0:
        {
          {
            simple _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            simple *_local_b;
            simple _t7_storage;
            CORBA_long *_local_c;
            CORBA_long _t8_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t9_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort23);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort23);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (simple *)(&_t7_storage);
            _local_c = (CORBA_long *)(&_t8_storage);
            flick_cdr_decode_signed32(8, *_local_c, CORBA_long );
            _ev = (CORBA_Environment *)(&_t9_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort23);
              flick_trapeze_encode_new_glob(12, _flick_abort23);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_c, CORBA_long );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort30);
                    break;
                    {
                    _flick_abort30:
                      goto _flick_abort23;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort23:
              goto _flick_abort22;
            }
          }
          break;
          {
          _flick_abort22:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t10_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t11_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort32);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t10_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t10_temp_string_len);
            _ev = (CORBA_Environment *)(&_t11_storage);
            _par = flick_interface_parents_simple;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort32);
              flick_trapeze_encode_new_glob(12, _flick_abort32);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
                    break;
                    {
                    _flick_abort39:
                      goto _flick_abort32;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort32:
              goto _flick_abort31;
            }
          }
          break;
          {
          _flick_abort31:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t simple2_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t32_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_check_span(12, _flick_abort79);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t32_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t32_switch_tag)
      {
      case (signed int) 2:
        {
          {
            simple2 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            simple _local_b;
            simple2 *_local_c;
            simple2 _t33_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t34_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort109);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_c = (simple2 *)(&_t33_storage);
            _ev = (CORBA_Environment *)(&_t34_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort109);
              flick_trapeze_encode_new_glob(12, _flick_abort109);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                    break;
                    {
                    _flick_abort116:
                      goto _flick_abort109;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort109:
              goto _flick_abort108;
            }
          }
          break;
          {
          _flick_abort108:
            goto _flick_abort79;
          }
        }
      case (signed int) 3:
        {
          {
            simple2 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            simple *_local_b;
            simple _t35_storage;
            CORBA_long *_local_c;
            CORBA_long _t36_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t37_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort118);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort118);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (simple *)(&_t35_storage);
            _local_c = (CORBA_long *)(&_t36_storage);
            flick_cdr_decode_signed32(8, *_local_c, CORBA_long );
            _ev = (CORBA_Environment *)(&_t37_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort118);
              flick_trapeze_encode_new_glob(12, _flick_abort118);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_c, CORBA_long );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                    break;
                    {
                    _flick_abort125:
                      goto _flick_abort118;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort118:
              goto _flick_abort117;
            }
          }
          break;
          {
          _flick_abort117:
            goto _flick_abort79;
          }
        }
      case (signed int) 4:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t38_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t39_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort127);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t38_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t38_temp_string_len);
            _ev = (CORBA_Environment *)(&_t39_storage);
            _par = flick_interface_parents_simple2;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort127);
              flick_trapeze_encode_new_glob(12, _flick_abort127);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                    break;
                    {
                    _flick_abort134:
                      goto _flick_abort127;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort127:
              goto _flick_abort126;
            }
          }
          break;
          {
          _flick_abort126:
            goto _flick_abort79;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort79);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort79:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort78);
  _flick_abort78:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

