#include "turtle-server-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Server[] = {
	"IDL:Server:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t Server_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t13_switch_tag;

    flick_trapeze_decode_new_glob(28);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t13_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t13_switch_tag)
      {
      case (signed int) 0:
        {
          {
            Server _obj;
            CORBA_long _return;
            CORBA_long _local_width;
            CORBA_long _local_height;
            CORBA_Environment *_ev;
            CORBA_Environment _t14_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort77);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort77);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_width, CORBA_long );
            flick_cdr_decode_signed32(8, _local_height, CORBA_long );
            _ev = (CORBA_Environment *)(&_t14_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort77);
              flick_trapeze_encode_new_glob(12, _flick_abort77);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
                    break;
                    {
                    _flick_abort84:
                      goto _flick_abort77;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort77:
              goto _flick_abort76;
            }
          }
          break;
          {
          _flick_abort76:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            Server _obj;
            CORBA_long _return;
            CORBA_long _local_startx;
            CORBA_long _local_starty;
            CORBA_long _local_endx;
            CORBA_long _local_endy;
            CORBA_Environment *_ev;
            CORBA_Environment _t15_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort86);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(20, _flick_abort86);
            flick_trapeze_decode_new_chunk(20);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_startx, CORBA_long );
            flick_cdr_decode_signed32(8, _local_starty, CORBA_long );
            flick_cdr_decode_signed32(12, _local_endx, CORBA_long );
            flick_cdr_decode_signed32(16, _local_endy, CORBA_long );
            _ev = (CORBA_Environment *)(&_t15_storage);
            flick_trapeze_decode_end_chunk(20);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort86);
              flick_trapeze_encode_new_glob(12, _flick_abort86);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort93);
                    break;
                    {
                    _flick_abort93:
                      goto _flick_abort86;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort86:
              goto _flick_abort85;
            }
          }
          break;
          {
          _flick_abort85:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            Server _obj;
            CORBA_long _return;
            CORBA_long _local_startx;
            CORBA_long _local_starty;
            CORBA_long _local_endx;
            CORBA_long _local_endy;
            CORBA_Environment *_ev;
            CORBA_Environment _t16_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort95);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(20, _flick_abort95);
            flick_trapeze_decode_new_chunk(20);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_startx, CORBA_long );
            flick_cdr_decode_signed32(8, _local_starty, CORBA_long );
            flick_cdr_decode_signed32(12, _local_endx, CORBA_long );
            flick_cdr_decode_signed32(16, _local_endy, CORBA_long );
            _ev = (CORBA_Environment *)(&_t16_storage);
            flick_trapeze_decode_end_chunk(20);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort95);
              flick_trapeze_encode_new_glob(12, _flick_abort95);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                    break;
                    {
                    _flick_abort102:
                      goto _flick_abort95;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort95:
              goto _flick_abort94;
            }
          }
          break;
          {
          _flick_abort94:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            Server _obj;
            CORBA_long _return;
            CORBA_long _local_left;
            CORBA_long _local_top;
            CORBA_long _local_right;
            CORBA_long _local_bottom;
            CORBA_long _local_color;
            CORBA_Environment *_ev;
            CORBA_Environment _t17_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort104);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(24, _flick_abort104);
            flick_trapeze_decode_new_chunk(24);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_left, CORBA_long );
            flick_cdr_decode_signed32(8, _local_top, CORBA_long );
            flick_cdr_decode_signed32(12, _local_right, CORBA_long );
            flick_cdr_decode_signed32(16, _local_bottom, CORBA_long );
            flick_cdr_decode_signed32(20, _local_color, CORBA_long );
            _ev = (CORBA_Environment *)(&_t17_storage);
            flick_trapeze_decode_end_chunk(24);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort104);
              flick_trapeze_encode_new_glob(12, _flick_abort104);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
                    break;
                    {
                    _flick_abort111:
                      goto _flick_abort104;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort104:
              goto _flick_abort103;
            }
          }
          break;
          {
          _flick_abort103:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            Server _obj;
            CORBA_long _return;
            CORBA_long _local_left;
            CORBA_long _local_top;
            CORBA_long _local_right;
            CORBA_long _local_bottom;
            CORBA_Environment *_ev;
            CORBA_Environment _t18_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort113);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(20, _flick_abort113);
            flick_trapeze_decode_new_chunk(20);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_left, CORBA_long );
            flick_cdr_decode_signed32(8, _local_top, CORBA_long );
            flick_cdr_decode_signed32(12, _local_right, CORBA_long );
            flick_cdr_decode_signed32(16, _local_bottom, CORBA_long );
            _ev = (CORBA_Environment *)(&_t18_storage);
            flick_trapeze_decode_end_chunk(20);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort113);
              flick_trapeze_encode_new_glob(12, _flick_abort113);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort120);
                    break;
                    {
                    _flick_abort120:
                      goto _flick_abort113;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort113:
              goto _flick_abort112;
            }
          }
          break;
          {
          _flick_abort112:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            Server _obj;
            CORBA_long _return;
            CORBA_long _local_x;
            CORBA_long _local_y;
            CORBA_long _local_angle;
            CORBA_Environment *_ev;
            CORBA_Environment _t19_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort122);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(16, _flick_abort122);
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_x, CORBA_long );
            flick_cdr_decode_signed32(8, _local_y, CORBA_long );
            flick_cdr_decode_signed32(12, _local_angle, CORBA_long );
            _ev = (CORBA_Environment *)(&_t19_storage);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort122);
              flick_trapeze_encode_new_glob(12, _flick_abort122);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort129);
                    break;
                    {
                    _flick_abort129:
                      goto _flick_abort122;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort122:
              goto _flick_abort121;
            }
          }
          break;
          {
          _flick_abort121:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            Server _obj;
            CORBA_long _return;
            CORBA_long *_local_x;
            CORBA_long _t20_storage;
            CORBA_long *_local_y;
            CORBA_long _t21_storage;
            CORBA_long *_local_angle;
            CORBA_long _t22_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t23_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort131);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_x = (CORBA_long *)(&_t20_storage);
            _local_y = (CORBA_long *)(&_t21_storage);
            _local_angle = (CORBA_long *)(&_t22_storage);
            _ev = (CORBA_Environment *)(&_t23_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort131);
              flick_trapeze_encode_new_glob(20, _flick_abort131);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(16);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_x, CORBA_long );
                    flick_cdr_encode_signed32(8, *_local_y, CORBA_long );
                    flick_cdr_encode_signed32(12, *_local_angle, CORBA_long );
                    flick_trapeze_encode_end_chunk(16);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort138);
                    break;
                    {
                    _flick_abort138:
                      goto _flick_abort131;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(20);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort131:
              goto _flick_abort130;
            }
          }
          break;
          {
          _flick_abort130:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t24_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t25_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort140);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort140);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t24_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t24_temp_string_len);
            _ev = (CORBA_Environment *)(&_t25_storage);
            _par = flick_interface_parents_Server;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort140);
              flick_trapeze_encode_new_glob(12, _flick_abort140);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort147);
                    break;
                    {
                    _flick_abort147:
                      goto _flick_abort140;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort140:
              goto _flick_abort139;
            }
          }
          break;
          {
          _flick_abort139:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(28);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

