#include "impldef-server.h"


static int _TAO_collocation_POA_ImplementationDef_Stub_Factory_Initializer_Scarecrow =
  POA_CORBA::_TAO_collocation_POA_ImplementationDef_Stub_Factory_Initializer(0);


POA_CORBA::ImplementationDef::ImplementationDef()
{}

POA_CORBA::ImplementationDef::ImplementationDef(const ImplementationDef &rhs)
  : TAO_ServantBase(rhs)
{}

POA_CORBA::ImplementationDef::~ImplementationDef()
{}

::CORBA::ImplementationDef *POA_CORBA::ImplementationDef::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new POA_CORBA::_tao_thru_poa_collocated_ImplementationDef (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return CORBA::ImplementationDef::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_CORBA::ImplementationDef::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/ImplementationDef:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_CORBA::ImplementationDef::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/ImplementationDef:1.0") == 0)
    return ACE_static_cast(::POA_CORBA::ImplementationDef_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_CORBA::ImplementationDef::_interface_repository_id() const
{
  return "IDL:CORBA/ImplementationDef:1.0";
}

::CORBA::ImplementationDef_ptr POA_CORBA::_TAO_collocation_POA_ImplementationDef_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new POA_CORBA::_tao_thru_poa_collocated_ImplementationDef(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int POA_CORBA::_TAO_collocation_POA_ImplementationDef_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  CORBA::_TAO_collocation_ImplementationDef_Stub_Factory_function_pointer =
    POA_CORBA::_TAO_collocation_POA_ImplementationDef_Stub_Factory;

  return 0;
}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::ImplementationDef_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::ImplementationDef_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::ImplementationDef_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::ImplementationDef_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::~ImplementationDef_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_CORBA::ImplementationDef_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_CORBA::ImplementationDef_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_CORBA::ImplementationDef_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::ImplementationDef_tie(const ImplementationDef_tie &c)
{}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::operator=(const ImplementationDef_tie &c)
{}

template <class T>
  char *POA_CORBA::ImplementationDef_tie<T>::interface_name(/* ::POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->interface_name (_ev);
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::interface_name(/* ::POA_CORBA::ImplementationDef *this, */ const char *interface_name, CORBA::Environment &_ev)
{
  this->ptr_->interface_name (interface_name, _ev);
}

template <class T>
  char *POA_CORBA::ImplementationDef_tie<T>::object_name(/* ::POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->object_name (_ev);
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::object_name(/* ::POA_CORBA::ImplementationDef *this, */ const char *object_name, CORBA::Environment &_ev)
{
  this->ptr_->object_name (object_name, _ev);
}

template <class T>
  ::CORBA::ReferenceData *POA_CORBA::ImplementationDef_tie<T>::id(/* ::POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->id (_ev);
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::id(/* ::POA_CORBA::ImplementationDef *this, */ const ::CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  this->ptr_->id (id, _ev);
}

POA_CORBA::_tao_thru_poa_collocated_ImplementationDef::_tao_thru_poa_collocated_ImplementationDef(TAO_Stub *stub)
  : CORBA::ImplementationDef(),
    CORBA_Object(stub, 0, 1)
{
}

char *POA_CORBA::_tao_thru_poa_collocated_ImplementationDef::interface_name(CORBA::Environment &_ev)
{
  char * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "interface_name",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::ImplementationDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ImplementationDef:1.0"
        )
    )->interface_name (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_ImplementationDef::interface_name(const char *interface_name, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "interface_name",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::ImplementationDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ImplementationDef:1.0"
        )
    )->interface_name (interface_name, _ev);
}

char *POA_CORBA::_tao_thru_poa_collocated_ImplementationDef::object_name(CORBA::Environment &_ev)
{
  char * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "object_name",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::ImplementationDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ImplementationDef:1.0"
        )
    )->object_name (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_ImplementationDef::object_name(const char *object_name, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "object_name",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::ImplementationDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ImplementationDef:1.0"
        )
    )->object_name (object_name, _ev);
}

::CORBA::ReferenceData *POA_CORBA::_tao_thru_poa_collocated_ImplementationDef::id(CORBA::Environment &_ev)
{
  ::CORBA::ReferenceData * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "id",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::ImplementationDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ImplementationDef:1.0"
        )
    )->id (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_ImplementationDef::id(const ::CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "id",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::ImplementationDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ImplementationDef:1.0"
        )
    )->id (id, _ev);
}

CORBA::Boolean POA_CORBA::_tao_thru_poa_collocated_ImplementationDef::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::ImplementationDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ImplementationDef:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean POA_CORBA::_tao_thru_poa_collocated_ImplementationDef::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::ImplementationDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ImplementationDef:1.0"
        )
    )->_non_existent (_ev);
}

static int _TAO_collocation_POA_CreationImplDef_Stub_Factory_Initializer_Scarecrow =
  POA_CORBA::_TAO_collocation_POA_CreationImplDef_Stub_Factory_Initializer(0);


POA_CORBA::CreationImplDef::CreationImplDef()
{}

POA_CORBA::CreationImplDef::CreationImplDef(const CreationImplDef &rhs)
  : TAO_ServantBase(rhs)
{}

POA_CORBA::CreationImplDef::~CreationImplDef()
{}

::CORBA::CreationImplDef *POA_CORBA::CreationImplDef::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new POA_CORBA::_tao_thru_poa_collocated_CreationImplDef (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return CORBA::CreationImplDef::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_CORBA::CreationImplDef::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/ImplementationDef:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/CreationImplDef:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_CORBA::CreationImplDef::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/CreationImplDef:1.0") == 0)
    return ACE_static_cast(::POA_CORBA::CreationImplDef_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/ImplementationDef:1.0") == 0)
    return ACE_reinterpret_cast(::POA_CORBA::ImplementationDef_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_CORBA::CreationImplDef::_interface_repository_id() const
{
  return "IDL:CORBA/CreationImplDef:1.0";
}

::CORBA::CreationImplDef_ptr POA_CORBA::_TAO_collocation_POA_CreationImplDef_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new POA_CORBA::_tao_thru_poa_collocated_CreationImplDef(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int POA_CORBA::_TAO_collocation_POA_CreationImplDef_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  CORBA::_TAO_collocation_CreationImplDef_Stub_Factory_function_pointer =
    POA_CORBA::_TAO_collocation_POA_CreationImplDef_Stub_Factory;

  return 0;
}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::CreationImplDef_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::CreationImplDef_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::CreationImplDef_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::CreationImplDef_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::~CreationImplDef_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_CORBA::CreationImplDef_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_CORBA::CreationImplDef_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_CORBA::CreationImplDef_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::CreationImplDef_tie(const CreationImplDef_tie &c)
{}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::operator=(const CreationImplDef_tie &c)
{}

template <class T>
  char *POA_CORBA::CreationImplDef_tie<T>::path_name(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->path_name (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::path_name(/* ::POA_CORBA::CreationImplDef *this, */ const char *path_name, CORBA::Environment &_ev)
{
  this->ptr_->path_name (path_name, _ev);
}

template <class T>
  enum ::CORBA::Policy POA_CORBA::CreationImplDef_tie<T>::activation_policy(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->activation_policy (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::activation_policy(/* ::POA_CORBA::CreationImplDef *this, */ enum ::CORBA::Policy activation_policy, CORBA::Environment &_ev)
{
  this->ptr_->activation_policy (activation_policy, _ev);
}

template <class T>
  ::CORBA::StringSequence *POA_CORBA::CreationImplDef_tie<T>::args(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->args (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::args(/* ::POA_CORBA::CreationImplDef *this, */ const ::CORBA::StringSequence &args, CORBA::Environment &_ev)
{
  this->ptr_->args (args, _ev);
}

template <class T>
  ::CORBA::StringSequence *POA_CORBA::CreationImplDef_tie<T>::env(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->env (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::env(/* ::POA_CORBA::CreationImplDef *this, */ const ::CORBA::StringSequence &env, CORBA::Environment &_ev)
{
  this->ptr_->env (env, _ev);
}

template <class T>
  char *POA_CORBA::CreationImplDef_tie<T>::interface_name(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->interface_name (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::interface_name(/* ::POA_CORBA::CreationImplDef *this, */ const char *interface_name, CORBA::Environment &_ev)
{
  this->ptr_->interface_name (interface_name, _ev);
}

template <class T>
  char *POA_CORBA::CreationImplDef_tie<T>::object_name(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->object_name (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::object_name(/* ::POA_CORBA::CreationImplDef *this, */ const char *object_name, CORBA::Environment &_ev)
{
  this->ptr_->object_name (object_name, _ev);
}

template <class T>
  ::CORBA::ReferenceData *POA_CORBA::CreationImplDef_tie<T>::id(/* ::POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->id (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::id(/* ::POA_CORBA::CreationImplDef *this, */ const ::CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  this->ptr_->id (id, _ev);
}

POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::_tao_thru_poa_collocated_CreationImplDef(TAO_Stub *stub)
  : CORBA::CreationImplDef(),
    CORBA_Object(stub, 0, 1)
{
}

char *POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::path_name(CORBA::Environment &_ev)
{
  char * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "path_name",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->path_name (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::path_name(const char *path_name, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "path_name",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->path_name (path_name, _ev);
}

enum ::CORBA::Policy POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::activation_policy(CORBA::Environment &_ev)
{
  enum ::CORBA::Policy  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "activation_policy",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = SHARED_SERVER;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->activation_policy (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::activation_policy(enum ::CORBA::Policy activation_policy, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "activation_policy",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->activation_policy (activation_policy, _ev);
}

::CORBA::StringSequence *POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::args(CORBA::Environment &_ev)
{
  ::CORBA::StringSequence * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "args",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->args (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::args(const ::CORBA::StringSequence &args, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "args",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->args (args, _ev);
}

::CORBA::StringSequence *POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::env(CORBA::Environment &_ev)
{
  ::CORBA::StringSequence * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "env",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->env (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::env(const ::CORBA::StringSequence &env, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "env",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->env (env, _ev);
}

char *POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::interface_name(CORBA::Environment &_ev)
{
  char * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "interface_name",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->interface_name (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::interface_name(const char *interface_name, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "interface_name",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->interface_name (interface_name, _ev);
}

char *POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::object_name(CORBA::Environment &_ev)
{
  char * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "object_name",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->object_name (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::object_name(const char *object_name, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "object_name",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->object_name (object_name, _ev);
}

::CORBA::ReferenceData *POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::id(CORBA::Environment &_ev)
{
  ::CORBA::ReferenceData * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "id",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->id (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::id(const ::CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "id",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->id (id, _ev);
}

CORBA::Boolean POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean POA_CORBA::_tao_thru_poa_collocated_CreationImplDef::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::CreationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/CreationImplDef:1.0"
        )
    )->_non_existent (_ev);
}

static int _TAO_collocation_POA_Activator_Stub_Factory_Initializer_Scarecrow =
  POA_CORBA::_TAO_collocation_POA_Activator_Stub_Factory_Initializer(0);


POA_CORBA::Activator::Activator()
{}

POA_CORBA::Activator::Activator(const Activator &rhs)
  : TAO_ServantBase(rhs)
{}

POA_CORBA::Activator::~Activator()
{}

::CORBA::Activator *POA_CORBA::Activator::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new POA_CORBA::_tao_thru_poa_collocated_Activator (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return CORBA::Activator::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_CORBA::Activator::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/Activator:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_CORBA::Activator::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/Activator:1.0") == 0)
    return ACE_static_cast(::POA_CORBA::Activator_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_CORBA::Activator::_interface_repository_id() const
{
  return "IDL:CORBA/Activator:1.0";
}

::CORBA::Activator_ptr POA_CORBA::_TAO_collocation_POA_Activator_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new POA_CORBA::_tao_thru_poa_collocated_Activator(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int POA_CORBA::_TAO_collocation_POA_Activator_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  CORBA::_TAO_collocation_Activator_Stub_Factory_function_pointer =
    POA_CORBA::_TAO_collocation_POA_Activator_Stub_Factory;

  return 0;
}

template <class T>
  POA_CORBA::Activator_tie<T>::Activator_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_CORBA::Activator_tie<T>::Activator_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_CORBA::Activator_tie<T>::Activator_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_CORBA::Activator_tie<T>::Activator_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_CORBA::Activator_tie<T>::~Activator_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_CORBA::Activator_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_CORBA::Activator_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_CORBA::Activator_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_CORBA::Activator_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_CORBA::Activator_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_CORBA::Activator_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_CORBA::Activator_tie<T>::Activator_tie(const Activator_tie &c)
{}

template <class T>
  void POA_CORBA::Activator_tie<T>::operator=(const Activator_tie &c)
{}

template <class T>
  ::CORBA::Object_ptr POA_CORBA::Activator_tie<T>::activate(/* ::POA_CORBA::Activator *this, */ ::CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev)
{
  return this->ptr_->activate (impl, _ev);
}

template <class T>
  void POA_CORBA::Activator_tie<T>::deactivate(/* ::POA_CORBA::Activator *this, */ ::CORBA::Object_ptr obj, ::CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev)
{
  this->ptr_->deactivate (obj, impl, _ev);
}

POA_CORBA::_tao_thru_poa_collocated_Activator::_tao_thru_poa_collocated_Activator(TAO_Stub *stub)
  : CORBA::Activator(),
    CORBA_Object(stub, 0, 1)
{
}

::CORBA::Object_ptr POA_CORBA::_tao_thru_poa_collocated_Activator::activate(::CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev)
{
  ::CORBA::Object_ptr  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "activate",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::Activator_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/Activator:1.0"
        )
    )->activate (impl, _ev);
}

void POA_CORBA::_tao_thru_poa_collocated_Activator::deactivate(::CORBA::Object_ptr obj, ::CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "deactivate",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::Activator_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/Activator:1.0"
        )
    )->deactivate (obj, impl, _ev);
}

CORBA::Boolean POA_CORBA::_tao_thru_poa_collocated_Activator::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::Activator_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/Activator:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean POA_CORBA::_tao_thru_poa_collocated_Activator::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::Activator_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/Activator:1.0"
        )
    )->_non_existent (_ev);
}

static int _TAO_collocation_POA_ActivationImplDef_Stub_Factory_Initializer_Scarecrow =
  POA_CORBA::_TAO_collocation_POA_ActivationImplDef_Stub_Factory_Initializer(0);


POA_CORBA::ActivationImplDef::ActivationImplDef()
{}

POA_CORBA::ActivationImplDef::ActivationImplDef(const ActivationImplDef &rhs)
  : TAO_ServantBase(rhs)
{}

POA_CORBA::ActivationImplDef::~ActivationImplDef()
{}

::CORBA::ActivationImplDef *POA_CORBA::ActivationImplDef::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return CORBA::ActivationImplDef::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_CORBA::ActivationImplDef::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/ImplementationDef:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/ActivationImplDef:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_CORBA::ActivationImplDef::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/ActivationImplDef:1.0") == 0)
    return ACE_static_cast(::POA_CORBA::ActivationImplDef_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/ImplementationDef:1.0") == 0)
    return ACE_reinterpret_cast(::POA_CORBA::ImplementationDef_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_CORBA::ActivationImplDef::_interface_repository_id() const
{
  return "IDL:CORBA/ActivationImplDef:1.0";
}

::CORBA::ActivationImplDef_ptr POA_CORBA::_TAO_collocation_POA_ActivationImplDef_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int POA_CORBA::_TAO_collocation_POA_ActivationImplDef_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  CORBA::_TAO_collocation_ActivationImplDef_Stub_Factory_function_pointer =
    POA_CORBA::_TAO_collocation_POA_ActivationImplDef_Stub_Factory;

  return 0;
}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::ActivationImplDef_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::ActivationImplDef_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::ActivationImplDef_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::ActivationImplDef_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::~ActivationImplDef_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_CORBA::ActivationImplDef_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_CORBA::ActivationImplDef_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_CORBA::ActivationImplDef_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::ActivationImplDef_tie(const ActivationImplDef_tie &c)
{}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::operator=(const ActivationImplDef_tie &c)
{}

template <class T>
  ::CORBA::Activator_ptr POA_CORBA::ActivationImplDef_tie<T>::activator_obj(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->activator_obj (_ev);
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::activator_obj(/* ::POA_CORBA::ActivationImplDef *this, */ ::CORBA::Activator_ptr activator_obj, CORBA::Environment &_ev)
{
  this->ptr_->activator_obj (activator_obj, _ev);
}

template <class T>
  char *POA_CORBA::ActivationImplDef_tie<T>::interface_name(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->interface_name (_ev);
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::interface_name(/* ::POA_CORBA::ActivationImplDef *this, */ const char *interface_name, CORBA::Environment &_ev)
{
  this->ptr_->interface_name (interface_name, _ev);
}

template <class T>
  char *POA_CORBA::ActivationImplDef_tie<T>::object_name(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->object_name (_ev);
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::object_name(/* ::POA_CORBA::ActivationImplDef *this, */ const char *object_name, CORBA::Environment &_ev)
{
  this->ptr_->object_name (object_name, _ev);
}

template <class T>
  ::CORBA::ReferenceData *POA_CORBA::ActivationImplDef_tie<T>::id(/* ::POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->id (_ev);
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::id(/* ::POA_CORBA::ActivationImplDef *this, */ const ::CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  this->ptr_->id (id, _ev);
}

POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef::_tao_thru_poa_collocated_ActivationImplDef(TAO_Stub *stub)
  : CORBA::ActivationImplDef(),
    CORBA_Object(stub, 0, 1)
{
}

::CORBA::Activator_ptr POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef::activator_obj(CORBA::Environment &_ev)
{
  ::CORBA::Activator_ptr  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "activator_obj",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::ActivationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ActivationImplDef:1.0"
        )
    )->activator_obj (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef::activator_obj(::CORBA::Activator_ptr activator_obj, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "activator_obj",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::ActivationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ActivationImplDef:1.0"
        )
    )->activator_obj (activator_obj, _ev);
}

char *POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef::interface_name(CORBA::Environment &_ev)
{
  char * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "interface_name",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::ActivationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ActivationImplDef:1.0"
        )
    )->interface_name (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef::interface_name(const char *interface_name, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "interface_name",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::ActivationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ActivationImplDef:1.0"
        )
    )->interface_name (interface_name, _ev);
}

char *POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef::object_name(CORBA::Environment &_ev)
{
  char * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "object_name",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::ActivationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ActivationImplDef:1.0"
        )
    )->object_name (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef::object_name(const char *object_name, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "object_name",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::ActivationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ActivationImplDef:1.0"
        )
    )->object_name (object_name, _ev);
}

::CORBA::ReferenceData *POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef::id(CORBA::Environment &_ev)
{
  ::CORBA::ReferenceData * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "id",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::ActivationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ActivationImplDef:1.0"
        )
    )->id (_ev);
}

void POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef::id(const ::CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "id",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      ::POA_CORBA::ActivationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ActivationImplDef:1.0"
        )
    )->id (id, _ev);
}

CORBA::Boolean POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::ActivationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ActivationImplDef:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean POA_CORBA::_tao_thru_poa_collocated_ActivationImplDef::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      ::POA_CORBA::ActivationImplDef_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:CORBA/ActivationImplDef:1.0"
        )
    )->_non_existent (_ev);
}
void POA_CORBA::ImplementationDef::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t135_switch_tag;

      flick_iiopxx_decode_new_glob(28);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t135_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t135_switch_tag)
        {
        case (unsigned int) 20:
          {
            unsigned int _t136_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t136_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t136_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t137_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t137_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t137_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t138_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t138_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t138_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t139_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t139_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t139_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t140_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t140_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t140_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::ImplementationDef *_local_this;
                                            unsigned int _t141_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort255);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_swap_decode_unsigned32(0, _t141_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t141_principal_len, _flick_abort255);
                                            flick_iiopxx_decode_new_glob(_t141_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t141_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t141_principal_len);
                                            flick_iiopxx_decode_end_glob(_t141_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->interface_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t142_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t142_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort255);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort255);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t142_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t142_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t144_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t144_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t144_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t144_temp_string_len, _flick_abort262);
                                                    flick_iiopxx_encode_new_chunk(1 * _t144_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t144_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t144_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t144_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort262:
                                                      goto _flick_abort255;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort265);
                                                    break;
                                                    {
                                                    _flick_abort265:
                                                      goto _flick_abort255;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort266);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort266:
                                                      goto _flick_abort255;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort255:
                                              goto _flick_abort254;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort254:
                                            goto _flick_abort2;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t145_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t145_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t145_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t146_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t146_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t146_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t147_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t147_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t147_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t148_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t148_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t148_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::ImplementationDef *_local_this;
                                            unsigned int _t149_principal_len;
                                            char *_local_interface_name;
                                            flick_unsigned32_t _t150_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort268);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_swap_decode_unsigned32(0, _t149_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t149_principal_len, _flick_abort268);
                                            flick_iiopxx_decode_new_glob(_t149_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t149_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t149_principal_len);
                                            flick_iiopxx_decode_end_glob(_t149_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort268);
                                            flick_cdr_swap_decode_unsigned32(0, _t150_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t150_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t150_temp_string_len, _flick_abort268);
                                            flick_iiopxx_decode_new_chunk(1 * _t150_temp_string_len);
                                            flick_cdr_swap_decode_msgptr(0, _local_interface_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t150_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t150_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->interface_name(_local_interface_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t151_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t151_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort268);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort268);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t151_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t151_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort276);
                                                    break;
                                                    {
                                                    _flick_abort276:
                                                      goto _flick_abort268;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort277);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort277:
                                                      goto _flick_abort268;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort268:
                                              goto _flick_abort267;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort267:
                                            goto _flick_abort2;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 17:
          {
            unsigned int _t152_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t152_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t152_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t153_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t153_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t153_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t154_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t154_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t154_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t155_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t155_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t155_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t156_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _t156_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t156_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::ImplementationDef *_local_this;
                                            unsigned int _t157_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort279);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_swap_decode_unsigned32(3, _t157_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t157_principal_len, _flick_abort279);
                                            flick_iiopxx_decode_new_glob(_t157_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t157_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t157_principal_len);
                                            flick_iiopxx_decode_end_glob(_t157_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->object_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t158_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t158_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort279);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort279);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t158_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t158_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t160_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t160_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t160_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t160_temp_string_len, _flick_abort286);
                                                    flick_iiopxx_encode_new_chunk(1 * _t160_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t160_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t160_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t160_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort286:
                                                      goto _flick_abort279;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort289);
                                                    break;
                                                    {
                                                    _flick_abort289:
                                                      goto _flick_abort279;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort290);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort290:
                                                      goto _flick_abort279;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort279:
                                              goto _flick_abort278;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort278:
                                            goto _flick_abort2;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t161_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t161_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t161_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t162_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t162_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t162_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t163_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t163_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t163_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t164_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _t164_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t164_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::ImplementationDef *_local_this;
                                            unsigned int _t165_principal_len;
                                            char *_local_object_name;
                                            flick_unsigned32_t _t166_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort292);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_swap_decode_unsigned32(3, _t165_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t165_principal_len, _flick_abort292);
                                            flick_iiopxx_decode_new_glob(_t165_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t165_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t165_principal_len);
                                            flick_iiopxx_decode_end_glob(_t165_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort292);
                                            flick_cdr_swap_decode_unsigned32(0, _t166_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t166_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t166_temp_string_len, _flick_abort292);
                                            flick_iiopxx_decode_new_chunk(1 * _t166_temp_string_len);
                                            flick_cdr_swap_decode_msgptr(0, _local_object_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t166_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t166_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->object_name(_local_object_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t167_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t167_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort292);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort292);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t167_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t167_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort300);
                                                    break;
                                                    {
                                                    _flick_abort300:
                                                      goto _flick_abort292;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort301);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort301:
                                                      goto _flick_abort292;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort292:
                                              goto _flick_abort291;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort291:
                                            goto _flick_abort2;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t168_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t168_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t168_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t169_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t169_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t169_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::ImplementationDef *_local_this;
                          unsigned int _t170_principal_len;
                          ::CORBA::ReferenceData *_return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort303);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t170_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t170_principal_len, _flick_abort303);
                          flick_iiopxx_decode_new_glob(_t170_principal_len);
                          flick_iiopxx_decode_new_chunk(_t170_principal_len);
                          flick_iiopxx_decode_end_chunk(_t170_principal_len);
                          flick_iiopxx_decode_end_glob(_t170_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->id(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t171_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t171_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort303);
                            flick_iiopxx_encode_new_glob(8, _flick_abort303);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t171_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t171_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort310);
                                  flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                  flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                  flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                  flick_iiopxx_encode_end_glob(1 * _return->_length);
                                  delete _return;
                                  _return = (::CORBA::ReferenceData *)0;
                                  break;
                                  {
                                  _flick_abort310:
                                    goto _flick_abort303;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort313);
                                  break;
                                  {
                                  _flick_abort313:
                                    goto _flick_abort303;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort314);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort314:
                                    goto _flick_abort303;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort303:
                            goto _flick_abort302;
                          }
                        }
                        break;
                        {
                        _flick_abort302:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t172_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t172_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t172_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::ImplementationDef *_local_this;
                          unsigned int _t173_principal_len;
                          ::CORBA::ReferenceData _local_id;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort316);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t173_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t173_principal_len, _flick_abort316);
                          flick_iiopxx_decode_new_glob(_t173_principal_len);
                          flick_iiopxx_decode_new_chunk(_t173_principal_len);
                          flick_iiopxx_decode_end_chunk(_t173_principal_len);
                          flick_iiopxx_decode_end_glob(_t173_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort316);
                          flick_cdr_swap_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _local_id._length);
                          flick_iiopxx_check_span(1 * _local_id._length, _flick_abort316);
                          flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                          flick_cdr_swap_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                          _local_id._maximum = _local_id._length;
                          _local_id._release = 0;
                          flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                          flick_iiopxx_decode_end_glob(1 * _local_id._length);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->id(_local_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t174_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t174_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort316);
                            flick_iiopxx_encode_new_glob(4, _flick_abort316);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t174_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t174_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort324);
                                  break;
                                  {
                                  _flick_abort324:
                                    goto _flick_abort316;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort325);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort325:
                                    goto _flick_abort316;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort316:
                            goto _flick_abort315;
                          }
                        }
                        break;
                        {
                        _flick_abort315:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t175_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t175_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t175_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t176_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t176_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t176_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          ::POA_CORBA::ImplementationDef *_local_this;
                          unsigned int _t177_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t178_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort327);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t177_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t177_principal_len, _flick_abort327);
                          flick_iiopxx_decode_new_glob(_t177_principal_len);
                          flick_iiopxx_decode_new_chunk(_t177_principal_len);
                          flick_iiopxx_decode_end_chunk(_t177_principal_len);
                          flick_iiopxx_decode_end_glob(_t177_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort327);
                          flick_cdr_swap_decode_unsigned32(0, _t178_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t178_temp_string_len);
                          flick_iiopxx_check_span(1 * _t178_temp_string_len, _flick_abort327);
                          flick_iiopxx_decode_new_chunk(1 * _t178_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t178_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t178_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t179_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t179_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort327);
                            flick_iiopxx_encode_new_glob(5, _flick_abort327);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t179_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t179_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort335);
                                  break;
                                  {
                                  _flick_abort335:
                                    goto _flick_abort327;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort336);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort336:
                                    goto _flick_abort327;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort327:
                            goto _flick_abort326;
                          }
                        }
                        break;
                        {
                        _flick_abort326:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(28);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t45_switch_tag;

      flick_iiopxx_decode_new_glob(28);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t45_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t45_switch_tag)
        {
        case (unsigned int) 20:
          {
            unsigned int _t46_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t46_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t46_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t47_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t47_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t47_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t48_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t48_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t48_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t49_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t49_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t49_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t50_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t50_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t50_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::ImplementationDef *_local_this;
                                            unsigned int _t51_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort88);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t51_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t51_principal_len, _flick_abort88);
                                            flick_iiopxx_decode_new_glob(_t51_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t51_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t51_principal_len);
                                            flick_iiopxx_decode_end_glob(_t51_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->interface_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t52_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t52_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort88);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort88);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t52_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t52_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t54_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t54_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t54_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t54_temp_string_len, _flick_abort95);
                                                    flick_iiopxx_encode_new_chunk(1 * _t54_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t54_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t54_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t54_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort95:
                                                      goto _flick_abort88;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort98);
                                                    break;
                                                    {
                                                    _flick_abort98:
                                                      goto _flick_abort88;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort99);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort99:
                                                      goto _flick_abort88;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort88:
                                              goto _flick_abort87;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort87:
                                            goto _flick_abort2;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t55_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t55_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t55_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t56_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t56_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t56_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t57_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t57_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t57_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t58_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t58_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t58_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::ImplementationDef *_local_this;
                                            unsigned int _t59_principal_len;
                                            char *_local_interface_name;
                                            flick_unsigned32_t _t60_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort101);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t59_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t59_principal_len, _flick_abort101);
                                            flick_iiopxx_decode_new_glob(_t59_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t59_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t59_principal_len);
                                            flick_iiopxx_decode_end_glob(_t59_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort101);
                                            flick_cdr_decode_unsigned32(0, _t60_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t60_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t60_temp_string_len, _flick_abort101);
                                            flick_iiopxx_decode_new_chunk(1 * _t60_temp_string_len);
                                            flick_cdr_decode_msgptr(0, _local_interface_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t60_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t60_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->interface_name(_local_interface_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t61_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t61_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort101);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort101);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t61_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t61_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort109);
                                                    break;
                                                    {
                                                    _flick_abort109:
                                                      goto _flick_abort101;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort110);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort110:
                                                      goto _flick_abort101;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort101:
                                              goto _flick_abort100;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort100:
                                            goto _flick_abort2;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 17:
          {
            unsigned int _t62_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t62_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t62_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t63_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t63_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t64_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t64_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t65_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t65_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t66_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _t66_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t66_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::ImplementationDef *_local_this;
                                            unsigned int _t67_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort112);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_decode_unsigned32(3, _t67_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t67_principal_len, _flick_abort112);
                                            flick_iiopxx_decode_new_glob(_t67_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t67_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t67_principal_len);
                                            flick_iiopxx_decode_end_glob(_t67_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->object_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t68_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t68_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort112);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort112);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t68_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t68_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t70_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t70_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t70_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t70_temp_string_len, _flick_abort119);
                                                    flick_iiopxx_encode_new_chunk(1 * _t70_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t70_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t70_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t70_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort119:
                                                      goto _flick_abort112;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort122);
                                                    break;
                                                    {
                                                    _flick_abort122:
                                                      goto _flick_abort112;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort123);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort123:
                                                      goto _flick_abort112;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort112:
                                              goto _flick_abort111;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort111:
                                            goto _flick_abort2;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t71_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t71_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t72_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t72_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t73_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t73_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t74_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _t74_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t74_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::ImplementationDef *_local_this;
                                            unsigned int _t75_principal_len;
                                            char *_local_object_name;
                                            flick_unsigned32_t _t76_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort125);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_decode_unsigned32(3, _t75_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t75_principal_len, _flick_abort125);
                                            flick_iiopxx_decode_new_glob(_t75_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t75_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t75_principal_len);
                                            flick_iiopxx_decode_end_glob(_t75_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort125);
                                            flick_cdr_decode_unsigned32(0, _t76_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t76_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t76_temp_string_len, _flick_abort125);
                                            flick_iiopxx_decode_new_chunk(1 * _t76_temp_string_len);
                                            flick_cdr_decode_msgptr(0, _local_object_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t76_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t76_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->object_name(_local_object_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t77_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t77_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort125);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort125);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t77_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t77_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort133);
                                                    break;
                                                    {
                                                    _flick_abort133:
                                                      goto _flick_abort125;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort134:
                                                      goto _flick_abort125;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort125:
                                              goto _flick_abort124;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort124:
                                            goto _flick_abort2;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t78_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t78_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t78_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t79_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t79_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t79_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::ImplementationDef *_local_this;
                          unsigned int _t80_principal_len;
                          ::CORBA::ReferenceData *_return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort136);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t80_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t80_principal_len, _flick_abort136);
                          flick_iiopxx_decode_new_glob(_t80_principal_len);
                          flick_iiopxx_decode_new_chunk(_t80_principal_len);
                          flick_iiopxx_decode_end_chunk(_t80_principal_len);
                          flick_iiopxx_decode_end_glob(_t80_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->id(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t81_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t81_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort136);
                            flick_iiopxx_encode_new_glob(8, _flick_abort136);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t81_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t81_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort143);
                                  flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                  flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                  flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                  flick_iiopxx_encode_end_glob(1 * _return->_length);
                                  delete _return;
                                  _return = (::CORBA::ReferenceData *)0;
                                  break;
                                  {
                                  _flick_abort143:
                                    goto _flick_abort136;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort146);
                                  break;
                                  {
                                  _flick_abort146:
                                    goto _flick_abort136;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort147);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort147:
                                    goto _flick_abort136;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort136:
                            goto _flick_abort135;
                          }
                        }
                        break;
                        {
                        _flick_abort135:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t82_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t82_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t82_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::ImplementationDef *_local_this;
                          unsigned int _t83_principal_len;
                          ::CORBA::ReferenceData _local_id;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort149);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t83_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t83_principal_len, _flick_abort149);
                          flick_iiopxx_decode_new_glob(_t83_principal_len);
                          flick_iiopxx_decode_new_chunk(_t83_principal_len);
                          flick_iiopxx_decode_end_chunk(_t83_principal_len);
                          flick_iiopxx_decode_end_glob(_t83_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort149);
                          flick_cdr_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _local_id._length);
                          flick_iiopxx_check_span(1 * _local_id._length, _flick_abort149);
                          flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                          flick_cdr_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                          _local_id._maximum = _local_id._length;
                          _local_id._release = 0;
                          flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                          flick_iiopxx_decode_end_glob(1 * _local_id._length);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->id(_local_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t84_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t84_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort149);
                            flick_iiopxx_encode_new_glob(4, _flick_abort149);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t84_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t84_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort157);
                                  break;
                                  {
                                  _flick_abort157:
                                    goto _flick_abort149;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort158);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort158:
                                    goto _flick_abort149;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort149:
                            goto _flick_abort148;
                          }
                        }
                        break;
                        {
                        _flick_abort148:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t85_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t85_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t85_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t86_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t86_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t86_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          ::POA_CORBA::ImplementationDef *_local_this;
                          unsigned int _t87_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t88_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort160);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t87_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t87_principal_len, _flick_abort160);
                          flick_iiopxx_decode_new_glob(_t87_principal_len);
                          flick_iiopxx_decode_new_chunk(_t87_principal_len);
                          flick_iiopxx_decode_end_chunk(_t87_principal_len);
                          flick_iiopxx_decode_end_glob(_t87_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort160);
                          flick_cdr_decode_unsigned32(0, _t88_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t88_temp_string_len);
                          flick_iiopxx_check_span(1 * _t88_temp_string_len, _flick_abort160);
                          flick_iiopxx_decode_new_chunk(1 * _t88_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t88_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t88_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t89_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t89_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort160);
                            flick_iiopxx_encode_new_glob(5, _flick_abort160);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t89_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t89_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort168);
                                  break;
                                  {
                                  _flick_abort168:
                                    goto _flick_abort160;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort169);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort169:
                                    goto _flick_abort160;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort160:
                            goto _flick_abort159;
                          }
                        }
                        break;
                        {
                        _flick_abort159:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(28);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort2:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return ;
  }

_flick_reaper:
  return ;

}
void POA_CORBA::CreationImplDef::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t576_switch_tag;

      flick_iiopxx_decode_new_glob(32);
      flick_iiopxx_check_span(16, _flick_abort339);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t576_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t576_switch_tag)
        {
        case (unsigned int) 15:
          {
            unsigned int _t577_switch_tag;

            flick_iiopxx_check_span(20, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t577_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t577_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t578_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t578_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t578_switch_tag)
                    {
                    case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                      {
                        unsigned int _t579_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t579_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t579_switch_tag)
                          {
                          case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                            {
                              unsigned short int _t580_switch_tag;

                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_decode_unsigned16(0, _t580_switch_tag, unsigned short int );
                              flick_iiopxx_decode_end_chunk(2);
                              switch ((unsigned short int )_t580_switch_tag)
                                {
                                case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                  {
                                    char _t581_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _t581_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t581_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t582_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1096);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(5);
                                            flick_cdr_swap_decode_unsigned32(1, _t582_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(5);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t582_principal_len, _flick_abort1096);
                                            flick_iiopxx_decode_new_glob(_t582_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t582_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t582_principal_len);
                                            flick_iiopxx_decode_end_glob(_t582_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->path_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t583_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t583_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1096);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort1096);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t583_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t583_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t585_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t585_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t585_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t585_temp_string_len, _flick_abort1103);
                                                    flick_iiopxx_encode_new_chunk(1 * _t585_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t585_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t585_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t585_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort1103:
                                                      goto _flick_abort1096;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1106);
                                                    break;
                                                    {
                                                    _flick_abort1106:
                                                      goto _flick_abort1096;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1107);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort1107:
                                                      goto _flick_abort1096;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1096:
                                              goto _flick_abort1095;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1095:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t586_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t586_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t586_switch_tag)
                    {
                    case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                      {
                        unsigned int _t587_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t587_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t587_switch_tag)
                          {
                          case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                            {
                              unsigned short int _t588_switch_tag;

                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_decode_unsigned16(0, _t588_switch_tag, unsigned short int );
                              flick_iiopxx_decode_end_chunk(2);
                              switch ((unsigned short int )_t588_switch_tag)
                                {
                                case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                  {
                                    char _t589_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _t589_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t589_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t590_principal_len;
                                            char *_local_path_name;
                                            flick_unsigned32_t _t591_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1109);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(5);
                                            flick_cdr_swap_decode_unsigned32(1, _t590_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(5);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t590_principal_len, _flick_abort1109);
                                            flick_iiopxx_decode_new_glob(_t590_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t590_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t590_principal_len);
                                            flick_iiopxx_decode_end_glob(_t590_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort1109);
                                            flick_cdr_swap_decode_unsigned32(0, _t591_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t591_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t591_temp_string_len, _flick_abort1109);
                                            flick_iiopxx_decode_new_chunk(1 * _t591_temp_string_len);
                                            flick_cdr_swap_decode_msgptr(0, _local_path_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t591_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t591_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->path_name(_local_path_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t592_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t592_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1109);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort1109);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t592_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t592_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1117);
                                                    break;
                                                    {
                                                    _flick_abort1117:
                                                      goto _flick_abort1109;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1118);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort1118:
                                                      goto _flick_abort1109;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1109:
                                              goto _flick_abort1108;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1108:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 23:
          {
            unsigned int _t593_switch_tag;

            flick_iiopxx_check_span(28, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t593_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t593_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t594_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t594_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t594_switch_tag)
                    {
                    case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                      {
                        unsigned int _t595_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t595_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t595_switch_tag)
                          {
                          case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                            {
                              unsigned int _t596_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t596_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t596_switch_tag)
                                {
                                case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                  {
                                    unsigned int _t597_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t597_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t597_switch_tag)
                                      {
                                      case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                        {
                                          unsigned short int _t598_switch_tag;

                                          flick_iiopxx_decode_new_chunk(2);
                                          flick_cdr_decode_unsigned16(0, _t598_switch_tag, unsigned short int );
                                          flick_iiopxx_decode_end_chunk(2);
                                          switch ((unsigned short int )_t598_switch_tag)
                                            {
                                            case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                              {
                                                char _t599_switch_tag;

                                                flick_iiopxx_decode_new_chunk(1);
                                                flick_cdr_swap_decode_char8(0, _t599_switch_tag, char );
                                                flick_iiopxx_decode_end_chunk(1);
                                                switch ((char )_t599_switch_tag)
                                                  {
                                                  case 0:
                                                    {
                                                      {
                                                        ::POA_CORBA::CreationImplDef *_local_this;
                                                        unsigned int _t600_principal_len;
                                                        enum ::CORBA::Policy _return;
                                                        CORBA::Environment _ev;



                                                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1120);


                                                        /* Decode the requesting `Principal' pseudo object (client ID). */
                                                        flick_iiopxx_decode_new_chunk(5);
                                                        flick_cdr_swap_decode_unsigned32(1, _t600_principal_len, unsigned int );
                                                        flick_iiopxx_decode_end_chunk(5);
                                                        flick_iiopxx_decode_end_glob(32);
                                                        flick_iiopxx_check_span(_t600_principal_len, _flick_abort1120);
                                                        flick_iiopxx_decode_new_glob(_t600_principal_len);
                                                        flick_iiopxx_decode_new_chunk(_t600_principal_len);
                                                        flick_iiopxx_decode_end_chunk(_t600_principal_len);
                                                        flick_iiopxx_decode_end_glob(_t600_principal_len);
                                                        /* Begin decode phase on parameters */

                                                        flick_iiopxx_server_end_decode();
                                                        flick_corbaxx_init_environment();


                                                        _return = _local_this->activation_policy(_ev);


                                                        flick_iiopxx_server_start_encode();


                                                        {
                                                          int _t601_temp_major;

                                                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t601_temp_major);

                                                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1120);
                                                          flick_iiopxx_encode_new_glob(8, _flick_abort1120);
                                                          flick_iiopxx_encode_new_chunk(4);
                                                          flick_cdr_encode_signed32(0, _t601_temp_major, int );
                                                          flick_iiopxx_encode_end_chunk(4);
                                                          switch (_t601_temp_major)
                                                            {
                                                            case CORBA::NO_EXCEPTION:
                                                              {
                                                                /* Begin encode phase on parameters */
                                                                flick_iiopxx_encode_new_chunk(4);
                                                                flick_cdr_encode_unsigned32(0, _return, enum ::CORBA::Policy );
                                                                flick_iiopxx_encode_end_chunk(4);
                                                                flick_iiopxx_encode_end_glob(8);
                                                                break;
                                                              }
                                                            case CORBA::SYSTEM_EXCEPTION:
                                                              {
                                                                flick_iiopxx_encode_end_glob(8);
                                                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1126);
                                                                break;
                                                                {
                                                                _flick_abort1126:
                                                                  goto _flick_abort1120;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1127);
                                                                flick_iiopxx_encode_end_glob(8);
                                                                break;
                                                                {
                                                                _flick_abort1127:
                                                                  goto _flick_abort1120;
                                                                }
                                                              }
                                                            }
                                                        }


                                                        flick_iiopxx_server_end_encode();


                                                        break;
                                                        {
                                                        _flick_abort1120:
                                                          goto _flick_abort1119;
                                                        }
                                                      }
                                                      break;
                                                      {
                                                      _flick_abort1119:
                                                        goto _flick_abort339;
                                                      }
                                                    }
                                                  default:
                                                    {
                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                                      flick_iiopxx_decode_end_glob(32);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                                flick_iiopxx_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t602_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t602_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t602_switch_tag)
                    {
                    case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                      {
                        unsigned int _t603_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t603_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t603_switch_tag)
                          {
                          case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                            {
                              unsigned int _t604_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t604_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t604_switch_tag)
                                {
                                case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                  {
                                    unsigned int _t605_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t605_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t605_switch_tag)
                                      {
                                      case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                        {
                                          unsigned short int _t606_switch_tag;

                                          flick_iiopxx_decode_new_chunk(2);
                                          flick_cdr_decode_unsigned16(0, _t606_switch_tag, unsigned short int );
                                          flick_iiopxx_decode_end_chunk(2);
                                          switch ((unsigned short int )_t606_switch_tag)
                                            {
                                            case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                              {
                                                char _t607_switch_tag;

                                                flick_iiopxx_decode_new_chunk(1);
                                                flick_cdr_swap_decode_char8(0, _t607_switch_tag, char );
                                                flick_iiopxx_decode_end_chunk(1);
                                                switch ((char )_t607_switch_tag)
                                                  {
                                                  case 0:
                                                    {
                                                      {
                                                        ::POA_CORBA::CreationImplDef *_local_this;
                                                        unsigned int _t608_principal_len;
                                                        enum ::CORBA::Policy _local_activation_policy;
                                                        CORBA::Environment _ev;



                                                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1129);


                                                        /* Decode the requesting `Principal' pseudo object (client ID). */
                                                        flick_iiopxx_decode_new_chunk(5);
                                                        flick_cdr_swap_decode_unsigned32(1, _t608_principal_len, unsigned int );
                                                        flick_iiopxx_decode_end_chunk(5);
                                                        flick_iiopxx_decode_end_glob(32);
                                                        flick_iiopxx_check_span(_t608_principal_len, _flick_abort1129);
                                                        flick_iiopxx_decode_new_glob(_t608_principal_len);
                                                        flick_iiopxx_decode_new_chunk(_t608_principal_len);
                                                        flick_iiopxx_decode_end_chunk(_t608_principal_len);
                                                        flick_iiopxx_decode_end_glob(_t608_principal_len);
                                                        /* Begin decode phase on parameters */
                                                        flick_iiopxx_decode_new_glob(7);
                                                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                        flick_iiopxx_check_span(4, _flick_abort1129);
                                                        flick_cdr_swap_decode_unsigned32(0, _local_activation_policy, enum ::CORBA::Policy );

                                                        flick_iiopxx_decode_end_chunk(4);
                                                        flick_iiopxx_decode_end_glob(7);
                                                        flick_iiopxx_server_end_decode();
                                                        flick_corbaxx_init_environment();


                                                        _local_this->activation_policy(_local_activation_policy, _ev);


                                                        flick_iiopxx_server_start_encode();


                                                        {
                                                          int _t609_temp_major;

                                                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t609_temp_major);

                                                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1129);
                                                          flick_iiopxx_encode_new_glob(4, _flick_abort1129);
                                                          flick_iiopxx_encode_new_chunk(4);
                                                          flick_cdr_encode_signed32(0, _t609_temp_major, int );
                                                          flick_iiopxx_encode_end_chunk(4);
                                                          switch (_t609_temp_major)
                                                            {
                                                            case CORBA::NO_EXCEPTION:
                                                              {
                                                                /* Begin encode phase on parameters */
                                                                flick_iiopxx_encode_end_glob(4);
                                                                break;
                                                              }
                                                            case CORBA::SYSTEM_EXCEPTION:
                                                              {
                                                                flick_iiopxx_encode_end_glob(4);
                                                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1135);
                                                                break;
                                                                {
                                                                _flick_abort1135:
                                                                  goto _flick_abort1129;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1136);
                                                                flick_iiopxx_encode_end_glob(4);
                                                                break;
                                                                {
                                                                _flick_abort1136:
                                                                  goto _flick_abort1129;
                                                                }
                                                              }
                                                            }
                                                        }


                                                        flick_iiopxx_server_end_encode();


                                                        break;
                                                        {
                                                        _flick_abort1129:
                                                          goto _flick_abort1128;
                                                        }
                                                      }
                                                      break;
                                                      {
                                                      _flick_abort1128:
                                                        goto _flick_abort339;
                                                      }
                                                    }
                                                  default:
                                                    {
                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                                      flick_iiopxx_decode_end_glob(32);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                                flick_iiopxx_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 10:
          {
            unsigned int _t610_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t610_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t610_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t611_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t611_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t611_switch_tag)
                    {
                    case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                      {
                        unsigned short int _t612_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t612_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t612_switch_tag)
                          {
                          case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                            {
                              {
                                ::POA_CORBA::CreationImplDef *_local_this;
                                unsigned int _t613_principal_len;
                                ::CORBA::StringSequence *_return;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1138);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_swap_decode_unsigned32(2, _t613_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t613_principal_len, _flick_abort1138);
                                flick_iiopxx_decode_new_glob(_t613_principal_len);
                                flick_iiopxx_decode_new_chunk(_t613_principal_len);
                                flick_iiopxx_decode_end_chunk(_t613_principal_len);
                                flick_iiopxx_decode_end_glob(_t613_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->args(_ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t614_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t614_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1138);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort1138);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t614_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t614_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        CORBA::ULong _t624_array_iter;

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        for (_t624_array_iter = 0; _t624_array_iter < _return->_length; _t624_array_iter++)
                                          {
                                            flick_unsigned32_t _t626_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t624_array_iter], flick_unsigned32_t , _t626_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort1168);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t626_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t626_temp_string_len, _flick_abort1168);
                                            flick_iiopxx_encode_new_chunk(1 * _t626_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_buffer[_t624_array_iter], 1 * _t626_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t626_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t626_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort1168:
                                              goto _flick_abort1158;
                                            }
                                          }
                                        delete _return;
                                        _return = (::CORBA::StringSequence *)0;
                                        break;
                                        {
                                        _flick_abort1158:
                                          goto _flick_abort1138;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1174);
                                        break;
                                        {
                                        _flick_abort1174:
                                          goto _flick_abort1138;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1175);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort1175:
                                          goto _flick_abort1138;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1138:
                                  goto _flick_abort1137;
                                }
                              }
                              break;
                              {
                              _flick_abort1137:
                                goto _flick_abort339;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t627_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t627_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t627_switch_tag)
                    {
                    case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                      {
                        unsigned short int _t628_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t628_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t628_switch_tag)
                          {
                          case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                            {
                              {
                                ::POA_CORBA::CreationImplDef *_local_this;
                                unsigned int _t629_principal_len;
                                ::CORBA::StringSequence _local_args;
                                CORBA::ULong _t633_array_iter;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1177);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_swap_decode_unsigned32(2, _t629_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t629_principal_len, _flick_abort1177);
                                flick_iiopxx_decode_new_glob(_t629_principal_len);
                                flick_iiopxx_decode_new_chunk(_t629_principal_len);
                                flick_iiopxx_decode_end_chunk(_t629_principal_len);
                                flick_iiopxx_decode_end_glob(_t629_principal_len);
                                /* Begin decode phase on parameters */
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1177);
                                flick_cdr_swap_decode_unsigned32(0, _local_args._length, CORBA::ULong );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                {
                                  CORBA::Char **_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char **)new (CORBA::Char *[_local_args._length]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1177);
                                  _local_args._buffer = _t_alloc_ptr;
                                  _local_args._maximum = _local_args._length;
                                  _local_args._release = 1;
                                }
                                for (_t633_array_iter = 0; _t633_array_iter < _local_args._length; _t633_array_iter++)
                                  {
                                    flick_unsigned32_t _t635_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort1187);
                                    flick_cdr_swap_decode_unsigned32(0, _t635_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t635_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t635_temp_string_len, _flick_abort1187);
                                    flick_iiopxx_decode_new_chunk(1 * _t635_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t635_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1187);
                                      _local_args._buffer[_t633_array_iter] = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_args._buffer[_t633_array_iter], 1 * _t635_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t635_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t635_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort1187:
                                      goto _flick_abort1177;
                                    }
                                  }

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _local_this->args(_local_args, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t636_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t636_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1177);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort1177);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t636_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t636_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1198);
                                        break;
                                        {
                                        _flick_abort1198:
                                          goto _flick_abort1177;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1199);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort1199:
                                          goto _flick_abort1177;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1177:
                                  goto _flick_abort1176;
                                }
                              }
                              break;
                              {
                              _flick_abort1176:
                                goto _flick_abort339;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 9:
          {
            unsigned int _t637_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t637_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t637_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t638_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t638_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t638_switch_tag)
                    {
                    case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                      {
                        char _t639_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t639_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t639_switch_tag)
                          {
                          case 0:
                            {
                              {
                                ::POA_CORBA::CreationImplDef *_local_this;
                                unsigned int _t640_principal_len;
                                ::CORBA::StringSequence *_return;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1201);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_swap_decode_unsigned32(3, _t640_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t640_principal_len, _flick_abort1201);
                                flick_iiopxx_decode_new_glob(_t640_principal_len);
                                flick_iiopxx_decode_new_chunk(_t640_principal_len);
                                flick_iiopxx_decode_end_chunk(_t640_principal_len);
                                flick_iiopxx_decode_end_glob(_t640_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->env(_ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t641_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t641_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1201);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort1201);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t641_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t641_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        CORBA::ULong _t651_array_iter;

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        for (_t651_array_iter = 0; _t651_array_iter < _return->_length; _t651_array_iter++)
                                          {
                                            flick_unsigned32_t _t653_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t651_array_iter], flick_unsigned32_t , _t653_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort1231);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t653_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t653_temp_string_len, _flick_abort1231);
                                            flick_iiopxx_encode_new_chunk(1 * _t653_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_buffer[_t651_array_iter], 1 * _t653_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t653_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t653_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort1231:
                                              goto _flick_abort1221;
                                            }
                                          }
                                        delete _return;
                                        _return = (::CORBA::StringSequence *)0;
                                        break;
                                        {
                                        _flick_abort1221:
                                          goto _flick_abort1201;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1237);
                                        break;
                                        {
                                        _flick_abort1237:
                                          goto _flick_abort1201;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1238);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort1238:
                                          goto _flick_abort1201;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1201:
                                  goto _flick_abort1200;
                                }
                              }
                              break;
                              {
                              _flick_abort1200:
                                goto _flick_abort339;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t654_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t654_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t654_switch_tag)
                    {
                    case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                      {
                        char _t655_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t655_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t655_switch_tag)
                          {
                          case 0:
                            {
                              {
                                ::POA_CORBA::CreationImplDef *_local_this;
                                unsigned int _t656_principal_len;
                                ::CORBA::StringSequence _local_env;
                                CORBA::ULong _t660_array_iter;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1240);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_swap_decode_unsigned32(3, _t656_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t656_principal_len, _flick_abort1240);
                                flick_iiopxx_decode_new_glob(_t656_principal_len);
                                flick_iiopxx_decode_new_chunk(_t656_principal_len);
                                flick_iiopxx_decode_end_chunk(_t656_principal_len);
                                flick_iiopxx_decode_end_glob(_t656_principal_len);
                                /* Begin decode phase on parameters */
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1240);
                                flick_cdr_swap_decode_unsigned32(0, _local_env._length, CORBA::ULong );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                {
                                  CORBA::Char **_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char **)new (CORBA::Char *[_local_env._length]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1240);
                                  _local_env._buffer = _t_alloc_ptr;
                                  _local_env._maximum = _local_env._length;
                                  _local_env._release = 1;
                                }
                                for (_t660_array_iter = 0; _t660_array_iter < _local_env._length; _t660_array_iter++)
                                  {
                                    flick_unsigned32_t _t662_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort1250);
                                    flick_cdr_swap_decode_unsigned32(0, _t662_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t662_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t662_temp_string_len, _flick_abort1250);
                                    flick_iiopxx_decode_new_chunk(1 * _t662_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t662_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1250);
                                      _local_env._buffer[_t660_array_iter] = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_env._buffer[_t660_array_iter], 1 * _t662_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t662_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t662_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort1250:
                                      goto _flick_abort1240;
                                    }
                                  }

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _local_this->env(_local_env, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t663_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t663_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1240);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort1240);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t663_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t663_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1261);
                                        break;
                                        {
                                        _flick_abort1261:
                                          goto _flick_abort1240;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1262);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort1262:
                                          goto _flick_abort1240;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1240:
                                  goto _flick_abort1239;
                                }
                              }
                              break;
                              {
                              _flick_abort1239:
                                goto _flick_abort339;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 20:
          {
            unsigned int _t664_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t664_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t664_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t665_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t665_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t665_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t666_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t666_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t666_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t667_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t667_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t667_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t668_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t668_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t668_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t669_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1264);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_swap_decode_unsigned32(0, _t669_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t669_principal_len, _flick_abort1264);
                                            flick_iiopxx_decode_new_glob(_t669_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t669_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t669_principal_len);
                                            flick_iiopxx_decode_end_glob(_t669_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->interface_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t670_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t670_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1264);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort1264);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t670_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t670_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t672_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t672_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t672_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t672_temp_string_len, _flick_abort1271);
                                                    flick_iiopxx_encode_new_chunk(1 * _t672_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t672_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t672_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t672_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort1271:
                                                      goto _flick_abort1264;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1274);
                                                    break;
                                                    {
                                                    _flick_abort1274:
                                                      goto _flick_abort1264;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1275);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort1275:
                                                      goto _flick_abort1264;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1264:
                                              goto _flick_abort1263;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1263:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t673_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t673_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t673_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t674_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t674_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t674_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t675_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t675_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t675_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t676_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t676_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t676_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t677_principal_len;
                                            char *_local_interface_name;
                                            flick_unsigned32_t _t678_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1277);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_swap_decode_unsigned32(0, _t677_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t677_principal_len, _flick_abort1277);
                                            flick_iiopxx_decode_new_glob(_t677_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t677_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t677_principal_len);
                                            flick_iiopxx_decode_end_glob(_t677_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort1277);
                                            flick_cdr_swap_decode_unsigned32(0, _t678_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t678_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t678_temp_string_len, _flick_abort1277);
                                            flick_iiopxx_decode_new_chunk(1 * _t678_temp_string_len);
                                            flick_cdr_swap_decode_msgptr(0, _local_interface_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t678_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t678_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->interface_name(_local_interface_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t679_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t679_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1277);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort1277);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t679_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t679_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1285);
                                                    break;
                                                    {
                                                    _flick_abort1285:
                                                      goto _flick_abort1277;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1286);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort1286:
                                                      goto _flick_abort1277;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1277:
                                              goto _flick_abort1276;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1276:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 17:
          {
            unsigned int _t680_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t680_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t680_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t681_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t681_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t681_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t682_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t682_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t682_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t683_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t683_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t683_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t684_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _t684_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t684_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t685_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1288);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_swap_decode_unsigned32(3, _t685_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t685_principal_len, _flick_abort1288);
                                            flick_iiopxx_decode_new_glob(_t685_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t685_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t685_principal_len);
                                            flick_iiopxx_decode_end_glob(_t685_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->object_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t686_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t686_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1288);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort1288);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t686_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t686_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t688_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t688_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t688_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t688_temp_string_len, _flick_abort1295);
                                                    flick_iiopxx_encode_new_chunk(1 * _t688_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t688_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t688_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t688_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort1295:
                                                      goto _flick_abort1288;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1298);
                                                    break;
                                                    {
                                                    _flick_abort1298:
                                                      goto _flick_abort1288;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1299);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort1299:
                                                      goto _flick_abort1288;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1288:
                                              goto _flick_abort1287;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1287:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t689_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t689_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t689_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t690_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t690_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t690_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t691_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t691_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t691_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t692_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _t692_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t692_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t693_principal_len;
                                            char *_local_object_name;
                                            flick_unsigned32_t _t694_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1301);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_swap_decode_unsigned32(3, _t693_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t693_principal_len, _flick_abort1301);
                                            flick_iiopxx_decode_new_glob(_t693_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t693_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t693_principal_len);
                                            flick_iiopxx_decode_end_glob(_t693_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort1301);
                                            flick_cdr_swap_decode_unsigned32(0, _t694_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t694_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t694_temp_string_len, _flick_abort1301);
                                            flick_iiopxx_decode_new_chunk(1 * _t694_temp_string_len);
                                            flick_cdr_swap_decode_msgptr(0, _local_object_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t694_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t694_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->object_name(_local_object_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t695_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t695_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1301);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort1301);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t695_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t695_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1309);
                                                    break;
                                                    {
                                                    _flick_abort1309:
                                                      goto _flick_abort1301;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1310);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort1310:
                                                      goto _flick_abort1301;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1301:
                                              goto _flick_abort1300;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1300:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t696_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t696_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t696_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t697_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t697_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t697_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::CreationImplDef *_local_this;
                          unsigned int _t698_principal_len;
                          ::CORBA::ReferenceData *_return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1312);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t698_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t698_principal_len, _flick_abort1312);
                          flick_iiopxx_decode_new_glob(_t698_principal_len);
                          flick_iiopxx_decode_new_chunk(_t698_principal_len);
                          flick_iiopxx_decode_end_chunk(_t698_principal_len);
                          flick_iiopxx_decode_end_glob(_t698_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->id(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t699_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t699_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1312);
                            flick_iiopxx_encode_new_glob(8, _flick_abort1312);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t699_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t699_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort1319);
                                  flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                  flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                  flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                  flick_iiopxx_encode_end_glob(1 * _return->_length);
                                  delete _return;
                                  _return = (::CORBA::ReferenceData *)0;
                                  break;
                                  {
                                  _flick_abort1319:
                                    goto _flick_abort1312;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1322);
                                  break;
                                  {
                                  _flick_abort1322:
                                    goto _flick_abort1312;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1323);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort1323:
                                    goto _flick_abort1312;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1312:
                            goto _flick_abort1311;
                          }
                        }
                        break;
                        {
                        _flick_abort1311:
                          goto _flick_abort339;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t700_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t700_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t700_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::CreationImplDef *_local_this;
                          unsigned int _t701_principal_len;
                          ::CORBA::ReferenceData _local_id;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1325);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t701_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t701_principal_len, _flick_abort1325);
                          flick_iiopxx_decode_new_glob(_t701_principal_len);
                          flick_iiopxx_decode_new_chunk(_t701_principal_len);
                          flick_iiopxx_decode_end_chunk(_t701_principal_len);
                          flick_iiopxx_decode_end_glob(_t701_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort1325);
                          flick_cdr_swap_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _local_id._length);
                          flick_iiopxx_check_span(1 * _local_id._length, _flick_abort1325);
                          flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                          flick_cdr_swap_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                          _local_id._maximum = _local_id._length;
                          _local_id._release = 0;
                          flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                          flick_iiopxx_decode_end_glob(1 * _local_id._length);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->id(_local_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t702_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t702_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1325);
                            flick_iiopxx_encode_new_glob(4, _flick_abort1325);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t702_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t702_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1333);
                                  break;
                                  {
                                  _flick_abort1333:
                                    goto _flick_abort1325;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1334);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort1334:
                                    goto _flick_abort1325;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1325:
                            goto _flick_abort1324;
                          }
                        }
                        break;
                        {
                        _flick_abort1324:
                          goto _flick_abort339;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t703_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t703_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t703_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t704_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t704_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t704_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          ::POA_CORBA::CreationImplDef *_local_this;
                          unsigned int _t705_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t706_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1336);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t705_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t705_principal_len, _flick_abort1336);
                          flick_iiopxx_decode_new_glob(_t705_principal_len);
                          flick_iiopxx_decode_new_chunk(_t705_principal_len);
                          flick_iiopxx_decode_end_chunk(_t705_principal_len);
                          flick_iiopxx_decode_end_glob(_t705_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort1336);
                          flick_cdr_swap_decode_unsigned32(0, _t706_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t706_temp_string_len);
                          flick_iiopxx_check_span(1 * _t706_temp_string_len, _flick_abort1336);
                          flick_iiopxx_decode_new_chunk(1 * _t706_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t706_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t706_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t707_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t707_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1336);
                            flick_iiopxx_encode_new_glob(5, _flick_abort1336);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t707_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t707_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1344);
                                  break;
                                  {
                                  _flick_abort1344:
                                    goto _flick_abort1336;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1345);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort1345:
                                    goto _flick_abort1336;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1336:
                            goto _flick_abort1335;
                          }
                        }
                        break;
                        {
                        _flick_abort1335:
                          goto _flick_abort339;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
            flick_iiopxx_decode_end_glob(32);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t312_switch_tag;

      flick_iiopxx_decode_new_glob(32);
      flick_iiopxx_check_span(16, _flick_abort339);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t312_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t312_switch_tag)
        {
        case (unsigned int) 15:
          {
            unsigned int _t313_switch_tag;

            flick_iiopxx_check_span(20, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t313_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t313_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t314_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t314_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t314_switch_tag)
                    {
                    case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                      {
                        unsigned int _t315_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t315_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t315_switch_tag)
                          {
                          case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                            {
                              unsigned short int _t316_switch_tag;

                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_decode_unsigned16(0, _t316_switch_tag, unsigned short int );
                              flick_iiopxx_decode_end_chunk(2);
                              switch ((unsigned short int )_t316_switch_tag)
                                {
                                case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                  {
                                    char _t317_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _t317_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t317_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t318_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort593);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(5);
                                            flick_cdr_decode_unsigned32(1, _t318_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(5);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t318_principal_len, _flick_abort593);
                                            flick_iiopxx_decode_new_glob(_t318_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t318_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t318_principal_len);
                                            flick_iiopxx_decode_end_glob(_t318_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->path_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t319_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t319_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort593);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort593);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t319_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t319_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t321_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t321_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t321_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t321_temp_string_len, _flick_abort600);
                                                    flick_iiopxx_encode_new_chunk(1 * _t321_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t321_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t321_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t321_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort600:
                                                      goto _flick_abort593;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort603);
                                                    break;
                                                    {
                                                    _flick_abort603:
                                                      goto _flick_abort593;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort604);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort604:
                                                      goto _flick_abort593;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort593:
                                              goto _flick_abort592;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort592:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t322_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t322_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t322_switch_tag)
                    {
                    case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                      {
                        unsigned int _t323_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t323_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t323_switch_tag)
                          {
                          case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                            {
                              unsigned short int _t324_switch_tag;

                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_decode_unsigned16(0, _t324_switch_tag, unsigned short int );
                              flick_iiopxx_decode_end_chunk(2);
                              switch ((unsigned short int )_t324_switch_tag)
                                {
                                case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                  {
                                    char _t325_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _t325_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t325_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t326_principal_len;
                                            char *_local_path_name;
                                            flick_unsigned32_t _t327_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort606);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(5);
                                            flick_cdr_decode_unsigned32(1, _t326_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(5);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t326_principal_len, _flick_abort606);
                                            flick_iiopxx_decode_new_glob(_t326_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t326_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t326_principal_len);
                                            flick_iiopxx_decode_end_glob(_t326_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort606);
                                            flick_cdr_decode_unsigned32(0, _t327_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t327_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t327_temp_string_len, _flick_abort606);
                                            flick_iiopxx_decode_new_chunk(1 * _t327_temp_string_len);
                                            flick_cdr_decode_msgptr(0, _local_path_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t327_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t327_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->path_name(_local_path_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t328_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t328_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort606);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort606);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t328_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t328_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort614);
                                                    break;
                                                    {
                                                    _flick_abort614:
                                                      goto _flick_abort606;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort615);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort615:
                                                      goto _flick_abort606;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort606:
                                              goto _flick_abort605;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort605:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 23:
          {
            unsigned int _t329_switch_tag;

            flick_iiopxx_check_span(28, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t329_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t329_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t330_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t330_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t330_switch_tag)
                    {
                    case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                      {
                        unsigned int _t331_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t331_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t331_switch_tag)
                          {
                          case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                            {
                              unsigned int _t332_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t332_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t332_switch_tag)
                                {
                                case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                  {
                                    unsigned int _t333_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t333_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t333_switch_tag)
                                      {
                                      case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                        {
                                          unsigned short int _t334_switch_tag;

                                          flick_iiopxx_decode_new_chunk(2);
                                          flick_cdr_decode_unsigned16(0, _t334_switch_tag, unsigned short int );
                                          flick_iiopxx_decode_end_chunk(2);
                                          switch ((unsigned short int )_t334_switch_tag)
                                            {
                                            case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                              {
                                                char _t335_switch_tag;

                                                flick_iiopxx_decode_new_chunk(1);
                                                flick_cdr_decode_char8(0, _t335_switch_tag, char );
                                                flick_iiopxx_decode_end_chunk(1);
                                                switch ((char )_t335_switch_tag)
                                                  {
                                                  case 0:
                                                    {
                                                      {
                                                        ::POA_CORBA::CreationImplDef *_local_this;
                                                        unsigned int _t336_principal_len;
                                                        enum ::CORBA::Policy _return;
                                                        CORBA::Environment _ev;



                                                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort617);


                                                        /* Decode the requesting `Principal' pseudo object (client ID). */
                                                        flick_iiopxx_decode_new_chunk(5);
                                                        flick_cdr_decode_unsigned32(1, _t336_principal_len, unsigned int );
                                                        flick_iiopxx_decode_end_chunk(5);
                                                        flick_iiopxx_decode_end_glob(32);
                                                        flick_iiopxx_check_span(_t336_principal_len, _flick_abort617);
                                                        flick_iiopxx_decode_new_glob(_t336_principal_len);
                                                        flick_iiopxx_decode_new_chunk(_t336_principal_len);
                                                        flick_iiopxx_decode_end_chunk(_t336_principal_len);
                                                        flick_iiopxx_decode_end_glob(_t336_principal_len);
                                                        /* Begin decode phase on parameters */

                                                        flick_iiopxx_server_end_decode();
                                                        flick_corbaxx_init_environment();


                                                        _return = _local_this->activation_policy(_ev);


                                                        flick_iiopxx_server_start_encode();


                                                        {
                                                          int _t337_temp_major;

                                                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t337_temp_major);

                                                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort617);
                                                          flick_iiopxx_encode_new_glob(8, _flick_abort617);
                                                          flick_iiopxx_encode_new_chunk(4);
                                                          flick_cdr_encode_signed32(0, _t337_temp_major, int );
                                                          flick_iiopxx_encode_end_chunk(4);
                                                          switch (_t337_temp_major)
                                                            {
                                                            case CORBA::NO_EXCEPTION:
                                                              {
                                                                /* Begin encode phase on parameters */
                                                                flick_iiopxx_encode_new_chunk(4);
                                                                flick_cdr_encode_unsigned32(0, _return, enum ::CORBA::Policy );
                                                                flick_iiopxx_encode_end_chunk(4);
                                                                flick_iiopxx_encode_end_glob(8);
                                                                break;
                                                              }
                                                            case CORBA::SYSTEM_EXCEPTION:
                                                              {
                                                                flick_iiopxx_encode_end_glob(8);
                                                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort623);
                                                                break;
                                                                {
                                                                _flick_abort623:
                                                                  goto _flick_abort617;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort624);
                                                                flick_iiopxx_encode_end_glob(8);
                                                                break;
                                                                {
                                                                _flick_abort624:
                                                                  goto _flick_abort617;
                                                                }
                                                              }
                                                            }
                                                        }


                                                        flick_iiopxx_server_end_encode();


                                                        break;
                                                        {
                                                        _flick_abort617:
                                                          goto _flick_abort616;
                                                        }
                                                      }
                                                      break;
                                                      {
                                                      _flick_abort616:
                                                        goto _flick_abort339;
                                                      }
                                                    }
                                                  default:
                                                    {
                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                                      flick_iiopxx_decode_end_glob(32);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                                flick_iiopxx_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t338_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t338_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t338_switch_tag)
                    {
                    case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                      {
                        unsigned int _t339_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t339_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t339_switch_tag)
                          {
                          case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                            {
                              unsigned int _t340_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t340_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t340_switch_tag)
                                {
                                case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                  {
                                    unsigned int _t341_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t341_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t341_switch_tag)
                                      {
                                      case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                        {
                                          unsigned short int _t342_switch_tag;

                                          flick_iiopxx_decode_new_chunk(2);
                                          flick_cdr_decode_unsigned16(0, _t342_switch_tag, unsigned short int );
                                          flick_iiopxx_decode_end_chunk(2);
                                          switch ((unsigned short int )_t342_switch_tag)
                                            {
                                            case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                              {
                                                char _t343_switch_tag;

                                                flick_iiopxx_decode_new_chunk(1);
                                                flick_cdr_decode_char8(0, _t343_switch_tag, char );
                                                flick_iiopxx_decode_end_chunk(1);
                                                switch ((char )_t343_switch_tag)
                                                  {
                                                  case 0:
                                                    {
                                                      {
                                                        ::POA_CORBA::CreationImplDef *_local_this;
                                                        unsigned int _t344_principal_len;
                                                        enum ::CORBA::Policy _local_activation_policy;
                                                        CORBA::Environment _ev;



                                                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort626);


                                                        /* Decode the requesting `Principal' pseudo object (client ID). */
                                                        flick_iiopxx_decode_new_chunk(5);
                                                        flick_cdr_decode_unsigned32(1, _t344_principal_len, unsigned int );
                                                        flick_iiopxx_decode_end_chunk(5);
                                                        flick_iiopxx_decode_end_glob(32);
                                                        flick_iiopxx_check_span(_t344_principal_len, _flick_abort626);
                                                        flick_iiopxx_decode_new_glob(_t344_principal_len);
                                                        flick_iiopxx_decode_new_chunk(_t344_principal_len);
                                                        flick_iiopxx_decode_end_chunk(_t344_principal_len);
                                                        flick_iiopxx_decode_end_glob(_t344_principal_len);
                                                        /* Begin decode phase on parameters */
                                                        flick_iiopxx_decode_new_glob(7);
                                                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                        flick_iiopxx_check_span(4, _flick_abort626);
                                                        flick_cdr_decode_unsigned32(0, _local_activation_policy, enum ::CORBA::Policy );

                                                        flick_iiopxx_decode_end_chunk(4);
                                                        flick_iiopxx_decode_end_glob(7);
                                                        flick_iiopxx_server_end_decode();
                                                        flick_corbaxx_init_environment();


                                                        _local_this->activation_policy(_local_activation_policy, _ev);


                                                        flick_iiopxx_server_start_encode();


                                                        {
                                                          int _t345_temp_major;

                                                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t345_temp_major);

                                                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort626);
                                                          flick_iiopxx_encode_new_glob(4, _flick_abort626);
                                                          flick_iiopxx_encode_new_chunk(4);
                                                          flick_cdr_encode_signed32(0, _t345_temp_major, int );
                                                          flick_iiopxx_encode_end_chunk(4);
                                                          switch (_t345_temp_major)
                                                            {
                                                            case CORBA::NO_EXCEPTION:
                                                              {
                                                                /* Begin encode phase on parameters */
                                                                flick_iiopxx_encode_end_glob(4);
                                                                break;
                                                              }
                                                            case CORBA::SYSTEM_EXCEPTION:
                                                              {
                                                                flick_iiopxx_encode_end_glob(4);
                                                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort632);
                                                                break;
                                                                {
                                                                _flick_abort632:
                                                                  goto _flick_abort626;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort633);
                                                                flick_iiopxx_encode_end_glob(4);
                                                                break;
                                                                {
                                                                _flick_abort633:
                                                                  goto _flick_abort626;
                                                                }
                                                              }
                                                            }
                                                        }


                                                        flick_iiopxx_server_end_encode();


                                                        break;
                                                        {
                                                        _flick_abort626:
                                                          goto _flick_abort625;
                                                        }
                                                      }
                                                      break;
                                                      {
                                                      _flick_abort625:
                                                        goto _flick_abort339;
                                                      }
                                                    }
                                                  default:
                                                    {
                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                                      flick_iiopxx_decode_end_glob(32);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                                flick_iiopxx_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 10:
          {
            unsigned int _t346_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t346_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t346_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t347_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t347_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t347_switch_tag)
                    {
                    case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                      {
                        unsigned short int _t348_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t348_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t348_switch_tag)
                          {
                          case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                            {
                              {
                                ::POA_CORBA::CreationImplDef *_local_this;
                                unsigned int _t349_principal_len;
                                ::CORBA::StringSequence *_return;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort635);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_decode_unsigned32(2, _t349_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t349_principal_len, _flick_abort635);
                                flick_iiopxx_decode_new_glob(_t349_principal_len);
                                flick_iiopxx_decode_new_chunk(_t349_principal_len);
                                flick_iiopxx_decode_end_chunk(_t349_principal_len);
                                flick_iiopxx_decode_end_glob(_t349_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->args(_ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t350_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t350_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort635);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort635);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t350_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t350_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        CORBA::ULong _t360_array_iter;

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        for (_t360_array_iter = 0; _t360_array_iter < _return->_length; _t360_array_iter++)
                                          {
                                            flick_unsigned32_t _t362_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t360_array_iter], flick_unsigned32_t , _t362_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort665);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t362_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t362_temp_string_len, _flick_abort665);
                                            flick_iiopxx_encode_new_chunk(1 * _t362_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_buffer[_t360_array_iter], 1 * _t362_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t362_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t362_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort665:
                                              goto _flick_abort655;
                                            }
                                          }
                                        delete _return;
                                        _return = (::CORBA::StringSequence *)0;
                                        break;
                                        {
                                        _flick_abort655:
                                          goto _flick_abort635;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort671);
                                        break;
                                        {
                                        _flick_abort671:
                                          goto _flick_abort635;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort672);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort672:
                                          goto _flick_abort635;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort635:
                                  goto _flick_abort634;
                                }
                              }
                              break;
                              {
                              _flick_abort634:
                                goto _flick_abort339;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t363_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t363_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t363_switch_tag)
                    {
                    case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                      {
                        unsigned short int _t364_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t364_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t364_switch_tag)
                          {
                          case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                            {
                              {
                                ::POA_CORBA::CreationImplDef *_local_this;
                                unsigned int _t365_principal_len;
                                ::CORBA::StringSequence _local_args;
                                CORBA::ULong _t369_array_iter;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort674);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_decode_unsigned32(2, _t365_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t365_principal_len, _flick_abort674);
                                flick_iiopxx_decode_new_glob(_t365_principal_len);
                                flick_iiopxx_decode_new_chunk(_t365_principal_len);
                                flick_iiopxx_decode_end_chunk(_t365_principal_len);
                                flick_iiopxx_decode_end_glob(_t365_principal_len);
                                /* Begin decode phase on parameters */
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort674);
                                flick_cdr_decode_unsigned32(0, _local_args._length, CORBA::ULong );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                {
                                  CORBA::Char **_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char **)new (CORBA::Char *[_local_args._length]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort674);
                                  _local_args._buffer = _t_alloc_ptr;
                                  _local_args._maximum = _local_args._length;
                                  _local_args._release = 1;
                                }
                                for (_t369_array_iter = 0; _t369_array_iter < _local_args._length; _t369_array_iter++)
                                  {
                                    flick_unsigned32_t _t371_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort684);
                                    flick_cdr_decode_unsigned32(0, _t371_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t371_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t371_temp_string_len, _flick_abort684);
                                    flick_iiopxx_decode_new_chunk(1 * _t371_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t371_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort684);
                                      _local_args._buffer[_t369_array_iter] = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_args._buffer[_t369_array_iter], 1 * _t371_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t371_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t371_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort684:
                                      goto _flick_abort674;
                                    }
                                  }

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _local_this->args(_local_args, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t372_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t372_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort674);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort674);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t372_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t372_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort695);
                                        break;
                                        {
                                        _flick_abort695:
                                          goto _flick_abort674;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort696);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort696:
                                          goto _flick_abort674;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort674:
                                  goto _flick_abort673;
                                }
                              }
                              break;
                              {
                              _flick_abort673:
                                goto _flick_abort339;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 9:
          {
            unsigned int _t373_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t373_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t373_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t374_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t374_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t374_switch_tag)
                    {
                    case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                      {
                        char _t375_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t375_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t375_switch_tag)
                          {
                          case 0:
                            {
                              {
                                ::POA_CORBA::CreationImplDef *_local_this;
                                unsigned int _t376_principal_len;
                                ::CORBA::StringSequence *_return;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort698);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_decode_unsigned32(3, _t376_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t376_principal_len, _flick_abort698);
                                flick_iiopxx_decode_new_glob(_t376_principal_len);
                                flick_iiopxx_decode_new_chunk(_t376_principal_len);
                                flick_iiopxx_decode_end_chunk(_t376_principal_len);
                                flick_iiopxx_decode_end_glob(_t376_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->env(_ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t377_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t377_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort698);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort698);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t377_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t377_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        CORBA::ULong _t387_array_iter;

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        for (_t387_array_iter = 0; _t387_array_iter < _return->_length; _t387_array_iter++)
                                          {
                                            flick_unsigned32_t _t389_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t387_array_iter], flick_unsigned32_t , _t389_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort728);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t389_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t389_temp_string_len, _flick_abort728);
                                            flick_iiopxx_encode_new_chunk(1 * _t389_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_buffer[_t387_array_iter], 1 * _t389_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t389_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t389_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort728:
                                              goto _flick_abort718;
                                            }
                                          }
                                        delete _return;
                                        _return = (::CORBA::StringSequence *)0;
                                        break;
                                        {
                                        _flick_abort718:
                                          goto _flick_abort698;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort734);
                                        break;
                                        {
                                        _flick_abort734:
                                          goto _flick_abort698;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort735);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort735:
                                          goto _flick_abort698;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort698:
                                  goto _flick_abort697;
                                }
                              }
                              break;
                              {
                              _flick_abort697:
                                goto _flick_abort339;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t390_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t390_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t390_switch_tag)
                    {
                    case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                      {
                        char _t391_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t391_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t391_switch_tag)
                          {
                          case 0:
                            {
                              {
                                ::POA_CORBA::CreationImplDef *_local_this;
                                unsigned int _t392_principal_len;
                                ::CORBA::StringSequence _local_env;
                                CORBA::ULong _t396_array_iter;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort737);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_decode_unsigned32(3, _t392_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t392_principal_len, _flick_abort737);
                                flick_iiopxx_decode_new_glob(_t392_principal_len);
                                flick_iiopxx_decode_new_chunk(_t392_principal_len);
                                flick_iiopxx_decode_end_chunk(_t392_principal_len);
                                flick_iiopxx_decode_end_glob(_t392_principal_len);
                                /* Begin decode phase on parameters */
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort737);
                                flick_cdr_decode_unsigned32(0, _local_env._length, CORBA::ULong );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                {
                                  CORBA::Char **_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char **)new (CORBA::Char *[_local_env._length]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort737);
                                  _local_env._buffer = _t_alloc_ptr;
                                  _local_env._maximum = _local_env._length;
                                  _local_env._release = 1;
                                }
                                for (_t396_array_iter = 0; _t396_array_iter < _local_env._length; _t396_array_iter++)
                                  {
                                    flick_unsigned32_t _t398_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort747);
                                    flick_cdr_decode_unsigned32(0, _t398_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t398_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t398_temp_string_len, _flick_abort747);
                                    flick_iiopxx_decode_new_chunk(1 * _t398_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t398_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort747);
                                      _local_env._buffer[_t396_array_iter] = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_env._buffer[_t396_array_iter], 1 * _t398_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t398_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t398_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort747:
                                      goto _flick_abort737;
                                    }
                                  }

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _local_this->env(_local_env, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t399_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t399_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort737);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort737);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t399_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t399_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort758);
                                        break;
                                        {
                                        _flick_abort758:
                                          goto _flick_abort737;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort759);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort759:
                                          goto _flick_abort737;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort737:
                                  goto _flick_abort736;
                                }
                              }
                              break;
                              {
                              _flick_abort736:
                                goto _flick_abort339;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 20:
          {
            unsigned int _t400_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t400_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t400_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t401_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t401_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t401_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t402_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t402_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t402_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t403_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t403_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t403_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t404_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t404_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t404_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t405_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort761);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t405_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t405_principal_len, _flick_abort761);
                                            flick_iiopxx_decode_new_glob(_t405_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t405_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t405_principal_len);
                                            flick_iiopxx_decode_end_glob(_t405_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->interface_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t406_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t406_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort761);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort761);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t406_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t406_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t408_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t408_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t408_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t408_temp_string_len, _flick_abort768);
                                                    flick_iiopxx_encode_new_chunk(1 * _t408_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t408_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t408_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t408_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort768:
                                                      goto _flick_abort761;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort771);
                                                    break;
                                                    {
                                                    _flick_abort771:
                                                      goto _flick_abort761;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort772);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort772:
                                                      goto _flick_abort761;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort761:
                                              goto _flick_abort760;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort760:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t409_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t409_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t409_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t410_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t410_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t410_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t411_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t411_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t411_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t412_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t412_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t412_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t413_principal_len;
                                            char *_local_interface_name;
                                            flick_unsigned32_t _t414_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort774);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t413_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t413_principal_len, _flick_abort774);
                                            flick_iiopxx_decode_new_glob(_t413_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t413_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t413_principal_len);
                                            flick_iiopxx_decode_end_glob(_t413_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort774);
                                            flick_cdr_decode_unsigned32(0, _t414_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t414_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t414_temp_string_len, _flick_abort774);
                                            flick_iiopxx_decode_new_chunk(1 * _t414_temp_string_len);
                                            flick_cdr_decode_msgptr(0, _local_interface_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t414_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t414_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->interface_name(_local_interface_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t415_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t415_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort774);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort774);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t415_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t415_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort782);
                                                    break;
                                                    {
                                                    _flick_abort782:
                                                      goto _flick_abort774;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort783);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort783:
                                                      goto _flick_abort774;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort774:
                                              goto _flick_abort773;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort773:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 17:
          {
            unsigned int _t416_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort339);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t416_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t416_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t417_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t417_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t417_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t418_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t418_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t418_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t419_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t419_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t419_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t420_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _t420_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t420_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t421_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort785);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_decode_unsigned32(3, _t421_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t421_principal_len, _flick_abort785);
                                            flick_iiopxx_decode_new_glob(_t421_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t421_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t421_principal_len);
                                            flick_iiopxx_decode_end_glob(_t421_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->object_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t422_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t422_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort785);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort785);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t422_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t422_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t424_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t424_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t424_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t424_temp_string_len, _flick_abort792);
                                                    flick_iiopxx_encode_new_chunk(1 * _t424_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t424_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t424_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t424_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort792:
                                                      goto _flick_abort785;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort795);
                                                    break;
                                                    {
                                                    _flick_abort795:
                                                      goto _flick_abort785;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort796);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort796:
                                                      goto _flick_abort785;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort785:
                                              goto _flick_abort784;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort784:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t425_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t425_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t425_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t426_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t426_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t426_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t427_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t427_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t427_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t428_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _t428_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t428_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::CreationImplDef *_local_this;
                                            unsigned int _t429_principal_len;
                                            char *_local_object_name;
                                            flick_unsigned32_t _t430_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort798);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_decode_unsigned32(3, _t429_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(32);
                                            flick_iiopxx_check_span(_t429_principal_len, _flick_abort798);
                                            flick_iiopxx_decode_new_glob(_t429_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t429_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t429_principal_len);
                                            flick_iiopxx_decode_end_glob(_t429_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort798);
                                            flick_cdr_decode_unsigned32(0, _t430_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t430_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t430_temp_string_len, _flick_abort798);
                                            flick_iiopxx_decode_new_chunk(1 * _t430_temp_string_len);
                                            flick_cdr_decode_msgptr(0, _local_object_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t430_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t430_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->object_name(_local_object_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t431_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t431_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort798);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort798);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t431_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t431_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort806);
                                                    break;
                                                    {
                                                    _flick_abort806:
                                                      goto _flick_abort798;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort807);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort807:
                                                      goto _flick_abort798;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort798:
                                              goto _flick_abort797;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort797:
                                            goto _flick_abort339;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t432_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t432_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t432_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t433_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t433_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t433_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::CreationImplDef *_local_this;
                          unsigned int _t434_principal_len;
                          ::CORBA::ReferenceData *_return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort809);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t434_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t434_principal_len, _flick_abort809);
                          flick_iiopxx_decode_new_glob(_t434_principal_len);
                          flick_iiopxx_decode_new_chunk(_t434_principal_len);
                          flick_iiopxx_decode_end_chunk(_t434_principal_len);
                          flick_iiopxx_decode_end_glob(_t434_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->id(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t435_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t435_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort809);
                            flick_iiopxx_encode_new_glob(8, _flick_abort809);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t435_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t435_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort816);
                                  flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                  flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                  flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                  flick_iiopxx_encode_end_glob(1 * _return->_length);
                                  delete _return;
                                  _return = (::CORBA::ReferenceData *)0;
                                  break;
                                  {
                                  _flick_abort816:
                                    goto _flick_abort809;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort819);
                                  break;
                                  {
                                  _flick_abort819:
                                    goto _flick_abort809;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort820);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort820:
                                    goto _flick_abort809;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort809:
                            goto _flick_abort808;
                          }
                        }
                        break;
                        {
                        _flick_abort808:
                          goto _flick_abort339;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t436_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t436_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t436_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::CreationImplDef *_local_this;
                          unsigned int _t437_principal_len;
                          ::CORBA::ReferenceData _local_id;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort822);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t437_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t437_principal_len, _flick_abort822);
                          flick_iiopxx_decode_new_glob(_t437_principal_len);
                          flick_iiopxx_decode_new_chunk(_t437_principal_len);
                          flick_iiopxx_decode_end_chunk(_t437_principal_len);
                          flick_iiopxx_decode_end_glob(_t437_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort822);
                          flick_cdr_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _local_id._length);
                          flick_iiopxx_check_span(1 * _local_id._length, _flick_abort822);
                          flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                          flick_cdr_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                          _local_id._maximum = _local_id._length;
                          _local_id._release = 0;
                          flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                          flick_iiopxx_decode_end_glob(1 * _local_id._length);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->id(_local_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t438_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t438_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort822);
                            flick_iiopxx_encode_new_glob(4, _flick_abort822);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t438_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t438_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort830);
                                  break;
                                  {
                                  _flick_abort830:
                                    goto _flick_abort822;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort831);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort831:
                                    goto _flick_abort822;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort822:
                            goto _flick_abort821;
                          }
                        }
                        break;
                        {
                        _flick_abort821:
                          goto _flick_abort339;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t439_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t439_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t439_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t440_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t440_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t440_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          ::POA_CORBA::CreationImplDef *_local_this;
                          unsigned int _t441_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t442_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort833);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t441_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t441_principal_len, _flick_abort833);
                          flick_iiopxx_decode_new_glob(_t441_principal_len);
                          flick_iiopxx_decode_new_chunk(_t441_principal_len);
                          flick_iiopxx_decode_end_chunk(_t441_principal_len);
                          flick_iiopxx_decode_end_glob(_t441_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort833);
                          flick_cdr_decode_unsigned32(0, _t442_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t442_temp_string_len);
                          flick_iiopxx_check_span(1 * _t442_temp_string_len, _flick_abort833);
                          flick_iiopxx_decode_new_chunk(1 * _t442_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t442_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t442_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t443_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t443_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort833);
                            flick_iiopxx_encode_new_glob(5, _flick_abort833);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t443_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t443_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort841);
                                  break;
                                  {
                                  _flick_abort841:
                                    goto _flick_abort833;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort842);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort842:
                                    goto _flick_abort833;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort833:
                            goto _flick_abort832;
                          }
                        }
                        break;
                        {
                        _flick_abort832:
                          goto _flick_abort339;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort339);
            flick_iiopxx_decode_end_glob(32);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort339:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort338);
  _flick_abort338:
    return ;
  }

_flick_reaper:
  return ;

}
void POA_CORBA::Activator::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t759_switch_tag;

      flick_iiopxx_decode_new_glob(20);
      flick_iiopxx_check_span(16, _flick_abort1348);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t759_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t759_switch_tag)
        {
        case (unsigned int) 9:
          {
            unsigned int _t760_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort1348);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t760_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t760_switch_tag)
              {
              case /* acti */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633907817):
                {
                  unsigned int _t761_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t761_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t761_switch_tag)
                    {
                    case /* vate */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1986098277):
                      {
                        char _t762_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t762_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t762_switch_tag)
                          {
                          case 0:
                            {
                              {
                                ::POA_CORBA::Activator *_local_this;
                                unsigned int _t763_principal_len;
                                ::CORBA::Object_ptr _return;
                                ::CORBA::ImplementationDef_ptr _local_impl;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1439);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_swap_decode_unsigned32(3, _t763_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t763_principal_len, _flick_abort1439);
                                flick_iiopxx_decode_new_glob(_t763_principal_len);
                                flick_iiopxx_decode_new_chunk(_t763_principal_len);
                                flick_iiopxx_decode_end_chunk(_t763_principal_len);
                                flick_iiopxx_decode_end_glob(_t763_principal_len);
                                /* Begin decode phase on parameters */
                                flick_cdr_swapxx_decode_IOR(iiopxx, _local_impl, 1, CORBA::ImplementationDef , _flick_abort1439);
                                flick_iiopxx_mark_port_for_cleanup(_local_impl, 1);

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->activate(_local_impl, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t764_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t764_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1439);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort1439);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t764_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t764_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_cdrxx_encode_IOR(iiopxx, _return, 0, CORBA::Object , _flick_abort1444);
                                        CORBA_object_flick_free(_return);
                                        _return = (CORBA::Object *)0;
                                        break;
                                        {
                                        _flick_abort1444:
                                          goto _flick_abort1439;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1445);
                                        break;
                                        {
                                        _flick_abort1445:
                                          goto _flick_abort1439;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1446);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort1446:
                                          goto _flick_abort1439;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1439:
                                  goto _flick_abort1438;
                                }
                              }
                              break;
                              {
                              _flick_abort1438:
                                goto _flick_abort1348;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 11:
          {
            unsigned int _t765_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort1348);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t765_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t765_switch_tag)
              {
              case /* deac */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684365667):
                {
                  unsigned int _t766_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t766_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t766_switch_tag)
                    {
                    case /* tiva */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953068641):
                      {
                        unsigned short int _t767_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t767_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t767_switch_tag)
                          {
                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                            {
                              char _t768_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _t768_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t768_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      ::POA_CORBA::Activator *_local_this;
                                      unsigned int _t769_principal_len;
                                      ::CORBA::Object_ptr _local_obj;
                                      ::CORBA::ImplementationDef_ptr _local_impl;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1448);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_swap_decode_unsigned32(1, _t769_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(20);
                                      flick_iiopxx_check_span(_t769_principal_len, _flick_abort1448);
                                      flick_iiopxx_decode_new_glob(_t769_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t769_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t769_principal_len);
                                      flick_iiopxx_decode_end_glob(_t769_principal_len);
                                      /* Begin decode phase on parameters */
                                      flick_cdr_swapxx_decode_IOR(iiopxx, _local_obj, 1, CORBA::Object , _flick_abort1448);
                                      flick_iiopxx_mark_port_for_cleanup(_local_obj, 1);
                                      flick_cdr_swapxx_decode_IOR(iiopxx, _local_impl, 1, CORBA::ImplementationDef , _flick_abort1448);
                                      flick_iiopxx_mark_port_for_cleanup(_local_impl, 1);

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _local_this->deactivate(_local_obj, _local_impl, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t770_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t770_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1448);
                                        flick_iiopxx_encode_new_glob(4, _flick_abort1448);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t770_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t770_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1454);
                                              break;
                                              {
                                              _flick_abort1454:
                                                goto _flick_abort1448;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1455);
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                              {
                                              _flick_abort1455:
                                                goto _flick_abort1448;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort1448:
                                        goto _flick_abort1447;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort1447:
                                      goto _flick_abort1348;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                                    flick_iiopxx_decode_end_glob(20);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t771_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t771_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t771_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t772_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t772_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t772_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          ::POA_CORBA::Activator *_local_this;
                          unsigned int _t773_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t774_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1457);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t773_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t773_principal_len, _flick_abort1457);
                          flick_iiopxx_decode_new_glob(_t773_principal_len);
                          flick_iiopxx_decode_new_chunk(_t773_principal_len);
                          flick_iiopxx_decode_end_chunk(_t773_principal_len);
                          flick_iiopxx_decode_end_glob(_t773_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort1457);
                          flick_cdr_swap_decode_unsigned32(0, _t774_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t774_temp_string_len);
                          flick_iiopxx_check_span(1 * _t774_temp_string_len, _flick_abort1457);
                          flick_iiopxx_decode_new_chunk(1 * _t774_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t774_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t774_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t775_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t775_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1457);
                            flick_iiopxx_encode_new_glob(5, _flick_abort1457);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t775_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t775_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1465);
                                  break;
                                  {
                                  _flick_abort1465:
                                    goto _flick_abort1457;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1466);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort1466:
                                    goto _flick_abort1457;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1457:
                            goto _flick_abort1456;
                          }
                        }
                        break;
                        {
                        _flick_abort1456:
                          goto _flick_abort1348;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
            flick_iiopxx_decode_end_glob(20);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t725_switch_tag;

      flick_iiopxx_decode_new_glob(20);
      flick_iiopxx_check_span(16, _flick_abort1348);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t725_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t725_switch_tag)
        {
        case (unsigned int) 9:
          {
            unsigned int _t726_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort1348);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t726_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t726_switch_tag)
              {
              case /* acti */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633907817):
                {
                  unsigned int _t727_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t727_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t727_switch_tag)
                    {
                    case /* vate */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1986098277):
                      {
                        char _t728_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t728_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t728_switch_tag)
                          {
                          case 0:
                            {
                              {
                                ::POA_CORBA::Activator *_local_this;
                                unsigned int _t729_principal_len;
                                ::CORBA::Object_ptr _return;
                                ::CORBA::ImplementationDef_ptr _local_impl;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1380);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_decode_unsigned32(3, _t729_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(20);
                                flick_iiopxx_check_span(_t729_principal_len, _flick_abort1380);
                                flick_iiopxx_decode_new_glob(_t729_principal_len);
                                flick_iiopxx_decode_new_chunk(_t729_principal_len);
                                flick_iiopxx_decode_end_chunk(_t729_principal_len);
                                flick_iiopxx_decode_end_glob(_t729_principal_len);
                                /* Begin decode phase on parameters */
                                flick_cdrxx_decode_IOR(iiopxx, _local_impl, 1, CORBA::ImplementationDef , _flick_abort1380);
                                flick_iiopxx_mark_port_for_cleanup(_local_impl, 1);

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->activate(_local_impl, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t730_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t730_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1380);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort1380);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t730_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t730_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_cdrxx_encode_IOR(iiopxx, _return, 0, CORBA::Object , _flick_abort1385);
                                        CORBA_object_flick_free(_return);
                                        _return = (CORBA::Object *)0;
                                        break;
                                        {
                                        _flick_abort1385:
                                          goto _flick_abort1380;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1386);
                                        break;
                                        {
                                        _flick_abort1386:
                                          goto _flick_abort1380;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1387);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort1387:
                                          goto _flick_abort1380;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1380:
                                  goto _flick_abort1379;
                                }
                              }
                              break;
                              {
                              _flick_abort1379:
                                goto _flick_abort1348;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 11:
          {
            unsigned int _t731_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort1348);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t731_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t731_switch_tag)
              {
              case /* deac */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684365667):
                {
                  unsigned int _t732_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t732_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t732_switch_tag)
                    {
                    case /* tiva */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953068641):
                      {
                        unsigned short int _t733_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t733_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t733_switch_tag)
                          {
                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                            {
                              char _t734_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _t734_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t734_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      ::POA_CORBA::Activator *_local_this;
                                      unsigned int _t735_principal_len;
                                      ::CORBA::Object_ptr _local_obj;
                                      ::CORBA::ImplementationDef_ptr _local_impl;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1389);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_decode_unsigned32(1, _t735_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(20);
                                      flick_iiopxx_check_span(_t735_principal_len, _flick_abort1389);
                                      flick_iiopxx_decode_new_glob(_t735_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t735_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t735_principal_len);
                                      flick_iiopxx_decode_end_glob(_t735_principal_len);
                                      /* Begin decode phase on parameters */
                                      flick_cdrxx_decode_IOR(iiopxx, _local_obj, 1, CORBA::Object , _flick_abort1389);
                                      flick_iiopxx_mark_port_for_cleanup(_local_obj, 1);
                                      flick_cdrxx_decode_IOR(iiopxx, _local_impl, 1, CORBA::ImplementationDef , _flick_abort1389);
                                      flick_iiopxx_mark_port_for_cleanup(_local_impl, 1);

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _local_this->deactivate(_local_obj, _local_impl, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t736_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t736_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1389);
                                        flick_iiopxx_encode_new_glob(4, _flick_abort1389);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t736_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t736_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1395);
                                              break;
                                              {
                                              _flick_abort1395:
                                                goto _flick_abort1389;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1396);
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                              {
                                              _flick_abort1396:
                                                goto _flick_abort1389;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort1389:
                                        goto _flick_abort1388;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort1388:
                                      goto _flick_abort1348;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                                    flick_iiopxx_decode_end_glob(20);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                              flick_iiopxx_decode_end_glob(20);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t737_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t737_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t737_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t738_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t738_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t738_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          ::POA_CORBA::Activator *_local_this;
                          unsigned int _t739_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t740_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1398);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t739_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(20);
                          flick_iiopxx_check_span(_t739_principal_len, _flick_abort1398);
                          flick_iiopxx_decode_new_glob(_t739_principal_len);
                          flick_iiopxx_decode_new_chunk(_t739_principal_len);
                          flick_iiopxx_decode_end_chunk(_t739_principal_len);
                          flick_iiopxx_decode_end_glob(_t739_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort1398);
                          flick_cdr_decode_unsigned32(0, _t740_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t740_temp_string_len);
                          flick_iiopxx_check_span(1 * _t740_temp_string_len, _flick_abort1398);
                          flick_iiopxx_decode_new_chunk(1 * _t740_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t740_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t740_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t741_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t741_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1398);
                            flick_iiopxx_encode_new_glob(5, _flick_abort1398);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t741_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t741_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1406);
                                  break;
                                  {
                                  _flick_abort1406:
                                    goto _flick_abort1398;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1407);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort1407:
                                    goto _flick_abort1398;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1398:
                            goto _flick_abort1397;
                          }
                        }
                        break;
                        {
                        _flick_abort1397:
                          goto _flick_abort1348;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                        flick_iiopxx_decode_end_glob(20);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
                  flick_iiopxx_decode_end_glob(20);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1348);
            flick_iiopxx_decode_end_glob(20);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort1348:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1347);
  _flick_abort1347:
    return ;
  }

_flick_reaper:
  return ;

}
void POA_CORBA::ActivationImplDef::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t956_switch_tag;

      flick_iiopxx_decode_new_glob(28);
      flick_iiopxx_check_span(16, _flick_abort1469);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t956_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t956_switch_tag)
        {
        case (unsigned int) 19:
          {
            unsigned int _t957_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort1469);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t957_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t957_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t958_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t958_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t958_switch_tag)
                    {
                    case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                      {
                        unsigned int _t959_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t959_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t959_switch_tag)
                          {
                          case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                            {
                              unsigned int _t960_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t960_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t960_switch_tag)
                                {
                                case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                  {
                                    unsigned short int _t961_switch_tag;

                                    flick_iiopxx_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned16(0, _t961_switch_tag, unsigned short int );
                                    flick_iiopxx_decode_end_chunk(2);
                                    switch ((unsigned short int )_t961_switch_tag)
                                      {
                                      case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                        {
                                          char _t962_switch_tag;

                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _t962_switch_tag, char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          switch ((char )_t962_switch_tag)
                                            {
                                            case 0:
                                              {
                                                {
                                                  ::POA_CORBA::ActivationImplDef *_local_this;
                                                  unsigned int _t963_principal_len;
                                                  ::CORBA::Activator_ptr _return;
                                                  CORBA::Environment _ev;



                                                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1776);


                                                  /* Decode the requesting `Principal' pseudo object (client ID). */
                                                  flick_iiopxx_decode_new_chunk(5);
                                                  flick_cdr_swap_decode_unsigned32(1, _t963_principal_len, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(5);
                                                  flick_iiopxx_decode_end_glob(28);
                                                  flick_iiopxx_check_span(_t963_principal_len, _flick_abort1776);
                                                  flick_iiopxx_decode_new_glob(_t963_principal_len);
                                                  flick_iiopxx_decode_new_chunk(_t963_principal_len);
                                                  flick_iiopxx_decode_end_chunk(_t963_principal_len);
                                                  flick_iiopxx_decode_end_glob(_t963_principal_len);
                                                  /* Begin decode phase on parameters */

                                                  flick_iiopxx_server_end_decode();
                                                  flick_corbaxx_init_environment();


                                                  _return = _local_this->activator_obj(_ev);


                                                  flick_iiopxx_server_start_encode();


                                                  {
                                                    int _t964_temp_major;

                                                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t964_temp_major);

                                                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1776);
                                                    flick_iiopxx_encode_new_glob(4, _flick_abort1776);
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _t964_temp_major, int );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    switch (_t964_temp_major)
                                                      {
                                                      case CORBA::NO_EXCEPTION:
                                                        {
                                                          /* Begin encode phase on parameters */
                                                          flick_iiopxx_encode_end_glob(4);
                                                          flick_cdrxx_encode_IOR(iiopxx, _return, 0, CORBA::Activator , _flick_abort1781);
                                                          CORBA_object_flick_free(_return);
                                                          _return = (CORBA::Activator *)0;
                                                          break;
                                                          {
                                                          _flick_abort1781:
                                                            goto _flick_abort1776;
                                                          }
                                                        }
                                                      case CORBA::SYSTEM_EXCEPTION:
                                                        {
                                                          flick_iiopxx_encode_end_glob(4);
                                                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1782);
                                                          break;
                                                          {
                                                          _flick_abort1782:
                                                            goto _flick_abort1776;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1783);
                                                          flick_iiopxx_encode_end_glob(4);
                                                          break;
                                                          {
                                                          _flick_abort1783:
                                                            goto _flick_abort1776;
                                                          }
                                                        }
                                                      }
                                                  }


                                                  flick_iiopxx_server_end_encode();


                                                  break;
                                                  {
                                                  _flick_abort1776:
                                                    goto _flick_abort1775;
                                                  }
                                                }
                                                break;
                                                {
                                                _flick_abort1775:
                                                  goto _flick_abort1469;
                                                }
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                                flick_iiopxx_decode_end_glob(28);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t965_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t965_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t965_switch_tag)
                    {
                    case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                      {
                        unsigned int _t966_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t966_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t966_switch_tag)
                          {
                          case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                            {
                              unsigned int _t967_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t967_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t967_switch_tag)
                                {
                                case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                  {
                                    unsigned short int _t968_switch_tag;

                                    flick_iiopxx_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned16(0, _t968_switch_tag, unsigned short int );
                                    flick_iiopxx_decode_end_chunk(2);
                                    switch ((unsigned short int )_t968_switch_tag)
                                      {
                                      case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                        {
                                          char _t969_switch_tag;

                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _t969_switch_tag, char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          switch ((char )_t969_switch_tag)
                                            {
                                            case 0:
                                              {
                                                {
                                                  ::POA_CORBA::ActivationImplDef *_local_this;
                                                  unsigned int _t970_principal_len;
                                                  ::CORBA::Activator_ptr _local_activator_obj;
                                                  CORBA::Environment _ev;



                                                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1785);


                                                  /* Decode the requesting `Principal' pseudo object (client ID). */
                                                  flick_iiopxx_decode_new_chunk(5);
                                                  flick_cdr_swap_decode_unsigned32(1, _t970_principal_len, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(5);
                                                  flick_iiopxx_decode_end_glob(28);
                                                  flick_iiopxx_check_span(_t970_principal_len, _flick_abort1785);
                                                  flick_iiopxx_decode_new_glob(_t970_principal_len);
                                                  flick_iiopxx_decode_new_chunk(_t970_principal_len);
                                                  flick_iiopxx_decode_end_chunk(_t970_principal_len);
                                                  flick_iiopxx_decode_end_glob(_t970_principal_len);
                                                  /* Begin decode phase on parameters */
                                                  flick_cdr_swapxx_decode_IOR(iiopxx, _local_activator_obj, 1, CORBA::Activator , _flick_abort1785);
                                                  flick_iiopxx_mark_port_for_cleanup(_local_activator_obj, 1);

                                                  flick_iiopxx_server_end_decode();
                                                  flick_corbaxx_init_environment();


                                                  _local_this->activator_obj(_local_activator_obj, _ev);


                                                  flick_iiopxx_server_start_encode();


                                                  {
                                                    int _t971_temp_major;

                                                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t971_temp_major);

                                                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1785);
                                                    flick_iiopxx_encode_new_glob(4, _flick_abort1785);
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _t971_temp_major, int );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    switch (_t971_temp_major)
                                                      {
                                                      case CORBA::NO_EXCEPTION:
                                                        {
                                                          /* Begin encode phase on parameters */
                                                          flick_iiopxx_encode_end_glob(4);
                                                          break;
                                                        }
                                                      case CORBA::SYSTEM_EXCEPTION:
                                                        {
                                                          flick_iiopxx_encode_end_glob(4);
                                                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1791);
                                                          break;
                                                          {
                                                          _flick_abort1791:
                                                            goto _flick_abort1785;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1792);
                                                          flick_iiopxx_encode_end_glob(4);
                                                          break;
                                                          {
                                                          _flick_abort1792:
                                                            goto _flick_abort1785;
                                                          }
                                                        }
                                                      }
                                                  }


                                                  flick_iiopxx_server_end_encode();


                                                  break;
                                                  {
                                                  _flick_abort1785:
                                                    goto _flick_abort1784;
                                                  }
                                                }
                                                break;
                                                {
                                                _flick_abort1784:
                                                  goto _flick_abort1469;
                                                }
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                                flick_iiopxx_decode_end_glob(28);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 20:
          {
            unsigned int _t972_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort1469);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t972_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t972_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t973_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t973_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t973_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t974_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t974_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t974_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t975_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t975_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t975_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t976_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t976_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t976_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::ActivationImplDef *_local_this;
                                            unsigned int _t977_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1794);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_swap_decode_unsigned32(0, _t977_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t977_principal_len, _flick_abort1794);
                                            flick_iiopxx_decode_new_glob(_t977_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t977_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t977_principal_len);
                                            flick_iiopxx_decode_end_glob(_t977_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->interface_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t978_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t978_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1794);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort1794);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t978_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t978_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t980_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t980_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t980_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t980_temp_string_len, _flick_abort1801);
                                                    flick_iiopxx_encode_new_chunk(1 * _t980_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t980_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t980_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t980_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort1801:
                                                      goto _flick_abort1794;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1804);
                                                    break;
                                                    {
                                                    _flick_abort1804:
                                                      goto _flick_abort1794;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1805);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort1805:
                                                      goto _flick_abort1794;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1794:
                                              goto _flick_abort1793;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1793:
                                            goto _flick_abort1469;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t981_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t981_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t981_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t982_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t982_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t982_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t983_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t983_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t983_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t984_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t984_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t984_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::ActivationImplDef *_local_this;
                                            unsigned int _t985_principal_len;
                                            char *_local_interface_name;
                                            flick_unsigned32_t _t986_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1807);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_swap_decode_unsigned32(0, _t985_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t985_principal_len, _flick_abort1807);
                                            flick_iiopxx_decode_new_glob(_t985_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t985_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t985_principal_len);
                                            flick_iiopxx_decode_end_glob(_t985_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort1807);
                                            flick_cdr_swap_decode_unsigned32(0, _t986_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t986_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t986_temp_string_len, _flick_abort1807);
                                            flick_iiopxx_decode_new_chunk(1 * _t986_temp_string_len);
                                            flick_cdr_swap_decode_msgptr(0, _local_interface_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t986_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t986_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->interface_name(_local_interface_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t987_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t987_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1807);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort1807);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t987_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t987_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1815);
                                                    break;
                                                    {
                                                    _flick_abort1815:
                                                      goto _flick_abort1807;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1816);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort1816:
                                                      goto _flick_abort1807;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1807:
                                              goto _flick_abort1806;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1806:
                                            goto _flick_abort1469;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 17:
          {
            unsigned int _t988_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort1469);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t988_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t988_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t989_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t989_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t989_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t990_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t990_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t990_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t991_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t991_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t991_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t992_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _t992_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t992_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::ActivationImplDef *_local_this;
                                            unsigned int _t993_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1818);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_swap_decode_unsigned32(3, _t993_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t993_principal_len, _flick_abort1818);
                                            flick_iiopxx_decode_new_glob(_t993_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t993_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t993_principal_len);
                                            flick_iiopxx_decode_end_glob(_t993_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->object_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t994_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t994_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1818);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort1818);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t994_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t994_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t996_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t996_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t996_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t996_temp_string_len, _flick_abort1825);
                                                    flick_iiopxx_encode_new_chunk(1 * _t996_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t996_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t996_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t996_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort1825:
                                                      goto _flick_abort1818;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1828);
                                                    break;
                                                    {
                                                    _flick_abort1828:
                                                      goto _flick_abort1818;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1829);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort1829:
                                                      goto _flick_abort1818;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1818:
                                              goto _flick_abort1817;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1817:
                                            goto _flick_abort1469;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t997_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t997_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t997_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t998_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t998_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t998_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t999_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t999_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t999_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t1000_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _t1000_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t1000_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::ActivationImplDef *_local_this;
                                            unsigned int _t1001_principal_len;
                                            char *_local_object_name;
                                            flick_unsigned32_t _t1002_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1831);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_swap_decode_unsigned32(3, _t1001_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t1001_principal_len, _flick_abort1831);
                                            flick_iiopxx_decode_new_glob(_t1001_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t1001_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t1001_principal_len);
                                            flick_iiopxx_decode_end_glob(_t1001_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort1831);
                                            flick_cdr_swap_decode_unsigned32(0, _t1002_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t1002_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t1002_temp_string_len, _flick_abort1831);
                                            flick_iiopxx_decode_new_chunk(1 * _t1002_temp_string_len);
                                            flick_cdr_swap_decode_msgptr(0, _local_object_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t1002_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t1002_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->object_name(_local_object_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t1003_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1003_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1831);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort1831);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t1003_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t1003_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1839);
                                                    break;
                                                    {
                                                    _flick_abort1839:
                                                      goto _flick_abort1831;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1840);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort1840:
                                                      goto _flick_abort1831;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1831:
                                              goto _flick_abort1830;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1830:
                                            goto _flick_abort1469;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t1004_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t1004_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t1004_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t1005_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1005_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1005_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::ActivationImplDef *_local_this;
                          unsigned int _t1006_principal_len;
                          ::CORBA::ReferenceData *_return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1842);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t1006_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t1006_principal_len, _flick_abort1842);
                          flick_iiopxx_decode_new_glob(_t1006_principal_len);
                          flick_iiopxx_decode_new_chunk(_t1006_principal_len);
                          flick_iiopxx_decode_end_chunk(_t1006_principal_len);
                          flick_iiopxx_decode_end_glob(_t1006_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->id(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t1007_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1007_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1842);
                            flick_iiopxx_encode_new_glob(8, _flick_abort1842);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t1007_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t1007_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort1849);
                                  flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                  flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                  flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                  flick_iiopxx_encode_end_glob(1 * _return->_length);
                                  delete _return;
                                  _return = (::CORBA::ReferenceData *)0;
                                  break;
                                  {
                                  _flick_abort1849:
                                    goto _flick_abort1842;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1852);
                                  break;
                                  {
                                  _flick_abort1852:
                                    goto _flick_abort1842;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1853);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort1853:
                                    goto _flick_abort1842;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1842:
                            goto _flick_abort1841;
                          }
                        }
                        break;
                        {
                        _flick_abort1841:
                          goto _flick_abort1469;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t1008_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1008_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1008_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::ActivationImplDef *_local_this;
                          unsigned int _t1009_principal_len;
                          ::CORBA::ReferenceData _local_id;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1855);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t1009_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t1009_principal_len, _flick_abort1855);
                          flick_iiopxx_decode_new_glob(_t1009_principal_len);
                          flick_iiopxx_decode_new_chunk(_t1009_principal_len);
                          flick_iiopxx_decode_end_chunk(_t1009_principal_len);
                          flick_iiopxx_decode_end_glob(_t1009_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort1855);
                          flick_cdr_swap_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _local_id._length);
                          flick_iiopxx_check_span(1 * _local_id._length, _flick_abort1855);
                          flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                          flick_cdr_swap_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                          _local_id._maximum = _local_id._length;
                          _local_id._release = 0;
                          flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                          flick_iiopxx_decode_end_glob(1 * _local_id._length);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->id(_local_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t1010_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1010_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1855);
                            flick_iiopxx_encode_new_glob(4, _flick_abort1855);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t1010_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t1010_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1863);
                                  break;
                                  {
                                  _flick_abort1863:
                                    goto _flick_abort1855;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1864);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort1864:
                                    goto _flick_abort1855;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1855:
                            goto _flick_abort1854;
                          }
                        }
                        break;
                        {
                        _flick_abort1854:
                          goto _flick_abort1469;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t1011_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t1011_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t1011_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t1012_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t1012_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t1012_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          ::POA_CORBA::ActivationImplDef *_local_this;
                          unsigned int _t1013_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t1014_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1866);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t1013_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t1013_principal_len, _flick_abort1866);
                          flick_iiopxx_decode_new_glob(_t1013_principal_len);
                          flick_iiopxx_decode_new_chunk(_t1013_principal_len);
                          flick_iiopxx_decode_end_chunk(_t1013_principal_len);
                          flick_iiopxx_decode_end_glob(_t1013_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort1866);
                          flick_cdr_swap_decode_unsigned32(0, _t1014_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t1014_temp_string_len);
                          flick_iiopxx_check_span(1 * _t1014_temp_string_len, _flick_abort1866);
                          flick_iiopxx_decode_new_chunk(1 * _t1014_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t1014_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t1014_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t1015_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1015_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1866);
                            flick_iiopxx_encode_new_glob(5, _flick_abort1866);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t1015_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t1015_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1874);
                                  break;
                                  {
                                  _flick_abort1874:
                                    goto _flick_abort1866;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1875);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort1875:
                                    goto _flick_abort1866;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1866:
                            goto _flick_abort1865;
                          }
                        }
                        break;
                        {
                        _flick_abort1865:
                          goto _flick_abort1469;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
            flick_iiopxx_decode_end_glob(28);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t836_switch_tag;

      flick_iiopxx_decode_new_glob(28);
      flick_iiopxx_check_span(16, _flick_abort1469);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t836_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t836_switch_tag)
        {
        case (unsigned int) 19:
          {
            unsigned int _t837_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort1469);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t837_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t837_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t838_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t838_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t838_switch_tag)
                    {
                    case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                      {
                        unsigned int _t839_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t839_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t839_switch_tag)
                          {
                          case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                            {
                              unsigned int _t840_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t840_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t840_switch_tag)
                                {
                                case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                  {
                                    unsigned short int _t841_switch_tag;

                                    flick_iiopxx_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned16(0, _t841_switch_tag, unsigned short int );
                                    flick_iiopxx_decode_end_chunk(2);
                                    switch ((unsigned short int )_t841_switch_tag)
                                      {
                                      case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                        {
                                          char _t842_switch_tag;

                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _t842_switch_tag, char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          switch ((char )_t842_switch_tag)
                                            {
                                            case 0:
                                              {
                                                {
                                                  ::POA_CORBA::ActivationImplDef *_local_this;
                                                  unsigned int _t843_principal_len;
                                                  ::CORBA::Activator_ptr _return;
                                                  CORBA::Environment _ev;



                                                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1573);


                                                  /* Decode the requesting `Principal' pseudo object (client ID). */
                                                  flick_iiopxx_decode_new_chunk(5);
                                                  flick_cdr_decode_unsigned32(1, _t843_principal_len, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(5);
                                                  flick_iiopxx_decode_end_glob(28);
                                                  flick_iiopxx_check_span(_t843_principal_len, _flick_abort1573);
                                                  flick_iiopxx_decode_new_glob(_t843_principal_len);
                                                  flick_iiopxx_decode_new_chunk(_t843_principal_len);
                                                  flick_iiopxx_decode_end_chunk(_t843_principal_len);
                                                  flick_iiopxx_decode_end_glob(_t843_principal_len);
                                                  /* Begin decode phase on parameters */

                                                  flick_iiopxx_server_end_decode();
                                                  flick_corbaxx_init_environment();


                                                  _return = _local_this->activator_obj(_ev);


                                                  flick_iiopxx_server_start_encode();


                                                  {
                                                    int _t844_temp_major;

                                                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t844_temp_major);

                                                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1573);
                                                    flick_iiopxx_encode_new_glob(4, _flick_abort1573);
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _t844_temp_major, int );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    switch (_t844_temp_major)
                                                      {
                                                      case CORBA::NO_EXCEPTION:
                                                        {
                                                          /* Begin encode phase on parameters */
                                                          flick_iiopxx_encode_end_glob(4);
                                                          flick_cdrxx_encode_IOR(iiopxx, _return, 0, CORBA::Activator , _flick_abort1578);
                                                          CORBA_object_flick_free(_return);
                                                          _return = (CORBA::Activator *)0;
                                                          break;
                                                          {
                                                          _flick_abort1578:
                                                            goto _flick_abort1573;
                                                          }
                                                        }
                                                      case CORBA::SYSTEM_EXCEPTION:
                                                        {
                                                          flick_iiopxx_encode_end_glob(4);
                                                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1579);
                                                          break;
                                                          {
                                                          _flick_abort1579:
                                                            goto _flick_abort1573;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1580);
                                                          flick_iiopxx_encode_end_glob(4);
                                                          break;
                                                          {
                                                          _flick_abort1580:
                                                            goto _flick_abort1573;
                                                          }
                                                        }
                                                      }
                                                  }


                                                  flick_iiopxx_server_end_encode();


                                                  break;
                                                  {
                                                  _flick_abort1573:
                                                    goto _flick_abort1572;
                                                  }
                                                }
                                                break;
                                                {
                                                _flick_abort1572:
                                                  goto _flick_abort1469;
                                                }
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                                flick_iiopxx_decode_end_glob(28);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t845_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t845_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t845_switch_tag)
                    {
                    case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                      {
                        unsigned int _t846_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t846_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t846_switch_tag)
                          {
                          case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                            {
                              unsigned int _t847_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t847_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t847_switch_tag)
                                {
                                case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                  {
                                    unsigned short int _t848_switch_tag;

                                    flick_iiopxx_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned16(0, _t848_switch_tag, unsigned short int );
                                    flick_iiopxx_decode_end_chunk(2);
                                    switch ((unsigned short int )_t848_switch_tag)
                                      {
                                      case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                        {
                                          char _t849_switch_tag;

                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _t849_switch_tag, char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          switch ((char )_t849_switch_tag)
                                            {
                                            case 0:
                                              {
                                                {
                                                  ::POA_CORBA::ActivationImplDef *_local_this;
                                                  unsigned int _t850_principal_len;
                                                  ::CORBA::Activator_ptr _local_activator_obj;
                                                  CORBA::Environment _ev;



                                                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1582);


                                                  /* Decode the requesting `Principal' pseudo object (client ID). */
                                                  flick_iiopxx_decode_new_chunk(5);
                                                  flick_cdr_decode_unsigned32(1, _t850_principal_len, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(5);
                                                  flick_iiopxx_decode_end_glob(28);
                                                  flick_iiopxx_check_span(_t850_principal_len, _flick_abort1582);
                                                  flick_iiopxx_decode_new_glob(_t850_principal_len);
                                                  flick_iiopxx_decode_new_chunk(_t850_principal_len);
                                                  flick_iiopxx_decode_end_chunk(_t850_principal_len);
                                                  flick_iiopxx_decode_end_glob(_t850_principal_len);
                                                  /* Begin decode phase on parameters */
                                                  flick_cdrxx_decode_IOR(iiopxx, _local_activator_obj, 1, CORBA::Activator , _flick_abort1582);
                                                  flick_iiopxx_mark_port_for_cleanup(_local_activator_obj, 1);

                                                  flick_iiopxx_server_end_decode();
                                                  flick_corbaxx_init_environment();


                                                  _local_this->activator_obj(_local_activator_obj, _ev);


                                                  flick_iiopxx_server_start_encode();


                                                  {
                                                    int _t851_temp_major;

                                                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t851_temp_major);

                                                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1582);
                                                    flick_iiopxx_encode_new_glob(4, _flick_abort1582);
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _t851_temp_major, int );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    switch (_t851_temp_major)
                                                      {
                                                      case CORBA::NO_EXCEPTION:
                                                        {
                                                          /* Begin encode phase on parameters */
                                                          flick_iiopxx_encode_end_glob(4);
                                                          break;
                                                        }
                                                      case CORBA::SYSTEM_EXCEPTION:
                                                        {
                                                          flick_iiopxx_encode_end_glob(4);
                                                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1588);
                                                          break;
                                                          {
                                                          _flick_abort1588:
                                                            goto _flick_abort1582;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1589);
                                                          flick_iiopxx_encode_end_glob(4);
                                                          break;
                                                          {
                                                          _flick_abort1589:
                                                            goto _flick_abort1582;
                                                          }
                                                        }
                                                      }
                                                  }


                                                  flick_iiopxx_server_end_encode();


                                                  break;
                                                  {
                                                  _flick_abort1582:
                                                    goto _flick_abort1581;
                                                  }
                                                }
                                                break;
                                                {
                                                _flick_abort1581:
                                                  goto _flick_abort1469;
                                                }
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                                flick_iiopxx_decode_end_glob(28);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 20:
          {
            unsigned int _t852_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort1469);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t852_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t852_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t853_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t853_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t853_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t854_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t854_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t854_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t855_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t855_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t855_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t856_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t856_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t856_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::ActivationImplDef *_local_this;
                                            unsigned int _t857_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1591);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t857_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t857_principal_len, _flick_abort1591);
                                            flick_iiopxx_decode_new_glob(_t857_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t857_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t857_principal_len);
                                            flick_iiopxx_decode_end_glob(_t857_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->interface_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t858_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t858_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1591);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort1591);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t858_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t858_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t860_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t860_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t860_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t860_temp_string_len, _flick_abort1598);
                                                    flick_iiopxx_encode_new_chunk(1 * _t860_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t860_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t860_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t860_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort1598:
                                                      goto _flick_abort1591;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1601);
                                                    break;
                                                    {
                                                    _flick_abort1601:
                                                      goto _flick_abort1591;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1602);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort1602:
                                                      goto _flick_abort1591;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1591:
                                              goto _flick_abort1590;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1590:
                                            goto _flick_abort1469;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t861_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t861_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t861_switch_tag)
                    {
                    case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                      {
                        unsigned int _t862_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t862_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t862_switch_tag)
                          {
                          case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                            {
                              unsigned int _t863_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t863_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t863_switch_tag)
                                {
                                case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                  {
                                    unsigned int _t864_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t864_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t864_switch_tag)
                                      {
                                      case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                        {
                                          {
                                            ::POA_CORBA::ActivationImplDef *_local_this;
                                            unsigned int _t865_principal_len;
                                            char *_local_interface_name;
                                            flick_unsigned32_t _t866_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1604);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t865_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t865_principal_len, _flick_abort1604);
                                            flick_iiopxx_decode_new_glob(_t865_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t865_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t865_principal_len);
                                            flick_iiopxx_decode_end_glob(_t865_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort1604);
                                            flick_cdr_decode_unsigned32(0, _t866_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t866_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t866_temp_string_len, _flick_abort1604);
                                            flick_iiopxx_decode_new_chunk(1 * _t866_temp_string_len);
                                            flick_cdr_decode_msgptr(0, _local_interface_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t866_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t866_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->interface_name(_local_interface_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t867_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t867_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1604);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort1604);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t867_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t867_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1612);
                                                    break;
                                                    {
                                                    _flick_abort1612:
                                                      goto _flick_abort1604;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1613);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort1613:
                                                      goto _flick_abort1604;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1604:
                                              goto _flick_abort1603;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1603:
                                            goto _flick_abort1469;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 17:
          {
            unsigned int _t868_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort1469);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t868_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t868_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t869_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t869_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t869_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t870_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t870_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t870_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t871_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t871_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t871_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t872_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _t872_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t872_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::ActivationImplDef *_local_this;
                                            unsigned int _t873_principal_len;
                                            char *_return;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1615);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_decode_unsigned32(3, _t873_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t873_principal_len, _flick_abort1615);
                                            flick_iiopxx_decode_new_glob(_t873_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t873_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t873_principal_len);
                                            flick_iiopxx_decode_end_glob(_t873_principal_len);
                                            /* Begin decode phase on parameters */
                                            _return = 0;

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _return = _local_this->object_name(_ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t874_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t874_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1615);
                                              flick_iiopxx_encode_new_glob(8, _flick_abort1615);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t874_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t874_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    flick_unsigned32_t _t876_temp_string_len;

                                                    flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t876_temp_string_len);

                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_unsigned32(0, _t876_temp_string_len, flick_unsigned32_t );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_iiopxx_encode_new_glob(1 * _t876_temp_string_len, _flick_abort1622);
                                                    flick_iiopxx_encode_new_chunk(1 * _t876_temp_string_len);
                                                    flick_cdr_encode_bcopy(0, (_return), 1 * _t876_temp_string_len);
                                                    CORBA_string_flick_free((_return));
                                                    (_return) = (CORBA::Char *)0;
                                                    flick_iiopxx_encode_end_chunk(1 * _t876_temp_string_len);
                                                    flick_iiopxx_encode_end_glob(1 * _t876_temp_string_len);
                                                    break;
                                                    {
                                                    _flick_abort1622:
                                                      goto _flick_abort1615;
                                                    }
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(8);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1625);
                                                    break;
                                                    {
                                                    _flick_abort1625:
                                                      goto _flick_abort1615;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1626);
                                                    flick_iiopxx_encode_end_glob(8);
                                                    break;
                                                    {
                                                    _flick_abort1626:
                                                      goto _flick_abort1615;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1615:
                                              goto _flick_abort1614;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1614:
                                            goto _flick_abort1469;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t877_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t877_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t877_switch_tag)
                    {
                    case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                      {
                        unsigned int _t878_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t878_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t878_switch_tag)
                          {
                          case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                            {
                              unsigned int _t879_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t879_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t879_switch_tag)
                                {
                                case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                  {
                                    char _t880_switch_tag;

                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _t880_switch_tag, char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    switch ((char )_t880_switch_tag)
                                      {
                                      case 0:
                                        {
                                          {
                                            ::POA_CORBA::ActivationImplDef *_local_this;
                                            unsigned int _t881_principal_len;
                                            char *_local_object_name;
                                            flick_unsigned32_t _t882_temp_string_len;
                                            CORBA::Environment _ev;



                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1628);


                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                            flick_iiopxx_decode_new_chunk(7);
                                            flick_cdr_decode_unsigned32(3, _t881_principal_len, unsigned int );
                                            flick_iiopxx_decode_end_chunk(7);
                                            flick_iiopxx_decode_end_glob(28);
                                            flick_iiopxx_check_span(_t881_principal_len, _flick_abort1628);
                                            flick_iiopxx_decode_new_glob(_t881_principal_len);
                                            flick_iiopxx_decode_new_chunk(_t881_principal_len);
                                            flick_iiopxx_decode_end_chunk(_t881_principal_len);
                                            flick_iiopxx_decode_end_glob(_t881_principal_len);
                                            /* Begin decode phase on parameters */
                                            flick_iiopxx_decode_new_glob(7);
                                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_iiopxx_check_span(4, _flick_abort1628);
                                            flick_cdr_decode_unsigned32(0, _t882_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_decode_end_chunk(4);
                                            flick_iiopxx_decode_end_glob(7);
                                            flick_iiopxx_decode_new_glob(1 * _t882_temp_string_len);
                                            flick_iiopxx_check_span(1 * _t882_temp_string_len, _flick_abort1628);
                                            flick_iiopxx_decode_new_chunk(1 * _t882_temp_string_len);
                                            flick_cdr_decode_msgptr(0, _local_object_name, CORBA::Char *);
                                            flick_iiopxx_decode_end_chunk(1 * _t882_temp_string_len);
                                            flick_iiopxx_decode_end_glob(1 * _t882_temp_string_len);

                                            flick_iiopxx_server_end_decode();
                                            flick_corbaxx_init_environment();


                                            _local_this->object_name(_local_object_name, _ev);


                                            flick_iiopxx_server_start_encode();


                                            {
                                              int _t883_temp_major;

                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t883_temp_major);

                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1628);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort1628);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _t883_temp_major, int );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_t883_temp_major)
                                                {
                                                case CORBA::NO_EXCEPTION:
                                                  {
                                                    /* Begin encode phase on parameters */
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                  }
                                                case CORBA::SYSTEM_EXCEPTION:
                                                  {
                                                    flick_iiopxx_encode_end_glob(4);
                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1636);
                                                    break;
                                                    {
                                                    _flick_abort1636:
                                                      goto _flick_abort1628;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1637);
                                                    flick_iiopxx_encode_end_glob(4);
                                                    break;
                                                    {
                                                    _flick_abort1637:
                                                      goto _flick_abort1628;
                                                    }
                                                  }
                                                }
                                            }


                                            flick_iiopxx_server_end_encode();


                                            break;
                                            {
                                            _flick_abort1628:
                                              goto _flick_abort1627;
                                            }
                                          }
                                          break;
                                          {
                                          _flick_abort1627:
                                            goto _flick_abort1469;
                                          }
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                          flick_iiopxx_decode_end_glob(28);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                                    flick_iiopxx_decode_end_glob(28);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                              flick_iiopxx_decode_end_glob(28);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t884_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t884_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t884_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t885_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t885_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t885_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::ActivationImplDef *_local_this;
                          unsigned int _t886_principal_len;
                          ::CORBA::ReferenceData *_return;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1639);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t886_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t886_principal_len, _flick_abort1639);
                          flick_iiopxx_decode_new_glob(_t886_principal_len);
                          flick_iiopxx_decode_new_chunk(_t886_principal_len);
                          flick_iiopxx_decode_end_chunk(_t886_principal_len);
                          flick_iiopxx_decode_end_glob(_t886_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->id(_ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t887_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t887_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1639);
                            flick_iiopxx_encode_new_glob(8, _flick_abort1639);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t887_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t887_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort1646);
                                  flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                  flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                  flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                  flick_iiopxx_encode_end_glob(1 * _return->_length);
                                  delete _return;
                                  _return = (::CORBA::ReferenceData *)0;
                                  break;
                                  {
                                  _flick_abort1646:
                                    goto _flick_abort1639;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1649);
                                  break;
                                  {
                                  _flick_abort1649:
                                    goto _flick_abort1639;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1650);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort1650:
                                    goto _flick_abort1639;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1639:
                            goto _flick_abort1638;
                          }
                        }
                        break;
                        {
                        _flick_abort1638:
                          goto _flick_abort1469;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t888_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t888_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t888_switch_tag)
                    {
                    case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                      {
                        {
                          ::POA_CORBA::ActivationImplDef *_local_this;
                          unsigned int _t889_principal_len;
                          ::CORBA::ReferenceData _local_id;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1652);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t889_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t889_principal_len, _flick_abort1652);
                          flick_iiopxx_decode_new_glob(_t889_principal_len);
                          flick_iiopxx_decode_new_chunk(_t889_principal_len);
                          flick_iiopxx_decode_end_chunk(_t889_principal_len);
                          flick_iiopxx_decode_end_glob(_t889_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort1652);
                          flick_cdr_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _local_id._length);
                          flick_iiopxx_check_span(1 * _local_id._length, _flick_abort1652);
                          flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                          flick_cdr_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                          _local_id._maximum = _local_id._length;
                          _local_id._release = 0;
                          flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                          flick_iiopxx_decode_end_glob(1 * _local_id._length);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _local_this->id(_local_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t890_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t890_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1652);
                            flick_iiopxx_encode_new_glob(4, _flick_abort1652);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t890_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t890_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(4);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1660);
                                  break;
                                  {
                                  _flick_abort1660:
                                    goto _flick_abort1652;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1661);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort1661:
                                    goto _flick_abort1652;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1652:
                            goto _flick_abort1651;
                          }
                        }
                        break;
                        {
                        _flick_abort1651:
                          goto _flick_abort1469;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t891_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t891_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t891_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t892_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t892_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t892_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          ::POA_CORBA::ActivationImplDef *_local_this;
                          unsigned int _t893_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t894_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1663);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t893_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(28);
                          flick_iiopxx_check_span(_t893_principal_len, _flick_abort1663);
                          flick_iiopxx_decode_new_glob(_t893_principal_len);
                          flick_iiopxx_decode_new_chunk(_t893_principal_len);
                          flick_iiopxx_decode_end_chunk(_t893_principal_len);
                          flick_iiopxx_decode_end_glob(_t893_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort1663);
                          flick_cdr_decode_unsigned32(0, _t894_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t894_temp_string_len);
                          flick_iiopxx_check_span(1 * _t894_temp_string_len, _flick_abort1663);
                          flick_iiopxx_decode_new_chunk(1 * _t894_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t894_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t894_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t895_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t895_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1663);
                            flick_iiopxx_encode_new_glob(5, _flick_abort1663);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t895_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t895_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1671);
                                  break;
                                  {
                                  _flick_abort1671:
                                    goto _flick_abort1663;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1672);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort1672:
                                    goto _flick_abort1663;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1663:
                            goto _flick_abort1662;
                          }
                        }
                        break;
                        {
                        _flick_abort1662:
                          goto _flick_abort1469;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                        flick_iiopxx_decode_end_glob(28);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
                  flick_iiopxx_decode_end_glob(28);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1469);
            flick_iiopxx_decode_end_glob(28);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort1469:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1468);
  _flick_abort1468:
    return ;
  }

_flick_reaper:
  return ;

}
